<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="file">
    <name>SSL_Asynch_BIO.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/ace/SSL/</path>
    <filename>SSL__Asynch__BIO_8cpp</filename>
    <includes id="SSL__Asynch__BIO_8h" name="SSL_Asynch_BIO.h" local="yes" imported="no">SSL_Asynch_BIO.h</includes>
    <includes id="SSL__Asynch__Stream_8h" name="SSL_Asynch_Stream.h" local="yes" imported="no">SSL_Asynch_Stream.h</includes>
    <class kind="struct">ACE_SSL_Asynch_Stream_Accessor</class>
    <member kind="function">
      <type></type>
      <name>ACE_RCSID</name>
      <anchor>a8</anchor>
      <arglist>(ACE_SSL, SSL_Asynch_BIO,&quot;$Id: SSL_Asynch_BIO.cpp,v 1.11 2005/12/04 01:57:32 ossama Exp $&quot;) extern&quot;C&quot;</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ACE_ASYNCH_BIO_WRITE_NAME</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ACE_ASYNCH_BIO_READ_NAME</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ACE_ASYNCH_BIO_PUTS_NAME</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ACE_ASYNCH_BIO_CTRL_NAME</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ACE_ASYNCH_BIO_NEW_NAME</name>
      <anchor>a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ACE_ASYNCH_BIO_FREE_NAME</name>
      <anchor>a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>BIO_TYPE_ACE</name>
      <anchor>a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>ACE_BEGIN_VERSIONED_NAMESPACE_DECL BIO *</type>
      <name>ACE_SSL_make_BIO</name>
      <anchor>a9</anchor>
      <arglist>(void *ssl_asynch_stream)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>BIO_METHOD</type>
      <name>methods_ACE</name>
      <anchor>a7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>SSL_Asynch_BIO.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/ace/SSL/</path>
    <filename>SSL__Asynch__BIO_8h</filename>
    <includes id="SSL__Export_8h" name="SSL_Export.h" local="yes" imported="no">SSL_Export.h</includes>
    <member kind="function">
      <type>ACE_BEGIN_VERSIONED_NAMESPACE_DECL BIO *</type>
      <name>ACE_SSL_make_BIO</name>
      <anchor>a0</anchor>
      <arglist>(void *ssl_asynch_stream)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>SSL_Asynch_Stream.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/ace/SSL/</path>
    <filename>SSL__Asynch__Stream_8cpp</filename>
    <includes id="SSL__Asynch__Stream_8h" name="SSL_Asynch_Stream.h" local="yes" imported="no">SSL_Asynch_Stream.h</includes>
    <class kind="class">ACE_SSL_Asynch_Read_Stream_Result</class>
    <class kind="class">ACE_SSL_Asynch_Result</class>
    <member kind="define">
      <type>#define</type>
      <name>A_RESULT</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ARS_RESULT</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>AWS_RESULT</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ERR_CANCELED</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ACE_RCSID</name>
      <anchor>a4</anchor>
      <arglist>(ACE_SSL, SSL_Asynch_Stream,&quot;$Id: SSL_Asynch_Stream.cpp,v 1.14 2005/12/03 20:06:44 ossama Exp $&quot;) ACE_BEGIN_VERSIONED_NAMESPACE_DECLclass ACE_SSL_Asynch_Write_Stream_Result</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>SSL_Asynch_Stream.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/ace/SSL/</path>
    <filename>SSL__Asynch__Stream_8h</filename>
    <includes id="SSL__Context_8h" name="SSL_Context.h" local="yes" imported="no">SSL_Context.h</includes>
    <includes id="SSL__Asynch__BIO_8h" name="SSL_Asynch_BIO.h" local="yes" imported="no">SSL_Asynch_BIO.h</includes>
    <class kind="class">ACE_SSL_Asynch_Stream</class>
  </compound>
  <compound kind="file">
    <name>SSL_Context.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/ace/SSL/</path>
    <filename>SSL__Context_8cpp</filename>
    <includes id="SSL__Context_8h" name="SSL_Context.h" local="yes" imported="no">SSL_Context.h</includes>
    <includes id="sslconf_8h" name="sslconf.h" local="yes" imported="no">sslconf.h</includes>
    <member kind="define">
      <type>#define</type>
      <name>ACE_SSL_LOCKING_CALLBACK_NAME</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ACE_SSL_THREAD_ID_NAME</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ACE_RCSID</name>
      <anchor>a2</anchor>
      <arglist>(ACE_SSL, SSL_Context,&quot;$Id: SSL_Context.cpp,v 1.55 2005/12/04 14:52:28 ossama Exp $&quot;) namespace</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ACE_SSL_LOCKING_CALLBACK_NAME</name>
      <anchor>a3</anchor>
      <arglist>(int mode, int type, const char *, int)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>mode_</name>
      <anchor>a4</anchor>
      <arglist>(-1)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>default_verify_mode_</name>
      <anchor>a5</anchor>
      <arglist>(SSL_VERIFY_NONE)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>have_ca_</name>
      <anchor>a6</anchor>
      <arglist>(0)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>SSL_Context.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/ace/SSL/</path>
    <filename>SSL__Context_8h</filename>
    <includes id="SSL__Export_8h" name="SSL_Export.h" local="yes" imported="no">SSL_Export.h</includes>
    <includes id="SSL__Context_8inl" name="SSL_Context.inl" local="yes" imported="no">SSL_Context.inl</includes>
    <class kind="class">ACE_SSL_Data_File</class>
    <class kind="class">ACE_SSL_Context</class>
  </compound>
  <compound kind="file">
    <name>SSL_Context.inl</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/ace/SSL/</path>
    <filename>SSL__Context_8inl</filename>
  </compound>
  <compound kind="file">
    <name>SSL_Export.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/ace/SSL/</path>
    <filename>SSL__Export_8h</filename>
    <member kind="define">
      <type>#define</type>
      <name>ACE_SSL_EXPORT_H</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ACE_SSL_HAS_DLL</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ACE_SSL_Export</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ACE_SSL_SINGLETON_DECLARATION</name>
      <anchor>a3</anchor>
      <arglist>(T)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ACE_SSL_SINGLETON_DECLARE</name>
      <anchor>a4</anchor>
      <arglist>(SINGLETON_TYPE, CLASS, LOCK)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>SSL_SOCK.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/ace/SSL/</path>
    <filename>SSL__SOCK_8cpp</filename>
    <includes id="SSL__SOCK_8h" name="SSL_SOCK.h" local="yes" imported="no">SSL_SOCK.h</includes>
    <member kind="function">
      <type></type>
      <name>ACE_RCSID</name>
      <anchor>a0</anchor>
      <arglist>(ACE_SSL, SSL_SOCK,&quot;$Id: SSL_SOCK.cpp,v 1.8 2005/10/28 16:14:56 ossama Exp $&quot;) ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_SSL_SOCK</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>SSL_SOCK.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/ace/SSL/</path>
    <filename>SSL__SOCK_8h</filename>
    <includes id="SSL__Export_8h" name="SSL_Export.h" local="yes" imported="no">SSL_Export.h</includes>
    <includes id="SSL__SOCK_8i" name="SSL_SOCK.i" local="yes" imported="no">SSL_SOCK.i</includes>
    <class kind="class">ACE_SSL_SOCK</class>
    <member kind="define">
      <type>#define</type>
      <name>ACE_SSL_SOCK_ACCEPTOR</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ACE_SSL_SOCK_CONNECTOR</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ACE_SSL_SOCK_STREAM</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>SSL_SOCK.i</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/ace/SSL/</path>
    <filename>SSL__SOCK_8i</filename>
  </compound>
  <compound kind="file">
    <name>SSL_SOCK_Acceptor.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/ace/SSL/</path>
    <filename>SSL__SOCK__Acceptor_8cpp</filename>
    <includes id="SSL__SOCK__Acceptor_8h" name="SSL_SOCK_Acceptor.h" local="yes" imported="no">SSL_SOCK_Acceptor.h</includes>
    <member kind="function">
      <type></type>
      <name>ACE_RCSID</name>
      <anchor>a0</anchor>
      <arglist>(ACE_SSL, SSL_SOCK_Acceptor,&quot;$Id: SSL_SOCK_Acceptor.cpp,v 1.45 2005/11/27 12:11:35 ossama Exp $&quot;) ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_SSL_SOCK_Acceptor</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>SSL_SOCK_Acceptor.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/ace/SSL/</path>
    <filename>SSL__SOCK__Acceptor_8h</filename>
    <includes id="SSL__Export_8h" name="SSL_Export.h" local="yes" imported="no">SSL_Export.h</includes>
    <includes id="SSL__SOCK__Stream_8h" name="SSL_SOCK_Stream.h" local="yes" imported="no">SSL_SOCK_Stream.h</includes>
    <includes id="SSL__SOCK__Acceptor_8i" name="SSL_SOCK_Acceptor.i" local="yes" imported="no">SSL_SOCK_Acceptor.i</includes>
    <class kind="class">ACE_SSL_SOCK_Acceptor</class>
  </compound>
  <compound kind="file">
    <name>SSL_SOCK_Acceptor.i</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/ace/SSL/</path>
    <filename>SSL__SOCK__Acceptor_8i</filename>
  </compound>
  <compound kind="file">
    <name>SSL_SOCK_Connector.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/ace/SSL/</path>
    <filename>SSL__SOCK__Connector_8cpp</filename>
    <includes id="SSL__SOCK__Connector_8h" name="SSL_SOCK_Connector.h" local="yes" imported="no">SSL_SOCK_Connector.h</includes>
    <member kind="function">
      <type></type>
      <name>ACE_RCSID</name>
      <anchor>a0</anchor>
      <arglist>(ACE_SSL, SSL_SOCK_Connector,&quot;$Id: SSL_SOCK_Connector.cpp,v 1.48 2005/10/28 16:14:56 ossama Exp $&quot;) ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_SSL_SOCK_Connector</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>SSL_SOCK_Connector.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/ace/SSL/</path>
    <filename>SSL__SOCK__Connector_8h</filename>
    <includes id="SSL__Export_8h" name="SSL_Export.h" local="yes" imported="no">SSL_Export.h</includes>
    <includes id="SSL__SOCK__Stream_8h" name="SSL_SOCK_Stream.h" local="yes" imported="no">SSL_SOCK_Stream.h</includes>
    <includes id="SSL__SOCK__Connector_8i" name="SSL_SOCK_Connector.i" local="yes" imported="no">SSL_SOCK_Connector.i</includes>
    <class kind="class">ACE_SSL_SOCK_Connector</class>
  </compound>
  <compound kind="file">
    <name>SSL_SOCK_Connector.i</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/ace/SSL/</path>
    <filename>SSL__SOCK__Connector_8i</filename>
  </compound>
  <compound kind="file">
    <name>SSL_SOCK_Stream.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/ace/SSL/</path>
    <filename>SSL__SOCK__Stream_8cpp</filename>
    <includes id="SSL__SOCK__Stream_8h" name="SSL_SOCK_Stream.h" local="yes" imported="no">SSL_SOCK_Stream.h</includes>
    <member kind="function">
      <type></type>
      <name>ACE_RCSID</name>
      <anchor>a0</anchor>
      <arglist>(ACE_SSL, SSL_SOCK_Stream,&quot;$Id: SSL_SOCK_Stream.cpp,v 1.34 2006/02/09 17:03:20 jtc Exp $&quot;) ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_SSL_SOCK_Stream</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>SSL_SOCK_Stream.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/ace/SSL/</path>
    <filename>SSL__SOCK__Stream_8h</filename>
    <includes id="SSL__Export_8h" name="SSL_Export.h" local="yes" imported="no">SSL_Export.h</includes>
    <includes id="SSL__SOCK_8h" name="SSL_SOCK.h" local="yes" imported="no">SSL_SOCK.h</includes>
    <includes id="SSL__Context_8h" name="SSL_Context.h" local="yes" imported="no">SSL_Context.h</includes>
    <includes id="SSL__SOCK__Stream_8i" name="SSL_SOCK_Stream.i" local="yes" imported="no">SSL_SOCK_Stream.i</includes>
    <class kind="class">ACE_SSL_SOCK_Stream</class>
  </compound>
  <compound kind="file">
    <name>SSL_SOCK_Stream.i</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/ace/SSL/</path>
    <filename>SSL__SOCK__Stream_8i</filename>
  </compound>
  <compound kind="file">
    <name>sslconf.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/ace/SSL/</path>
    <filename>sslconf_8h</filename>
    <member kind="define">
      <type>#define</type>
      <name>ACE_DEFAULT_SSL_CERT_FILE</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ACE_DEFAULT_SSL_CERT_DIR</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ACE_SSL_CERT_FILE_ENV</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ACE_SSL_CERT_DIR_ENV</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ACE_SSL_EGD_FILE_ENV</name>
      <anchor>a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ACE_SSL_RAND_FILE_ENV</name>
      <anchor>a5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ACE_SSL_Asynch_Read_Stream_Result</name>
    <filename>classACE__SSL__Asynch__Read__Stream__Result.html</filename>
    <member kind="function" protection="protected">
      <type></type>
      <name>ACE_SSL_Asynch_Read_Stream_Result</name>
      <anchor>b0</anchor>
      <arglist>(ACE_Handler &amp;handler, ACE_HANDLE handle, ACE_Message_Block &amp;message_block, size_t bytes_to_read, const void *act, ACE_HANDLE event, int priority, int signal_number)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>ACE_SSL_Asynch_Stream</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ACE_SSL_Asynch_Result</name>
    <filename>classACE__SSL__Asynch__Result.html</filename>
    <member kind="function">
      <type></type>
      <name>ACE_SSL_Asynch_Result</name>
      <anchor>a0</anchor>
      <arglist>(ACE_Handler &amp;handler)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>complete</name>
      <anchor>a1</anchor>
      <arglist>(size_t bytes_transferred, int success, const void *completion_key, u_long error)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ACE_SSL_Asynch_Stream</name>
    <filename>classACE__SSL__Asynch__Stream.html</filename>
    <base>ACE_Asynch_Operation</base>
    <base>ACE_Service_Handler</base>
    <member kind="enumeration">
      <name>Stream_Type</name>
      <anchor>w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ST_CLIENT</name>
      <anchor>w2w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ST_SERVER</name>
      <anchor>w2w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ACE_SSL_Asynch_Stream</name>
      <anchor>a0</anchor>
      <arglist>(Stream_Type s_type=ST_SERVER, ACE_SSL_Context *context=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ACE_SSL_Asynch_Stream</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>cancel</name>
      <anchor>a2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>close</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>open</name>
      <anchor>a4</anchor>
      <arglist>(ACE_Handler &amp;handler, ACE_HANDLE handle=ACE_INVALID_HANDLE, const void *completion_key=0, ACE_Proactor *proactor=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>open</name>
      <anchor>a5</anchor>
      <arglist>(ACE_HANDLE new_handle, ACE_Message_Block &amp;message_block)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>read</name>
      <anchor>a6</anchor>
      <arglist>(ACE_Message_Block &amp;message_block, size_t num_bytes_to_read, const void *act=0, int priority=0, int signal_number=ACE_SIGRTMIN)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>write</name>
      <anchor>a7</anchor>
      <arglist>(ACE_Message_Block &amp;message_block, size_t bytes_to_write, const void *act=0, int priority=0, int signal_number=ACE_SIGRTMIN)</arglist>
    </member>
    <member kind="enumeration">
      <name>Stream_Flag</name>
      <anchor>x7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SF_STREAM_OPEN</name>
      <anchor>x7x0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SF_REQ_SHUTDOWN</name>
      <anchor>x7x1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SF_SHUTDOWN_DONE</name>
      <anchor>x7x2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SF_CLOSE_NTF_SENT</name>
      <anchor>x7x3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SF_DELETE_ENABLE</name>
      <anchor>x7x4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>BIO_Flag</name>
      <anchor>x8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>BF_EOS</name>
      <anchor>x8x5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>BF_AIO</name>
      <anchor>x8x6</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>handle_write_stream</name>
      <anchor>b0</anchor>
      <arglist>(const ACE_Asynch_Write_Stream::Result &amp;result)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>handle_read_stream</name>
      <anchor>b1</anchor>
      <arglist>(const ACE_Asynch_Read_Stream::Result &amp;result)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>handle_wakeup</name>
      <anchor>b2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>print_error</name>
      <anchor>b3</anchor>
      <arglist>(int err_ssl, const ACE_TCHAR *pText)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>pending_BIO_count</name>
      <anchor>b4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>notify_read</name>
      <anchor>b5</anchor>
      <arglist>(int bytes_transferred, int error)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>notify_write</name>
      <anchor>b6</anchor>
      <arglist>(int bytes_transferred, int error)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>notify_close</name>
      <anchor>b7</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>do_SSL_state_machine</name>
      <anchor>z2_0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>do_SSL_handshake</name>
      <anchor>z2_1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>do_SSL_read</name>
      <anchor>z2_2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>do_SSL_write</name>
      <anchor>z2_3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>do_SSL_shutdown</name>
      <anchor>z2_4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>ssl_bio_read</name>
      <anchor>z4_0</anchor>
      <arglist>(char *buf, size_t len, int &amp;errval)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>ssl_bio_write</name>
      <anchor>z4_1</anchor>
      <arglist>(const char *buf, size_t len, int &amp;errval)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Stream_Type</type>
      <name>type_</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_HANDLE</type>
      <name>handle_</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_Proactor *</type>
      <name>proactor_</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_Handler *</type>
      <name>ext_handler_</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_SSL_Asynch_Read_Stream_Result *</type>
      <name>ext_read_result_</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_SSL_Asynch_Write_Stream_Result *</type>
      <name>ext_write_result_</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>flags_</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>SSL *</type>
      <name>ssl_</name>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>BIO *</type>
      <name>bio_</name>
      <anchor>p8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_SYNCH_MUTEX</type>
      <name>mutex_</name>
      <anchor>p9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_Asynch_Read_Stream</type>
      <name>bio_istream_</name>
      <anchor>z6_0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_Message_Block</type>
      <name>bio_inp_msg_</name>
      <anchor>z6_1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>bio_inp_errno_</name>
      <anchor>z6_2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>bio_inp_flag_</name>
      <anchor>z6_3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_Asynch_Write_Stream</type>
      <name>bio_ostream_</name>
      <anchor>z8_0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_Message_Block</type>
      <name>bio_out_msg_</name>
      <anchor>z8_1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>bio_out_errno_</name>
      <anchor>z8_2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>bio_out_flag_</name>
      <anchor>z8_3</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>ACE_SSL_Asynch_Stream</name>
      <anchor>d0</anchor>
      <arglist>(ACE_SSL_Asynch_Stream const &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>ACE_SSL_Asynch_Stream &amp;</type>
      <name>operator=</name>
      <anchor>d1</anchor>
      <arglist>(ACE_SSL_Asynch_Stream const &amp;)</arglist>
    </member>
    <member kind="friend">
      <type>friend struct</type>
      <name>ACE_SSL_Asynch_Stream_Accessor</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>ACE_SSL_Asynch_Stream_Accessor</name>
    <filename>structACE__SSL__Asynch__Stream__Accessor.html</filename>
    <member kind="function" static="yes">
      <type>int</type>
      <name>read</name>
      <anchor>e0</anchor>
      <arglist>(ACE_SSL_Asynch_Stream *stream, char *buf, size_t len, int &amp;errval)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>write</name>
      <anchor>e1</anchor>
      <arglist>(ACE_SSL_Asynch_Stream *stream, const char *buf, size_t len, int &amp;errval)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ACE_SSL_Context</name>
    <filename>classACE__SSL__Context.html</filename>
    <member kind="enumvalue">
      <name>INVALID_METHOD</name>
      <anchor>w13w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SSLv2_client</name>
      <anchor>w13w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SSLv2_server</name>
      <anchor>w13w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SSLv2</name>
      <anchor>w13w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SSLv3_client</name>
      <anchor>w13w4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SSLv3_server</name>
      <anchor>w13w5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SSLv3</name>
      <anchor>w13w6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SSLv23_client</name>
      <anchor>w13w7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SSLv23_server</name>
      <anchor>w13w8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SSLv23</name>
      <anchor>w13w9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>TLSv1_client</name>
      <anchor>w13w10</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>TLSv1_server</name>
      <anchor>w13w11</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>TLSv1</name>
      <anchor>w13w12</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ACE_SSL_Context</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ACE_SSL_Context</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>set_mode</name>
      <anchor>a2</anchor>
      <arglist>(int mode=ACE_SSL_Context::SSLv23)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>get_mode</name>
      <anchor>a3</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>SSL_CTX *</type>
      <name>context</name>
      <anchor>a4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>private_key_type</name>
      <anchor>a5</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>private_key_file_name</name>
      <anchor>a6</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>private_key</name>
      <anchor>a7</anchor>
      <arglist>(const char *file_name, int type=SSL_FILETYPE_PEM)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>verify_private_key</name>
      <anchor>a8</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>certificate_type</name>
      <anchor>a9</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>certificate_file_name</name>
      <anchor>a10</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>certificate</name>
      <anchor>a11</anchor>
      <arglist>(const char *file_name, int type=SSL_FILETYPE_PEM)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>load_trusted_ca</name>
      <anchor>a12</anchor>
      <arglist>(const char *ca_file=0, const char *ca_dir=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>have_trusted_ca</name>
      <anchor>a13</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_verify_peer</name>
      <anchor>a14</anchor>
      <arglist>(int strict=0, int once=1, int depth=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>default_verify_mode</name>
      <anchor>a15</anchor>
      <arglist>(int mode)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>default_verify_mode</name>
      <anchor>a16</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>random_seed</name>
      <anchor>z10_0</anchor>
      <arglist>(const char *seed)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>egd_file</name>
      <anchor>z10_1</anchor>
      <arglist>(const char *socket_file)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>seed_file</name>
      <anchor>z10_2</anchor>
      <arglist>(const char *seed_file, long bytes=-1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>dh_params</name>
      <anchor>z12_0</anchor>
      <arglist>(const char *file_name, int type=SSL_FILETYPE_PEM)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>dh_params_file_name</name>
      <anchor>z12_1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>dh_params_file_type</name>
      <anchor>z12_2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>ACE_SSL_Context *</type>
      <name>instance</name>
      <anchor>e0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>report_error</name>
      <anchor>e1</anchor>
      <arglist>(unsigned long error_code)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>report_error</name>
      <anchor>e2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>check_context</name>
      <anchor>d0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>ssl_library_init</name>
      <anchor>d1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>ssl_library_fini</name>
      <anchor>d2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>ACE_SSL_Context</name>
      <anchor>z13_0</anchor>
      <arglist>(const ACE_SSL_Context &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>ACE_SSL_Context &amp;</type>
      <name>operator=</name>
      <anchor>z13_1</anchor>
      <arglist>(const ACE_SSL_Context &amp;)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>SSL_CTX *</type>
      <name>context_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>mode_</name>
      <anchor>r1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_SSL_Data_File</type>
      <name>private_key_</name>
      <anchor>r2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_SSL_Data_File</type>
      <name>certificate_</name>
      <anchor>r3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_SSL_Data_File</type>
      <name>dh_params_</name>
      <anchor>r4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>default_verify_mode_</name>
      <anchor>r5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>have_ca_</name>
      <anchor>r6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ACE_SSL_Data_File</name>
    <filename>classACE__SSL__Data__File.html</filename>
    <member kind="function">
      <type></type>
      <name>ACE_SSL_Data_File</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ACE_SSL_Data_File</name>
      <anchor>a1</anchor>
      <arglist>(const char *file_name, int type=SSL_FILETYPE_PEM)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>file_name</name>
      <anchor>a2</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>type</name>
      <anchor>a3</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_CString</type>
      <name>file_name_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>type_</name>
      <anchor>r1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ACE_SSL_SOCK</name>
    <filename>classACE__SSL__SOCK.html</filename>
    <base>ACE_SOCK</base>
    <member kind="function">
      <type>int</type>
      <name>set_option</name>
      <anchor>z14_0</anchor>
      <arglist>(int level, int option, void *optval, int optlen) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>get_option</name>
      <anchor>z14_1</anchor>
      <arglist>(int level, int option, void *optval, int *optlen) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>enable</name>
      <anchor>z14_2</anchor>
      <arglist>(int value) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>disable</name>
      <anchor>z14_3</anchor>
      <arglist>(int value) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_handle</name>
      <anchor>z14_4</anchor>
      <arglist>(ACE_HANDLE)</arglist>
    </member>
    <member kind="function">
      <type>ACE_HANDLE</type>
      <name>get_handle</name>
      <anchor>z14_5</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>control</name>
      <anchor>z14_6</anchor>
      <arglist>(int cmd, void *arg) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>ACE_SSL_SOCK</name>
      <anchor>b0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>~ACE_SSL_SOCK</name>
      <anchor>b1</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ACE_SSL_SOCK_Acceptor</name>
    <filename>classACE__SSL__SOCK__Acceptor.html</filename>
    <base>ACE_SSL_SOCK</base>
    <member kind="typedef">
      <type>ACE_INET_Addr</type>
      <name>PEER_ADDR</name>
      <anchor>z17_0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_SSL_SOCK_Stream</type>
      <name>PEER_STREAM</name>
      <anchor>z17_1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ACE_SSL_SOCK_Acceptor</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ACE_SSL_SOCK_Acceptor</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ACE_SSL_SOCK_Acceptor</name>
      <anchor>a2</anchor>
      <arglist>(const ACE_Addr &amp;local_sap, int reuse_addr=0, int protocol_family=PF_UNSPEC, int backlog=ACE_DEFAULT_BACKLOG, int protocol=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ACE_SSL_SOCK_Acceptor</name>
      <anchor>a3</anchor>
      <arglist>(const ACE_Addr &amp;local_sap, ACE_Protocol_Info *protocolinfo, ACE_SOCK_GROUP g, u_long flags, int reuse_addr, int protocol_family=PF_UNSPEC, int backlog=ACE_DEFAULT_BACKLOG, int protocol=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>open</name>
      <anchor>a4</anchor>
      <arglist>(const ACE_Addr &amp;local_sap, int reuse_addr=0, int protocol_family=PF_UNSPEC, int backlog=ACE_DEFAULT_BACKLOG, int protocol=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>close</name>
      <anchor>a5</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>accept</name>
      <anchor>z16_0</anchor>
      <arglist>(ACE_SSL_SOCK_Stream &amp;new_stream, ACE_Addr *remote_addr=0, ACE_Time_Value *timeout=0, int restart=1, int reset_new_handle=0) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>accept</name>
      <anchor>z16_1</anchor>
      <arglist>(ACE_SSL_SOCK_Stream &amp;new_stream, ACE_Accept_QoS_Params qos_params, ACE_Addr *remote_addr=0, ACE_Time_Value *timeout=0, int restart=1, int reset_new_handle=0) const </arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>ACE_ALLOC_HOOK_DECLARE</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>ssl_accept</name>
      <anchor>b0</anchor>
      <arglist>(ACE_SSL_SOCK_Stream &amp;new_stream, ACE_Time_Value *timeout) const </arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_SOCK_Acceptor</type>
      <name>acceptor_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ACE_SSL_SOCK_Connector</name>
    <filename>classACE__SSL__SOCK__Connector.html</filename>
    <member kind="typedef">
      <type>ACE_INET_Addr</type>
      <name>PEER_ADDR</name>
      <anchor>z18_0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_SSL_SOCK_Stream</type>
      <name>PEER_STREAM</name>
      <anchor>z18_1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ACE_SSL_SOCK_Connector</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ACE_SSL_SOCK_Connector</name>
      <anchor>a1</anchor>
      <arglist>(ACE_SSL_SOCK_Stream &amp;new_stream, const ACE_Addr &amp;remote_sap, const ACE_Time_Value *timeout=0, const ACE_Addr &amp;local_sap=ACE_Addr::sap_any, int reuse_addr=0, int flags=0, int perms=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ACE_SSL_SOCK_Connector</name>
      <anchor>a2</anchor>
      <arglist>(ACE_SSL_SOCK_Stream &amp;new_stream, const ACE_Addr &amp;remote_sap, ACE_QoS_Params qos_params, const ACE_Time_Value *timeout=0, const ACE_Addr &amp;local_sap=ACE_Addr::sap_any, ACE_Protocol_Info *protocolinfo=0, ACE_SOCK_GROUP g=0, u_long flags=0, int reuse_addr=0, int perms=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ACE_SSL_SOCK_Connector</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>connect</name>
      <anchor>a4</anchor>
      <arglist>(ACE_SSL_SOCK_Stream &amp;new_stream, const ACE_Addr &amp;remote_sap, const ACE_Time_Value *timeout=0, const ACE_Addr &amp;local_sap=ACE_Addr::sap_any, int reuse_addr=0, int flags=0, int perms=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>connect</name>
      <anchor>a5</anchor>
      <arglist>(ACE_SSL_SOCK_Stream &amp;new_stream, const ACE_Addr &amp;remote_sap, ACE_QoS_Params qos_params, const ACE_Time_Value *timeout=0, const ACE_Addr &amp;local_sap=ACE_Addr::sap_any, ACE_Protocol_Info *protocolinfo=0, ACE_SOCK_GROUP g=0, u_long flags=0, int reuse_addr=0, int perms=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>complete</name>
      <anchor>a6</anchor>
      <arglist>(ACE_SSL_SOCK_Stream &amp;new_stream, ACE_Addr *remote_sap=0, const ACE_Time_Value *timeout=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>reset_new_handle</name>
      <anchor>a7</anchor>
      <arglist>(ACE_HANDLE handle)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>dump</name>
      <anchor>a8</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>ACE_ALLOC_HOOK_DECLARE</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>ssl_connect</name>
      <anchor>b0</anchor>
      <arglist>(ACE_SSL_SOCK_Stream &amp;new_stream, const ACE_Time_Value *timeout)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_SOCK_Connector</type>
      <name>connector_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ACE_SSL_SOCK_Stream</name>
    <filename>classACE__SSL__SOCK__Stream.html</filename>
    <base>ACE_SSL_SOCK</base>
    <member kind="typedef">
      <type>ACE_INET_Addr</type>
      <name>PEER_ADDR</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ACE_SSL_SOCK_Stream</name>
      <anchor>a0</anchor>
      <arglist>(ACE_SSL_Context *context=ACE_SSL_Context::instance())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ACE_SSL_SOCK_Stream</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>ssize_t</type>
      <name>send</name>
      <anchor>a2</anchor>
      <arglist>(const void *buf, size_t n, int flags) const </arglist>
    </member>
    <member kind="function">
      <type>ssize_t</type>
      <name>recv</name>
      <anchor>a3</anchor>
      <arglist>(void *buf, size_t n, int flags) const </arglist>
    </member>
    <member kind="function">
      <type>ssize_t</type>
      <name>send</name>
      <anchor>a4</anchor>
      <arglist>(const void *buf, size_t n) const </arglist>
    </member>
    <member kind="function">
      <type>ssize_t</type>
      <name>recv</name>
      <anchor>a5</anchor>
      <arglist>(void *buf, size_t n) const </arglist>
    </member>
    <member kind="function">
      <type>ssize_t</type>
      <name>sendv</name>
      <anchor>a6</anchor>
      <arglist>(const iovec iov[], size_t n, const ACE_Time_Value *timeout=0) const </arglist>
    </member>
    <member kind="function">
      <type>ssize_t</type>
      <name>recvv</name>
      <anchor>a7</anchor>
      <arglist>(iovec *io_vec, const ACE_Time_Value *timeout=0) const </arglist>
    </member>
    <member kind="function">
      <type>ssize_t</type>
      <name>send</name>
      <anchor>a8</anchor>
      <arglist>(const void *buf, size_t n, int flags, const ACE_Time_Value *timeout) const </arglist>
    </member>
    <member kind="function">
      <type>ssize_t</type>
      <name>recv</name>
      <anchor>a9</anchor>
      <arglist>(void *buf, size_t n, int flags, const ACE_Time_Value *timeout) const </arglist>
    </member>
    <member kind="function">
      <type>ssize_t</type>
      <name>send</name>
      <anchor>a10</anchor>
      <arglist>(const void *buf, size_t n, const ACE_Time_Value *timeout) const </arglist>
    </member>
    <member kind="function">
      <type>ssize_t</type>
      <name>recv</name>
      <anchor>a11</anchor>
      <arglist>(void *buf, size_t n, const ACE_Time_Value *timeout) const </arglist>
    </member>
    <member kind="function">
      <type>ssize_t</type>
      <name>send</name>
      <anchor>a12</anchor>
      <arglist>(size_t n,...) const </arglist>
    </member>
    <member kind="function">
      <type>ssize_t</type>
      <name>recv</name>
      <anchor>a13</anchor>
      <arglist>(size_t n,...) const </arglist>
    </member>
    <member kind="function">
      <type>ssize_t</type>
      <name>send_n</name>
      <anchor>a14</anchor>
      <arglist>(const void *buf, int n) const </arglist>
    </member>
    <member kind="function">
      <type>ssize_t</type>
      <name>recv_n</name>
      <anchor>a15</anchor>
      <arglist>(void *buf, int n) const </arglist>
    </member>
    <member kind="function">
      <type>ssize_t</type>
      <name>sendv_n</name>
      <anchor>a16</anchor>
      <arglist>(const iovec iov[], size_t n) const </arglist>
    </member>
    <member kind="function">
      <type>ssize_t</type>
      <name>recvv_n</name>
      <anchor>a17</anchor>
      <arglist>(iovec iov[], size_t n) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>close</name>
      <anchor>a18</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_handle</name>
      <anchor>a19</anchor>
      <arglist>(ACE_HANDLE fd)</arglist>
    </member>
    <member kind="function">
      <type>SSL *</type>
      <name>ssl</name>
      <anchor>a20</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>get_remote_addr</name>
      <anchor>a21</anchor>
      <arglist>(ACE_Addr &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>ACE_SOCK_Stream &amp;</type>
      <name>peer</name>
      <anchor>a22</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>ssize_t</type>
      <name>send_n</name>
      <anchor>z19_0</anchor>
      <arglist>(const void *buf, int n, int flags) const </arglist>
    </member>
    <member kind="function">
      <type>ssize_t</type>
      <name>recv_n</name>
      <anchor>z19_1</anchor>
      <arglist>(void *buf, int n, int flags) const </arglist>
    </member>
    <member kind="function">
      <type>ssize_t</type>
      <name>send_n</name>
      <anchor>z19_2</anchor>
      <arglist>(const void *buf, size_t len, int flags, const ACE_Time_Value *timeout, size_t *bytes_transferred=0) const </arglist>
    </member>
    <member kind="function">
      <type>ssize_t</type>
      <name>recv_n</name>
      <anchor>z19_3</anchor>
      <arglist>(void *buf, size_t len, int flags, const ACE_Time_Value *timeout, size_t *bytes_transferred=0) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>close_reader</name>
      <anchor>z20_0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>close_writer</name>
      <anchor>z20_1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>ACE_ALLOC_HOOK_DECLARE</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>ssize_t</type>
      <name>send_i</name>
      <anchor>b0</anchor>
      <arglist>(const void *buf, size_t n, int flags) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>ssize_t</type>
      <name>recv_i</name>
      <anchor>b1</anchor>
      <arglist>(void *buf, size_t n, int flags, const ACE_Time_Value *timeout) const </arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_UNIMPLEMENTED_FUNC(void operator=(const ACE_SSL_SOCK_Stream &amp;)) ACE_UNIMPLEMENTED_FUNC(ACE_SSL_SOCK_Stream(const ACE_SSL_SOCK_Stream &amp;)) protected ACE_SOCK_Stream</type>
      <name>stream_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>c</name>
    <filename>structc.html</filename>
  </compound>
  <compound kind="dir">
    <name>ace/</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/ace/</path>
    <filename>dir_000000.html</filename>
    <dir>ace/SSL/</dir>
  </compound>
  <compound kind="dir">
    <name>ace/SSL/</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/ace/SSL/</path>
    <filename>dir_000001.html</filename>
    <file>SSL_Asynch_BIO.cpp</file>
    <file>SSL_Asynch_BIO.h</file>
    <file>SSL_Asynch_Stream.cpp</file>
    <file>SSL_Asynch_Stream.h</file>
    <file>SSL_Context.cpp</file>
    <file>SSL_Context.h</file>
    <file>SSL_Context.inl</file>
    <file>SSL_Export.h</file>
    <file>SSL_SOCK.cpp</file>
    <file>SSL_SOCK.h</file>
    <file>SSL_SOCK.i</file>
    <file>SSL_SOCK_Acceptor.cpp</file>
    <file>SSL_SOCK_Acceptor.h</file>
    <file>SSL_SOCK_Acceptor.i</file>
    <file>SSL_SOCK_Connector.cpp</file>
    <file>SSL_SOCK_Connector.h</file>
    <file>SSL_SOCK_Connector.i</file>
    <file>SSL_SOCK_Stream.cpp</file>
    <file>SSL_SOCK_Stream.h</file>
    <file>SSL_SOCK_Stream.i</file>
    <file>sslconf.h</file>
  </compound>
</tagfile>
