<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="file">
    <name>Assembly_Handlers.cpp</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/XML_Helpers/</path>
    <filename>Assembly__Handlers_8cpp</filename>
    <includes id="Assembly__Handlers_8h" name="Assembly_Handlers.h" local="yes" imported="no">Assembly_Handlers.h</includes>
    <includes id="Assembly__Handlers_8inl" name="Assembly_Handlers.inl" local="yes" imported="no">Assembly_Handlers.inl</includes>
  </compound>
  <compound kind="file">
    <name>Assembly_Handlers.h</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/XML_Helpers/</path>
    <filename>Assembly__Handlers_8h</filename>
    <includes id="Cascadable__DocHandler_8h" name="Cascadable_DocHandler.h" local="yes" imported="no">Cascadable_DocHandler.h</includes>
    <includes id="XML__Utils_8h" name="XML_Utils.h" local="yes" imported="no">XML_Utils.h</includes>
    <namespace>CIAO</namespace>
    <class kind="class">CIAO::Assembly_Handler</class>
    <class kind="class">CIAO::Comp_File_Handler</class>
    <class kind="class">CIAO::Partitioning_Handler</class>
    <class kind="class">CIAO::Connections_Handler</class>
  </compound>
  <compound kind="file">
    <name>Assembly_Handlers.inl</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/XML_Helpers/</path>
    <filename>Assembly__Handlers_8inl</filename>
  </compound>
  <compound kind="file">
    <name>Assembly_Spec.cpp</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/XML_Helpers/</path>
    <filename>Assembly__Spec_8cpp</filename>
    <includes id="Assembly__Spec_8h" name="Assembly_Spec.h" local="yes" imported="no">Assembly_Spec.h</includes>
    <includes id="Assembly__Spec_8inl" name="Assembly_Spec.inl" local="yes" imported="no">Assembly_Spec.inl</includes>
  </compound>
  <compound kind="file">
    <name>Assembly_Spec.h</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/XML_Helpers/</path>
    <filename>Assembly__Spec_8h</filename>
    <includes id="XML__Helpers__Export_8h" name="XML_Helpers_Export.h" local="yes" imported="no">XML_Helpers_Export.h</includes>
    <namespace>CIAO</namespace>
    <namespace>CIAO::Assembly_Placement</namespace>
    <namespace>CIAO::Assembly_Connection</namespace>
    <class kind="class">CIAO::Assembly_Placement::Node</class>
    <class kind="class">CIAO::Assembly_Placement::Container</class>
    <class kind="class">CIAO::Assembly_Placement::componentinstantiation</class>
    <class kind="struct">CIAO::Assembly_Placement::componentinstantiation::_register_info</class>
    <class kind="class">CIAO::Assembly_Placement::homeplacement</class>
    <class kind="struct">CIAO::Assembly_Placement::homeplacement::_register_info</class>
    <class kind="class">CIAO::Assembly_Placement::hostcollocation</class>
    <class kind="class">CIAO::Assembly_Placement::processcollocation</class>
    <class kind="class">CIAO::Assembly_Placement::Visitor</class>
    <class kind="class">CIAO::Assembly_Connection::IF_Resolver_Info</class>
    <class kind="struct">CIAO::Assembly_Connection::_CII</class>
    <class kind="struct">CIAO::_ASpec</class>
    <member kind="typedef">
      <type>ACE_Hash_Map_Manager_Ex&lt; ACE_CString, ACE_CString, ACE_Hash&lt; ACE_CString &gt;, ACE_Equal_To&lt; ACE_CString &gt;, ACE_Null_Mutex &gt;</type>
      <name>ID_IMPL_MAP</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>enum CIAO::Assembly_Placement::_nodetype</type>
      <name>Node_Type</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>enum CIAO::Assembly_Connection::_if_resolution</type>
      <name>IF_Resolution_Method</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>enum CIAO::Assembly_Connection::_conxion_type</type>
      <name>Connection_Type</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>CIAO_XML_HELPERS_Export CIAO::Assembly_Connection::_CII</type>
      <name>Connect_Info</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>CIAO_XML_HELPERS_Export CIAO::_ASpec</type>
      <name>Assembly_Spec</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>_nodetype</name>
      <anchor>a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>INVALID_NODE</name>
      <anchor>a7a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>INVALID_CONTAINER</name>
      <anchor>a7a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>HOST</name>
      <anchor>a7a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>PROCESS</name>
      <anchor>a7a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>HOME</name>
      <anchor>a7a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>COMPONENT</name>
      <anchor>a7a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>_if_resolution</name>
      <anchor>a16</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>PROVIDER</name>
      <anchor>a16a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>CONSUMER</name>
      <anchor>a16a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>COMP_IDREF</name>
      <anchor>a16a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>HOME_IDREF</name>
      <anchor>a16a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NAMINGSERVICE</name>
      <anchor>a16a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>STRINGIFIEDOBJECTREF</name>
      <anchor>a16a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>HOMEFINDER</name>
      <anchor>a16a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>TRADERQUERY</name>
      <anchor>a16a10</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>_conxion_type</name>
      <anchor>a17</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>INTERFACE</name>
      <anchor>a17a11</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>EMITTER_CONSUMER</name>
      <anchor>a17a12</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>PUBLISHER_CONSUMER</name>
      <anchor>a17a13</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>HOME</name>
      <anchor>a17a14</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>INVALID_CONN</name>
      <anchor>a17a15</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Assembly_Spec.inl</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/XML_Helpers/</path>
    <filename>Assembly__Spec_8inl</filename>
  </compound>
  <compound kind="file">
    <name>Cascadable_DocHandler.cpp</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/XML_Helpers/</path>
    <filename>Cascadable__DocHandler_8cpp</filename>
    <includes id="Cascadable__DocHandler_8h" name="Cascadable_DocHandler.h" local="yes" imported="no">Cascadable_DocHandler.h</includes>
    <includes id="Cascadable__DocHandler_8i" name="Cascadable_DocHandler.i" local="yes" imported="no">Cascadable_DocHandler.i</includes>
  </compound>
  <compound kind="file">
    <name>Cascadable_DocHandler.h</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/XML_Helpers/</path>
    <filename>Cascadable__DocHandler_8h</filename>
    <includes id="XML__Helpers__Export_8h" name="XML_Helpers_Export.h" local="yes" imported="no">XML_Helpers_Export.h</includes>
    <namespace>CIAO</namespace>
    <namespace>CIAO::XMLHelpers</namespace>
    <class kind="class">CIAO::XMLHelpers::Cascadable_DocHandler</class>
    <class kind="class">CIAO::XMLHelpers::Skip_DocHandler</class>
  </compound>
  <compound kind="file">
    <name>Cascadable_DocHandler.i</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/XML_Helpers/</path>
    <filename>Cascadable__DocHandler_8i</filename>
  </compound>
  <compound kind="file">
    <name>main.cpp</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/XML_Helpers/</path>
    <filename>main_8cpp</filename>
    <includes id="XML__Utils_8h" name="XML_Utils.h" local="yes" imported="no">XML_Utils.h</includes>
  </compound>
  <compound kind="file">
    <name>RTConfig_Handlers.cpp</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/XML_Helpers/</path>
    <filename>RTConfig__Handlers_8cpp</filename>
    <includes id="RTConfig__Handlers_8h" name="RTConfig_Handlers.h" local="yes" imported="no">RTConfig_Handlers.h</includes>
    <includes id="RTConfig__Handlers_8inl" name="RTConfig_Handlers.inl" local="yes" imported="no">RTConfig_Handlers.inl</includes>
  </compound>
  <compound kind="file">
    <name>RTConfig_Handlers.h</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/XML_Helpers/</path>
    <filename>RTConfig__Handlers_8h</filename>
    <includes id="Cascadable__DocHandler_8h" name="Cascadable_DocHandler.h" local="yes" imported="no">Cascadable_DocHandler.h</includes>
    <includes id="XML__Utils_8h" name="XML_Utils.h" local="yes" imported="no">XML_Utils.h</includes>
    <namespace>CIAO</namespace>
    <class kind="class">CIAO::RTConfig_Handler</class>
  </compound>
  <compound kind="file">
    <name>RTConfig_Handlers.inl</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/XML_Helpers/</path>
    <filename>RTConfig__Handlers_8inl</filename>
  </compound>
  <compound kind="file">
    <name>RTConfiguration.idl</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/XML_Helpers/</path>
    <filename>RTConfiguration_8idl</filename>
    <namespace>CIAO</namespace>
    <namespace>CIAO::RTConfiguration</namespace>
    <class kind="struct">CIAO::RTConfiguration::ThreadPool_Configuration</class>
    <class kind="struct">CIAO::RTConfiguration::ThreadPoolLanes_Configuration</class>
    <class kind="struct">CIAO::RTConfiguration::PriorityBands_Configuration</class>
    <class kind="struct">CIAO::RTConfiguration::RTORB_Resource_Info</class>
    <class kind="struct">CIAO::RTConfiguration::Priority_Model_Config</class>
    <class kind="struct">CIAO::RTConfiguration::Policy_Config</class>
    <class kind="struct">CIAO::RTConfiguration::Policy_Set</class>
    <member kind="typedef">
      <type>sequence&lt; ThreadPool_Configuration &gt;</type>
      <name>ThreadPool_Configurations</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; ThreadPoolLanes_Configuration &gt;</type>
      <name>ThreadPoolLanes_Configurations</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; PriorityBands_Configuration &gt;</type>
      <name>PriorityBands_Configurations</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; Policy_Config &gt;</type>
      <name>Policy_Configs</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; Policy_Set &gt;</type>
      <name>Policy_Sets</name>
      <anchor>a4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>RTConfiguration_Stubs.cpp</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/XML_Helpers/</path>
    <filename>RTConfiguration__Stubs_8cpp</filename>
  </compound>
  <compound kind="file">
    <name>Softpkg_Handlers.cpp</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/XML_Helpers/</path>
    <filename>Softpkg__Handlers_8cpp</filename>
    <includes id="Softpkg__Handlers_8h" name="Softpkg_Handlers.h" local="yes" imported="no">Softpkg_Handlers.h</includes>
    <includes id="Softpkg__Handlers_8inl" name="Softpkg_Handlers.inl" local="yes" imported="no">Softpkg_Handlers.inl</includes>
  </compound>
  <compound kind="file">
    <name>Softpkg_Handlers.h</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/XML_Helpers/</path>
    <filename>Softpkg__Handlers_8h</filename>
    <includes id="XML__Helpers__Export_8h" name="XML_Helpers_Export.h" local="yes" imported="no">XML_Helpers_Export.h</includes>
    <includes id="Cascadable__DocHandler_8h" name="Cascadable_DocHandler.h" local="yes" imported="no">Cascadable_DocHandler.h</includes>
    <namespace>CIAO</namespace>
    <class kind="class">CIAO::Softpkg_Handler</class>
    <class kind="struct">CIAO::Softpkg_Handler::Struct_Softpkg_Info</class>
  </compound>
  <compound kind="file">
    <name>Softpkg_Handlers.inl</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/XML_Helpers/</path>
    <filename>Softpkg__Handlers_8inl</filename>
  </compound>
  <compound kind="file">
    <name>Svcconf_Handler.cpp</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/XML_Helpers/</path>
    <filename>Svcconf__Handler_8cpp</filename>
    <includes id="Svcconf__Handler_8h" name="Svcconf_Handler.h" local="yes" imported="no">Svcconf_Handler.h</includes>
    <includes id="Svcconf__Handler_8i" name="Svcconf_Handler.i" local="yes" imported="no">Svcconf_Handler.i</includes>
  </compound>
  <compound kind="file">
    <name>Svcconf_Handler.h</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/XML_Helpers/</path>
    <filename>Svcconf__Handler_8h</filename>
    <includes id="Cascadable__DocHandler_8h" name="Cascadable_DocHandler.h" local="yes" imported="no">Cascadable_DocHandler.h</includes>
    <class kind="class">ACE_Parsed_Info</class>
    <class kind="class">Svcconf_Handler</class>
  </compound>
  <compound kind="file">
    <name>Svcconf_Handler.i</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/XML_Helpers/</path>
    <filename>Svcconf__Handler_8i</filename>
  </compound>
  <compound kind="file">
    <name>XML_Helpers_Export.h</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/XML_Helpers/</path>
    <filename>XML__Helpers__Export_8h</filename>
    <member kind="define">
      <type>#define</type>
      <name>CIAO_XML_HELPERS_HAS_DLL</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>CIAO_XML_HELPERS_Export</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>CIAO_XML_HELPERS_SINGLETON_DECLARATION</name>
      <anchor>a2</anchor>
      <arglist>(T)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>CIAO_XML_HELPERS_SINGLETON_DECLARE</name>
      <anchor>a3</anchor>
      <arglist>(SINGLETON_TYPE, CLASS, LOCK)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>CIAO_XML_HELPERS_NTRACE</name>
      <anchor>a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>CIAO_XML_HELPERS_TRACE</name>
      <anchor>a5</anchor>
      <arglist>(X)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>XML_Utils.cpp</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/XML_Helpers/</path>
    <filename>XML__Utils_8cpp</filename>
    <includes id="XML__Utils_8h" name="XML_Utils.h" local="yes" imported="no">XML_Utils.h</includes>
    <includes id="Assembly__Handlers_8h" name="Assembly_Handlers.h" local="yes" imported="no">Assembly_Handlers.h</includes>
    <includes id="RTConfig__Handlers_8h" name="RTConfig_Handlers.h" local="yes" imported="no">RTConfig_Handlers.h</includes>
  </compound>
  <compound kind="file">
    <name>XML_Utils.h</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/XML_Helpers/</path>
    <filename>XML__Utils_8h</filename>
    <includes id="XML__Helpers__Export_8h" name="XML_Helpers_Export.h" local="yes" imported="no">XML_Helpers_Export.h</includes>
    <includes id="Softpkg__Handlers_8h" name="Softpkg_Handlers.h" local="yes" imported="no">Softpkg_Handlers.h</includes>
    <includes id="Assembly__Spec_8h" name="Assembly_Spec.h" local="yes" imported="no">Assembly_Spec.h</includes>
    <namespace>CIAO</namespace>
    <class kind="class">CIAO::XML_Utils</class>
  </compound>
  <compound kind="class">
    <name>ACE_Parsed_Info</name>
    <filename>classACE__Parsed__Info.html</filename>
    <member kind="enumeration">
      <name>Service_Type</name>
      <anchor>w4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>MODULE_TYPE</name>
      <anchor>w4w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SERVICE_OBJECT_TYPE</name>
      <anchor>w4w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>STREAM_TYPE</name>
      <anchor>w4w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>INVALID_TYPE</name>
      <anchor>w4w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ACE_Parsed_Info</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ACE_Parsed_Info</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>name</name>
      <anchor>a2</anchor>
      <arglist>(const ACEXML_Char *n)</arglist>
    </member>
    <member kind="function">
      <type>const ACEXML_Char *</type>
      <name>name</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>service_type</name>
      <anchor>a4</anchor>
      <arglist>(Service_Type type)</arglist>
    </member>
    <member kind="function">
      <type>Service_Type</type>
      <name>service_type</name>
      <anchor>a5</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>active</name>
      <anchor>a6</anchor>
      <arglist>(int a)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>active</name>
      <anchor>a7</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>path</name>
      <anchor>a8</anchor>
      <arglist>(const ACEXML_Char *n)</arglist>
    </member>
    <member kind="function">
      <type>const ACEXML_Char *</type>
      <name>path</name>
      <anchor>a9</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>init_func</name>
      <anchor>a10</anchor>
      <arglist>(const ACEXML_Char *n)</arglist>
    </member>
    <member kind="function">
      <type>const ACEXML_Char *</type>
      <name>init_func</name>
      <anchor>a11</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>init_params</name>
      <anchor>a12</anchor>
      <arglist>(const ACEXML_Char *n)</arglist>
    </member>
    <member kind="function">
      <type>const ACEXML_Char *</type>
      <name>init_params</name>
      <anchor>a13</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchor>a14</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACEXML_Char *</type>
      <name>name_</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Service_Type</type>
      <name>service_type_</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>active_</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACEXML_Char *</type>
      <name>path_</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACEXML_Char *</type>
      <name>init_func_</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACEXML_Char *</type>
      <name>init_params_</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Svcconf_Handler</name>
    <filename>classSvcconf__Handler.html</filename>
    <base>CIAO::XMLHelpers::Cascadable_DocHandler</base>
    <member kind="function">
      <type></type>
      <name>Svcconf_Handler</name>
      <anchor>a0</anchor>
      <arglist>(ACEXML_XMLReader *parser, CIAO::XMLHelpers::Cascadable_DocHandler *parent, const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Svcconf_Handler</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>characters</name>
      <anchor>a2</anchor>
      <arglist>(const ACEXML_Char *ch, int start, int length ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>endDocument</name>
      <anchor>a3</anchor>
      <arglist>(ACEXML_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>endElement</name>
      <anchor>a4</anchor>
      <arglist>(const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>endPrefixMapping</name>
      <anchor>a5</anchor>
      <arglist>(const ACEXML_Char *prefix ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>ignorableWhitespace</name>
      <anchor>a6</anchor>
      <arglist>(const ACEXML_Char *ch, int start, int length ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>processingInstruction</name>
      <anchor>a7</anchor>
      <arglist>(const ACEXML_Char *target, const ACEXML_Char *data ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setDocumentLocator</name>
      <anchor>a8</anchor>
      <arglist>(ACEXML_Locator *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>skippedEntity</name>
      <anchor>a9</anchor>
      <arglist>(const ACEXML_Char *name ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>startDocument</name>
      <anchor>a10</anchor>
      <arglist>(ACEXML_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>startElement</name>
      <anchor>a11</anchor>
      <arglist>(const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>startPrefixMapping</name>
      <anchor>a12</anchor>
      <arglist>(const ACEXML_Char *prefix, const ACEXML_Char *uri ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>notationDecl</name>
      <anchor>a13</anchor>
      <arglist>(const ACEXML_Char *name, const ACEXML_Char *publicId, const ACEXML_Char *systemId ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>unparsedEntityDecl</name>
      <anchor>a14</anchor>
      <arglist>(const ACEXML_Char *name, const ACEXML_Char *publicId, const ACEXML_Char *systemId, const ACEXML_Char *notationName ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual ACEXML_InputSource *</type>
      <name>resolveEntity</name>
      <anchor>a15</anchor>
      <arglist>(const ACEXML_Char *publicId, const ACEXML_Char *systemId ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>error</name>
      <anchor>a16</anchor>
      <arglist>(ACEXML_SAXParseException &amp;exception ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fatalError</name>
      <anchor>a17</anchor>
      <arglist>(ACEXML_SAXParseException &amp;exception ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>warning</name>
      <anchor>a18</anchor>
      <arglist>(ACEXML_SAXParseException &amp;exception ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>get_stream_id</name>
      <anchor>b0</anchor>
      <arglist>(ACEXML_Attributes *alist ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>get_id</name>
      <anchor>b1</anchor>
      <arglist>(ACEXML_Attributes *alist ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>get_dynamic_attrs</name>
      <anchor>b2</anchor>
      <arglist>(ACEXML_Attributes *alist ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>get_initializer_attrs</name>
      <anchor>b3</anchor>
      <arglist>(ACEXML_Attributes *alist ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>get_static_attrs</name>
      <anchor>b4</anchor>
      <arglist>(ACEXML_Attributes *alist ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>in_stream_def_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>in_module_</name>
      <anchor>r1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_Parsed_Info</type>
      <name>parsed_info_</name>
      <anchor>r2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_Parsed_Info</type>
      <name>stream_info_</name>
      <anchor>r3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>TAO/CIAO/</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/</path>
    <filename>dir_000001.html</filename>
    <dir>TAO/CIAO/tools/</dir>
  </compound>
  <compound kind="dir">
    <name>TAO/</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/</path>
    <filename>dir_000000.html</filename>
    <dir>TAO/CIAO/</dir>
  </compound>
  <compound kind="dir">
    <name>TAO/CIAO/tools/</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/</path>
    <filename>dir_000002.html</filename>
    <dir>TAO/CIAO/tools/XML_Helpers/</dir>
  </compound>
  <compound kind="dir">
    <name>TAO/CIAO/tools/XML_Helpers/</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/XML_Helpers/</path>
    <filename>dir_000003.html</filename>
    <file>Assembly_Handlers.cpp</file>
    <file>Assembly_Handlers.h</file>
    <file>Assembly_Handlers.inl</file>
    <file>Assembly_Spec.cpp</file>
    <file>Assembly_Spec.h</file>
    <file>Assembly_Spec.inl</file>
    <file>Cascadable_DocHandler.cpp</file>
    <file>Cascadable_DocHandler.h</file>
    <file>Cascadable_DocHandler.i</file>
    <file>main.cpp</file>
    <file>RTConfig_Handlers.cpp</file>
    <file>RTConfig_Handlers.h</file>
    <file>RTConfig_Handlers.inl</file>
    <file>RTConfiguration.idl</file>
    <file>RTConfiguration_Stubs.cpp</file>
    <file>Softpkg_Handlers.cpp</file>
    <file>Softpkg_Handlers.h</file>
    <file>Softpkg_Handlers.inl</file>
    <file>Svcconf_Handler.cpp</file>
    <file>Svcconf_Handler.h</file>
    <file>Svcconf_Handler.i</file>
    <file>XML_Helpers_Export.h</file>
    <file>XML_Utils.cpp</file>
    <file>XML_Utils.h</file>
  </compound>
  <compound kind="namespace">
    <name>CIAO</name>
    <filename>namespaceCIAO.html</filename>
    <class kind="class">CIAO::Assembly_Handler</class>
    <class kind="class">CIAO::Comp_File_Handler</class>
    <class kind="class">CIAO::Partitioning_Handler</class>
    <class kind="class">CIAO::Connections_Handler</class>
    <class kind="struct">CIAO::_ASpec</class>
    <class kind="class">CIAO::RTConfig_Handler</class>
    <class kind="class">CIAO::Softpkg_Handler</class>
    <class kind="struct">CIAO::Softpkg_Handler::Struct_Softpkg_Info</class>
    <class kind="class">CIAO::XML_Utils</class>
    <class kind="class">CIAO::Svcconf_Handler</class>
    <class kind="struct">CIAO::Softpkg_Handler::Softpkg_Info</class>
    <class kind="class">CIAO::Utils</class>
    <member kind="typedef">
      <type>ACE_Hash_Map_Manager_Ex&lt; ACE_CString, ACE_CString, ACE_Hash&lt; ACE_CString &gt;, ACE_Equal_To&lt; ACE_CString &gt;, ACE_Null_Mutex &gt;</type>
      <name>ID_IMPL_MAP</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>CIAO_XML_HELPERS_Export CIAO::_ASpec</type>
      <name>Assembly_Spec</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CIAO::Assembly_Handler</name>
    <filename>classCIAO_1_1Assembly__Handler.html</filename>
    <base>CIAO::XMLHelpers::Cascadable_DocHandler</base>
    <member kind="enumeration">
      <name>CS_States</name>
      <anchor>w5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>START</name>
      <anchor>w5w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>COMPONENTFILES_DONE</name>
      <anchor>w5w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>PLACEMENT_DONE</name>
      <anchor>w5w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>CONNECTION_DONE</name>
      <anchor>w5w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>DONE</name>
      <anchor>w5w4</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Assembly_Handler</name>
      <anchor>a0</anchor>
      <arglist>(ACEXML_XMLReader *parser, Assembly_Spec *spec ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Assembly_Handler</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>characters</name>
      <anchor>a2</anchor>
      <arglist>(const ACEXML_Char *ch, int start, int length ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>endElement</name>
      <anchor>a3</anchor>
      <arglist>(const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>startElement</name>
      <anchor>a4</anchor>
      <arglist>(const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Assembly_Spec *</type>
      <name>context_</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CS_States</type>
      <name>state_</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CIAO::Comp_File_Handler</name>
    <filename>classCIAO_1_1Comp__File__Handler.html</filename>
    <base>CIAO::XMLHelpers::Cascadable_DocHandler</base>
    <member kind="enumeration">
      <name>CF_States</name>
      <anchor>w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>START</name>
      <anchor>w1w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Comp_File_Handler</name>
      <anchor>a0</anchor>
      <arglist>(Assembly_Spec *spec, ACEXML_XMLReader *parser, CIAO::XMLHelpers::Cascadable_DocHandler *parent, const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Comp_File_Handler</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>endElement</name>
      <anchor>a2</anchor>
      <arglist>(const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>startElement</name>
      <anchor>a3</anchor>
      <arglist>(const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>long</type>
      <name>element_count_</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Assembly_Spec *</type>
      <name>context_</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_CString</type>
      <name>id_</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_CString</type>
      <name>fileinarchive_</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CF_States</type>
      <name>state_</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CIAO::Partitioning_Handler</name>
    <filename>classCIAO_1_1Partitioning__Handler.html</filename>
    <base>CIAO::XMLHelpers::Cascadable_DocHandler</base>
    <member kind="enumeration">
      <name>PH_States</name>
      <anchor>w8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>START</name>
      <anchor>w8w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>HOMEPLACEMENT</name>
      <anchor>w8w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>COMPONENT_INSTANTIATION</name>
      <anchor>w8w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>CHAR_States</name>
      <anchor>w9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>IDLE</name>
      <anchor>w9w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>DESTINATION</name>
      <anchor>w9w4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>EXT_Types</name>
      <anchor>w10</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>CAT_FILE_NAME</name>
      <anchor>w10w5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RTPOLICYSET_NAME</name>
      <anchor>w10w6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>INVALID_EXT</name>
      <anchor>w10w7</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Partitioning_Handler</name>
      <anchor>a0</anchor>
      <arglist>(Assembly_Spec *spec, ACEXML_XMLReader *parser, CIAO::XMLHelpers::Cascadable_DocHandler *parent, const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Partitioning_Handler</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>characters</name>
      <anchor>a2</anchor>
      <arglist>(const ACEXML_Char *ch, int start, int length ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>endElement</name>
      <anchor>a3</anchor>
      <arglist>(const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>startElement</name>
      <anchor>a4</anchor>
      <arglist>(const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>EXT_Types</type>
      <name>get_extension_info</name>
      <anchor>b0</anchor>
      <arglist>(ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>long</type>
      <name>element_count_</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Assembly_Spec *</type>
      <name>context_</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Assembly_Placement::hostcollocation *</type>
      <name>host_collocation_</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Assembly_Placement::processcollocation *</type>
      <name>process_collocation_</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Assembly_Placement::homeplacement *</type>
      <name>home_placement_</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Assembly_Placement::componentinstantiation *</type>
      <name>comp_instance_</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>PH_States</type>
      <name>state_</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_CString</type>
      <name>characters_</name>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>EXT_Types</type>
      <name>ext_type_</name>
      <anchor>p8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Assembly_Placement::componentinstantiation::Register_Info</type>
      <name>comp_register_info_</name>
      <anchor>p9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CIAO::Connections_Handler</name>
    <filename>classCIAO_1_1Connections__Handler.html</filename>
    <base>CIAO::XMLHelpers::Cascadable_DocHandler</base>
    <member kind="enumeration">
      <name>CH_States</name>
      <anchor>w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>START</name>
      <anchor>w2w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SOURCE</name>
      <anchor>w2w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Connections_Handler</name>
      <anchor>a0</anchor>
      <arglist>(Assembly_Spec *spec, ACEXML_XMLReader *parser, CIAO::XMLHelpers::Cascadable_DocHandler *parent, const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Connections_Handler</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>characters</name>
      <anchor>a2</anchor>
      <arglist>(const ACEXML_Char *ch, int start, int length ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>endElement</name>
      <anchor>a3</anchor>
      <arglist>(const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>startElement</name>
      <anchor>a4</anchor>
      <arglist>(const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>reset_info</name>
      <anchor>b0</anchor>
      <arglist>(ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>long</type>
      <name>element_count_</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Assembly_Spec *</type>
      <name>context_</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Assembly_Connection::Connect_Info</type>
      <name>info_</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CH_States</type>
      <name>state_</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_CString</type>
      <name>resolver_info_</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Assembly_Connection::IF_Resolver_Info *</type>
      <name>resolver_</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_CString</type>
      <name>characters_</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>CIAO::_ASpec</name>
    <filename>structCIAO_1_1__ASpec.html</filename>
    <member kind="typedef">
      <type>ACE_Unbounded_Queue&lt; Assembly_Connection::Connect_Info &gt;</type>
      <name>CONNECTION_QUEUE</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>_ASpec</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>ID_IMPL_MAP</type>
      <name>componentfiles_</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Assembly_Placement::Container</type>
      <name>partitioning_</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>CONNECTION_QUEUE</type>
      <name>connections_</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CIAO::RTConfig_Handler</name>
    <filename>classCIAO_1_1RTConfig__Handler.html</filename>
    <base>CIAO::XMLHelpers::Cascadable_DocHandler</base>
    <member kind="enumeration">
      <name>CS_States</name>
      <anchor>w5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>START</name>
      <anchor>w5w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RTRESOURCES</name>
      <anchor>w5w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>TPWLANES</name>
      <anchor>w5w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>CONNBANDS</name>
      <anchor>w5w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RTPOLICYSET</name>
      <anchor>w5w4</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>RTConfig_Handler</name>
      <anchor>a0</anchor>
      <arglist>(ACEXML_XMLReader *parser, RTConfiguration::RTORB_Resource_Info &amp;rtr, RTConfiguration::Policy_Sets &amp;ps ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~RTConfig_Handler</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>endElement</name>
      <anchor>a2</anchor>
      <arglist>(const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>startElement</name>
      <anchor>a3</anchor>
      <arglist>(const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>parse_threadpool_attrs</name>
      <anchor>b0</anchor>
      <arglist>(ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>parse_threadpoollanes_attrs</name>
      <anchor>b1</anchor>
      <arglist>(ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>add_threadpoollane</name>
      <anchor>b2</anchor>
      <arglist>(ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>add_priorityband</name>
      <anchor>b3</anchor>
      <arglist>(ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>create_new_policyset</name>
      <anchor>b4</anchor>
      <arglist>(ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>parse_priority_model_config</name>
      <anchor>b5</anchor>
      <arglist>(ACEXML_Attributes *atts, RTConfiguration::Priority_Model_Config &amp;config ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CS_States</type>
      <name>state_</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>RTConfiguration::ThreadPoolLanes_Configuration_var</type>
      <name>tpl_config_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>RTConfiguration::PriorityBands_Configuration_var</type>
      <name>bands_config_</name>
      <anchor>r1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>RTConfiguration::Policy_Set_var</type>
      <name>policy_set_</name>
      <anchor>r2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>RTConfiguration::RTORB_Resource_Info &amp;</type>
      <name>rtresources</name>
      <anchor>r3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>RTConfiguration::Policy_Sets &amp;</type>
      <name>policysets</name>
      <anchor>r4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CIAO::Softpkg_Handler</name>
    <filename>classCIAO_1_1Softpkg__Handler.html</filename>
    <base>CIAO::XMLHelpers::Cascadable_DocHandler</base>
    <member kind="typedef">
      <type>CIAO_XML_HELPERS_Export CIAO::Softpkg_Handler::Struct_Softpkg_Info</type>
      <name>Softpkg_Info</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>Softpkg_Type</name>
      <anchor>w8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>CSD</name>
      <anchor>w8w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SSD</name>
      <anchor>w8w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>Softpkg_State</name>
      <anchor>w9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ROOT</name>
      <anchor>w9w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>DESCRIPTOR</name>
      <anchor>w9w4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>IMPLEMENTATION</name>
      <anchor>w9w5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>CIAODLL</name>
      <anchor>w9w6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>CODE</name>
      <anchor>w9w7</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Softpkg_Handler</name>
      <anchor>a0</anchor>
      <arglist>(ACEXML_XMLReader *parser, Softpkg_Info *info ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Softpkg_Handler</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>characters</name>
      <anchor>a2</anchor>
      <arglist>(const ACEXML_Char *ch, int start, int length ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>endDocument</name>
      <anchor>a3</anchor>
      <arglist>(ACEXML_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>endElement</name>
      <anchor>a4</anchor>
      <arglist>(const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>startDocument</name>
      <anchor>a5</anchor>
      <arglist>(ACEXML_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>startElement</name>
      <anchor>a6</anchor>
      <arglist>(const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>bool</type>
      <name>rec_cdata_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Softpkg_State</type>
      <name>state_</name>
      <anchor>r1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Softpkg_Type</type>
      <name>type_</name>
      <anchor>r2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_TString</type>
      <name>characters_</name>
      <anchor>r3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_TString</type>
      <name>impluuid_</name>
      <anchor>r4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_TString</type>
      <name>ssd_</name>
      <anchor>r5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_TString</type>
      <name>ssd_id_</name>
      <anchor>r6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_TString</type>
      <name>path_</name>
      <anchor>r7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_TString</type>
      <name>entry_pt_</name>
      <anchor>r8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Softpkg_Info *</type>
      <name>softpkg_info_</name>
      <anchor>r9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>CIAO::Softpkg_Handler::Softpkg_Info</name>
    <filename>structCIAO_1_1Softpkg__Handler_1_1Softpkg__Info.html</filename>
  </compound>
  <compound kind="struct">
    <name>CIAO::Softpkg_Handler::Struct_Softpkg_Info</name>
    <filename>structCIAO_1_1Softpkg__Handler_1_1Struct__Softpkg__Info.html</filename>
    <member kind="function">
      <type>void</type>
      <name>dump</name>
      <anchor>a0</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="variable">
      <type>ACE_TString</type>
      <name>descriptor_</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ACE_TString</type>
      <name>csd_path_</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ACE_TString</type>
      <name>executor_UUID_</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ACE_TString</type>
      <name>executor_entrypt_</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ACE_TString</type>
      <name>ssd_path_</name>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ACE_TString</type>
      <name>servant_UUID_</name>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ACE_TString</type>
      <name>servant_entrypt_</name>
      <anchor>o6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>CIAO::Softpkg_Handler::Struct_Softpkg_Info</name>
    <filename>structCIAO_1_1Softpkg__Handler_1_1Struct__Softpkg__Info.html</filename>
    <member kind="function">
      <type>void</type>
      <name>dump</name>
      <anchor>a0</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="variable">
      <type>ACE_TString</type>
      <name>descriptor_</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ACE_TString</type>
      <name>csd_path_</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ACE_TString</type>
      <name>executor_UUID_</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ACE_TString</type>
      <name>executor_entrypt_</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ACE_TString</type>
      <name>ssd_path_</name>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ACE_TString</type>
      <name>servant_UUID_</name>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ACE_TString</type>
      <name>servant_entrypt_</name>
      <anchor>o6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CIAO::XML_Utils</name>
    <filename>classCIAO_1_1XML__Utils.html</filename>
    <member kind="function" static="yes">
      <type>int</type>
      <name>parse_softpkg</name>
      <anchor>e0</anchor>
      <arglist>(Softpkg_Handler::Softpkg_Info *info)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>parse_componentassembly</name>
      <anchor>e1</anchor>
      <arglist>(const char *filename, Assembly_Spec *spec)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>parse_rtcad_extension</name>
      <anchor>e2</anchor>
      <arglist>(const char *filename, RTConfiguration::RTORB_Resource_Info &amp;rtr, RTConfiguration::Policy_Sets &amp;pset)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>long</type>
      <name>get_id_and_cardinality</name>
      <anchor>e3</anchor>
      <arglist>(const char *&amp;id, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>long</type>
      <name>get_single_attribute</name>
      <anchor>e4</anchor>
      <arglist>(const char *attname, const char *&amp;id, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CIAO::Svcconf_Handler</name>
    <filename>classCIAO_1_1Svcconf__Handler.html</filename>
  </compound>
  <compound kind="struct">
    <name>CIAO::Softpkg_Handler::Softpkg_Info</name>
    <filename>structCIAO_1_1Softpkg__Handler_1_1Softpkg__Info.html</filename>
  </compound>
  <compound kind="class">
    <name>CIAO::Utils</name>
    <filename>classCIAO_1_1Utils.html</filename>
  </compound>
  <compound kind="namespace">
    <name>CIAO::Assembly_Connection</name>
    <filename>namespaceCIAO_1_1Assembly__Connection.html</filename>
    <class kind="class">CIAO::Assembly_Connection::IF_Resolver_Info</class>
    <class kind="struct">CIAO::Assembly_Connection::_CII</class>
    <member kind="typedef">
      <type>enum CIAO::Assembly_Connection::_if_resolution</type>
      <name>IF_Resolution_Method</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>enum CIAO::Assembly_Connection::_conxion_type</type>
      <name>Connection_Type</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>CIAO_XML_HELPERS_Export CIAO::Assembly_Connection::_CII</type>
      <name>Connect_Info</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>_if_resolution</name>
      <anchor>a16</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>PROVIDER</name>
      <anchor>a16a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>CONSUMER</name>
      <anchor>a16a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>COMP_IDREF</name>
      <anchor>a16a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>HOME_IDREF</name>
      <anchor>a16a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NAMINGSERVICE</name>
      <anchor>a16a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>STRINGIFIEDOBJECTREF</name>
      <anchor>a16a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>HOMEFINDER</name>
      <anchor>a16a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>TRADERQUERY</name>
      <anchor>a16a10</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>_conxion_type</name>
      <anchor>a17</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>INTERFACE</name>
      <anchor>a17a11</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>EMITTER_CONSUMER</name>
      <anchor>a17a12</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>PUBLISHER_CONSUMER</name>
      <anchor>a17a13</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>HOME</name>
      <anchor>a17a14</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>INVALID_CONN</name>
      <anchor>a17a15</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CIAO::Assembly_Connection::IF_Resolver_Info</name>
    <filename>classCIAO_1_1Assembly__Connection_1_1IF__Resolver__Info.html</filename>
    <member kind="function">
      <type></type>
      <name>IF_Resolver_Info</name>
      <anchor>a0</anchor>
      <arglist>(IF_Resolution_Method type, const char *info, IF_Resolver_Info *nested=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~IF_Resolver_Info</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>IF_Resolution_Method</type>
      <name>resolver_type</name>
      <anchor>a2</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>resolver_info</name>
      <anchor>a3</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>IF_Resolver_Info *</type>
      <name>nested_resolver</name>
      <anchor>a4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>traderquery</name>
      <anchor>a5</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>IF_Resolution_Method</type>
      <name>resolver_type_</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_CString</type>
      <name>resolver_info_</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>IF_Resolver_Info *</type>
      <name>nested_resolver_</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>void *</type>
      <name>traderquery_</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>CIAO::Assembly_Connection::_CII</name>
    <filename>structCIAO_1_1Assembly__Connection_1_1__CII.html</filename>
    <member kind="function">
      <type></type>
      <name>_CII</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~_CII</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>Connection_Type</type>
      <name>type_</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ACE_CString</type>
      <name>id_</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ACE_CString</type>
      <name>name_</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>IF_Resolver_Info *</type>
      <name>component_</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>IF_Resolver_Info *</type>
      <name>interface_</name>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>CIAO::Assembly_Placement</name>
    <filename>namespaceCIAO_1_1Assembly__Placement.html</filename>
    <class kind="class">CIAO::Assembly_Placement::Node</class>
    <class kind="class">CIAO::Assembly_Placement::Container</class>
    <class kind="class">CIAO::Assembly_Placement::componentinstantiation</class>
    <class kind="struct">CIAO::Assembly_Placement::componentinstantiation::_register_info</class>
    <class kind="class">CIAO::Assembly_Placement::homeplacement</class>
    <class kind="struct">CIAO::Assembly_Placement::homeplacement::_register_info</class>
    <class kind="class">CIAO::Assembly_Placement::hostcollocation</class>
    <class kind="class">CIAO::Assembly_Placement::processcollocation</class>
    <class kind="class">CIAO::Assembly_Placement::Visitor</class>
    <class kind="class">CIAO::Assembly_Placement::Placement_Visitor</class>
    <member kind="typedef">
      <type>enum CIAO::Assembly_Placement::_nodetype</type>
      <name>Node_Type</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>_nodetype</name>
      <anchor>a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>INVALID_NODE</name>
      <anchor>a7a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>INVALID_CONTAINER</name>
      <anchor>a7a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>HOST</name>
      <anchor>a7a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>PROCESS</name>
      <anchor>a7a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>HOME</name>
      <anchor>a7a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>COMPONENT</name>
      <anchor>a7a6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CIAO::Assembly_Placement::Node</name>
    <filename>classCIAO_1_1Assembly__Placement_1_1Node.html</filename>
    <member kind="function">
      <type></type>
      <name>Node</name>
      <anchor>a0</anchor>
      <arglist>(const char *id=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>accept</name>
      <anchor>a1</anchor>
      <arglist>(Visitor &amp;v ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Node</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>usagename</name>
      <anchor>a3</anchor>
      <arglist>(const char *un)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>usagename</name>
      <anchor>a4</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>id</name>
      <anchor>a5</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="variable">
      <type>Node *</type>
      <name>prev_</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Node *</type>
      <name>next_</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_CString</type>
      <name>id_</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_CString</type>
      <name>usagename_</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CIAO::Assembly_Placement::Container</name>
    <filename>classCIAO_1_1Assembly__Placement_1_1Container.html</filename>
    <base>CIAO::Assembly_Placement::Node</base>
    <base>ACE_Double_Linked_List&lt; Node &gt;</base>
    <member kind="function">
      <type></type>
      <name>Container</name>
      <anchor>a0</anchor>
      <arglist>(const char *id, unsigned long cardinality)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>accept</name>
      <anchor>a1</anchor>
      <arglist>(Visitor &amp;v ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>destination</name>
      <anchor>z0_0</anchor>
      <arglist>(const char *des)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>destination</name>
      <anchor>z0_1</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>unsigned long</type>
      <name>cardinality</name>
      <anchor>z0_2</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_CString</type>
      <name>destination_</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>unsigned long</type>
      <name>cardinality_</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CIAO::Assembly_Placement::componentinstantiation</name>
    <filename>classCIAO_1_1Assembly__Placement_1_1componentinstantiation.html</filename>
    <base>CIAO::Assembly_Placement::Node</base>
    <member kind="typedef">
      <type>enum CIAO::Assembly_Placement::componentinstantiation::_if_register_type</type>
      <name>IF_Register_Type</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>enum CIAO::Assembly_Placement::componentinstantiation::_register_method</type>
      <name>Register_Method</name>
      <anchor>w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>CIAO::Assembly_Placement::componentinstantiation::_register_info</type>
      <name>Register_Info</name>
      <anchor>w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_Unbounded_Queue&lt; Register_Info &gt;</type>
      <name>REGISTRATION_QUEUE</name>
      <anchor>w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>_if_register_type</name>
      <anchor>w9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>COMPONENT</name>
      <anchor>w9w4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>PROVIDESID</name>
      <anchor>w9w5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>CONSUMESID</name>
      <anchor>w9w6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>_register_method</name>
      <anchor>w10</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NAMINGSERVICE</name>
      <anchor>w10w7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>IORFILE</name>
      <anchor>w10w8</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>componentinstantiation</name>
      <anchor>a0</anchor>
      <arglist>(const char *id)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>accept</name>
      <anchor>a1</anchor>
      <arglist>(Visitor &amp;v ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~componentinstantiation</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>REGISTRATION_QUEUE</type>
      <name>register_info_</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>CIAO::Assembly_Placement::componentinstantiation::_register_info</name>
    <filename>structCIAO_1_1Assembly__Placement_1_1componentinstantiation_1_1__register__info.html</filename>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>IF_Register_Type</type>
      <name>type_</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Register_Method</type>
      <name>method_</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ACE_CString</type>
      <name>port_id_</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ACE_CString</type>
      <name>name_</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>CIAO::Assembly_Placement::componentinstantiation::_register_info</name>
    <filename>structCIAO_1_1Assembly__Placement_1_1componentinstantiation_1_1__register__info.html</filename>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>IF_Register_Type</type>
      <name>type_</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Register_Method</type>
      <name>method_</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ACE_CString</type>
      <name>port_id_</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ACE_CString</type>
      <name>name_</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CIAO::Assembly_Placement::homeplacement</name>
    <filename>classCIAO_1_1Assembly__Placement_1_1homeplacement.html</filename>
    <base>CIAO::Assembly_Placement::Container</base>
    <member kind="typedef">
      <type>enum CIAO::Assembly_Placement::homeplacement::_register_method</type>
      <name>Register_Method</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>CIAO::Assembly_Placement::homeplacement::_register_info</type>
      <name>Register_Info</name>
      <anchor>w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>_register_method</name>
      <anchor>w5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>HOMEFINDER</name>
      <anchor>w5w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NAMING</name>
      <anchor>w5w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>TRADER</name>
      <anchor>w5w4</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>homeplacement</name>
      <anchor>a0</anchor>
      <arglist>(const char *id, unsigned long cardinality=1)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>accept</name>
      <anchor>a1</anchor>
      <arglist>(Visitor &amp;v ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~homeplacement</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>componentfileref</name>
      <anchor>z1_0</anchor>
      <arglist>(const char *file)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>componentfileref</name>
      <anchor>z1_1</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>rtpolicyset_ref</name>
      <anchor>z1_2</anchor>
      <arglist>(const char *file)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>rtpolicyset_ref</name>
      <anchor>z1_3</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="variable">
      <type>ACE_Unbounded_Queue&lt; Register_Info &gt;</type>
      <name>register_info_</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_CString</type>
      <name>componentfileref_</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_CString</type>
      <name>rtpolicyset_ref_</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>CIAO::Assembly_Placement::homeplacement::_register_info</name>
    <filename>structCIAO_1_1Assembly__Placement_1_1homeplacement_1_1__register__info.html</filename>
    <member kind="variable">
      <type>Register_Method</type>
      <name>type_</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ACE_CString</type>
      <name>name_</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>CIAO::Assembly_Placement::homeplacement::_register_info</name>
    <filename>structCIAO_1_1Assembly__Placement_1_1homeplacement_1_1__register__info.html</filename>
    <member kind="variable">
      <type>Register_Method</type>
      <name>type_</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ACE_CString</type>
      <name>name_</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CIAO::Assembly_Placement::hostcollocation</name>
    <filename>classCIAO_1_1Assembly__Placement_1_1hostcollocation.html</filename>
    <base>CIAO::Assembly_Placement::Container</base>
    <member kind="function">
      <type></type>
      <name>hostcollocation</name>
      <anchor>a0</anchor>
      <arglist>(const char *id, unsigned long cardinality=1)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>accept</name>
      <anchor>a1</anchor>
      <arglist>(Visitor &amp;v ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~hostcollocation</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CIAO::Assembly_Placement::processcollocation</name>
    <filename>classCIAO_1_1Assembly__Placement_1_1processcollocation.html</filename>
    <base>CIAO::Assembly_Placement::Container</base>
    <member kind="function">
      <type></type>
      <name>processcollocation</name>
      <anchor>a0</anchor>
      <arglist>(const char *id, unsigned long cardinality=1)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>accept</name>
      <anchor>a1</anchor>
      <arglist>(Visitor &amp;v ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~processcollocation</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>rtcad_filename</name>
      <anchor>z2_0</anchor>
      <arglist>(const char *file)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>rtcad_filename</name>
      <anchor>z2_1</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_CString</type>
      <name>rtcad_filename_</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CIAO::Assembly_Placement::Visitor</name>
    <filename>classCIAO_1_1Assembly__Placement_1_1Visitor.html</filename>
    <member kind="function">
      <type></type>
      <name>Visitor</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual</type>
      <name>~Visitor</name>
      <anchor>a1</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>visit_Container</name>
      <anchor>a2</anchor>
      <arglist>(Container *c ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>visit_hostcollocation</name>
      <anchor>a3</anchor>
      <arglist>(hostcollocation *hc ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>visit_processcollocation</name>
      <anchor>a4</anchor>
      <arglist>(processcollocation *pc ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>visit_homeplacement</name>
      <anchor>a5</anchor>
      <arglist>(homeplacement *hp ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>visit_componentinstantiation</name>
      <anchor>a6</anchor>
      <arglist>(componentinstantiation *ci ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CIAO::Assembly_Placement::Placement_Visitor</name>
    <filename>classCIAO_1_1Assembly__Placement_1_1Placement__Visitor.html</filename>
  </compound>
  <compound kind="namespace">
    <name>CIAO::RTConfiguration</name>
    <filename>namespaceCIAO_1_1RTConfiguration.html</filename>
    <class kind="struct">CIAO::RTConfiguration::ThreadPool_Configuration</class>
    <class kind="struct">CIAO::RTConfiguration::ThreadPoolLanes_Configuration</class>
    <class kind="struct">CIAO::RTConfiguration::PriorityBands_Configuration</class>
    <class kind="struct">CIAO::RTConfiguration::RTORB_Resource_Info</class>
    <class kind="struct">CIAO::RTConfiguration::Priority_Model_Config</class>
    <class kind="struct">CIAO::RTConfiguration::Policy_Config</class>
    <class kind="struct">CIAO::RTConfiguration::Policy_Set</class>
    <member kind="typedef">
      <type>sequence&lt; ThreadPool_Configuration &gt;</type>
      <name>ThreadPool_Configurations</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; ThreadPoolLanes_Configuration &gt;</type>
      <name>ThreadPoolLanes_Configurations</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; PriorityBands_Configuration &gt;</type>
      <name>PriorityBands_Configurations</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; Policy_Config &gt;</type>
      <name>Policy_Configs</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; Policy_Set &gt;</type>
      <name>Policy_Sets</name>
      <anchor>a4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>CIAO::RTConfiguration::ThreadPool_Configuration</name>
    <filename>structCIAO_1_1RTConfiguration_1_1ThreadPool__Configuration.html</filename>
    <member kind="variable">
      <type>string</type>
      <name>name</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned long</type>
      <name>stacksize</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned long</type>
      <name>static_threads</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned long</type>
      <name>dynamic_threads</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>RTCORBA::Priority</type>
      <name>default_priority</name>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boolean</type>
      <name>allow_request_buffering</name>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned long</type>
      <name>max_buffered_requests</name>
      <anchor>o6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned long</type>
      <name>max_request_buffer_size</name>
      <anchor>o7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>CIAO::RTConfiguration::ThreadPoolLanes_Configuration</name>
    <filename>structCIAO_1_1RTConfiguration_1_1ThreadPoolLanes__Configuration.html</filename>
    <member kind="variable">
      <type>string</type>
      <name>name</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned long</type>
      <name>stacksize</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>RTCORBA::ThreadpoolLanes</type>
      <name>lanes</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boolean</type>
      <name>allow_borrowing</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boolean</type>
      <name>allow_request_buffering</name>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned long</type>
      <name>max_buffered_requests</name>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned long</type>
      <name>max_request_buffer_size</name>
      <anchor>o6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>CIAO::RTConfiguration::PriorityBands_Configuration</name>
    <filename>structCIAO_1_1RTConfiguration_1_1PriorityBands__Configuration.html</filename>
    <member kind="variable">
      <type>string</type>
      <name>name</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>RTCORBA::PriorityBands</type>
      <name>bands</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>CIAO::RTConfiguration::RTORB_Resource_Info</name>
    <filename>structCIAO_1_1RTConfiguration_1_1RTORB__Resource__Info.html</filename>
    <member kind="variable">
      <type>ThreadPool_Configurations</type>
      <name>tp_configs</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ThreadPoolLanes_Configurations</type>
      <name>tpl_configs</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>PriorityBands_Configurations</type>
      <name>pb_configs</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>CIAO::RTConfiguration::Priority_Model_Config</name>
    <filename>structCIAO_1_1RTConfiguration_1_1Priority__Model__Config.html</filename>
    <member kind="variable">
      <type>RTCORBA::PriorityModel</type>
      <name>model</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>RTCORBA::Priority</type>
      <name>default_priority</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>CIAO::RTConfiguration::Policy_Config</name>
    <filename>structCIAO_1_1RTConfiguration_1_1Policy__Config.html</filename>
    <member kind="variable">
      <type>CORBA::PolicyType</type>
      <name>type</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>any</type>
      <name>configuration</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>CIAO::RTConfiguration::Policy_Set</name>
    <filename>structCIAO_1_1RTConfiguration_1_1Policy__Set.html</filename>
    <member kind="variable">
      <type>string</type>
      <name>name</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Policy_Configs</type>
      <name>configs</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>CIAO::XMLHelpers</name>
    <filename>namespaceCIAO_1_1XMLHelpers.html</filename>
    <class kind="class">CIAO::XMLHelpers::Cascadable_DocHandler</class>
    <class kind="class">CIAO::XMLHelpers::Skip_DocHandler</class>
  </compound>
  <compound kind="class">
    <name>CIAO::XMLHelpers::Cascadable_DocHandler</name>
    <filename>classCIAO_1_1XMLHelpers_1_1Cascadable__DocHandler.html</filename>
    <base>ACEXML_DefaultHandler</base>
    <member kind="function">
      <type></type>
      <name>Cascadable_DocHandler</name>
      <anchor>a0</anchor>
      <arglist>(ACEXML_XMLReader *parser, Cascadable_DocHandler *parent, const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Cascadable_DocHandler</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>destroy</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>push_handler</name>
      <anchor>a3</anchor>
      <arglist>(Cascadable_DocHandler *new_handler, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pop_handler</name>
      <anchor>a4</anchor>
      <arglist>(const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function">
      <type>const ACEXML_Char *</type>
      <name>namespaceURI</name>
      <anchor>a5</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>const ACEXML_Char *</type>
      <name>localName</name>
      <anchor>a6</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>const ACEXML_Char *</type>
      <name>qName</name>
      <anchor>a7</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setDocumentLocator</name>
      <anchor>a8</anchor>
      <arglist>(ACEXML_Locator *locator)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>error</name>
      <anchor>a9</anchor>
      <arglist>(ACEXML_SAXParseException &amp;exception ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fatalError</name>
      <anchor>a10</anchor>
      <arglist>(ACEXML_SAXParseException &amp;exception ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>warning</name>
      <anchor>a11</anchor>
      <arglist>(ACEXML_SAXParseException &amp;exception ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>print_warning</name>
      <anchor>b0</anchor>
      <arglist>(const ACEXML_Char *level, ACEXML_SAXParseException &amp;exception ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACEXML_Char *</type>
      <name>namespaceURI_</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACEXML_Char *</type>
      <name>localName_</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACEXML_Char *</type>
      <name>qName_</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACEXML_XMLReader *</type>
      <name>parser_</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Cascadable_DocHandler *</type>
      <name>parent_</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Cascadable_DocHandler *</type>
      <name>child_</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>Cascadable_DocHandler</name>
      <anchor>d0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACEXML_Locator *</type>
      <name>locator_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CIAO::XMLHelpers::Skip_DocHandler</name>
    <filename>classCIAO_1_1XMLHelpers_1_1Skip__DocHandler.html</filename>
    <base>CIAO::XMLHelpers::Cascadable_DocHandler</base>
    <member kind="function">
      <type></type>
      <name>Skip_DocHandler</name>
      <anchor>a0</anchor>
      <arglist>(ACEXML_XMLReader *parser, Cascadable_DocHandler *parent, const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Skip_DocHandler</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>endElement</name>
      <anchor>a2</anchor>
      <arglist>(const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>startElement</name>
      <anchor>a3</anchor>
      <arglist>(const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>long</type>
      <name>element_count_</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
