<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="file">
    <name>IOR.pidl</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/IORManipulation/</path>
    <filename>IOR_8pidl</filename>
    <namespace>TAO_IOP</namespace>
    <class kind="exception">TAO_IOP::EmptyProfileList</class>
    <class kind="exception">TAO_IOP::NotFound</class>
    <class kind="exception">TAO_IOP::Duplicate</class>
    <class kind="exception">TAO_IOP::Invalid_IOR</class>
    <class kind="exception">TAO_IOP::MultiProfileList</class>
    <class kind="interface">TAO_IOP::TAO_IOR_Property</class>
    <class kind="interface">TAO_IOP::TAO_IOR_Manipulation</class>
  </compound>
  <compound kind="file">
    <name>ior_manip_export.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/IORManipulation/</path>
    <filename>ior__manip__export_8h</filename>
    <member kind="define">
      <type>#define</type>
      <name>TAO_IORMANIP_HAS_DLL</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_IORManip_Export</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_IORMANIP_SINGLETON_DECLARATION</name>
      <anchor>a2</anchor>
      <arglist>(T)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_IORMANIP_SINGLETON_DECLARE</name>
      <anchor>a3</anchor>
      <arglist>(SINGLETON_TYPE, CLASS, LOCK)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>IORA.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/IORManipulation/</path>
    <filename>IORA_8cpp</filename>
    <includes id="IORManip__Loader_8h" name="IORManip_Loader.h" local="yes" imported="no">IORManip_Loader.h</includes>
    <namespace>TAO_IOP</namespace>
    <namespace>TAO</namespace>
    <namespace>TAO::TypeCode</namespace>
    <member kind="function" static="yes">
      <type>TAO::TypeCode::Struct&lt; char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field&lt; char const *, CORBA::TypeCode_ptr const * &gt; const *, TAO::Null_RefCount_Policy &gt;</type>
      <name>_tao_tc_TAO_IOP_EmptyProfileList</name>
      <anchor>a13</anchor>
      <arglist>(CORBA::tk_except,&quot;IDL:TAO_IOP/EmptyProfileList:1.0&quot;,&quot;EmptyProfileList&quot;, _tao_fields_TAO_IOP_EmptyProfileList, 0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>TAO::TypeCode::Struct&lt; char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field&lt; char const *, CORBA::TypeCode_ptr const * &gt; const *, TAO::Null_RefCount_Policy &gt;</type>
      <name>_tao_tc_TAO_IOP_NotFound</name>
      <anchor>a14</anchor>
      <arglist>(CORBA::tk_except,&quot;IDL:TAO_IOP/NotFound:1.0&quot;,&quot;NotFound&quot;, _tao_fields_TAO_IOP_NotFound, 0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>TAO::TypeCode::Struct&lt; char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field&lt; char const *, CORBA::TypeCode_ptr const * &gt; const *, TAO::Null_RefCount_Policy &gt;</type>
      <name>_tao_tc_TAO_IOP_Duplicate</name>
      <anchor>a15</anchor>
      <arglist>(CORBA::tk_except,&quot;IDL:TAO_IOP/Duplicate:1.0&quot;,&quot;Duplicate&quot;, _tao_fields_TAO_IOP_Duplicate, 0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>TAO::TypeCode::Struct&lt; char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field&lt; char const *, CORBA::TypeCode_ptr const * &gt; const *, TAO::Null_RefCount_Policy &gt;</type>
      <name>_tao_tc_TAO_IOP_Invalid_IOR</name>
      <anchor>a16</anchor>
      <arglist>(CORBA::tk_except,&quot;IDL:TAO_IOP/Invalid_IOR:1.0&quot;,&quot;Invalid_IOR&quot;, _tao_fields_TAO_IOP_Invalid_IOR, 0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>TAO::TypeCode::Struct&lt; char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field&lt; char const *, CORBA::TypeCode_ptr const * &gt; const *, TAO::Null_RefCount_Policy &gt;</type>
      <name>_tao_tc_TAO_IOP_MultiProfileList</name>
      <anchor>a17</anchor>
      <arglist>(CORBA::tk_except,&quot;IDL:TAO_IOP/MultiProfileList:1.0&quot;,&quot;MultiProfileList&quot;, _tao_fields_TAO_IOP_MultiProfileList, 0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>TAO::TypeCode::Objref&lt; char const *, TAO::Null_RefCount_Policy &gt;</type>
      <name>_tao_tc_TAO_IOP_TAO_IOR_Property</name>
      <anchor>a18</anchor>
      <arglist>(CORBA::tk_local_interface,&quot;IDL:TAO_IOP/TAO_IOR_Property:1.0&quot;,&quot;TAO_IOR_Property&quot;)</arglist>
    </member>
    <member kind="function">
      <type>TAO::TypeCode::Sequence&lt; ::CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy &gt;</type>
      <name>TAO_IOP_TAO_IOR_Manipulation_IORList_0</name>
      <anchor>a1</anchor>
      <arglist>(CORBA::tk_sequence,&amp;CORBA::_tc_Object, 0U)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>TAO::TypeCode::Alias&lt; char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy &gt;</type>
      <name>_tao_tc_TAO_IOP_TAO_IOR_Manipulation_IORList</name>
      <anchor>a20</anchor>
      <arglist>(CORBA::tk_alias,&quot;IDL:TAO_IOP/TAO_IOR_Manipulation/IORList:1.0&quot;,&quot;IORList&quot;,&amp;TAO::TypeCode::tc_TAO_IOP_TAO_IOR_Manipulation_IORList_0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>TAO::TypeCode::Objref&lt; char const *, TAO::Null_RefCount_Policy &gt;</type>
      <name>_tao_tc_TAO_IOP_TAO_IOR_Manipulation</name>
      <anchor>a21</anchor>
      <arglist>(CORBA::tk_local_interface,&quot;IDL:TAO_IOP/TAO_IOR_Manipulation:1.0&quot;,&quot;TAO_IOR_Manipulation&quot;)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>Any_Dual_Impl_T&lt; TAO_IOP::EmptyProfileList &gt;::demarshal_value</name>
      <anchor>a0</anchor>
      <arglist>(TAO_InputCDR &amp;cdr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator&lt;&lt;=</name>
      <anchor>a23</anchor>
      <arglist>(CORBA::Any &amp;_tao_any, const TAO_IOP::EmptyProfileList &amp;_tao_elem)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator&lt;&lt;=</name>
      <anchor>a24</anchor>
      <arglist>(CORBA::Any &amp;_tao_any, TAO_IOP::EmptyProfileList *_tao_elem)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&gt;&gt;=</name>
      <anchor>a25</anchor>
      <arglist>(const CORBA::Any &amp;_tao_any, TAO_IOP::EmptyProfileList *&amp;_tao_elem)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&gt;&gt;=</name>
      <anchor>a26</anchor>
      <arglist>(const CORBA::Any &amp;_tao_any, const TAO_IOP::EmptyProfileList *&amp;_tao_elem)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>Any_Dual_Impl_T&lt; TAO_IOP::NotFound &gt;::demarshal_value</name>
      <anchor>a1</anchor>
      <arglist>(TAO_InputCDR &amp;cdr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator&lt;&lt;=</name>
      <anchor>a28</anchor>
      <arglist>(CORBA::Any &amp;_tao_any, const TAO_IOP::NotFound &amp;_tao_elem)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator&lt;&lt;=</name>
      <anchor>a29</anchor>
      <arglist>(CORBA::Any &amp;_tao_any, TAO_IOP::NotFound *_tao_elem)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&gt;&gt;=</name>
      <anchor>a30</anchor>
      <arglist>(const CORBA::Any &amp;_tao_any, TAO_IOP::NotFound *&amp;_tao_elem)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&gt;&gt;=</name>
      <anchor>a31</anchor>
      <arglist>(const CORBA::Any &amp;_tao_any, const TAO_IOP::NotFound *&amp;_tao_elem)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>Any_Dual_Impl_T&lt; TAO_IOP::Duplicate &gt;::demarshal_value</name>
      <anchor>a2</anchor>
      <arglist>(TAO_InputCDR &amp;cdr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator&lt;&lt;=</name>
      <anchor>a33</anchor>
      <arglist>(CORBA::Any &amp;_tao_any, const TAO_IOP::Duplicate &amp;_tao_elem)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator&lt;&lt;=</name>
      <anchor>a34</anchor>
      <arglist>(CORBA::Any &amp;_tao_any, TAO_IOP::Duplicate *_tao_elem)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&gt;&gt;=</name>
      <anchor>a35</anchor>
      <arglist>(const CORBA::Any &amp;_tao_any, TAO_IOP::Duplicate *&amp;_tao_elem)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&gt;&gt;=</name>
      <anchor>a36</anchor>
      <arglist>(const CORBA::Any &amp;_tao_any, const TAO_IOP::Duplicate *&amp;_tao_elem)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>Any_Dual_Impl_T&lt; TAO_IOP::Invalid_IOR &gt;::demarshal_value</name>
      <anchor>a3</anchor>
      <arglist>(TAO_InputCDR &amp;cdr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator&lt;&lt;=</name>
      <anchor>a38</anchor>
      <arglist>(CORBA::Any &amp;_tao_any, const TAO_IOP::Invalid_IOR &amp;_tao_elem)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator&lt;&lt;=</name>
      <anchor>a39</anchor>
      <arglist>(CORBA::Any &amp;_tao_any, TAO_IOP::Invalid_IOR *_tao_elem)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&gt;&gt;=</name>
      <anchor>a40</anchor>
      <arglist>(const CORBA::Any &amp;_tao_any, TAO_IOP::Invalid_IOR *&amp;_tao_elem)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&gt;&gt;=</name>
      <anchor>a41</anchor>
      <arglist>(const CORBA::Any &amp;_tao_any, const TAO_IOP::Invalid_IOR *&amp;_tao_elem)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>Any_Dual_Impl_T&lt; TAO_IOP::MultiProfileList &gt;::demarshal_value</name>
      <anchor>a4</anchor>
      <arglist>(TAO_InputCDR &amp;cdr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator&lt;&lt;=</name>
      <anchor>a43</anchor>
      <arglist>(CORBA::Any &amp;_tao_any, const TAO_IOP::MultiProfileList &amp;_tao_elem)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator&lt;&lt;=</name>
      <anchor>a44</anchor>
      <arglist>(CORBA::Any &amp;_tao_any, TAO_IOP::MultiProfileList *_tao_elem)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&gt;&gt;=</name>
      <anchor>a45</anchor>
      <arglist>(const CORBA::Any &amp;_tao_any, TAO_IOP::MultiProfileList *&amp;_tao_elem)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&gt;&gt;=</name>
      <anchor>a46</anchor>
      <arglist>(const CORBA::Any &amp;_tao_any, const TAO_IOP::MultiProfileList *&amp;_tao_elem)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>Any_Impl_T&lt; TAO_IOP::TAO_IOR_Property &gt;::to_object</name>
      <anchor>a5</anchor>
      <arglist>(CORBA::Object_ptr &amp;_tao_elem) const </arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>Any_Impl_T&lt; TAO_IOP::TAO_IOR_Property &gt;::marshal_value</name>
      <anchor>a6</anchor>
      <arglist>(TAO_OutputCDR &amp;)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>Any_Impl_T&lt; TAO_IOP::TAO_IOR_Property &gt;::demarshal_value</name>
      <anchor>a7</anchor>
      <arglist>(TAO_InputCDR &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator&lt;&lt;=</name>
      <anchor>a50</anchor>
      <arglist>(CORBA::Any &amp;_tao_any, TAO_IOP::TAO_IOR_Property_ptr _tao_elem)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator&lt;&lt;=</name>
      <anchor>a51</anchor>
      <arglist>(CORBA::Any &amp;_tao_any, TAO_IOP::TAO_IOR_Property_ptr *_tao_elem)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&gt;&gt;=</name>
      <anchor>a52</anchor>
      <arglist>(const CORBA::Any &amp;_tao_any, TAO_IOP::TAO_IOR_Property_ptr &amp;_tao_elem)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>Any_Impl_T&lt; TAO_IOP::TAO_IOR_Manipulation &gt;::to_object</name>
      <anchor>a8</anchor>
      <arglist>(CORBA::Object_ptr &amp;_tao_elem) const </arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>Any_Impl_T&lt; TAO_IOP::TAO_IOR_Manipulation &gt;::marshal_value</name>
      <anchor>a9</anchor>
      <arglist>(TAO_OutputCDR &amp;)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>Any_Impl_T&lt; TAO_IOP::TAO_IOR_Manipulation &gt;::demarshal_value</name>
      <anchor>a10</anchor>
      <arglist>(TAO_InputCDR &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator&lt;&lt;=</name>
      <anchor>a56</anchor>
      <arglist>(CORBA::Any &amp;_tao_any, TAO_IOP::TAO_IOR_Manipulation_ptr _tao_elem)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator&lt;&lt;=</name>
      <anchor>a57</anchor>
      <arglist>(CORBA::Any &amp;_tao_any, TAO_IOP::TAO_IOR_Manipulation_ptr *_tao_elem)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&gt;&gt;=</name>
      <anchor>a58</anchor>
      <arglist>(const CORBA::Any &amp;_tao_any, TAO_IOP::TAO_IOR_Manipulation_ptr &amp;_tao_elem)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>Any_Dual_Impl_T&lt; TAO_IOP::TAO_IOR_Manipulation::IORList &gt;::marshal_value</name>
      <anchor>a11</anchor>
      <arglist>(TAO_OutputCDR &amp;)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>Any_Dual_Impl_T&lt; TAO_IOP::TAO_IOR_Manipulation::IORList &gt;::demarshal_value</name>
      <anchor>a12</anchor>
      <arglist>(TAO_InputCDR &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator&lt;&lt;=</name>
      <anchor>a61</anchor>
      <arglist>(CORBA::Any &amp;_tao_any, const TAO_IOP::TAO_IOR_Manipulation::IORList &amp;_tao_elem)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator&lt;&lt;=</name>
      <anchor>a62</anchor>
      <arglist>(CORBA::Any &amp;_tao_any, TAO_IOP::TAO_IOR_Manipulation::IORList *_tao_elem)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&gt;&gt;=</name>
      <anchor>a63</anchor>
      <arglist>(const CORBA::Any &amp;_tao_any, TAO_IOP::TAO_IOR_Manipulation::IORList *&amp;_tao_elem)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&gt;&gt;=</name>
      <anchor>a64</anchor>
      <arglist>(const CORBA::Any &amp;_tao_any, const TAO_IOP::TAO_IOR_Manipulation::IORList *&amp;_tao_elem)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO::TypeCode::Struct_Field&lt; char const *, CORBA::TypeCode_ptr const * &gt; const *const</type>
      <name>_tao_fields_TAO_IOP_EmptyProfileList</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>::CORBA::TypeCode_ptr const</type>
      <name>_tc_EmptyProfileList</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>TAO::TypeCode::Struct_Field&lt; char const *, CORBA::TypeCode_ptr const * &gt; const *const</type>
      <name>_tao_fields_TAO_IOP_NotFound</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>::CORBA::TypeCode_ptr const</type>
      <name>_tc_NotFound</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>TAO::TypeCode::Struct_Field&lt; char const *, CORBA::TypeCode_ptr const * &gt; const *const</type>
      <name>_tao_fields_TAO_IOP_Duplicate</name>
      <anchor>a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>::CORBA::TypeCode_ptr const</type>
      <name>_tc_Duplicate</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>TAO::TypeCode::Struct_Field&lt; char const *, CORBA::TypeCode_ptr const * &gt; const *const</type>
      <name>_tao_fields_TAO_IOP_Invalid_IOR</name>
      <anchor>a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>::CORBA::TypeCode_ptr const</type>
      <name>_tc_Invalid_IOR</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>TAO::TypeCode::Struct_Field&lt; char const *, CORBA::TypeCode_ptr const * &gt; const *const</type>
      <name>_tao_fields_TAO_IOP_MultiProfileList</name>
      <anchor>a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>::CORBA::TypeCode_ptr const</type>
      <name>_tc_MultiProfileList</name>
      <anchor>a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>::CORBA::TypeCode_ptr const</type>
      <name>_tc_TAO_IOR_Property</name>
      <anchor>a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>::CORBA::TypeCode_ptr const</type>
      <name>tc_TAO_IOP_TAO_IOR_Manipulation_IORList_0</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>::CORBA::TypeCode_ptr const</type>
      <name>_tc_TAO_IOR_Manipulation</name>
      <anchor>a6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>IORC.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/IORManipulation/</path>
    <filename>IORC_8cpp</filename>
    <includes id="IORManip__Loader_8h" name="IORManip_Loader.h" local="yes" imported="no">IORManip_Loader.h</includes>
    <namespace>TAO</namespace>
    <member kind="define">
      <type>#define</type>
      <name>_TAO_IOP_TAO_IOR_MANIPULATION_IORLIST_CS_</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&lt;&lt;</name>
      <anchor>a1</anchor>
      <arglist>(TAO_OutputCDR &amp;strm, const TAO_IOP::EmptyProfileList &amp;_tao_aggregate)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&gt;&gt;</name>
      <anchor>a2</anchor>
      <arglist>(TAO_InputCDR &amp;, TAO_IOP::EmptyProfileList &amp;)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&lt;&lt;</name>
      <anchor>a3</anchor>
      <arglist>(TAO_OutputCDR &amp;strm, const TAO_IOP::NotFound &amp;_tao_aggregate)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&gt;&gt;</name>
      <anchor>a4</anchor>
      <arglist>(TAO_InputCDR &amp;, TAO_IOP::NotFound &amp;)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&lt;&lt;</name>
      <anchor>a5</anchor>
      <arglist>(TAO_OutputCDR &amp;strm, const TAO_IOP::Duplicate &amp;_tao_aggregate)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&gt;&gt;</name>
      <anchor>a6</anchor>
      <arglist>(TAO_InputCDR &amp;, TAO_IOP::Duplicate &amp;)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&lt;&lt;</name>
      <anchor>a7</anchor>
      <arglist>(TAO_OutputCDR &amp;strm, const TAO_IOP::Invalid_IOR &amp;_tao_aggregate)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&gt;&gt;</name>
      <anchor>a8</anchor>
      <arglist>(TAO_InputCDR &amp;, TAO_IOP::Invalid_IOR &amp;)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&lt;&lt;</name>
      <anchor>a9</anchor>
      <arglist>(TAO_OutputCDR &amp;strm, const TAO_IOP::MultiProfileList &amp;_tao_aggregate)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&gt;&gt;</name>
      <anchor>a10</anchor>
      <arglist>(TAO_InputCDR &amp;, TAO_IOP::MultiProfileList &amp;)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>IORC.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/IORManipulation/</path>
    <filename>IORC_8h</filename>
    <includes id="ior__manip__export_8h" name="ior_manip_export.h" local="yes" imported="no">ior_manip_export.h</includes>
    <namespace>TAO_IOP</namespace>
    <namespace>TAO</namespace>
    <class kind="exception">TAO_IOP::EmptyProfileList</class>
    <class kind="exception">TAO_IOP::NotFound</class>
    <class kind="exception">TAO_IOP::Duplicate</class>
    <class kind="exception">TAO_IOP::Invalid_IOR</class>
    <class kind="exception">TAO_IOP::MultiProfileList</class>
    <class kind="interface">TAO_IOP::TAO_IOR_Property</class>
    <class kind="interface">TAO_IOP::TAO_IOR_Manipulation</class>
    <class kind="class">TAO_IOP::TAO_IOR_Manipulation::IORList</class>
    <class kind="struct">TAO::Objref_Traits&lt; ::TAO_IOP::TAO_IOR_Property &gt;</class>
    <class kind="struct">TAO::Objref_Traits&lt; ::TAO_IOP::TAO_IOR_Manipulation &gt;</class>
    <member kind="define">
      <type>#define</type>
      <name>TAO_EXPORT_MACRO</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_TAO_IOP_EMPTYPROFILELIST_CH_</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_TAO_IOP_NOTFOUND_CH_</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_TAO_IOP_DUPLICATE_CH_</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_TAO_IOP_INVALID_IOR_CH_</name>
      <anchor>a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_TAO_IOP_MULTIPROFILELIST_CH_</name>
      <anchor>a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_TAO_IOP_TAO_IOR_PROPERTY__VAR_OUT_CH_</name>
      <anchor>a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_TAO_IOP_TAO_IOR_PROPERTY_CH_</name>
      <anchor>a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_TAO_IOP_TAO_IOR_MANIPULATION__VAR_OUT_CH_</name>
      <anchor>a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_TAO_IOP_TAO_IOR_MANIPULATION_CH_</name>
      <anchor>a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_TAO_IOP_TAO_IOR_MANIPULATION_IORLIST_CH_</name>
      <anchor>a10</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_TAO_IOP_TAO_IOR_PROPERTY__TRAITS_CH_</name>
      <anchor>a11</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_TAO_IOP_TAO_IOR_MANIPULATION__TRAITS_CH_</name>
      <anchor>a12</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_IOR_Property *</type>
      <name>TAO_IOR_Property_ptr</name>
      <anchor>a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Var_T&lt; TAO_IOR_Property &gt;</type>
      <name>TAO_IOR_Property_var</name>
      <anchor>a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Out_T&lt; TAO_IOR_Property &gt;</type>
      <name>TAO_IOR_Property_out</name>
      <anchor>a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_IOR_Manipulation *</type>
      <name>TAO_IOR_Manipulation_ptr</name>
      <anchor>a10</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Var_T&lt; TAO_IOR_Manipulation &gt;</type>
      <name>TAO_IOR_Manipulation_var</name>
      <anchor>a11</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Out_T&lt; TAO_IOR_Manipulation &gt;</type>
      <name>TAO_IOR_Manipulation_out</name>
      <anchor>a12</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export void</type>
      <name>operator&lt;&lt;=</name>
      <anchor>a19</anchor>
      <arglist>(CORBA::Any &amp;, const TAO_IOP::EmptyProfileList &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export void</type>
      <name>operator&lt;&lt;=</name>
      <anchor>a20</anchor>
      <arglist>(CORBA::Any &amp;, TAO_IOP::EmptyProfileList *)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export CORBA::Boolean</type>
      <name>operator&gt;&gt;=</name>
      <anchor>a21</anchor>
      <arglist>(const CORBA::Any &amp;, TAO_IOP::EmptyProfileList *&amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export CORBA::Boolean</type>
      <name>operator&gt;&gt;=</name>
      <anchor>a22</anchor>
      <arglist>(const CORBA::Any &amp;, const TAO_IOP::EmptyProfileList *&amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export void</type>
      <name>operator&lt;&lt;=</name>
      <anchor>a23</anchor>
      <arglist>(CORBA::Any &amp;, const TAO_IOP::NotFound &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export void</type>
      <name>operator&lt;&lt;=</name>
      <anchor>a24</anchor>
      <arglist>(CORBA::Any &amp;, TAO_IOP::NotFound *)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export CORBA::Boolean</type>
      <name>operator&gt;&gt;=</name>
      <anchor>a25</anchor>
      <arglist>(const CORBA::Any &amp;, TAO_IOP::NotFound *&amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export CORBA::Boolean</type>
      <name>operator&gt;&gt;=</name>
      <anchor>a26</anchor>
      <arglist>(const CORBA::Any &amp;, const TAO_IOP::NotFound *&amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export void</type>
      <name>operator&lt;&lt;=</name>
      <anchor>a27</anchor>
      <arglist>(CORBA::Any &amp;, const TAO_IOP::Duplicate &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export void</type>
      <name>operator&lt;&lt;=</name>
      <anchor>a28</anchor>
      <arglist>(CORBA::Any &amp;, TAO_IOP::Duplicate *)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export CORBA::Boolean</type>
      <name>operator&gt;&gt;=</name>
      <anchor>a29</anchor>
      <arglist>(const CORBA::Any &amp;, TAO_IOP::Duplicate *&amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export CORBA::Boolean</type>
      <name>operator&gt;&gt;=</name>
      <anchor>a30</anchor>
      <arglist>(const CORBA::Any &amp;, const TAO_IOP::Duplicate *&amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export void</type>
      <name>operator&lt;&lt;=</name>
      <anchor>a31</anchor>
      <arglist>(CORBA::Any &amp;, const TAO_IOP::Invalid_IOR &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export void</type>
      <name>operator&lt;&lt;=</name>
      <anchor>a32</anchor>
      <arglist>(CORBA::Any &amp;, TAO_IOP::Invalid_IOR *)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export CORBA::Boolean</type>
      <name>operator&gt;&gt;=</name>
      <anchor>a33</anchor>
      <arglist>(const CORBA::Any &amp;, TAO_IOP::Invalid_IOR *&amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export CORBA::Boolean</type>
      <name>operator&gt;&gt;=</name>
      <anchor>a34</anchor>
      <arglist>(const CORBA::Any &amp;, const TAO_IOP::Invalid_IOR *&amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export void</type>
      <name>operator&lt;&lt;=</name>
      <anchor>a35</anchor>
      <arglist>(CORBA::Any &amp;, const TAO_IOP::MultiProfileList &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export void</type>
      <name>operator&lt;&lt;=</name>
      <anchor>a36</anchor>
      <arglist>(CORBA::Any &amp;, TAO_IOP::MultiProfileList *)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export CORBA::Boolean</type>
      <name>operator&gt;&gt;=</name>
      <anchor>a37</anchor>
      <arglist>(const CORBA::Any &amp;, TAO_IOP::MultiProfileList *&amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export CORBA::Boolean</type>
      <name>operator&gt;&gt;=</name>
      <anchor>a38</anchor>
      <arglist>(const CORBA::Any &amp;, const TAO_IOP::MultiProfileList *&amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export void</type>
      <name>operator&lt;&lt;=</name>
      <anchor>a39</anchor>
      <arglist>(CORBA::Any &amp;, TAO_IOP::TAO_IOR_Property_ptr)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export void</type>
      <name>operator&lt;&lt;=</name>
      <anchor>a40</anchor>
      <arglist>(CORBA::Any &amp;, TAO_IOP::TAO_IOR_Property_ptr *)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export CORBA::Boolean</type>
      <name>operator&gt;&gt;=</name>
      <anchor>a41</anchor>
      <arglist>(const CORBA::Any &amp;, TAO_IOP::TAO_IOR_Property_ptr &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export void</type>
      <name>operator&lt;&lt;=</name>
      <anchor>a42</anchor>
      <arglist>(CORBA::Any &amp;, TAO_IOP::TAO_IOR_Manipulation_ptr)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export void</type>
      <name>operator&lt;&lt;=</name>
      <anchor>a43</anchor>
      <arglist>(CORBA::Any &amp;, TAO_IOP::TAO_IOR_Manipulation_ptr *)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export CORBA::Boolean</type>
      <name>operator&gt;&gt;=</name>
      <anchor>a44</anchor>
      <arglist>(const CORBA::Any &amp;, TAO_IOP::TAO_IOR_Manipulation_ptr &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export void</type>
      <name>operator&lt;&lt;=</name>
      <anchor>a45</anchor>
      <arglist>(CORBA::Any &amp;, const TAO_IOP::TAO_IOR_Manipulation::IORList &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export void</type>
      <name>operator&lt;&lt;=</name>
      <anchor>a46</anchor>
      <arglist>(CORBA::Any &amp;, TAO_IOP::TAO_IOR_Manipulation::IORList *)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export CORBA::Boolean</type>
      <name>operator&gt;&gt;=</name>
      <anchor>a47</anchor>
      <arglist>(const CORBA::Any &amp;, TAO_IOP::TAO_IOR_Manipulation::IORList *&amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export CORBA::Boolean</type>
      <name>operator&gt;&gt;=</name>
      <anchor>a48</anchor>
      <arglist>(const CORBA::Any &amp;, const TAO_IOP::TAO_IOR_Manipulation::IORList *&amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export CORBA::Boolean</type>
      <name>operator&lt;&lt;</name>
      <anchor>a49</anchor>
      <arglist>(TAO_OutputCDR &amp;, const TAO_IOP::EmptyProfileList &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export CORBA::Boolean</type>
      <name>operator&gt;&gt;</name>
      <anchor>a50</anchor>
      <arglist>(TAO_InputCDR &amp;, TAO_IOP::EmptyProfileList &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export CORBA::Boolean</type>
      <name>operator&lt;&lt;</name>
      <anchor>a51</anchor>
      <arglist>(TAO_OutputCDR &amp;, const TAO_IOP::NotFound &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export CORBA::Boolean</type>
      <name>operator&gt;&gt;</name>
      <anchor>a52</anchor>
      <arglist>(TAO_InputCDR &amp;, TAO_IOP::NotFound &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export CORBA::Boolean</type>
      <name>operator&lt;&lt;</name>
      <anchor>a53</anchor>
      <arglist>(TAO_OutputCDR &amp;, const TAO_IOP::Duplicate &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export CORBA::Boolean</type>
      <name>operator&gt;&gt;</name>
      <anchor>a54</anchor>
      <arglist>(TAO_InputCDR &amp;, TAO_IOP::Duplicate &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export CORBA::Boolean</type>
      <name>operator&lt;&lt;</name>
      <anchor>a55</anchor>
      <arglist>(TAO_OutputCDR &amp;, const TAO_IOP::Invalid_IOR &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export CORBA::Boolean</type>
      <name>operator&gt;&gt;</name>
      <anchor>a56</anchor>
      <arglist>(TAO_InputCDR &amp;, TAO_IOP::Invalid_IOR &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export CORBA::Boolean</type>
      <name>operator&lt;&lt;</name>
      <anchor>a57</anchor>
      <arglist>(TAO_OutputCDR &amp;, const TAO_IOP::MultiProfileList &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORManip_Export CORBA::Boolean</type>
      <name>operator&gt;&gt;</name>
      <anchor>a58</anchor>
      <arglist>(TAO_InputCDR &amp;, TAO_IOP::MultiProfileList &amp;)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>IORManip_Loader.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/IORManipulation/</path>
    <filename>IORManip__Loader_8cpp</filename>
    <includes id="IORManip__Loader_8h" name="IORManip_Loader.h" local="yes" imported="no">IORManip_Loader.h</includes>
    <includes id="IORManipulation_8h" name="IORManipulation.h" local="yes" imported="no">IORManipulation.h</includes>
  </compound>
  <compound kind="file">
    <name>IORManip_Loader.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/IORManipulation/</path>
    <filename>IORManip__Loader_8h</filename>
    <includes id="ior__manip__export_8h" name="ior_manip_export.h" local="yes" imported="no">ior_manip_export.h</includes>
    <includes id="IORC_8h" name="IORC.h" local="yes" imported="no">IORC.h</includes>
    <class kind="class">TAO_IORManip_Loader</class>
    <member kind="define">
      <type>#define</type>
      <name>TAO_IORMANIP_SAFE_INCLUDE</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>int</type>
      <name>TAO_Requires_IORManip_Initializer</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>IORManipulation.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/IORManipulation/</path>
    <filename>IORManipulation_8cpp</filename>
    <includes id="IORManipulation_8h" name="IORManipulation.h" local="yes" imported="no">IORManipulation.h</includes>
  </compound>
  <compound kind="file">
    <name>IORManipulation.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/IORManipulation/</path>
    <filename>IORManipulation_8h</filename>
    <includes id="IORManip__Loader_8h" name="IORManip_Loader.h" local="yes" imported="no">IORManip_Loader.h</includes>
    <includes id="IORC_8h" name="IORC.h" local="yes" imported="no">IORC.h</includes>
    <class kind="class">TAO_IOR_Manipulation_impl</class>
  </compound>
  <compound kind="class">
    <name>TAO_IOR_Manipulation_impl</name>
    <filename>classTAO__IOR__Manipulation__impl.html</filename>
    <base>TAO_IOP::TAO_IOR_Manipulation</base>
    <base>TAO_Local_RefCounted_Object</base>
    <member kind="function">
      <type></type>
      <name>TAO_IOR_Manipulation_impl</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Object_ptr</type>
      <name>merge_iors</name>
      <anchor>a1</anchor>
      <arglist>(const TAO_IOP::TAO_IOR_Manipulation::IORList &amp;iors)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Object_ptr</type>
      <name>add_profiles</name>
      <anchor>a2</anchor>
      <arglist>(CORBA::Object_ptr ior1, CORBA::Object_ptr ior2)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Object_ptr</type>
      <name>remove_profiles</name>
      <anchor>a3</anchor>
      <arglist>(CORBA::Object_ptr group, CORBA::Object_ptr ior2)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>set_property</name>
      <anchor>a4</anchor>
      <arglist>(TAO_IOP::TAO_IOR_Property_ptr prop, CORBA::Object_ptr group)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>set_primary</name>
      <anchor>a5</anchor>
      <arglist>(TAO_IOP::TAO_IOR_Property_ptr prop, CORBA::Object_ptr new_primary, CORBA::Object_ptr group)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Object_ptr</type>
      <name>get_primary</name>
      <anchor>a6</anchor>
      <arglist>(TAO_IOP::TAO_IOR_Property_ptr prop, CORBA::Object_ptr group)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>is_primary_set</name>
      <anchor>a7</anchor>
      <arglist>(TAO_IOP::TAO_IOR_Property_ptr prop, CORBA::Object_ptr group)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>remove_primary_tag</name>
      <anchor>a8</anchor>
      <arglist>(TAO_IOP::TAO_IOR_Property_ptr prop, CORBA::Object_ptr iogr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::ULong</type>
      <name>is_in_ior</name>
      <anchor>a9</anchor>
      <arglist>(CORBA::Object_ptr ior1, CORBA::Object_ptr ior2)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::ULong</type>
      <name>get_profile_count</name>
      <anchor>a10</anchor>
      <arglist>(CORBA::Object_ptr group)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>~TAO_IOR_Manipulation_impl</name>
      <anchor>b0</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_IORManip_Loader</name>
    <filename>classTAO__IORManip__Loader.html</filename>
    <base>TAO_Object_Loader</base>
    <member kind="function">
      <type></type>
      <name>TAO_IORManip_Loader</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Object_ptr</type>
      <name>create_object</name>
      <anchor>a1</anchor>
      <arglist>(CORBA::ORB_ptr orb, int argc, ACE_TCHAR *argv[] ACE_ENV_ARG_DECL_NOT_USED)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>Initializer</name>
      <anchor>e0</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>TAO/tao/IORManipulation/</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/IORManipulation/</path>
    <filename>dir_000002.html</filename>
    <file>IOR.pidl</file>
    <file>ior_manip_export.h</file>
    <file>IORA.cpp</file>
    <file>IORC.cpp</file>
    <file>IORC.h</file>
    <file>IORManip_Loader.cpp</file>
    <file>IORManip_Loader.h</file>
    <file>IORManipulation.cpp</file>
    <file>IORManipulation.h</file>
  </compound>
  <compound kind="dir">
    <name>TAO/tao/</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/</path>
    <filename>dir_000001.html</filename>
    <dir>TAO/tao/IORManipulation/</dir>
  </compound>
  <compound kind="dir">
    <name>TAO/</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/</path>
    <filename>dir_000000.html</filename>
    <dir>TAO/tao/</dir>
  </compound>
  <compound kind="struct">
    <name>TAO::Objref_Traits&lt; ::TAO_IOP::TAO_IOR_Property &gt;</name>
    <filename>structTAO_1_1Objref__Traits_3_01_1_1TAO__IOP_1_1TAO__IOR__Property_01_4.html</filename>
    <member kind="function" static="yes">
      <type>::TAO_IOP::TAO_IOR_Property_ptr</type>
      <name>duplicate</name>
      <anchor>e0</anchor>
      <arglist>(::TAO_IOP::TAO_IOR_Property_ptr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>release</name>
      <anchor>e1</anchor>
      <arglist>(::TAO_IOP::TAO_IOR_Property_ptr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>::TAO_IOP::TAO_IOR_Property_ptr</type>
      <name>nil</name>
      <anchor>e2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CORBA::Boolean</type>
      <name>marshal</name>
      <anchor>e3</anchor>
      <arglist>(::TAO_IOP::TAO_IOR_Property_ptr p, TAO_OutputCDR &amp;cdr)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>TAO::Objref_Traits&lt; ::TAO_IOP::TAO_IOR_Manipulation &gt;</name>
    <filename>structTAO_1_1Objref__Traits_3_01_1_1TAO__IOP_1_1TAO__IOR__Manipulation_01_4.html</filename>
    <member kind="function" static="yes">
      <type>::TAO_IOP::TAO_IOR_Manipulation_ptr</type>
      <name>duplicate</name>
      <anchor>e0</anchor>
      <arglist>(::TAO_IOP::TAO_IOR_Manipulation_ptr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>release</name>
      <anchor>e1</anchor>
      <arglist>(::TAO_IOP::TAO_IOR_Manipulation_ptr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>::TAO_IOP::TAO_IOR_Manipulation_ptr</type>
      <name>nil</name>
      <anchor>e2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CORBA::Boolean</type>
      <name>marshal</name>
      <anchor>e3</anchor>
      <arglist>(::TAO_IOP::TAO_IOR_Manipulation_ptr p, TAO_OutputCDR &amp;cdr)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>TAO_IOP</name>
    <filename>namespaceTAO__IOP.html</filename>
    <class kind="exception">TAO_IOP::EmptyProfileList</class>
    <class kind="exception">TAO_IOP::NotFound</class>
    <class kind="exception">TAO_IOP::Duplicate</class>
    <class kind="exception">TAO_IOP::Invalid_IOR</class>
    <class kind="exception">TAO_IOP::MultiProfileList</class>
    <class kind="interface">TAO_IOP::TAO_IOR_Property</class>
    <class kind="interface">TAO_IOP::TAO_IOR_Manipulation</class>
    <class kind="class">TAO_IOP::TAO_IOR_Manipulation::IORList</class>
    <member kind="typedef">
      <type>TAO_IOR_Property *</type>
      <name>TAO_IOR_Property_ptr</name>
      <anchor>a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Var_T&lt; TAO_IOR_Property &gt;</type>
      <name>TAO_IOR_Property_var</name>
      <anchor>a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Out_T&lt; TAO_IOR_Property &gt;</type>
      <name>TAO_IOR_Property_out</name>
      <anchor>a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_IOR_Manipulation *</type>
      <name>TAO_IOR_Manipulation_ptr</name>
      <anchor>a10</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Var_T&lt; TAO_IOR_Manipulation &gt;</type>
      <name>TAO_IOR_Manipulation_var</name>
      <anchor>a11</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Out_T&lt; TAO_IOR_Manipulation &gt;</type>
      <name>TAO_IOR_Manipulation_out</name>
      <anchor>a12</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>::CORBA::TypeCode_ptr const</type>
      <name>_tc_EmptyProfileList</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>::CORBA::TypeCode_ptr const</type>
      <name>_tc_NotFound</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>::CORBA::TypeCode_ptr const</type>
      <name>_tc_Duplicate</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>::CORBA::TypeCode_ptr const</type>
      <name>_tc_Invalid_IOR</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>::CORBA::TypeCode_ptr const</type>
      <name>_tc_MultiProfileList</name>
      <anchor>a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>::CORBA::TypeCode_ptr const</type>
      <name>_tc_TAO_IOR_Property</name>
      <anchor>a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>::CORBA::TypeCode_ptr const</type>
      <name>_tc_TAO_IOR_Manipulation</name>
      <anchor>a6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="exception">
    <name>TAO_IOP::EmptyProfileList</name>
    <filename>exceptionTAO__IOP_1_1EmptyProfileList.html</filename>
    <base>CORBA::UserException</base>
    <member kind="function">
      <type></type>
      <name>EmptyProfileList</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>EmptyProfileList</name>
      <anchor>a1</anchor>
      <arglist>(const EmptyProfileList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~EmptyProfileList</name>
      <anchor>a2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>EmptyProfileList &amp;</type>
      <name>operator=</name>
      <anchor>a3</anchor>
      <arglist>(const EmptyProfileList &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Exception *</type>
      <name>_tao_duplicate</name>
      <anchor>a4</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_raise</name>
      <anchor>a5</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_tao_encode</name>
      <anchor>a6</anchor>
      <arglist>(TAO_OutputCDR &amp;) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_tao_decode</name>
      <anchor>a7</anchor>
      <arglist>(TAO_InputCDR &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::TypeCode_ptr</type>
      <name>_tao_type</name>
      <anchor>a8</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>_tao_any_destructor</name>
      <anchor>e0</anchor>
      <arglist>(void *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>EmptyProfileList *</type>
      <name>_downcast</name>
      <anchor>e1</anchor>
      <arglist>(CORBA::Exception *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>const EmptyProfileList *</type>
      <name>_downcast</name>
      <anchor>e2</anchor>
      <arglist>(CORBA::Exception const *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CORBA::Exception *</type>
      <name>_alloc</name>
      <anchor>e3</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="exception">
    <name>TAO_IOP::NotFound</name>
    <filename>exceptionTAO__IOP_1_1NotFound.html</filename>
    <base>CORBA::UserException</base>
    <member kind="function">
      <type></type>
      <name>NotFound</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>NotFound</name>
      <anchor>a1</anchor>
      <arglist>(const NotFound &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~NotFound</name>
      <anchor>a2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>NotFound &amp;</type>
      <name>operator=</name>
      <anchor>a3</anchor>
      <arglist>(const NotFound &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Exception *</type>
      <name>_tao_duplicate</name>
      <anchor>a4</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_raise</name>
      <anchor>a5</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_tao_encode</name>
      <anchor>a6</anchor>
      <arglist>(TAO_OutputCDR &amp;) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_tao_decode</name>
      <anchor>a7</anchor>
      <arglist>(TAO_InputCDR &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::TypeCode_ptr</type>
      <name>_tao_type</name>
      <anchor>a8</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>_tao_any_destructor</name>
      <anchor>e0</anchor>
      <arglist>(void *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>NotFound *</type>
      <name>_downcast</name>
      <anchor>e1</anchor>
      <arglist>(CORBA::Exception *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>const NotFound *</type>
      <name>_downcast</name>
      <anchor>e2</anchor>
      <arglist>(CORBA::Exception const *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CORBA::Exception *</type>
      <name>_alloc</name>
      <anchor>e3</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="exception">
    <name>TAO_IOP::Duplicate</name>
    <filename>exceptionTAO__IOP_1_1Duplicate.html</filename>
    <base>CORBA::UserException</base>
    <member kind="function">
      <type></type>
      <name>Duplicate</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Duplicate</name>
      <anchor>a1</anchor>
      <arglist>(const Duplicate &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Duplicate</name>
      <anchor>a2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>Duplicate &amp;</type>
      <name>operator=</name>
      <anchor>a3</anchor>
      <arglist>(const Duplicate &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Exception *</type>
      <name>_tao_duplicate</name>
      <anchor>a4</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_raise</name>
      <anchor>a5</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_tao_encode</name>
      <anchor>a6</anchor>
      <arglist>(TAO_OutputCDR &amp;) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_tao_decode</name>
      <anchor>a7</anchor>
      <arglist>(TAO_InputCDR &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::TypeCode_ptr</type>
      <name>_tao_type</name>
      <anchor>a8</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>_tao_any_destructor</name>
      <anchor>e0</anchor>
      <arglist>(void *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>Duplicate *</type>
      <name>_downcast</name>
      <anchor>e1</anchor>
      <arglist>(CORBA::Exception *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>const Duplicate *</type>
      <name>_downcast</name>
      <anchor>e2</anchor>
      <arglist>(CORBA::Exception const *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CORBA::Exception *</type>
      <name>_alloc</name>
      <anchor>e3</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="exception">
    <name>TAO_IOP::Invalid_IOR</name>
    <filename>exceptionTAO__IOP_1_1Invalid__IOR.html</filename>
    <base>CORBA::UserException</base>
    <member kind="function">
      <type></type>
      <name>Invalid_IOR</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Invalid_IOR</name>
      <anchor>a1</anchor>
      <arglist>(const Invalid_IOR &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Invalid_IOR</name>
      <anchor>a2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>Invalid_IOR &amp;</type>
      <name>operator=</name>
      <anchor>a3</anchor>
      <arglist>(const Invalid_IOR &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Exception *</type>
      <name>_tao_duplicate</name>
      <anchor>a4</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_raise</name>
      <anchor>a5</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_tao_encode</name>
      <anchor>a6</anchor>
      <arglist>(TAO_OutputCDR &amp;) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_tao_decode</name>
      <anchor>a7</anchor>
      <arglist>(TAO_InputCDR &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::TypeCode_ptr</type>
      <name>_tao_type</name>
      <anchor>a8</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>_tao_any_destructor</name>
      <anchor>e0</anchor>
      <arglist>(void *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>Invalid_IOR *</type>
      <name>_downcast</name>
      <anchor>e1</anchor>
      <arglist>(CORBA::Exception *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>const Invalid_IOR *</type>
      <name>_downcast</name>
      <anchor>e2</anchor>
      <arglist>(CORBA::Exception const *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CORBA::Exception *</type>
      <name>_alloc</name>
      <anchor>e3</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="exception">
    <name>TAO_IOP::MultiProfileList</name>
    <filename>exceptionTAO__IOP_1_1MultiProfileList.html</filename>
    <base>CORBA::UserException</base>
    <member kind="function">
      <type></type>
      <name>MultiProfileList</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MultiProfileList</name>
      <anchor>a1</anchor>
      <arglist>(const MultiProfileList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~MultiProfileList</name>
      <anchor>a2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>MultiProfileList &amp;</type>
      <name>operator=</name>
      <anchor>a3</anchor>
      <arglist>(const MultiProfileList &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Exception *</type>
      <name>_tao_duplicate</name>
      <anchor>a4</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_raise</name>
      <anchor>a5</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_tao_encode</name>
      <anchor>a6</anchor>
      <arglist>(TAO_OutputCDR &amp;) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_tao_decode</name>
      <anchor>a7</anchor>
      <arglist>(TAO_InputCDR &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::TypeCode_ptr</type>
      <name>_tao_type</name>
      <anchor>a8</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>_tao_any_destructor</name>
      <anchor>e0</anchor>
      <arglist>(void *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>MultiProfileList *</type>
      <name>_downcast</name>
      <anchor>e1</anchor>
      <arglist>(CORBA::Exception *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>const MultiProfileList *</type>
      <name>_downcast</name>
      <anchor>e2</anchor>
      <arglist>(CORBA::Exception const *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CORBA::Exception *</type>
      <name>_alloc</name>
      <anchor>e3</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>TAO_IOP::TAO_IOR_Property</name>
    <filename>interfaceTAO__IOP_1_1TAO__IOR__Property.html</filename>
    <base virtualness="virtual">CORBA::Object</base>
    <member kind="typedef">
      <type>TAO_IOR_Property_ptr</type>
      <name>_ptr_type</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_IOR_Property_var</type>
      <name>_var_type</name>
      <anchor>w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>set_property</name>
      <anchor>a0</anchor>
      <arglist>(inout Object ior)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>set_primary</name>
      <anchor>a1</anchor>
      <arglist>(inout Object ior1, in Object ior2)</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>get_primary</name>
      <anchor>a2</anchor>
      <arglist>(in Object ior)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>is_primary_set</name>
      <anchor>a3</anchor>
      <arglist>(in Object ior)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>remove_primary_tag</name>
      <anchor>a4</anchor>
      <arglist>(inout Object iogr)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::Boolean</type>
      <name>set_property</name>
      <anchor>a5</anchor>
      <arglist>(::CORBA::Object_ptr &amp;ior)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::Boolean</type>
      <name>set_primary</name>
      <anchor>a6</anchor>
      <arglist>(::CORBA::Object_ptr &amp;ior1,::CORBA::Object_ptr ior2)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::Object_ptr</type>
      <name>get_primary</name>
      <anchor>a7</anchor>
      <arglist>(::CORBA::Object_ptr ior)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::Boolean</type>
      <name>is_primary_set</name>
      <anchor>a8</anchor>
      <arglist>(::CORBA::Object_ptr ior)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::Boolean</type>
      <name>remove_primary_tag</name>
      <anchor>a9</anchor>
      <arglist>(::CORBA::Object_ptr &amp;iogr)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>_is_a</name>
      <anchor>a10</anchor>
      <arglist>(const char *type_id)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>_interface_repository_id</name>
      <anchor>a11</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>marshal</name>
      <anchor>a12</anchor>
      <arglist>(TAO_OutputCDR &amp;cdr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>TAO_IOR_Property_ptr</type>
      <name>_duplicate</name>
      <anchor>e0</anchor>
      <arglist>(TAO_IOR_Property_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>_tao_release</name>
      <anchor>e1</anchor>
      <arglist>(TAO_IOR_Property_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>TAO_IOR_Property_ptr</type>
      <name>_narrow</name>
      <anchor>e2</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>TAO_IOR_Property_ptr</type>
      <name>_unchecked_narrow</name>
      <anchor>e3</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>TAO_IOR_Property_ptr</type>
      <name>_nil</name>
      <anchor>e4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>_tao_any_destructor</name>
      <anchor>e5</anchor>
      <arglist>(void *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>TAO_IOR_Property</name>
      <anchor>b0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual</type>
      <name>~TAO_IOR_Property</name>
      <anchor>b1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>TAO_IOR_Property</name>
      <anchor>d0</anchor>
      <arglist>(const TAO_IOR_Property &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>operator=</name>
      <anchor>d1</anchor>
      <arglist>(const TAO_IOR_Property &amp;)</arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>TAO_IOP::TAO_IOR_Manipulation</name>
    <filename>interfaceTAO__IOP_1_1TAO__IOR__Manipulation.html</filename>
    <base virtualness="virtual">CORBA::Object</base>
    <member kind="typedef">
      <type>sequence&lt; Object &gt;</type>
      <name>IORList</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_IOR_Manipulation_ptr</type>
      <name>_ptr_type</name>
      <anchor>w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_IOR_Manipulation_var</type>
      <name>_var_type</name>
      <anchor>w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_MngSeq_Var_T&lt; IORList, TAO_Pseudo_Object_Manager&lt; CORBA::Object &gt; &gt;</type>
      <name>IORList_var</name>
      <anchor>w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_MngSeq_Out_T&lt; IORList, IORList_var, TAO_Pseudo_Object_Manager&lt; CORBA::Object &gt; &gt;</type>
      <name>IORList_out</name>
      <anchor>w4</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>merge_iors</name>
      <anchor>a0</anchor>
      <arglist>(in IORList iors)</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>add_profiles</name>
      <anchor>a1</anchor>
      <arglist>(in Object ior1, in Object ior2)</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>remove_profiles</name>
      <anchor>a2</anchor>
      <arglist>(in Object ior1, in Object ior2)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>set_property</name>
      <anchor>a3</anchor>
      <arglist>(in TAO_IOR_Property prop, in Object ior)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>set_primary</name>
      <anchor>a4</anchor>
      <arglist>(in TAO_IOR_Property prop, in Object ior1, in Object ior2)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>remove_primary_tag</name>
      <anchor>a5</anchor>
      <arglist>(in TAO_IOR_Property prop, in Object ior)</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>get_primary</name>
      <anchor>a6</anchor>
      <arglist>(in TAO_IOR_Property prop, in Object ior)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>is_primary_set</name>
      <anchor>a7</anchor>
      <arglist>(in TAO_IOR_Property prop, in Object ior)</arglist>
    </member>
    <member kind="function">
      <type>unsigned long</type>
      <name>is_in_ior</name>
      <anchor>a8</anchor>
      <arglist>(in Object ior1, in Object ior2)</arglist>
    </member>
    <member kind="function">
      <type>unsigned long</type>
      <name>get_profile_count</name>
      <anchor>a9</anchor>
      <arglist>(in Object ior)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::Object_ptr</type>
      <name>merge_iors</name>
      <anchor>a10</anchor>
      <arglist>(const ::TAO_IOP::TAO_IOR_Manipulation::IORList &amp;iors)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::Object_ptr</type>
      <name>add_profiles</name>
      <anchor>a11</anchor>
      <arglist>(::CORBA::Object_ptr ior1,::CORBA::Object_ptr ior2)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::Object_ptr</type>
      <name>remove_profiles</name>
      <anchor>a12</anchor>
      <arglist>(::CORBA::Object_ptr ior1,::CORBA::Object_ptr ior2)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::Boolean</type>
      <name>set_property</name>
      <anchor>a13</anchor>
      <arglist>(::TAO_IOP::TAO_IOR_Property_ptr prop,::CORBA::Object_ptr ior)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::Boolean</type>
      <name>set_primary</name>
      <anchor>a14</anchor>
      <arglist>(::TAO_IOP::TAO_IOR_Property_ptr prop,::CORBA::Object_ptr ior1,::CORBA::Object_ptr ior2)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::Boolean</type>
      <name>remove_primary_tag</name>
      <anchor>a15</anchor>
      <arglist>(::TAO_IOP::TAO_IOR_Property_ptr prop,::CORBA::Object_ptr ior)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::Object_ptr</type>
      <name>get_primary</name>
      <anchor>a16</anchor>
      <arglist>(::TAO_IOP::TAO_IOR_Property_ptr prop,::CORBA::Object_ptr ior)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::Boolean</type>
      <name>is_primary_set</name>
      <anchor>a17</anchor>
      <arglist>(::TAO_IOP::TAO_IOR_Property_ptr prop,::CORBA::Object_ptr ior)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::ULong</type>
      <name>is_in_ior</name>
      <anchor>a18</anchor>
      <arglist>(::CORBA::Object_ptr ior1,::CORBA::Object_ptr ior2)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::ULong</type>
      <name>get_profile_count</name>
      <anchor>a19</anchor>
      <arglist>(::CORBA::Object_ptr ior)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>_is_a</name>
      <anchor>a20</anchor>
      <arglist>(const char *type_id)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>_interface_repository_id</name>
      <anchor>a21</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>marshal</name>
      <anchor>a22</anchor>
      <arglist>(TAO_OutputCDR &amp;cdr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>TAO_IOR_Manipulation_ptr</type>
      <name>_duplicate</name>
      <anchor>e0</anchor>
      <arglist>(TAO_IOR_Manipulation_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>_tao_release</name>
      <anchor>e1</anchor>
      <arglist>(TAO_IOR_Manipulation_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>TAO_IOR_Manipulation_ptr</type>
      <name>_narrow</name>
      <anchor>e2</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>TAO_IOR_Manipulation_ptr</type>
      <name>_unchecked_narrow</name>
      <anchor>e3</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>TAO_IOR_Manipulation_ptr</type>
      <name>_nil</name>
      <anchor>e4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>_tao_any_destructor</name>
      <anchor>e5</anchor>
      <arglist>(void *)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>::CORBA::TypeCode_ptr const</type>
      <name>_tc_IORList</name>
      <anchor>s0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>TAO_IOR_Manipulation</name>
      <anchor>b0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual</type>
      <name>~TAO_IOR_Manipulation</name>
      <anchor>b1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>TAO_IOR_Manipulation</name>
      <anchor>d0</anchor>
      <arglist>(const TAO_IOR_Manipulation &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>operator=</name>
      <anchor>d1</anchor>
      <arglist>(const TAO_IOR_Manipulation &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_IOP::TAO_IOR_Manipulation::IORList</name>
    <filename>classTAO__IOP_1_1TAO__IOR__Manipulation_1_1IORList.html</filename>
    <base>TAO_Unbounded_Pseudo_Sequence&lt; CORBA::Object &gt;</base>
    <member kind="typedef">
      <type>IORList_var</type>
      <name>_var_type</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IORList</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IORList</name>
      <anchor>a1</anchor>
      <arglist>(CORBA::ULong max)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IORList</name>
      <anchor>a2</anchor>
      <arglist>(CORBA::ULong max, CORBA::ULong length, CORBA::Object_ptr *buffer, CORBA::Boolean release=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IORList</name>
      <anchor>a3</anchor>
      <arglist>(const IORList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~IORList</name>
      <anchor>a4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>_tao_any_destructor</name>
      <anchor>e0</anchor>
      <arglist>(void *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_IOP::TAO_IOR_Manipulation::IORList</name>
    <filename>classTAO__IOP_1_1TAO__IOR__Manipulation_1_1IORList.html</filename>
    <base>TAO_Unbounded_Pseudo_Sequence&lt; CORBA::Object &gt;</base>
    <member kind="typedef">
      <type>IORList_var</type>
      <name>_var_type</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IORList</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IORList</name>
      <anchor>a1</anchor>
      <arglist>(CORBA::ULong max)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IORList</name>
      <anchor>a2</anchor>
      <arglist>(CORBA::ULong max, CORBA::ULong length, CORBA::Object_ptr *buffer, CORBA::Boolean release=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IORList</name>
      <anchor>a3</anchor>
      <arglist>(const IORList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~IORList</name>
      <anchor>a4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>_tao_any_destructor</name>
      <anchor>e0</anchor>
      <arglist>(void *)</arglist>
    </member>
  </compound>
</tagfile>
