<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="file">
    <name>CSI_Utils.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>CSI__Utils_8cpp</filename>
    <includes id="CSI__Utils_8h" name="CSI_Utils.h" local="yes" imported="no">CSI_Utils.h</includes>
  </compound>
  <compound kind="file">
    <name>CSI_Utils.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>CSI__Utils_8h</filename>
    <namespace>IOP</namespace>
    <namespace>CSI</namespace>
    <namespace>TAO</namespace>
    <namespace>TAO::CSI_Utils</namespace>
    <member kind="function">
      <type>void</type>
      <name>create_sas_service_context</name>
      <anchor>a0</anchor>
      <arglist>(const CSI::SASContextBody &amp;sas_context, IOP::ServiceContext &amp;sc)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>extract_sas_service_context</name>
      <anchor>a1</anchor>
      <arglist>(const IOP::ServiceContext &amp;sc, CSI::SASContextBody &amp;sas_context)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Security.idl</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/</path>
    <filename>Security_8idl</filename>
    <namespace>Security</namespace>
    <class kind="struct">Security::ExtensibleFamily</class>
    <class kind="struct">Security::AttributeType</class>
    <class kind="struct">Security::SecAttribute</class>
    <class kind="struct">Security::Right</class>
    <class kind="struct">Security::ChannelBindings</class>
    <class kind="struct">Security::OpaqueBuffer</class>
    <class kind="struct">Security::OptionsDirectionPair</class>
    <class kind="struct">Security::MechandOptions</class>
    <class kind="struct">Security::EstablishTrust</class>
    <class kind="struct">Security::AuditEventType</class>
    <class kind="struct">Security::SelectorValue</class>
    <member kind="typedef">
      <type>string</type>
      <name>SecurityName</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; octet &gt;</type>
      <name>Opaque</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; octet &gt;</type>
      <name>OID</name>
      <anchor>a16</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; OID &gt;</type>
      <name>OIDList</name>
      <anchor>a17</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned long</type>
      <name>SecurityAttributeType</name>
      <anchor>a18</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; AttributeType &gt;</type>
      <name>AttributeTypeList</name>
      <anchor>a30</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; SecAttribute &gt;</type>
      <name>AttributeList</name>
      <anchor>a31</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned long</type>
      <name>AuthenticationMethod</name>
      <anchor>a32</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; AuthenticationMethod &gt;</type>
      <name>AuthenticationMethodList</name>
      <anchor>a33</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; Right &gt;</type>
      <name>RightsList</name>
      <anchor>a34</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TimeBase::UtcT</type>
      <name>UtcT</name>
      <anchor>a35</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TimeBase::IntervalT</type>
      <name>IntervalT</name>
      <anchor>a36</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TimeBase::TimeT</type>
      <name>TimeT</name>
      <anchor>a37</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned short</type>
      <name>AssociationOptions</name>
      <anchor>a38</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>string</type>
      <name>MechanismType</name>
      <anchor>a49</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; MechanismType &gt;</type>
      <name>MechanismTypeList</name>
      <anchor>a50</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; OptionsDirectionPair &gt;</type>
      <name>OptionsDirectionPairList</name>
      <anchor>a51</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; MechandOptions &gt;</type>
      <name>MechandOptionsList</name>
      <anchor>a52</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned long</type>
      <name>AuditChannelId</name>
      <anchor>a53</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned short</type>
      <name>_EventType</name>
      <anchor>a54</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; AuditEventType &gt;</type>
      <name>AuditEventTypeList</name>
      <anchor>a65</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned long</type>
      <name>SelectorType</name>
      <anchor>a66</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; SelectorValue &gt;</type>
      <name>SelectorValueList</name>
      <anchor>a74</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>AuthenticationStatus</name>
      <anchor>a148</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAuthSuccess</name>
      <anchor>a148a91</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAuthFailure</name>
      <anchor>a148a92</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAuthContinue</name>
      <anchor>a148a93</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAuthExpired</name>
      <anchor>a148a94</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>AssociationStatus</name>
      <anchor>a149</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAssocSuccess</name>
      <anchor>a149a95</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAssocFailure</name>
      <anchor>a149a96</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAssocContinue</name>
      <anchor>a149a97</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>InvocationCredentialsType</name>
      <anchor>a150</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecOwnCredentials</name>
      <anchor>a150a98</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecReceivedCredentials</name>
      <anchor>a150a99</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecTargetCredentials</name>
      <anchor>a150a100</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>RightsCombinator</name>
      <anchor>a151</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAllRights</name>
      <anchor>a151a101</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAnyRight</name>
      <anchor>a151a102</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>DelegationState</name>
      <anchor>a152</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecInitiator</name>
      <anchor>a152a103</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDelegate</name>
      <anchor>a152a104</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>DelegationDirective</name>
      <anchor>a153</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Delegate</name>
      <anchor>a153a105</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NoDelegate</name>
      <anchor>a153a106</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>SecurityFeature</name>
      <anchor>a154</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecNoDelegation</name>
      <anchor>a154a107</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecSimpleDelegation</name>
      <anchor>a154a108</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecCompositeDelegation</name>
      <anchor>a154a109</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecNoProtection</name>
      <anchor>a154a110</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecIntegrity</name>
      <anchor>a154a111</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecConfidentiality</name>
      <anchor>a154a112</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecIntegrityAndConfidentiality</name>
      <anchor>a154a113</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDetectReplay</name>
      <anchor>a154a114</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDetectMisordering</name>
      <anchor>a154a115</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecEstablishTrustInTarget</name>
      <anchor>a154a116</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecEstablishTrustInClient</name>
      <anchor>a154a117</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>QOP</name>
      <anchor>a155</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecQOPNoProtection</name>
      <anchor>a155a118</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecQOPIntegrity</name>
      <anchor>a155a119</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecQOPConfidentiality</name>
      <anchor>a155a120</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecQOPIntegrityAndConfidentiality</name>
      <anchor>a155a121</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>SecurityContextType</name>
      <anchor>a156</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecClientSecurityContext</name>
      <anchor>a156a122</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecServerSecurityContext</name>
      <anchor>a156a123</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>SecurityContextState</name>
      <anchor>a157</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecContextInitialized</name>
      <anchor>a157a124</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecContextContinued</name>
      <anchor>a157a125</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecContextClientEstablished</name>
      <anchor>a157a126</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecContextEstablished</name>
      <anchor>a157a127</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecContextEstablishExpired</name>
      <anchor>a157a128</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecContextExpired</name>
      <anchor>a157a129</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecContextInvalid</name>
      <anchor>a157a130</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>RequiresSupports</name>
      <anchor>a158</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecRequires</name>
      <anchor>a158a131</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecSupports</name>
      <anchor>a158a132</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>CommunicationDirection</name>
      <anchor>a159</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDirectionBoth</name>
      <anchor>a159a133</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDirectionRequest</name>
      <anchor>a159a134</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDirectionReply</name>
      <anchor>a159a135</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>DelegationMode</name>
      <anchor>a160</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDelModeNoDelegation</name>
      <anchor>a160a136</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDelModeSimpleDelegation</name>
      <anchor>a160a137</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDelModeCompositeDelegation</name>
      <anchor>a160a138</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>DayOfTheWeek</name>
      <anchor>a161</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Monday</name>
      <anchor>a161a139</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Tuesday</name>
      <anchor>a161a140</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Wednesday</name>
      <anchor>a161a141</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Thursday</name>
      <anchor>a161a142</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Friday</name>
      <anchor>a161a143</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Saturday</name>
      <anchor>a161a144</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Sunday</name>
      <anchor>a161a145</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>AuditCombinator</name>
      <anchor>a162</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAllSelectors</name>
      <anchor>a162a146</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAnySelector</name>
      <anchor>a162a147</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>SecurityLevel1</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>SecurityLevel2</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>NonRepudiation</name>
      <anchor>a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>SecurityORBServiceReady</name>
      <anchor>a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>SecurityServiceReady</name>
      <anchor>a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>ReplaceORBServices</name>
      <anchor>a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>ReplaceSecurityServices</name>
      <anchor>a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>StandardSecureInteroperability</name>
      <anchor>a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>DCESecureInteroperability</name>
      <anchor>a10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>CommonInteroperabilityLevel0</name>
      <anchor>a11</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>CommonInteroperabilityLevel1</name>
      <anchor>a12</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>CommonInteroperabilityLevel2</name>
      <anchor>a13</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceDetailType</type>
      <name>SecurityMechanismType</name>
      <anchor>a14</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceDetailType</type>
      <name>SecurityAttribute</name>
      <anchor>a15</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>AuditId</name>
      <anchor>a19</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>AccountingId</name>
      <anchor>a20</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>NonRepudiationId</name>
      <anchor>a21</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>_Public</name>
      <anchor>a22</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>AccessId</name>
      <anchor>a23</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>PrimaryGroupId</name>
      <anchor>a24</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>GroupId</name>
      <anchor>a25</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>Role</name>
      <anchor>a26</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>AttributeSet</name>
      <anchor>a27</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>Clearance</name>
      <anchor>a28</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>Capability</name>
      <anchor>a29</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>NoProtection</name>
      <anchor>a39</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>Integrity</name>
      <anchor>a40</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>Confidentiality</name>
      <anchor>a41</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>DetectReplay</name>
      <anchor>a42</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>DetectMisordering</name>
      <anchor>a43</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>EstablishTrustInTarget</name>
      <anchor>a44</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>EstablishTrustInClient</name>
      <anchor>a45</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>NoDelegation</name>
      <anchor>a46</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>SimpleDelegation</name>
      <anchor>a47</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>CompositeDelegation</name>
      <anchor>a48</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditAll</name>
      <anchor>a55</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditPrincipalAuth</name>
      <anchor>a56</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditSessionAuth</name>
      <anchor>a57</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditAuthorization</name>
      <anchor>a58</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditInvocation</name>
      <anchor>a59</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditSecEnvChange</name>
      <anchor>a60</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditPolicyChange</name>
      <anchor>a61</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditObjectCreation</name>
      <anchor>a62</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditObjectDestruction</name>
      <anchor>a63</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditNonRepudiation</name>
      <anchor>a64</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SelectorType</type>
      <name>InterfaceName</name>
      <anchor>a67</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SelectorType</type>
      <name>ObjectRef</name>
      <anchor>a68</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SelectorType</type>
      <name>Operation</name>
      <anchor>a69</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SelectorType</type>
      <name>Initiator</name>
      <anchor>a70</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SelectorType</type>
      <name>SuccessFailure</name>
      <anchor>a71</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SelectorType</type>
      <name>Time</name>
      <anchor>a72</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SelectorType</type>
      <name>DayOfWeek</name>
      <anchor>a73</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecClientInvocationAccess</name>
      <anchor>a75</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecTargetInvocationAccess</name>
      <anchor>a76</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecApplicationAccess</name>
      <anchor>a77</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecClientInvocationAudit</name>
      <anchor>a78</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecTargetInvocationAudit</name>
      <anchor>a79</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecApplicationAudit</name>
      <anchor>a80</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecDelegation</name>
      <anchor>a81</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecClientSecureInvocation</name>
      <anchor>a82</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecTargetSecureInvocation</name>
      <anchor>a83</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecNonRepudiation</name>
      <anchor>a84</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecMechanismsPolicy</name>
      <anchor>a85</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecInvocationCredentialsPolicy</name>
      <anchor>a86</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecFeaturePolicy</name>
      <anchor>a87</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecQOPPolicy</name>
      <anchor>a88</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecDelegationDirectivePolicy</name>
      <anchor>a89</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecEstablishTrustPolicy</name>
      <anchor>a90</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Security_Current.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>Security__Current_8cpp</filename>
    <includes id="Security__Current_8h" name="Security_Current.h" local="yes" imported="no">Security_Current.h</includes>
  </compound>
  <compound kind="file">
    <name>Security_Current.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>Security__Current_8h</filename>
    <includes id="security__export_8h" name="security_export.h" local="yes" imported="no">security_export.h</includes>
    <includes id="Security__Current__Impl_8h" name="Security_Current_Impl.h" local="yes" imported="no">Security_Current_Impl.h</includes>
    <includes id="Security__Current_8inl" name="Security_Current.inl" local="yes" imported="no">Security_Current.inl</includes>
    <class kind="class">TAO_Security_Current</class>
  </compound>
  <compound kind="file">
    <name>Security_Current.inl</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>Security__Current_8inl</filename>
  </compound>
  <compound kind="file">
    <name>Security_Current_Impl.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>Security__Current__Impl_8cpp</filename>
    <includes id="Security__Current__Impl_8h" name="Security_Current_Impl.h" local="yes" imported="no">Security_Current_Impl.h</includes>
  </compound>
  <compound kind="file">
    <name>Security_Current_Impl.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>Security__Current__Impl_8h</filename>
    <includes id="security__export_8h" name="security_export.h" local="yes" imported="no">security_export.h</includes>
    <namespace>TAO</namespace>
    <namespace>TAO::Security</namespace>
    <class kind="class">TAO::Security::Current_Impl</class>
  </compound>
  <compound kind="file">
    <name>security_export.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>security__export_8h</filename>
    <member kind="define">
      <type>#define</type>
      <name>TAO_SECURITY_HAS_DLL</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_Security_Export</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_SECURITY_SINGLETON_DECLARATION</name>
      <anchor>a2</anchor>
      <arglist>(T)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_SECURITY_SINGLETON_DECLARE</name>
      <anchor>a3</anchor>
      <arglist>(SINGLETON_TYPE, CLASS, LOCK)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Security_ORBInitializer.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>Security__ORBInitializer_8cpp</filename>
    <includes id="Security__ORBInitializer_8h" name="Security_ORBInitializer.h" local="yes" imported="no">Security_ORBInitializer.h</includes>
    <includes id="SL3__SecurityCurrent_8h" name="SL3_SecurityCurrent.h" local="yes" imported="no">SL3_SecurityCurrent.h</includes>
    <includes id="SL3__CredentialsCurator_8h" name="SL3_CredentialsCurator.h" local="yes" imported="no">SL3_CredentialsCurator.h</includes>
    <includes id="SL3__SecurityManager_8h" name="SL3_SecurityManager.h" local="yes" imported="no">SL3_SecurityManager.h</includes>
  </compound>
  <compound kind="file">
    <name>Security_ORBInitializer.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>Security__ORBInitializer_8h</filename>
    <includes id="security__export_8h" name="security_export.h" local="yes" imported="no">security_export.h</includes>
    <includes id="Security__PolicyFactory_8h" name="Security_PolicyFactory.h" local="yes" imported="no">Security_PolicyFactory.h</includes>
    <namespace>TAO</namespace>
    <namespace>TAO::Security</namespace>
    <class kind="class">TAO::Security::ORBInitializer</class>
  </compound>
  <compound kind="file">
    <name>Security_PolicyFactory.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>Security__PolicyFactory_8cpp</filename>
    <includes id="Security__PolicyFactory_8h" name="Security_PolicyFactory.h" local="yes" imported="no">Security_PolicyFactory.h</includes>
    <includes id="SL2__QOPPolicy_8h" name="SL2_QOPPolicy.h" local="yes" imported="no">SL2_QOPPolicy.h</includes>
    <includes id="SL2__EstablishTrustPolicy_8h" name="SL2_EstablishTrustPolicy.h" local="yes" imported="no">SL2_EstablishTrustPolicy.h</includes>
    <includes id="SL3__ContextEstablishmentPolicy_8h" name="SL3_ContextEstablishmentPolicy.h" local="yes" imported="no">SL3_ContextEstablishmentPolicy.h</includes>
    <includes id="SL3__ObjectCredentialsPolicy_8h" name="SL3_ObjectCredentialsPolicy.h" local="yes" imported="no">SL3_ObjectCredentialsPolicy.h</includes>
  </compound>
  <compound kind="file">
    <name>Security_PolicyFactory.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>Security__PolicyFactory_8h</filename>
    <includes id="security__export_8h" name="security_export.h" local="yes" imported="no">security_export.h</includes>
    <namespace>TAO</namespace>
    <namespace>TAO::Security</namespace>
    <class kind="class">TAO::Security::PolicyFactory</class>
  </compound>
  <compound kind="file">
    <name>SecurityAdmin.idl</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/</path>
    <filename>SecurityAdmin_8idl</filename>
  </compound>
  <compound kind="file">
    <name>SecurityLevel1.idl</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/</path>
    <filename>SecurityLevel1_8idl</filename>
    <includes id="Security_8idl" name="Security.idl" local="yes" imported="yes">orbsvcs/Security.idl</includes>
    <namespace>SecurityLevel1</namespace>
    <class kind="interface">SecurityLevel1::Current</class>
  </compound>
  <compound kind="file">
    <name>SecurityLevel2.idl</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/</path>
    <filename>SecurityLevel2_8idl</filename>
    <includes id="SecurityLevel1_8idl" name="SecurityLevel1.idl" local="yes" imported="yes">orbsvcs/SecurityLevel1.idl</includes>
    <namespace>SecurityLevel2</namespace>
    <class kind="interface">SecurityLevel2::PrincipalAuthenticator</class>
    <class kind="interface">SecurityLevel2::Credentials</class>
    <class kind="interface">SecurityLevel2::ReceivedCredentials</class>
    <class kind="interface">SecurityLevel2::TargetCredentials</class>
    <class kind="interface">SecurityLevel2::RequiredRights</class>
    <class kind="interface">SecurityLevel2::AuditChannel</class>
    <class kind="interface">SecurityLevel2::AuditDecision</class>
    <class kind="interface">SecurityLevel2::AccessDecision</class>
    <class kind="interface">SecurityLevel2::QOPPolicy</class>
    <class kind="interface">SecurityLevel2::MechanismPolicy</class>
    <class kind="interface">SecurityLevel2::InvocationCredentialsPolicy</class>
    <class kind="interface">SecurityLevel2::EstablishTrustPolicy</class>
    <class kind="interface">SecurityLevel2::DelegationDirectivePolicy</class>
    <class kind="interface">SecurityLevel2::SecurityManager</class>
    <class kind="interface">SecurityLevel2::Current</class>
    <member kind="typedef">
      <type>sequence&lt; Credentials &gt;</type>
      <name>CredentialsList</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>SecurityReplaceable.idl</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/</path>
    <filename>SecurityReplaceable_8idl</filename>
    <includes id="SecurityLevel2_8idl" name="SecurityLevel2.idl" local="yes" imported="yes">orbsvcs/SecurityLevel2.idl</includes>
    <namespace>SecurityReplaceable</namespace>
    <class kind="interface">SecurityReplaceable::Vault</class>
    <class kind="interface">SecurityReplaceable::SecurityContext</class>
    <class kind="interface">SecurityReplaceable::ClientSecurityContext</class>
    <class kind="interface">SecurityReplaceable::ServerSecurityContext</class>
    <class kind="interface">SecurityReplaceable::RequiredRights</class>
    <class kind="interface">SecurityReplaceable::AuditChannel</class>
    <class kind="interface">SecurityReplaceable::AuditDecision</class>
    <class kind="interface">SecurityReplaceable::AccessDecision</class>
  </compound>
  <compound kind="file">
    <name>SL2_EstablishTrustPolicy.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>SL2__EstablishTrustPolicy_8cpp</filename>
    <includes id="SL2__EstablishTrustPolicy_8h" name="SL2_EstablishTrustPolicy.h" local="yes" imported="no">SL2_EstablishTrustPolicy.h</includes>
  </compound>
  <compound kind="file">
    <name>SL2_EstablishTrustPolicy.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>SL2__EstablishTrustPolicy_8h</filename>
    <includes id="security__export_8h" name="security_export.h" local="yes" imported="no">security_export.h</includes>
    <namespace>TAO</namespace>
    <namespace>TAO::Security</namespace>
    <class kind="class">TAO::Security::EstablishTrustPolicy</class>
  </compound>
  <compound kind="file">
    <name>SL2_QOPPolicy.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>SL2__QOPPolicy_8cpp</filename>
    <includes id="SL2__QOPPolicy_8h" name="SL2_QOPPolicy.h" local="yes" imported="no">SL2_QOPPolicy.h</includes>
  </compound>
  <compound kind="file">
    <name>SL2_QOPPolicy.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>SL2__QOPPolicy_8h</filename>
    <includes id="security__export_8h" name="security_export.h" local="yes" imported="no">security_export.h</includes>
    <namespace>TAO</namespace>
    <namespace>TAO::Security</namespace>
    <class kind="class">TAO::Security::QOPPolicy</class>
  </compound>
  <compound kind="file">
    <name>SL3_ContextEstablishmentPolicy.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>SL3__ContextEstablishmentPolicy_8cpp</filename>
    <includes id="SL3__ContextEstablishmentPolicy_8h" name="SL3_ContextEstablishmentPolicy.h" local="yes" imported="no">SL3_ContextEstablishmentPolicy.h</includes>
  </compound>
  <compound kind="file">
    <name>SL3_ContextEstablishmentPolicy.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>SL3__ContextEstablishmentPolicy_8h</filename>
    <includes id="security__export_8h" name="security_export.h" local="yes" imported="no">orbsvcs/Security/security_export.h</includes>
    <namespace>TAO</namespace>
    <namespace>TAO::SL3</namespace>
    <class kind="class">TAO::SL3::ContextEstablishmentPolicy</class>
  </compound>
  <compound kind="file">
    <name>SL3_CredentialsAcquirerFactory.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>SL3__CredentialsAcquirerFactory_8cpp</filename>
    <includes id="SL3__CredentialsAcquirerFactory_8h" name="SL3_CredentialsAcquirerFactory.h" local="yes" imported="no">SL3_CredentialsAcquirerFactory.h</includes>
    <member kind="function">
      <type></type>
      <name>ACE_RCSID</name>
      <anchor>a0</anchor>
      <arglist>(Security, SL3_CredentialsAcquirerFactory,&quot;$Id: SL3_CredentialsAcquirerFactory.cpp,v 1.2 2005/11/16 07:53:25 ossama Exp $&quot;) TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>SL3_CredentialsAcquirerFactory.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>SL3__CredentialsAcquirerFactory_8h</filename>
    <includes id="security__export_8h" name="security_export.h" local="yes" imported="no">orbsvcs/Security/security_export.h</includes>
    <includes id="SL3__CredentialsCurator_8h" name="SL3_CredentialsCurator.h" local="yes" imported="no">orbsvcs/Security/SL3_CredentialsCurator.h</includes>
    <namespace>TAO</namespace>
    <namespace>TAO::SL3</namespace>
    <class kind="class">TAO::SL3::CredentialsAcquirerFactory</class>
  </compound>
  <compound kind="file">
    <name>SL3_CredentialsCurator.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>SL3__CredentialsCurator_8cpp</filename>
    <includes id="SL3__CredentialsCurator_8h" name="SL3_CredentialsCurator.h" local="yes" imported="no">SL3_CredentialsCurator.h</includes>
    <includes id="SL3__CredentialsAcquirerFactory_8h" name="SL3_CredentialsAcquirerFactory.h" local="yes" imported="no">SL3_CredentialsAcquirerFactory.h</includes>
    <namespace>TAO</namespace>
    <namespace>TAO::SL3</namespace>
    <member kind="variable" static="yes">
      <type>const size_t</type>
      <name>CREDENTIALS_TABLE_SIZE</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>SL3_CredentialsCurator.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>SL3__CredentialsCurator_8h</filename>
    <includes id="security__export_8h" name="security_export.h" local="yes" imported="no">orbsvcs/Security/security_export.h</includes>
    <namespace>TAO</namespace>
    <namespace>TAO::SL3</namespace>
    <class kind="class">TAO::SL3::CredentialsCurator</class>
    <member kind="typedef">
      <type>CredentialsCurator *</type>
      <name>CredentialsCurator_ptr</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Pseudo_Var_T&lt; CredentialsCurator &gt;</type>
      <name>CredentialsCurator_var</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Pseudo_Out_T&lt; CredentialsCurator, CredentialsCurator_var &gt;</type>
      <name>CredentialsCurator_out</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>SL3_ObjectCredentialsPolicy.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>SL3__ObjectCredentialsPolicy_8cpp</filename>
    <includes id="SL3__ObjectCredentialsPolicy_8h" name="SL3_ObjectCredentialsPolicy.h" local="yes" imported="no">SL3_ObjectCredentialsPolicy.h</includes>
  </compound>
  <compound kind="file">
    <name>SL3_ObjectCredentialsPolicy.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>SL3__ObjectCredentialsPolicy_8h</filename>
    <includes id="security__export_8h" name="security_export.h" local="yes" imported="no">orbsvcs/Security/security_export.h</includes>
    <namespace>TAO</namespace>
    <namespace>TAO::SL3</namespace>
    <class kind="class">TAO::SL3::ObjectCredentialsPolicy</class>
  </compound>
  <compound kind="file">
    <name>SL3_PolicyFactory.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>SL3__PolicyFactory_8cpp</filename>
    <includes id="SL3__PolicyFactory_8h" name="SL3_PolicyFactory.h" local="yes" imported="no">SL3_PolicyFactory.h</includes>
    <includes id="SL3__ContextEstablishmentPolicy_8h" name="SL3_ContextEstablishmentPolicy.h" local="yes" imported="no">SL3_ContextEstablishmentPolicy.h</includes>
    <includes id="SL3__ObjectCredentialsPolicy_8h" name="SL3_ObjectCredentialsPolicy.h" local="yes" imported="no">SL3_ObjectCredentialsPolicy.h</includes>
  </compound>
  <compound kind="file">
    <name>SL3_PolicyFactory.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>SL3__PolicyFactory_8h</filename>
    <namespace>TAO</namespace>
    <namespace>TAO::SL3</namespace>
    <class kind="class">TAO::SL3::PolicyFactory</class>
  </compound>
  <compound kind="file">
    <name>SL3_SecurityCurrent.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>SL3__SecurityCurrent_8cpp</filename>
    <includes id="SL3__SecurityCurrent_8h" name="SL3_SecurityCurrent.h" local="yes" imported="no">SL3_SecurityCurrent.h</includes>
  </compound>
  <compound kind="file">
    <name>SL3_SecurityCurrent.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>SL3__SecurityCurrent_8h</filename>
    <includes id="security__export_8h" name="security_export.h" local="yes" imported="no">orbsvcs/Security/security_export.h</includes>
    <includes id="SL3__SecurityCurrent__Impl_8h" name="SL3_SecurityCurrent_Impl.h" local="yes" imported="no">SL3_SecurityCurrent_Impl.h</includes>
    <includes id="SL3__SecurityCurrent_8inl" name="SL3_SecurityCurrent.inl" local="yes" imported="no">SL3_SecurityCurrent.inl</includes>
    <namespace>TAO</namespace>
    <namespace>TAO::SL3</namespace>
    <class kind="class">TAO::SL3::SecurityCurrent</class>
  </compound>
  <compound kind="file">
    <name>SL3_SecurityCurrent.inl</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>SL3__SecurityCurrent_8inl</filename>
  </compound>
  <compound kind="file">
    <name>SL3_SecurityCurrent_Impl.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>SL3__SecurityCurrent__Impl_8cpp</filename>
    <includes id="SL3__SecurityCurrent__Impl_8h" name="SL3_SecurityCurrent_Impl.h" local="yes" imported="no">SL3_SecurityCurrent_Impl.h</includes>
  </compound>
  <compound kind="file">
    <name>SL3_SecurityCurrent_Impl.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>SL3__SecurityCurrent__Impl_8h</filename>
    <includes id="security__export_8h" name="security_export.h" local="yes" imported="no">security_export.h</includes>
    <namespace>TAO</namespace>
    <namespace>TAO::SL3</namespace>
    <class kind="class">TAO::SL3::SecurityCurrent_Impl</class>
  </compound>
  <compound kind="file">
    <name>SL3_SecurityManager.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>SL3__SecurityManager_8cpp</filename>
    <includes id="SL3__SecurityManager_8h" name="SL3_SecurityManager.h" local="yes" imported="no">SL3_SecurityManager.h</includes>
    <includes id="SL3__ContextEstablishmentPolicy_8h" name="SL3_ContextEstablishmentPolicy.h" local="yes" imported="no">SL3_ContextEstablishmentPolicy.h</includes>
    <includes id="SL3__ObjectCredentialsPolicy_8h" name="SL3_ObjectCredentialsPolicy.h" local="yes" imported="no">SL3_ObjectCredentialsPolicy.h</includes>
  </compound>
  <compound kind="file">
    <name>SL3_SecurityManager.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>SL3__SecurityManager_8h</filename>
    <includes id="security__export_8h" name="security_export.h" local="yes" imported="no">orbsvcs/Security/security_export.h</includes>
    <namespace>TAO</namespace>
    <namespace>TAO::SL3</namespace>
    <class kind="class">TAO::SL3::SecurityManager</class>
  </compound>
  <compound kind="class">
    <name>TAO_Security_Current</name>
    <filename>classTAO__Security__Current.html</filename>
    <base>SecurityLevel2::Current</base>
    <base>TAO_Local_RefCounted_Object</base>
    <member kind="function">
      <type></type>
      <name>TAO_Security_Current</name>
      <anchor>a0</anchor>
      <arglist>(size_t tss_slot, const char *orb_id)</arglist>
    </member>
    <member kind="function">
      <type>size_t</type>
      <name>tss_slot</name>
      <anchor>a1</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Security::AttributeList *</type>
      <name>get_attributes</name>
      <anchor>z1_0</anchor>
      <arglist>(const Security::AttributeTypeList &amp;attributes)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel2::ReceivedCredentials_ptr</type>
      <name>received_credentials</name>
      <anchor>z3_0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>~TAO_Security_Current</name>
      <anchor>b0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>init</name>
      <anchor>b1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>TAO::Security::Current_Impl *</type>
      <name>implementation</name>
      <anchor>b2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>TAO_Security_Current</name>
      <anchor>z4_0</anchor>
      <arglist>(const TAO_Security_Current &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>operator=</name>
      <anchor>z4_1</anchor>
      <arglist>(const TAO_Security_Current &amp;)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>size_t const</type>
      <name>tss_slot_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>CORBA::String_var</type>
      <name>orb_id_</name>
      <anchor>r1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>TAO_ORB_Core *</type>
      <name>orb_core_</name>
      <anchor>r2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>TAO/orbsvcs/orbsvcs/</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/</path>
    <filename>dir_000002.html</filename>
    <dir>TAO/orbsvcs/orbsvcs/Security/</dir>
    <file>Security.idl</file>
    <file>SecurityAdmin.idl</file>
    <file>SecurityLevel1.idl</file>
    <file>SecurityLevel2.idl</file>
    <file>SecurityReplaceable.idl</file>
  </compound>
  <compound kind="dir">
    <name>TAO/orbsvcs/</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/</path>
    <filename>dir_000001.html</filename>
    <dir>TAO/orbsvcs/orbsvcs/</dir>
  </compound>
  <compound kind="dir">
    <name>TAO/orbsvcs/orbsvcs/Security/</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Security/</path>
    <filename>dir_000003.html</filename>
    <file>CSI_Utils.cpp</file>
    <file>CSI_Utils.h</file>
    <file>Security_Current.cpp</file>
    <file>Security_Current.h</file>
    <file>Security_Current.inl</file>
    <file>Security_Current_Impl.cpp</file>
    <file>Security_Current_Impl.h</file>
    <file>security_export.h</file>
    <file>Security_ORBInitializer.cpp</file>
    <file>Security_ORBInitializer.h</file>
    <file>Security_PolicyFactory.cpp</file>
    <file>Security_PolicyFactory.h</file>
    <file>SL2_EstablishTrustPolicy.cpp</file>
    <file>SL2_EstablishTrustPolicy.h</file>
    <file>SL2_QOPPolicy.cpp</file>
    <file>SL2_QOPPolicy.h</file>
    <file>SL3_ContextEstablishmentPolicy.cpp</file>
    <file>SL3_ContextEstablishmentPolicy.h</file>
    <file>SL3_CredentialsAcquirerFactory.cpp</file>
    <file>SL3_CredentialsAcquirerFactory.h</file>
    <file>SL3_CredentialsCurator.cpp</file>
    <file>SL3_CredentialsCurator.h</file>
    <file>SL3_ObjectCredentialsPolicy.cpp</file>
    <file>SL3_ObjectCredentialsPolicy.h</file>
    <file>SL3_PolicyFactory.cpp</file>
    <file>SL3_PolicyFactory.h</file>
    <file>SL3_SecurityCurrent.cpp</file>
    <file>SL3_SecurityCurrent.h</file>
    <file>SL3_SecurityCurrent.inl</file>
    <file>SL3_SecurityCurrent_Impl.cpp</file>
    <file>SL3_SecurityCurrent_Impl.h</file>
    <file>SL3_SecurityManager.cpp</file>
    <file>SL3_SecurityManager.h</file>
  </compound>
  <compound kind="dir">
    <name>TAO/</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/</path>
    <filename>dir_000000.html</filename>
    <dir>TAO/orbsvcs/</dir>
  </compound>
  <compound kind="namespace">
    <name>CSI</name>
    <filename>namespaceCSI.html</filename>
  </compound>
  <compound kind="namespace">
    <name>Security</name>
    <filename>namespaceSecurity.html</filename>
    <class kind="struct">Security::ExtensibleFamily</class>
    <class kind="struct">Security::AttributeType</class>
    <class kind="struct">Security::SecAttribute</class>
    <class kind="struct">Security::Right</class>
    <class kind="struct">Security::ChannelBindings</class>
    <class kind="struct">Security::OpaqueBuffer</class>
    <class kind="struct">Security::OptionsDirectionPair</class>
    <class kind="struct">Security::MechandOptions</class>
    <class kind="struct">Security::EstablishTrust</class>
    <class kind="struct">Security::AuditEventType</class>
    <class kind="struct">Security::SelectorValue</class>
    <member kind="typedef">
      <type>string</type>
      <name>SecurityName</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; octet &gt;</type>
      <name>Opaque</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; octet &gt;</type>
      <name>OID</name>
      <anchor>a16</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; OID &gt;</type>
      <name>OIDList</name>
      <anchor>a17</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned long</type>
      <name>SecurityAttributeType</name>
      <anchor>a18</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; AttributeType &gt;</type>
      <name>AttributeTypeList</name>
      <anchor>a30</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; SecAttribute &gt;</type>
      <name>AttributeList</name>
      <anchor>a31</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned long</type>
      <name>AuthenticationMethod</name>
      <anchor>a32</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; AuthenticationMethod &gt;</type>
      <name>AuthenticationMethodList</name>
      <anchor>a33</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; Right &gt;</type>
      <name>RightsList</name>
      <anchor>a34</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TimeBase::UtcT</type>
      <name>UtcT</name>
      <anchor>a35</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TimeBase::IntervalT</type>
      <name>IntervalT</name>
      <anchor>a36</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TimeBase::TimeT</type>
      <name>TimeT</name>
      <anchor>a37</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned short</type>
      <name>AssociationOptions</name>
      <anchor>a38</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>string</type>
      <name>MechanismType</name>
      <anchor>a49</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; MechanismType &gt;</type>
      <name>MechanismTypeList</name>
      <anchor>a50</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; OptionsDirectionPair &gt;</type>
      <name>OptionsDirectionPairList</name>
      <anchor>a51</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; MechandOptions &gt;</type>
      <name>MechandOptionsList</name>
      <anchor>a52</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned long</type>
      <name>AuditChannelId</name>
      <anchor>a53</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned short</type>
      <name>_EventType</name>
      <anchor>a54</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; AuditEventType &gt;</type>
      <name>AuditEventTypeList</name>
      <anchor>a65</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned long</type>
      <name>SelectorType</name>
      <anchor>a66</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; SelectorValue &gt;</type>
      <name>SelectorValueList</name>
      <anchor>a74</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>AuthenticationStatus</name>
      <anchor>a148</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAuthSuccess</name>
      <anchor>a148a91</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAuthFailure</name>
      <anchor>a148a92</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAuthContinue</name>
      <anchor>a148a93</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAuthExpired</name>
      <anchor>a148a94</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>AssociationStatus</name>
      <anchor>a149</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAssocSuccess</name>
      <anchor>a149a95</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAssocFailure</name>
      <anchor>a149a96</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAssocContinue</name>
      <anchor>a149a97</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>InvocationCredentialsType</name>
      <anchor>a150</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecOwnCredentials</name>
      <anchor>a150a98</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecReceivedCredentials</name>
      <anchor>a150a99</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecTargetCredentials</name>
      <anchor>a150a100</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>RightsCombinator</name>
      <anchor>a151</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAllRights</name>
      <anchor>a151a101</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAnyRight</name>
      <anchor>a151a102</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>DelegationState</name>
      <anchor>a152</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecInitiator</name>
      <anchor>a152a103</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDelegate</name>
      <anchor>a152a104</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>DelegationDirective</name>
      <anchor>a153</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Delegate</name>
      <anchor>a153a105</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NoDelegate</name>
      <anchor>a153a106</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>SecurityFeature</name>
      <anchor>a154</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecNoDelegation</name>
      <anchor>a154a107</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecSimpleDelegation</name>
      <anchor>a154a108</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecCompositeDelegation</name>
      <anchor>a154a109</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecNoProtection</name>
      <anchor>a154a110</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecIntegrity</name>
      <anchor>a154a111</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecConfidentiality</name>
      <anchor>a154a112</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecIntegrityAndConfidentiality</name>
      <anchor>a154a113</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDetectReplay</name>
      <anchor>a154a114</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDetectMisordering</name>
      <anchor>a154a115</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecEstablishTrustInTarget</name>
      <anchor>a154a116</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecEstablishTrustInClient</name>
      <anchor>a154a117</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>QOP</name>
      <anchor>a155</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecQOPNoProtection</name>
      <anchor>a155a118</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecQOPIntegrity</name>
      <anchor>a155a119</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecQOPConfidentiality</name>
      <anchor>a155a120</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecQOPIntegrityAndConfidentiality</name>
      <anchor>a155a121</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>SecurityContextType</name>
      <anchor>a156</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecClientSecurityContext</name>
      <anchor>a156a122</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecServerSecurityContext</name>
      <anchor>a156a123</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>SecurityContextState</name>
      <anchor>a157</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecContextInitialized</name>
      <anchor>a157a124</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecContextContinued</name>
      <anchor>a157a125</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecContextClientEstablished</name>
      <anchor>a157a126</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecContextEstablished</name>
      <anchor>a157a127</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecContextEstablishExpired</name>
      <anchor>a157a128</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecContextExpired</name>
      <anchor>a157a129</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecContextInvalid</name>
      <anchor>a157a130</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>RequiresSupports</name>
      <anchor>a158</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecRequires</name>
      <anchor>a158a131</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecSupports</name>
      <anchor>a158a132</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>CommunicationDirection</name>
      <anchor>a159</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDirectionBoth</name>
      <anchor>a159a133</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDirectionRequest</name>
      <anchor>a159a134</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDirectionReply</name>
      <anchor>a159a135</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>DelegationMode</name>
      <anchor>a160</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDelModeNoDelegation</name>
      <anchor>a160a136</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDelModeSimpleDelegation</name>
      <anchor>a160a137</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecDelModeCompositeDelegation</name>
      <anchor>a160a138</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>DayOfTheWeek</name>
      <anchor>a161</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Monday</name>
      <anchor>a161a139</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Tuesday</name>
      <anchor>a161a140</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Wednesday</name>
      <anchor>a161a141</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Thursday</name>
      <anchor>a161a142</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Friday</name>
      <anchor>a161a143</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Saturday</name>
      <anchor>a161a144</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Sunday</name>
      <anchor>a161a145</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>AuditCombinator</name>
      <anchor>a162</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAllSelectors</name>
      <anchor>a162a146</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SecAnySelector</name>
      <anchor>a162a147</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>SecurityLevel1</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>SecurityLevel2</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>NonRepudiation</name>
      <anchor>a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>SecurityORBServiceReady</name>
      <anchor>a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>SecurityServiceReady</name>
      <anchor>a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>ReplaceORBServices</name>
      <anchor>a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>ReplaceSecurityServices</name>
      <anchor>a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>StandardSecureInteroperability</name>
      <anchor>a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>DCESecureInteroperability</name>
      <anchor>a10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>CommonInteroperabilityLevel0</name>
      <anchor>a11</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>CommonInteroperabilityLevel1</name>
      <anchor>a12</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceOption</type>
      <name>CommonInteroperabilityLevel2</name>
      <anchor>a13</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceDetailType</type>
      <name>SecurityMechanismType</name>
      <anchor>a14</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::ServiceDetailType</type>
      <name>SecurityAttribute</name>
      <anchor>a15</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>AuditId</name>
      <anchor>a19</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>AccountingId</name>
      <anchor>a20</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>NonRepudiationId</name>
      <anchor>a21</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>_Public</name>
      <anchor>a22</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>AccessId</name>
      <anchor>a23</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>PrimaryGroupId</name>
      <anchor>a24</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>GroupId</name>
      <anchor>a25</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>Role</name>
      <anchor>a26</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>AttributeSet</name>
      <anchor>a27</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>Clearance</name>
      <anchor>a28</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SecurityAttributeType</type>
      <name>Capability</name>
      <anchor>a29</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>NoProtection</name>
      <anchor>a39</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>Integrity</name>
      <anchor>a40</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>Confidentiality</name>
      <anchor>a41</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>DetectReplay</name>
      <anchor>a42</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>DetectMisordering</name>
      <anchor>a43</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>EstablishTrustInTarget</name>
      <anchor>a44</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>EstablishTrustInClient</name>
      <anchor>a45</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>NoDelegation</name>
      <anchor>a46</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>SimpleDelegation</name>
      <anchor>a47</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const AssociationOptions</type>
      <name>CompositeDelegation</name>
      <anchor>a48</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditAll</name>
      <anchor>a55</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditPrincipalAuth</name>
      <anchor>a56</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditSessionAuth</name>
      <anchor>a57</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditAuthorization</name>
      <anchor>a58</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditInvocation</name>
      <anchor>a59</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditSecEnvChange</name>
      <anchor>a60</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditPolicyChange</name>
      <anchor>a61</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditObjectCreation</name>
      <anchor>a62</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditObjectDestruction</name>
      <anchor>a63</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const _EventType</type>
      <name>AuditNonRepudiation</name>
      <anchor>a64</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SelectorType</type>
      <name>InterfaceName</name>
      <anchor>a67</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SelectorType</type>
      <name>ObjectRef</name>
      <anchor>a68</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SelectorType</type>
      <name>Operation</name>
      <anchor>a69</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SelectorType</type>
      <name>Initiator</name>
      <anchor>a70</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SelectorType</type>
      <name>SuccessFailure</name>
      <anchor>a71</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SelectorType</type>
      <name>Time</name>
      <anchor>a72</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const SelectorType</type>
      <name>DayOfWeek</name>
      <anchor>a73</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecClientInvocationAccess</name>
      <anchor>a75</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecTargetInvocationAccess</name>
      <anchor>a76</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecApplicationAccess</name>
      <anchor>a77</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecClientInvocationAudit</name>
      <anchor>a78</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecTargetInvocationAudit</name>
      <anchor>a79</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecApplicationAudit</name>
      <anchor>a80</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecDelegation</name>
      <anchor>a81</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecClientSecureInvocation</name>
      <anchor>a82</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecTargetSecureInvocation</name>
      <anchor>a83</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecNonRepudiation</name>
      <anchor>a84</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecMechanismsPolicy</name>
      <anchor>a85</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecInvocationCredentialsPolicy</name>
      <anchor>a86</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecFeaturePolicy</name>
      <anchor>a87</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecQOPPolicy</name>
      <anchor>a88</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecDelegationDirectivePolicy</name>
      <anchor>a89</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CORBA::PolicyType</type>
      <name>SecEstablishTrustPolicy</name>
      <anchor>a90</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>Security::ExtensibleFamily</name>
    <filename>structSecurity_1_1ExtensibleFamily.html</filename>
    <member kind="variable">
      <type>unsigned short</type>
      <name>family_definer</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned short</type>
      <name>family</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>Security::AttributeType</name>
    <filename>structSecurity_1_1AttributeType.html</filename>
    <member kind="variable">
      <type>ExtensibleFamily</type>
      <name>attribute_family</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>SecurityAttributeType</type>
      <name>attribute_type</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>Security::SecAttribute</name>
    <filename>structSecurity_1_1SecAttribute.html</filename>
    <member kind="variable">
      <type>AttributeType</type>
      <name>attribute_type</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>OID</type>
      <name>defining_authority</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Opaque</type>
      <name>value</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>Security::Right</name>
    <filename>structSecurity_1_1Right.html</filename>
    <member kind="variable">
      <type>ExtensibleFamily</type>
      <name>rights_family</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>string</type>
      <name>the_right</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>Security::ChannelBindings</name>
    <filename>structSecurity_1_1ChannelBindings.html</filename>
    <member kind="variable">
      <type>unsigned long</type>
      <name>initiator_addrtype</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>CORBA::OctetSeq</type>
      <name>initiator_address</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned long</type>
      <name>acceptor_addrtype</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>CORBA::OctetSeq</type>
      <name>acceptor_address</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>CORBA::OctetSeq</type>
      <name>application_data</name>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>Security::OpaqueBuffer</name>
    <filename>structSecurity_1_1OpaqueBuffer.html</filename>
    <member kind="variable">
      <type>Opaque</type>
      <name>buffer</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned long</type>
      <name>startpos</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned long</type>
      <name>endpos</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>Security::OptionsDirectionPair</name>
    <filename>structSecurity_1_1OptionsDirectionPair.html</filename>
    <member kind="variable">
      <type>AssociationOptions</type>
      <name>options</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>CommunicationDirection</type>
      <name>direction</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>Security::MechandOptions</name>
    <filename>structSecurity_1_1MechandOptions.html</filename>
    <member kind="variable">
      <type>MechanismType</type>
      <name>mechanism_type</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>AssociationOptions</type>
      <name>options_supported</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>Security::EstablishTrust</name>
    <filename>structSecurity_1_1EstablishTrust.html</filename>
    <member kind="variable">
      <type>boolean</type>
      <name>trust_in_client</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boolean</type>
      <name>trust_in_target</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>Security::AuditEventType</name>
    <filename>structSecurity_1_1AuditEventType.html</filename>
    <member kind="variable">
      <type>ExtensibleFamily</type>
      <name>event_family</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>_EventType</type>
      <name>event_type</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>Security::SelectorValue</name>
    <filename>structSecurity_1_1SelectorValue.html</filename>
    <member kind="variable">
      <type>SelectorType</type>
      <name>selector</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>any</type>
      <name>value</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>SecurityLevel1</name>
    <filename>namespaceSecurityLevel1.html</filename>
    <class kind="interface">SecurityLevel1::Current</class>
  </compound>
  <compound kind="interface">
    <name>SecurityLevel1::Current</name>
    <filename>interfaceSecurityLevel1_1_1Current.html</filename>
    <base>CORBA::Current</base>
    <member kind="function">
      <type>Security::AttributeList</type>
      <name>get_attributes</name>
      <anchor>a0</anchor>
      <arglist>(in Security::AttributeTypeList attributes)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>SecurityLevel2</name>
    <filename>namespaceSecurityLevel2.html</filename>
    <class kind="interface">SecurityLevel2::PrincipalAuthenticator</class>
    <class kind="interface">SecurityLevel2::Credentials</class>
    <class kind="interface">SecurityLevel2::ReceivedCredentials</class>
    <class kind="interface">SecurityLevel2::TargetCredentials</class>
    <class kind="interface">SecurityLevel2::RequiredRights</class>
    <class kind="interface">SecurityLevel2::AuditChannel</class>
    <class kind="interface">SecurityLevel2::AuditDecision</class>
    <class kind="interface">SecurityLevel2::AccessDecision</class>
    <class kind="interface">SecurityLevel2::QOPPolicy</class>
    <class kind="interface">SecurityLevel2::MechanismPolicy</class>
    <class kind="interface">SecurityLevel2::InvocationCredentialsPolicy</class>
    <class kind="interface">SecurityLevel2::EstablishTrustPolicy</class>
    <class kind="interface">SecurityLevel2::DelegationDirectivePolicy</class>
    <class kind="interface">SecurityLevel2::SecurityManager</class>
    <class kind="interface">SecurityLevel2::Current</class>
    <member kind="typedef">
      <type>sequence&lt; Credentials &gt;</type>
      <name>CredentialsList</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityLevel2::PrincipalAuthenticator</name>
    <filename>interfaceSecurityLevel2_1_1PrincipalAuthenticator.html</filename>
    <member kind="function">
      <type>Security::AuthenticationMethodList</type>
      <name>get_supported_authen_methods</name>
      <anchor>a0</anchor>
      <arglist>(in Security::MechanismType mechanism)</arglist>
    </member>
    <member kind="function">
      <type>Security::AuthenticationStatus</type>
      <name>authenticate</name>
      <anchor>a1</anchor>
      <arglist>(in Security::AuthenticationMethod method, in Security::MechanismType mechanism, in Security::SecurityName security_name, in any auth_data, in Security::AttributeList privileges, out Credentials creds, out any continuation_data, out any auth_specific_data)</arglist>
    </member>
    <member kind="function">
      <type>Security::AuthenticationStatus</type>
      <name>continue_authentication</name>
      <anchor>a2</anchor>
      <arglist>(in any response_data, in Credentials creds, out any continuation_data, out any auth_specific_data)</arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityLevel2::Credentials</name>
    <filename>interfaceSecurityLevel2_1_1Credentials.html</filename>
    <member kind="function">
      <type>Credentials</type>
      <name>copy</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>destroy</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>get_security_feature</name>
      <anchor>a2</anchor>
      <arglist>(in Security::CommunicationDirection direction, in Security::SecurityFeature feature)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>set_attributes</name>
      <anchor>a3</anchor>
      <arglist>(in Security::AttributeList requested_attributes, out Security::AttributeList actual_attributes)</arglist>
    </member>
    <member kind="function">
      <type>Security::AttributeList</type>
      <name>get_attributes</name>
      <anchor>a4</anchor>
      <arglist>(in Security::AttributeTypeList attributes)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>is_valid</name>
      <anchor>a5</anchor>
      <arglist>(out Security::UtcT expiry_time)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>refresh</name>
      <anchor>a6</anchor>
      <arglist>(in any refresh_data)</arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::InvocationCredentialsType</type>
      <name>credentials_type</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::AuthenticationStatus</type>
      <name>authentication_state</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::MechanismType</type>
      <name>mechanism</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>attribute Security::AssociationOptions</type>
      <name>accepting_options_supported</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>attribute Security::AssociationOptions</type>
      <name>accepting_options_required</name>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>attribute Security::AssociationOptions</type>
      <name>invocation_options_supported</name>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>attribute Security::AssociationOptions</type>
      <name>invocation_options_required</name>
      <anchor>o6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityLevel2::ReceivedCredentials</name>
    <filename>interfaceSecurityLevel2_1_1ReceivedCredentials.html</filename>
    <base>SecurityLevel2::Credentials</base>
    <member kind="variable">
      <type>readonly attribute Credentials</type>
      <name>accepting_credentials</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::AssociationOptions</type>
      <name>association_options_used</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::DelegationState</type>
      <name>delegation_state</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::DelegationMode</type>
      <name>delegation_mode</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityLevel2::TargetCredentials</name>
    <filename>interfaceSecurityLevel2_1_1TargetCredentials.html</filename>
    <base>SecurityLevel2::Credentials</base>
    <member kind="variable">
      <type>readonly attribute Credentials</type>
      <name>initiating_credentials</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::AssociationOptions</type>
      <name>association_options_used</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityLevel2::RequiredRights</name>
    <filename>interfaceSecurityLevel2_1_1RequiredRights.html</filename>
    <member kind="function">
      <type>void</type>
      <name>get_required_rights</name>
      <anchor>a0</anchor>
      <arglist>(in Object obj, in CORBA::Identifier operation_name, in CORBA::RepositoryId interface_name, out Security::RightsList rights, out Security::RightsCombinator rights_combinator)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_required_rights</name>
      <anchor>a1</anchor>
      <arglist>(in CORBA::Identifier operation_name, in CORBA::RepositoryId interface_name, in Security::RightsList rights, in Security::RightsCombinator rights_combinator)</arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityLevel2::AuditChannel</name>
    <filename>interfaceSecurityLevel2_1_1AuditChannel.html</filename>
    <member kind="function">
      <type>void</type>
      <name>audit_write</name>
      <anchor>a0</anchor>
      <arglist>(in Security::AuditEventType event_type, in CredentialsList creds, in Security::UtcT time, in Security::SelectorValueList descriptors, in any event_specific_data)</arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::AuditChannelId</type>
      <name>audit_channel_id</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityLevel2::AuditDecision</name>
    <filename>interfaceSecurityLevel2_1_1AuditDecision.html</filename>
    <member kind="function">
      <type>boolean</type>
      <name>audit_needed</name>
      <anchor>a0</anchor>
      <arglist>(in Security::AuditEventType event_type, in Security::SelectorValueList value_list)</arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute AuditChannel</type>
      <name>audit_channel</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityLevel2::AccessDecision</name>
    <filename>interfaceSecurityLevel2_1_1AccessDecision.html</filename>
    <member kind="function">
      <type>boolean</type>
      <name>access_allowed</name>
      <anchor>a0</anchor>
      <arglist>(in SecurityLevel2::CredentialsList cred_list, in Object target, in CORBA::Identifier operation_name, in CORBA::Identifier target_interface_name)</arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityLevel2::QOPPolicy</name>
    <filename>interfaceSecurityLevel2_1_1QOPPolicy.html</filename>
    <base>CORBA::Policy</base>
    <member kind="variable">
      <type>readonly attribute Security::QOP</type>
      <name>qop</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityLevel2::MechanismPolicy</name>
    <filename>interfaceSecurityLevel2_1_1MechanismPolicy.html</filename>
    <base>CORBA::Policy</base>
    <member kind="variable">
      <type>readonly attribute Security::MechanismTypeList</type>
      <name>mechanisms</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityLevel2::InvocationCredentialsPolicy</name>
    <filename>interfaceSecurityLevel2_1_1InvocationCredentialsPolicy.html</filename>
    <base>CORBA::Policy</base>
    <member kind="variable">
      <type>readonly attribute CredentialsList</type>
      <name>creds</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityLevel2::EstablishTrustPolicy</name>
    <filename>interfaceSecurityLevel2_1_1EstablishTrustPolicy.html</filename>
    <base>CORBA::Policy</base>
    <member kind="variable">
      <type>readonly attribute Security::EstablishTrust</type>
      <name>trust</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityLevel2::DelegationDirectivePolicy</name>
    <filename>interfaceSecurityLevel2_1_1DelegationDirectivePolicy.html</filename>
    <base>CORBA::Policy</base>
    <member kind="variable">
      <type>readonly attribute Security::DelegationDirective</type>
      <name>delegation_directive</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityLevel2::SecurityManager</name>
    <filename>interfaceSecurityLevel2_1_1SecurityManager.html</filename>
    <member kind="function">
      <type>TargetCredentials</type>
      <name>get_target_credentials</name>
      <anchor>a0</anchor>
      <arglist>(in Object obj_ref)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>remove_own_credentials</name>
      <anchor>a1</anchor>
      <arglist>(in Credentials creds)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Policy</type>
      <name>get_security_policy</name>
      <anchor>a2</anchor>
      <arglist>(in CORBA::PolicyType policy_type)</arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::MechandOptionsList</type>
      <name>supported_mechanisms</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute CredentialsList</type>
      <name>own_credentials</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute RequiredRights</type>
      <name>required_rights_object</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute PrincipalAuthenticator</type>
      <name>principal_authenticator</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute AccessDecision</type>
      <name>access_decision</name>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute AuditDecision</type>
      <name>audit_decision</name>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityLevel2::Current</name>
    <filename>interfaceSecurityLevel2_1_1Current.html</filename>
    <base>SecurityLevel1::Current</base>
    <member kind="variable">
      <type>readonly attribute ReceivedCredentials</type>
      <name>received_credentials</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>SecurityReplaceable</name>
    <filename>namespaceSecurityReplaceable.html</filename>
    <class kind="interface">SecurityReplaceable::Vault</class>
    <class kind="interface">SecurityReplaceable::SecurityContext</class>
    <class kind="interface">SecurityReplaceable::ClientSecurityContext</class>
    <class kind="interface">SecurityReplaceable::ServerSecurityContext</class>
    <class kind="interface">SecurityReplaceable::RequiredRights</class>
    <class kind="interface">SecurityReplaceable::AuditChannel</class>
    <class kind="interface">SecurityReplaceable::AuditDecision</class>
    <class kind="interface">SecurityReplaceable::AccessDecision</class>
  </compound>
  <compound kind="interface">
    <name>SecurityReplaceable::Vault</name>
    <filename>interfaceSecurityReplaceable_1_1Vault.html</filename>
    <member kind="function">
      <type>Security::AuthenticationMethodList</type>
      <name>get_supported_authen_methods</name>
      <anchor>a0</anchor>
      <arglist>(in Security::MechanismType mechanism)</arglist>
    </member>
    <member kind="function">
      <type>Security::AuthenticationStatus</type>
      <name>acquire_credentials</name>
      <anchor>a1</anchor>
      <arglist>(in Security::AuthenticationMethod method, in Security::MechanismType mechanism, in Security::SecurityName security_name, in any auth_data, in Security::AttributeList privileges, out SecurityLevel2::Credentials creds, out any continuation_data, out any auth_specific_data)</arglist>
    </member>
    <member kind="function">
      <type>Security::AuthenticationStatus</type>
      <name>continue_credentials_acquisition</name>
      <anchor>a2</anchor>
      <arglist>(in any response_data, in SecurityLevel2::Credentials creds, out any continuation_data, out any auth_specific_data)</arglist>
    </member>
    <member kind="function">
      <type>IOP::TaggedComponentList</type>
      <name>create_ior_components</name>
      <anchor>a3</anchor>
      <arglist>(in SecurityLevel2::Credentials creds_list)</arglist>
    </member>
    <member kind="function">
      <type>Security::AssociationStatus</type>
      <name>init_security_context</name>
      <anchor>a4</anchor>
      <arglist>(in SecurityLevel2::Credentials creds, in Security::SecurityName target_security_name, in Object target, in Security::DelegationMode delegation_mode, in Security::OptionsDirectionPairList association_options, in Security::MechanismType mechanism, in Security::Opaque comp_data, in Security::ChannelBindings chan_binding, out Security::OpaqueBuffer security_token, out ClientSecurityContext security_context)</arglist>
    </member>
    <member kind="function">
      <type>Security::AssociationStatus</type>
      <name>accept_security_context</name>
      <anchor>a5</anchor>
      <arglist>(in SecurityLevel2::CredentialsList creds_list, in Security::ChannelBindings chan_bindings, in Security::Opaque in_token, out Security::Opaque out_token)</arglist>
    </member>
    <member kind="function">
      <type>Security::MechandOptionsList</type>
      <name>get_supported_mechs</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::OIDList</type>
      <name>supported_mech_oids</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityReplaceable::SecurityContext</name>
    <filename>interfaceSecurityReplaceable_1_1SecurityContext.html</filename>
    <member kind="function">
      <type>Security::AssociationStatus</type>
      <name>continue_security_context</name>
      <anchor>a0</anchor>
      <arglist>(in Security::OpaqueBuffer in_token, out Security::OpaqueBuffer out_token)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>protect_message</name>
      <anchor>a1</anchor>
      <arglist>(in Security::OpaqueBuffer message, in Security::QOP qop, out Security::OpaqueBuffer text_buffer, out Security::OpaqueBuffer token)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>reclaim_message</name>
      <anchor>a2</anchor>
      <arglist>(in Security::Opaque text_buffer, in Security::Opaque token, out Security::QOP qop, out Security::Opaque message)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>is_valid</name>
      <anchor>a3</anchor>
      <arglist>(out Security::UtcT expiry_time)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>discard_security_context</name>
      <anchor>a4</anchor>
      <arglist>(in Security::Opaque discard_data, out Security::OpaqueBuffer out_token)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>process_discard_token</name>
      <anchor>a5</anchor>
      <arglist>(in Security::OpaqueBuffer discard_token)</arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::SecurityContextType</type>
      <name>context_type</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::SecurityContextState</type>
      <name>context_state</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::MechanismType</type>
      <name>mechanism</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::ChannelBindings</type>
      <name>chan_binding</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute SecurityLevel2::ReceivedCredentials</type>
      <name>received_credentials</name>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityReplaceable::ClientSecurityContext</name>
    <filename>interfaceSecurityReplaceable_1_1ClientSecurityContext.html</filename>
    <base>SecurityReplaceable::SecurityContext</base>
    <member kind="variable">
      <type>readonly attribute Security::AssociationOptions</type>
      <name>association_options_used</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::DelegationMode</type>
      <name>delegation_mode</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::Opaque</type>
      <name>comp_data</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute SecurityLevel2::Credentials</type>
      <name>client_credentials</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::AssociationOptions</type>
      <name>server_options_supported</name>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::AssociationOptions</type>
      <name>server_options_required</name>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::Opaque</type>
      <name>server_security_name</name>
      <anchor>o6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityReplaceable::ServerSecurityContext</name>
    <filename>interfaceSecurityReplaceable_1_1ServerSecurityContext.html</filename>
    <base>SecurityReplaceable::SecurityContext</base>
    <member kind="variable">
      <type>readonly attribute Security::AssociationOptions</type>
      <name>association_options_used</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::DelegationMode</type>
      <name>delegation_mode</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute SecurityLevel2::Credentials</type>
      <name>server_credentials</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::AssociationOptions</type>
      <name>server_options_supported</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::AssociationOptions</type>
      <name>server_options_required</name>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::Opaque</type>
      <name>server_security_name</name>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityReplaceable::RequiredRights</name>
    <filename>interfaceSecurityReplaceable_1_1RequiredRights.html</filename>
    <member kind="function">
      <type>void</type>
      <name>get_required_rights</name>
      <anchor>a0</anchor>
      <arglist>(in CORBA::Identifier operation_name, in CORBA::RepositoryId interface_name, out Security::RightsList rights, out Security::RightsCombinator rights_combinator)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_required_rights</name>
      <anchor>a1</anchor>
      <arglist>(in CORBA::Identifier operation_name, in CORBA::RepositoryId interface_name, in Security::RightsList rights, in Security::RightsCombinator rights_combinator)</arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityReplaceable::AuditChannel</name>
    <filename>interfaceSecurityReplaceable_1_1AuditChannel.html</filename>
    <member kind="function">
      <type>void</type>
      <name>audit_write</name>
      <anchor>a0</anchor>
      <arglist>(in Security::AuditEventType event_type, in SecurityLevel2::CredentialsList creds_list, in Security::UtcT time, in Security::SelectorValueList descriptors, in Security::Opaque event_specific_data)</arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute Security::AuditChannelId</type>
      <name>audit_channel_id</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityReplaceable::AuditDecision</name>
    <filename>interfaceSecurityReplaceable_1_1AuditDecision.html</filename>
    <member kind="function">
      <type>boolean</type>
      <name>audit_needed</name>
      <anchor>a0</anchor>
      <arglist>(in Security::AuditEventType event_type, in Security::SelectorValueList value_list)</arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute AuditChannel</type>
      <name>audit_channel</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>SecurityReplaceable::AccessDecision</name>
    <filename>interfaceSecurityReplaceable_1_1AccessDecision.html</filename>
    <member kind="function">
      <type>boolean</type>
      <name>access_allowed</name>
      <anchor>a0</anchor>
      <arglist>(in SecurityLevel2::CredentialsList cred_list, in CORBA::Identifier operation_name, in CORBA::Identifier target_interface_name)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>TAO::CSI_Utils</name>
    <filename>namespaceTAO_1_1CSI__Utils.html</filename>
    <member kind="function">
      <type>void</type>
      <name>create_sas_service_context</name>
      <anchor>a0</anchor>
      <arglist>(const CSI::SASContextBody &amp;sas_context, IOP::ServiceContext &amp;sc)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>extract_sas_service_context</name>
      <anchor>a1</anchor>
      <arglist>(const IOP::ServiceContext &amp;sc, CSI::SASContextBody &amp;sas_context)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>TAO::Security</name>
    <filename>namespaceTAO_1_1Security.html</filename>
    <class kind="class">TAO::Security::Current_Impl</class>
    <class kind="class">TAO::Security::ORBInitializer</class>
    <class kind="class">TAO::Security::PolicyFactory</class>
    <class kind="class">TAO::Security::EstablishTrustPolicy</class>
    <class kind="class">TAO::Security::QOPPolicy</class>
  </compound>
  <compound kind="class">
    <name>TAO::Security::Current_Impl</name>
    <filename>classTAO_1_1Security_1_1Current__Impl.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Current_Impl</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable">
      <type>virtual ::Security::AttributeList *virtual get_attributes(const ::Security::AttributeTypeList &amp;attributes ACE_ENV_ARG_DECL) ACE_THROW_SPEC((CORBA SecurityLevel2::ReceivedCredentials_ptr virtual received_credentials(ACE_ENV_SINGLE_ARG_DECL) ACE_THROW_SPEC((CORBA CORBA::ULon</type>
      <name>tag</name>
      <anchor>o0</anchor>
      <arglist>)(void) const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO::Security::ORBInitializer</name>
    <filename>classTAO_1_1Security_1_1ORBInitializer.html</filename>
    <base virtualness="virtual">TAO_Local_RefCounted_Object</base>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>pre_init</name>
      <anchor>z10_0</anchor>
      <arglist>(PortableInterceptor::ORBInitInfo_ptr info ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>post_init</name>
      <anchor>z10_1</anchor>
      <arglist>(PortableInterceptor::ORBInitInfo_ptr info ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>register_policy_factories</name>
      <anchor>d0</anchor>
      <arglist>(PortableInterceptor::ORBInitInfo_ptr info ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>PortableInterceptor::PolicyFactory_var</type>
      <name>policy_factory_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO::Security::PolicyFactory</name>
    <filename>classTAO_1_1Security_1_1PolicyFactory.html</filename>
    <base>CORBA::LocalObject</base>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Policy_ptr</type>
      <name>create_policy</name>
      <anchor>a0</anchor>
      <arglist>(CORBA::PolicyType type, const CORBA::Any &amp;value ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO::Security::EstablishTrustPolicy</name>
    <filename>classTAO_1_1Security_1_1EstablishTrustPolicy.html</filename>
    <base virtualness="virtual">SecurityLevel2::EstablishTrustPolicy</base>
    <base virtualness="virtual">TAO_Local_RefCounted_Object</base>
    <member kind="function">
      <type></type>
      <name>EstablishTrustPolicy</name>
      <anchor>a0</anchor>
      <arglist>(const ::Security::EstablishTrust &amp;trust)</arglist>
    </member>
    <member kind="function">
      <type>virtual ::Security::EstablishTrust</type>
      <name>trust</name>
      <anchor>a1</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::PolicyType</type>
      <name>policy_type</name>
      <anchor>z12_0</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Policy_ptr</type>
      <name>copy</name>
      <anchor>z12_1</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>destroy</name>
      <anchor>z12_2</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>~EstablishTrustPolicy</name>
      <anchor>b0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>::Security::EstablishTrust const</type>
      <name>trust_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO::Security::QOPPolicy</name>
    <filename>classTAO_1_1Security_1_1QOPPolicy.html</filename>
    <base virtualness="virtual">SecurityLevel2::QOPPolicy</base>
    <base virtualness="virtual">TAO_Local_RefCounted_Object</base>
    <member kind="function">
      <type></type>
      <name>QOPPolicy</name>
      <anchor>a0</anchor>
      <arglist>(::Security::QOP qop)</arglist>
    </member>
    <member kind="function">
      <type>virtual ::Security::QOP</type>
      <name>qop</name>
      <anchor>a1</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::PolicyType</type>
      <name>policy_type</name>
      <anchor>z14_0</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Policy_ptr</type>
      <name>copy</name>
      <anchor>z14_1</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>destroy</name>
      <anchor>z14_2</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>~QOPPolicy</name>
      <anchor>b0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>::Security::QOP const</type>
      <name>qop_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>TAO::SL3</name>
    <filename>namespaceTAO_1_1SL3.html</filename>
    <class kind="class">TAO::SL3::ContextEstablishmentPolicy</class>
    <class kind="class">TAO::SL3::CredentialsAcquirerFactory</class>
    <class kind="class">TAO::SL3::CredentialsCurator</class>
    <class kind="class">TAO::SL3::ObjectCredentialsPolicy</class>
    <class kind="class">TAO::SL3::PolicyFactory</class>
    <class kind="class">TAO::SL3::SecurityCurrent</class>
    <class kind="class">TAO::SL3::SecurityCurrent_Impl</class>
    <class kind="class">TAO::SL3::SecurityManager</class>
    <class kind="class">TAO::SL3::olicyFactory</class>
    <member kind="typedef">
      <type>CredentialsCurator *</type>
      <name>CredentialsCurator_ptr</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Pseudo_Var_T&lt; CredentialsCurator &gt;</type>
      <name>CredentialsCurator_var</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Pseudo_Out_T&lt; CredentialsCurator, CredentialsCurator_var &gt;</type>
      <name>CredentialsCurator_out</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const size_t</type>
      <name>CREDENTIALS_TABLE_SIZE</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO::SL3::ContextEstablishmentPolicy</name>
    <filename>classTAO_1_1SL3_1_1ContextEstablishmentPolicy.html</filename>
    <base virtualness="virtual">TAO_Local_RefCounted_Object</base>
    <member kind="function">
      <type></type>
      <name>ContextEstablishmentPolicy</name>
      <anchor>a0</anchor>
      <arglist>(SecurityLevel3::CredsDirective creds_directive, const SecurityLevel3::OwnCredentialsList &amp;creds_list, SecurityLevel3::FeatureDirective use_client_auth, SecurityLevel3::FeatureDirective use_target_auth, SecurityLevel3::FeatureDirective use_confidentiality, SecurityLevel3::FeatureDirective use_integrity)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::CredsDirective</type>
      <name>creds_directive</name>
      <anchor>z16_0</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::OwnCredentialsList *</type>
      <name>creds_list</name>
      <anchor>z16_1</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::FeatureDirective</type>
      <name>use_client_auth</name>
      <anchor>z16_2</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::FeatureDirective</type>
      <name>use_target_auth</name>
      <anchor>z16_3</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::FeatureDirective</type>
      <name>use_confidentiality</name>
      <anchor>z16_4</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::FeatureDirective</type>
      <name>use_integrity</name>
      <anchor>z16_5</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::PolicyType</type>
      <name>policy_type</name>
      <anchor>z16_6</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Policy_ptr</type>
      <name>copy</name>
      <anchor>z16_7</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>destroy</name>
      <anchor>z16_8</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>~ContextEstablishmentPolicy</name>
      <anchor>b0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>SecurityLevel3::CredsDirective</type>
      <name>creds_directive_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>SecurityLevel3::OwnCredentialsList</type>
      <name>creds_list_</name>
      <anchor>r1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>SecurityLevel3::FeatureDirective</type>
      <name>use_client_auth_</name>
      <anchor>r2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>SecurityLevel3::FeatureDirective</type>
      <name>use_target_auth_</name>
      <anchor>r3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>SecurityLevel3::FeatureDirective</type>
      <name>use_confidentiality_</name>
      <anchor>r4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>SecurityLevel3::FeatureDirective</type>
      <name>use_integrity_</name>
      <anchor>r5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO::SL3::CredentialsAcquirerFactory</name>
    <filename>classTAO_1_1SL3_1_1CredentialsAcquirerFactory.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~CredentialsAcquirerFactory</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual SecurityLevel3::CredentialsAcquirer_ptr</type>
      <name>make</name>
      <anchor>a1</anchor>
      <arglist>(TAO::SL3::CredentialsCurator_ptr curator, const CORBA::Any &amp;acquisition_arguments ACE_ENV_ARG_DECL)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO::SL3::CredentialsCurator</name>
    <filename>classTAO_1_1SL3_1_1CredentialsCurator.html</filename>
    <base virtualness="virtual">TAO_Local_RefCounted_Object</base>
    <member kind="typedef">
      <type>ACE_Map_Manager&lt; const char *, TAO::SL3::CredentialsAcquirerFactory *, ACE_Null_Mutex &gt;</type>
      <name>Acquirer_Factory_Table</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Acquirer_Factory_Table::iterator</type>
      <name>Factory_Iterator</name>
      <anchor>w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_Hash_Map_Manager_Ex&lt; const char *, SecurityLevel3::OwnCredentials_var, ACE_Hash&lt; const char * &gt;, ACE_Equal_To&lt; const char * &gt;, ACE_Null_Mutex &gt;</type>
      <name>Credentials_Table</name>
      <anchor>w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Credentials_Table::iterator</type>
      <name>Credentials_Iterator</name>
      <anchor>w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CredentialsCurator</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>register_acquirer_factory</name>
      <anchor>a1</anchor>
      <arglist>(const char *acquisition_method, TAO::SL3::CredentialsAcquirerFactory *factory ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>_tao_add_own_credentials</name>
      <anchor>a2</anchor>
      <arglist>(SecurityLevel3::OwnCredentials_ptr credentials ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::AcquisitionMethodList *</type>
      <name>supported_methods</name>
      <anchor>z18_0</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::CredentialsAcquirer_ptr</type>
      <name>acquire_credentials</name>
      <anchor>z18_1</anchor>
      <arglist>(const char *acquisition_method, const CORBA::Any &amp;acquisition_arguments ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::OwnCredentialsList *</type>
      <name>default_creds_list</name>
      <anchor>z18_2</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::CredentialsIdList *</type>
      <name>default_creds_ids</name>
      <anchor>z18_3</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::OwnCredentials_ptr</type>
      <name>get_own_credentials</name>
      <anchor>z18_4</anchor>
      <arglist>(const char *credentials_id ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>release_own_credentials</name>
      <anchor>z18_5</anchor>
      <arglist>(const char *credentials_id ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CredentialsCurator_ptr</type>
      <name>_duplicate</name>
      <anchor>e0</anchor>
      <arglist>(CredentialsCurator_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CredentialsCurator_ptr</type>
      <name>_nil</name>
      <anchor>e1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CredentialsCurator_ptr</type>
      <name>_narrow</name>
      <anchor>e2</anchor>
      <arglist>(CORBA::Object_ptr obj ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>~CredentialsCurator</name>
      <anchor>b0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>TAO_SYNCH_MUTEX</type>
      <name>lock_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Acquirer_Factory_Table</type>
      <name>acquirer_factories_</name>
      <anchor>r1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Credentials_Table</type>
      <name>credentials_table_</name>
      <anchor>r2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO::SL3::ObjectCredentialsPolicy</name>
    <filename>classTAO_1_1SL3_1_1ObjectCredentialsPolicy.html</filename>
    <base virtualness="virtual">TAO_Local_RefCounted_Object</base>
    <member kind="function">
      <type></type>
      <name>ObjectCredentialsPolicy</name>
      <anchor>a0</anchor>
      <arglist>(const SecurityLevel3::OwnCredentialsList &amp;creds)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::OwnCredentialsList *</type>
      <name>creds_list</name>
      <anchor>z20_0</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::PolicyType</type>
      <name>policy_type</name>
      <anchor>z20_1</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Policy_ptr</type>
      <name>copy</name>
      <anchor>z20_2</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>destroy</name>
      <anchor>z20_3</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>~ObjectCredentialsPolicy</name>
      <anchor>b0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>SecurityLevel3::OwnCredentialsList</type>
      <name>creds_list_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO::SL3::PolicyFactory</name>
    <filename>classTAO_1_1SL3_1_1PolicyFactory.html</filename>
    <base virtualness="virtual">TAO_Local_RefCounted_Object</base>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Policy_ptr</type>
      <name>create_policy</name>
      <anchor>z22_0</anchor>
      <arglist>(CORBA::PolicyType type, const CORBA::Any &amp;value ACE_ENV_ARG_DECL)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO::SL3::SecurityCurrent</name>
    <filename>classTAO_1_1SL3_1_1SecurityCurrent.html</filename>
    <base virtualness="virtual">TAO_Local_RefCounted_Object</base>
    <member kind="function">
      <type></type>
      <name>SecurityCurrent</name>
      <anchor>a0</anchor>
      <arglist>(size_t tss_slot, TAO_ORB_Core *oc)</arglist>
    </member>
    <member kind="function">
      <type>size_t</type>
      <name>tss_slot</name>
      <anchor>a1</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::ClientCredentials_ptr</type>
      <name>client_credentials</name>
      <anchor>z24_0</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>request_is_local</name>
      <anchor>z24_1</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>~SecurityCurrent</name>
      <anchor>b0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>SecurityCurrent_Impl *</type>
      <name>implementation</name>
      <anchor>d0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>SecurityCurrent</name>
      <anchor>z26_0</anchor>
      <arglist>(const SecurityCurrent &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>operator=</name>
      <anchor>z26_1</anchor>
      <arglist>(const SecurityCurrent &amp;)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>const size_t</type>
      <name>tss_slot_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>TAO_ORB_Core *const</type>
      <name>orb_core_</name>
      <anchor>r1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO::SL3::SecurityCurrent_Impl</name>
    <filename>classTAO_1_1SL3_1_1SecurityCurrent__Impl.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~SecurityCurrent_Impl</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable">
      <type>virtual SecurityLevel3::ClientCredentials_ptr virtual client_credentials(ACE_ENV_SINGLE_ARG_DECL) ACE_THROW_SPEC((CORBA CORBA::Boolean virtual request_is_local(ACE_ENV_SINGLE_ARG_DECL) ACE_THROW_SPEC((CORBA CORBA::ULon</type>
      <name>tag</name>
      <anchor>o0</anchor>
      <arglist>)(void) const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO::SL3::SecurityManager</name>
    <filename>classTAO_1_1SL3_1_1SecurityManager.html</filename>
    <base virtualness="virtual">TAO_Local_RefCounted_Object</base>
    <member kind="function">
      <type></type>
      <name>SecurityManager</name>
      <anchor>a0</anchor>
      <arglist>(SecurityLevel3::CredentialsCurator_ptr cc)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::CredentialsCurator_ptr</type>
      <name>credentials_curator</name>
      <anchor>z30_0</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::TargetCredentials_ptr</type>
      <name>get_target_credentials</name>
      <anchor>z30_1</anchor>
      <arglist>(CORBA::Object_ptr the_object ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::ContextEstablishmentPolicy_ptr</type>
      <name>create_context_estab_policy</name>
      <anchor>z30_2</anchor>
      <arglist>(SecurityLevel3::CredsDirective creds_directive, const SecurityLevel3::OwnCredentialsList &amp;creds_list, SecurityLevel3::FeatureDirective use_client_auth, SecurityLevel3::FeatureDirective use_target_auth, SecurityLevel3::FeatureDirective use_confidentiality, SecurityLevel3::FeatureDirective use_integrity ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SecurityLevel3::ObjectCredentialsPolicy_ptr</type>
      <name>create_object_creds_policy</name>
      <anchor>z30_3</anchor>
      <arglist>(const SecurityLevel3::OwnCredentialsList &amp;cred_list ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual</type>
      <name>~SecurityManager</name>
      <anchor>b0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>SecurityLevel3::CredentialsCurator_var</type>
      <name>credentials_curator_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO::SL3::olicyFactory</name>
    <filename>classTAO_1_1SL3_1_1olicyFactory.html</filename>
  </compound>
</tagfile>
