<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="file">
    <name>Assembly_Deployer.cpp</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/Assembly_Deployer/</path>
    <filename>Assembly__Deployer_8cpp</filename>
    <member kind="function">
      <type>int</type>
      <name>parse_args</name>
      <anchor>a6</anchor>
      <arglist>(int argc, char *argv[])</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>create_assembly</name>
      <anchor>a7</anchor>
      <arglist>(Components::Deployment::AssemblyFactory_ptr factory ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>teardown_assembly</name>
      <anchor>a8</anchor>
      <arglist>(Components::Deployment::AssemblyFactory_ptr factory ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>main</name>
      <anchor>a9</anchor>
      <arglist>(int argc, char *argv[])</arglist>
    </member>
    <member kind="variable">
      <type>const char *</type>
      <name>ior</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const char *</type>
      <name>cad</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const char *</type>
      <name>cookie_output</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const char *</type>
      <name>cookie_teardown</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>benchmark</name>
      <anchor>a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>shutdown_server</name>
      <anchor>a5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Assembly_Impl.cpp</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/Assembly_Deployer/</path>
    <filename>Assembly__Impl_8cpp</filename>
    <includes id="Assembly__Impl_8h" name="Assembly_Impl.h" local="yes" imported="no">Assembly_Impl.h</includes>
    <includes id="Assembly__Impl_8inl" name="Assembly_Impl.inl" local="yes" imported="no">Assembly_Impl.inl</includes>
  </compound>
  <compound kind="file">
    <name>Assembly_Impl.h</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/Assembly_Deployer/</path>
    <filename>Assembly__Impl_8h</filename>
    <includes id="Deployment__Configuration_8h" name="Deployment_Configuration.h" local="yes" imported="no">Deployment_Configuration.h</includes>
    <includes id="Assembly__Visitors_8h" name="Assembly_Visitors.h" local="yes" imported="no">Assembly_Visitors.h</includes>
    <namespace>CIAO</namespace>
    <class kind="class">CIAO::AssemblyFactory_Impl</class>
    <class kind="class">CIAO::Assembly_Impl</class>
  </compound>
  <compound kind="file">
    <name>Assembly_Impl.inl</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/Assembly_Deployer/</path>
    <filename>Assembly__Impl_8inl</filename>
  </compound>
  <compound kind="file">
    <name>Assembly_Manager.cpp</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/Assembly_Deployer/</path>
    <filename>Assembly__Manager_8cpp</filename>
    <includes id="Assembly__Impl_8h" name="Assembly_Impl.h" local="yes" imported="no">Assembly_Impl.h</includes>
    <includes id="Assembly__Service__Impl_8h" name="Assembly_Service_Impl.h" local="yes" imported="no">Assembly_Service_Impl.h</includes>
    <member kind="function">
      <type>int</type>
      <name>parse_args</name>
      <anchor>a2</anchor>
      <arglist>(int argc, char *argv[])</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>write_IOR</name>
      <anchor>a3</anchor>
      <arglist>(const char *ior)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>main</name>
      <anchor>a4</anchor>
      <arglist>(int argc, char *argv[])</arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>config_filename_</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>output_ior_filename_</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Assembly_Service.idl</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/Assembly_Deployer/</path>
    <filename>Assembly__Service_8idl</filename>
    <namespace>CIAO</namespace>
    <class kind="interface">CIAO::Assembly_Service</class>
  </compound>
  <compound kind="file">
    <name>Assembly_Service_Impl.cpp</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/Assembly_Deployer/</path>
    <filename>Assembly__Service__Impl_8cpp</filename>
    <includes id="Assembly__Service__Impl_8h" name="Assembly_Service_Impl.h" local="yes" imported="no">Assembly_Service_Impl.h</includes>
  </compound>
  <compound kind="file">
    <name>Assembly_Service_Impl.h</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/Assembly_Deployer/</path>
    <filename>Assembly__Service__Impl_8h</filename>
    <namespace>CIAO</namespace>
    <class kind="class">CIAO::Assembly_Service_Impl</class>
  </compound>
  <compound kind="file">
    <name>Assembly_Visitors.cpp</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/Assembly_Deployer/</path>
    <filename>Assembly__Visitors_8cpp</filename>
    <includes id="Assembly__Visitors_8h" name="Assembly_Visitors.h" local="yes" imported="no">Assembly_Visitors.h</includes>
    <includes id="Assembly__Visitors_8inl" name="Assembly_Visitors.inl" local="yes" imported="no">Assembly_Visitors.inl</includes>
  </compound>
  <compound kind="file">
    <name>Assembly_Visitors.h</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/Assembly_Deployer/</path>
    <filename>Assembly__Visitors_8h</filename>
    <includes id="Deployment__Configuration_8h" name="Deployment_Configuration.h" local="yes" imported="no">Deployment_Configuration.h</includes>
    <namespace>CIAO</namespace>
    <class kind="struct">CIAO::_assembly_context</class>
    <class kind="class">CIAO::Assembly_Builder_Visitor</class>
    <member kind="typedef">
      <type>CIAO::_assembly_context</type>
      <name>Assembly_Context</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Assembly_Visitors.inl</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/Assembly_Deployer/</path>
    <filename>Assembly__Visitors_8inl</filename>
  </compound>
  <compound kind="file">
    <name>Deployment_Configuration.cpp</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/Assembly_Deployer/</path>
    <filename>Deployment__Configuration_8cpp</filename>
    <includes id="Deployment__Configuration_8h" name="Deployment_Configuration.h" local="yes" imported="no">Deployment_Configuration.h</includes>
    <member kind="define">
      <type>#define</type>
      <name>NAME_BUFSIZE</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Deployment_Configuration.h</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/Assembly_Deployer/</path>
    <filename>Deployment__Configuration_8h</filename>
    <namespace>CIAO</namespace>
    <class kind="class">CIAO::Deployment_Configuration</class>
    <class kind="struct">CIAO::Deployment_Configuration::_activator_info</class>
  </compound>
  <compound kind="dir">
    <name>TAO/CIAO/tools/Assembly_Deployer/</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/Assembly_Deployer/</path>
    <filename>dir_000003.html</filename>
    <file>Assembly_Deployer.cpp</file>
    <file>Assembly_Impl.cpp</file>
    <file>Assembly_Impl.h</file>
    <file>Assembly_Impl.inl</file>
    <file>Assembly_Manager.cpp</file>
    <file>Assembly_Service.idl</file>
    <file>Assembly_Service_Impl.cpp</file>
    <file>Assembly_Service_Impl.h</file>
    <file>Assembly_Visitors.cpp</file>
    <file>Assembly_Visitors.h</file>
    <file>Assembly_Visitors.inl</file>
    <file>Deployment_Configuration.cpp</file>
    <file>Deployment_Configuration.h</file>
  </compound>
  <compound kind="dir">
    <name>TAO/CIAO/</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/</path>
    <filename>dir_000001.html</filename>
    <dir>TAO/CIAO/tools/</dir>
  </compound>
  <compound kind="dir">
    <name>TAO/</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/</path>
    <filename>dir_000000.html</filename>
    <dir>TAO/CIAO/</dir>
  </compound>
  <compound kind="dir">
    <name>TAO/CIAO/tools/</name>
    <path>/export/web/users/isisbuilds/tmp/ACE_wrappers/TAO/CIAO/tools/</path>
    <filename>dir_000002.html</filename>
    <dir>TAO/CIAO/tools/Assembly_Deployer/</dir>
  </compound>
  <compound kind="namespace">
    <name>CIAO</name>
    <filename>namespaceCIAO.html</filename>
    <class kind="class">CIAO::AssemblyFactory_Impl</class>
    <class kind="class">CIAO::Assembly_Impl</class>
    <class kind="interface">CIAO::Assembly_Service</class>
    <class kind="class">CIAO::Assembly_Service_Impl</class>
    <class kind="struct">CIAO::_assembly_context</class>
    <class kind="class">CIAO::Assembly_Builder_Visitor</class>
    <class kind="class">CIAO::Deployment_Configuration</class>
    <class kind="struct">CIAO::Deployment_Configuration::_activator_info</class>
    <member kind="typedef">
      <type>CIAO::_assembly_context</type>
      <name>Assembly_Context</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CIAO::AssemblyFactory_Impl</name>
    <filename>classCIAO_1_1AssemblyFactory__Impl.html</filename>
    <member kind="function">
      <type></type>
      <name>AssemblyFactory_Impl</name>
      <anchor>a0</anchor>
      <arglist>(CORBA::ORB_ptr o, PortableServer::POA_ptr p)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~AssemblyFactory_Impl</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual PortableServer::POA_ptr</type>
      <name>_default_POA</name>
      <anchor>a2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>init</name>
      <anchor>a3</anchor>
      <arglist>(const char *config_file ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual ::Components::Cookie *</type>
      <name>create_assembly</name>
      <anchor>a4</anchor>
      <arglist>(const char *assembly_loc ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function">
      <type>virtual ::Components::Deployment::Assembly_ptr</type>
      <name>lookup</name>
      <anchor>a5</anchor>
      <arglist>(Components::Cookie *c ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>destroy</name>
      <anchor>a6</anchor>
      <arglist>(Components::Cookie *c ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CORBA::ORB_var</type>
      <name>orb_</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>PortableServer::POA_var</type>
      <name>poa_</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_Active_Map_Manager&lt; Components::Deployment::Assembly_var &gt;</type>
      <name>assembly_map_</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CIAO::Deployment_Configuration</type>
      <name>deployment_config_</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CIAO::Assembly_Impl</name>
    <filename>classCIAO_1_1Assembly__Impl.html</filename>
    <member kind="function">
      <type></type>
      <name>Assembly_Impl</name>
      <anchor>a0</anchor>
      <arglist>(CORBA::ORB_ptr o, PortableServer::POA_ptr p, Assembly_Spec *spec, Deployment_Configuration &amp;config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Assembly_Impl</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual PortableServer::POA_ptr</type>
      <name>_default_POA</name>
      <anchor>a2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>init</name>
      <anchor>a3</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>build</name>
      <anchor>a4</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>tear_down</name>
      <anchor>a5</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function">
      <type>virtual ::Components::Deployment::AssemblyState</type>
      <name>get_state</name>
      <anchor>a6</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>make_connection</name>
      <anchor>z0_0</anchor>
      <arglist>(Assembly_Connection::Connect_Info *info ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>CORBA::Object_ptr</type>
      <name>resolve_interface</name>
      <anchor>z0_1</anchor>
      <arglist>(Assembly_Connection::IF_Resolver_Info *info ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>Components::CCMObject_ptr</type>
      <name>resolve_component</name>
      <anchor>z0_2</anchor>
      <arglist>(Assembly_Connection::IF_Resolver_Info *info ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>Components::CCMHome_ptr</type>
      <name>resolve_home</name>
      <anchor>z0_3</anchor>
      <arglist>(Assembly_Connection::IF_Resolver_Info *info ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>Components::EventConsumerBase_ptr</type>
      <name>resolve_consumer</name>
      <anchor>z0_4</anchor>
      <arglist>(Assembly_Connection::IF_Resolver_Info *info ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CORBA::ORB_var</type>
      <name>orb_</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>PortableServer::POA_var</type>
      <name>poa_</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>::Components::Deployment::AssemblyState</type>
      <name>state_</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CORBA::ULong</type>
      <name>serial_number_</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Deployment_Configuration &amp;</type>
      <name>deployment_config_</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Assembly_Spec *</type>
      <name>assembly_spec_</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Assembly_Context</type>
      <name>assembly_context_</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>CORBA::ULong</type>
      <name>assembly_count_</name>
      <anchor>t0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>CIAO::Assembly_Service</name>
    <filename>interfaceCIAO_1_1Assembly__Service.html</filename>
    <member kind="function">
      <type>Components::Deployment::AssemblyFactory</type>
      <name>get_assemblyfactory</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>oneway void</type>
      <name>shutdown</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CIAO::Assembly_Service_Impl</name>
    <filename>classCIAO_1_1Assembly__Service__Impl.html</filename>
    <member kind="function">
      <type></type>
      <name>Assembly_Service_Impl</name>
      <anchor>a0</anchor>
      <arglist>(CORBA::ORB_ptr o, PortableServer::POA_ptr p, Components::Deployment::AssemblyFactory_ptr f)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Assembly_Service_Impl</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual PortableServer::POA_ptr</type>
      <name>_default_POA</name>
      <anchor>a2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CORBA::ORB_var</type>
      <name>orb_</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>PortableServer::POA_var</type>
      <name>poa_</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Components::Deployment::AssemblyFactory_var</type>
      <name>factory_</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>CIAO::_assembly_context</name>
    <filename>structCIAO_1_1__assembly__context.html</filename>
    <member kind="typedef">
      <type>ACE_Hash_Map_Manager_Ex&lt; ACE_CString, Components::CCMHome_var, ACE_Hash&lt; ACE_CString &gt;, ACE_Equal_To&lt; ACE_CString &gt;, ACE_Null_Mutex &gt;</type>
      <name>HOME_MAP</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_Hash_Map_Manager_Ex&lt; ACE_CString, Components::CCMObject_var, ACE_Hash&lt; ACE_CString &gt;, ACE_Equal_To&lt; ACE_CString &gt;, ACE_Null_Mutex &gt;</type>
      <name>COMP_MAP</name>
      <anchor>w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>COMP_MAP::iterator</type>
      <name>COMP_MAP_ITER</name>
      <anchor>w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_Unbounded_Queue&lt; Components::Deployment::ComponentServer_var &gt;</type>
      <name>SERVER_QUEUE</name>
      <anchor>w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>HOME_MAP</type>
      <name>installed_homes_</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>COMP_MAP</type>
      <name>instantiated_components_</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>SERVER_QUEUE</type>
      <name>component_servers_</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CIAO::Assembly_Builder_Visitor</name>
    <filename>classCIAO_1_1Assembly__Builder__Visitor.html</filename>
    <member kind="function">
      <type></type>
      <name>Assembly_Builder_Visitor</name>
      <anchor>a0</anchor>
      <arglist>(CORBA::ORB_ptr o, Assembly_Context &amp;context, CIAO::ID_IMPL_MAP &amp;idmap, Deployment_Configuration &amp;config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Assembly_Builder_Visitor</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>visit_Container</name>
      <anchor>a2</anchor>
      <arglist>(Assembly_Placement::Container *c ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>visit_hostcollocation</name>
      <anchor>a3</anchor>
      <arglist>(Assembly_Placement::hostcollocation *hc ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>visit_processcollocation</name>
      <anchor>a4</anchor>
      <arglist>(Assembly_Placement::processcollocation *pc ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>visit_homeplacement</name>
      <anchor>a5</anchor>
      <arglist>(Assembly_Placement::homeplacement *hp ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>visit_componentinstantiation</name>
      <anchor>a6</anchor>
      <arglist>(Assembly_Placement::componentinstantiation *ci ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function">
      <type>Components::Deployment::ComponentServer_ptr</type>
      <name>get_current_componentserver</name>
      <anchor>a7</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function">
      <type>Components::Deployment::Container_ptr</type>
      <name>get_container</name>
      <anchor>a8</anchor>
      <arglist>(const char *rtpolicy ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>register_component</name>
      <anchor>b0</anchor>
      <arglist>(Assembly_Placement::componentinstantiation::Register_Info *i, Components::CCMObject_ptr c ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Components::Deployment::ComponentServer_var</type>
      <name>compserv_</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Components::Deployment::Container_var</type>
      <name>container_</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_CString</type>
      <name>rtpolicy_name_</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Components::KeylessCCMHome_var</type>
      <name>home_</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CORBA::ORB_var</type>
      <name>orb_</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Assembly_Context &amp;</type>
      <name>context_</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CIAO::ID_IMPL_MAP &amp;</type>
      <name>impl_idref_map_</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Deployment_Configuration &amp;</type>
      <name>deployment_config_</name>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CIAO::Deployment_Configuration</name>
    <filename>classCIAO_1_1Deployment__Configuration.html</filename>
    <member kind="typedef">
      <type>CIAO::Deployment_Configuration::_activator_info</type>
      <name>Activator_Info</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Deployment_Configuration</name>
      <anchor>a0</anchor>
      <arglist>(CORBA::ORB_ptr o)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Deployment_Configuration</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>init</name>
      <anchor>a2</anchor>
      <arglist>(const char *filename)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>get_activator_ior</name>
      <anchor>a3</anchor>
      <arglist>(const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>get_default_activator_ior</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Components::Deployment::ServerActivator_ptr</type>
      <name>get_activator</name>
      <anchor>a5</anchor>
      <arglist>(const char *name ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Components::Deployment::ServerActivator_ptr</type>
      <name>get_default_activator</name>
      <anchor>a6</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CORBA::ORB_var</type>
      <name>orb_</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_Hash_Map_Manager_Ex&lt; ACE_CString, Activator_Info, ACE_Hash&lt; ACE_CString &gt;, ACE_Equal_To&lt; ACE_CString &gt;, ACE_Null_Mutex &gt;</type>
      <name>deployment_info_</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Activator_Info</type>
      <name>default_activator_</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>CIAO::Deployment_Configuration::_activator_info</name>
    <filename>structCIAO_1_1Deployment__Configuration_1_1__activator__info.html</filename>
    <member kind="function">
      <type></type>
      <name>_activator_info</name>
      <anchor>a0</anchor>
      <arglist>(const char *ior=0)</arglist>
    </member>
    <member kind="variable">
      <type>ACE_CString</type>
      <name>IOR_</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Components::Deployment::ServerActivator_var</type>
      <name>activator_</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>CIAO::Deployment_Configuration::_activator_info</name>
    <filename>structCIAO_1_1Deployment__Configuration_1_1__activator__info.html</filename>
    <member kind="function">
      <type></type>
      <name>_activator_info</name>
      <anchor>a0</anchor>
      <arglist>(const char *ior=0)</arglist>
    </member>
    <member kind="variable">
      <type>ACE_CString</type>
      <name>IOR_</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Components::Deployment::ServerActivator_var</type>
      <name>activator_</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
