<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="file">
    <name>Bindings_Iterator_T.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>Bindings__Iterator__T_8cpp</filename>
    <includes id="Bindings__Iterator__T_8h" name="Bindings_Iterator_T.h" local="yes" imported="no">Bindings_Iterator_T.h</includes>
  </compound>
  <compound kind="file">
    <name>Bindings_Iterator_T.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>Bindings__Iterator__T_8h</filename>
    <includes id="Hash__Naming__Context_8h" name="Hash_Naming_Context.h" local="yes" imported="no">Hash_Naming_Context.h</includes>
    <class kind="class">TAO_Bindings_Iterator</class>
  </compound>
  <compound kind="file">
    <name>CosNaming.idl</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/</path>
    <filename>CosNaming_8idl</filename>
    <namespace>CosNaming</namespace>
    <class kind="struct">CosNaming::NameComponent</class>
    <class kind="struct">CosNaming::Binding</class>
    <class kind="interface">CosNaming::NamingContext</class>
    <class kind="exception">CosNaming::NamingContext::NotFound</class>
    <class kind="exception">CosNaming::NamingContext::CannotProceed</class>
    <class kind="exception">CosNaming::NamingContext::InvalidName</class>
    <class kind="exception">CosNaming::NamingContext::AlreadyBound</class>
    <class kind="exception">CosNaming::NamingContext::NotEmpty</class>
    <class kind="interface">CosNaming::BindingIterator</class>
    <class kind="interface">CosNaming::NamingContextExt</class>
    <class kind="exception">CosNaming::NamingContextExt::InvalidAddress</class>
    <member kind="typedef">
      <type>string</type>
      <name>Istring</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; NameComponent &gt;</type>
      <name>Name</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; Binding &gt;</type>
      <name>BindingList</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>BindingType</name>
      <anchor>a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>nobject</name>
      <anchor>a5a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ncontext</name>
      <anchor>a5a4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Entries.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>Entries_8cpp</filename>
    <includes id="Entries_8h" name="Entries.h" local="yes" imported="no">Entries.h</includes>
  </compound>
  <compound kind="file">
    <name>Entries.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>Entries_8h</filename>
    <includes id="naming__serv__export_8h" name="naming_serv_export.h" local="yes" imported="no">naming_serv_export.h</includes>
    <class kind="class">TAO_IntId</class>
    <class kind="class">TAO_ExtId</class>
  </compound>
  <compound kind="file">
    <name>Flat_File_Persistence.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>Flat__File__Persistence_8cpp</filename>
    <includes id="Flat__File__Persistence_8h" name="Flat_File_Persistence.h" local="yes" imported="no">Flat_File_Persistence.h</includes>
  </compound>
  <compound kind="file">
    <name>Flat_File_Persistence.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>Flat__File__Persistence_8h</filename>
    <includes id="Storable_8h" name="Storable.h" local="yes" imported="no">Storable.h</includes>
    <class kind="class">TAO_NS_FlatFileStream</class>
    <class kind="class">TAO_NS_FlatFileFactory</class>
  </compound>
  <compound kind="file">
    <name>Hash_Naming_Context.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>Hash__Naming__Context_8cpp</filename>
    <includes id="Hash__Naming__Context_8h" name="Hash_Naming_Context.h" local="yes" imported="no">Hash_Naming_Context.h</includes>
    <includes id="nsconf_8h" name="nsconf.h" local="yes" imported="no">nsconf.h</includes>
  </compound>
  <compound kind="file">
    <name>Hash_Naming_Context.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>Hash__Naming__Context_8h</filename>
    <includes id="Naming__Context__Interface_8h" name="Naming_Context_Interface.h" local="yes" imported="no">Naming_Context_Interface.h</includes>
    <includes id="naming__serv__export_8h" name="naming_serv_export.h" local="yes" imported="no">naming_serv_export.h</includes>
    <class kind="class">TAO_Bindings_Map</class>
    <class kind="class">TAO_Hash_Naming_Context</class>
  </compound>
  <compound kind="file">
    <name>Naming_Client.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>Naming__Client_8cpp</filename>
    <includes id="Naming__Client_8h" name="Naming_Client.h" local="yes" imported="no">Naming_Client.h</includes>
  </compound>
  <compound kind="file">
    <name>Naming_Client.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>Naming__Client_8h</filename>
    <includes id="naming__export_8h" name="naming_export.h" local="yes" imported="no">orbsvcs/Naming/naming_export.h</includes>
    <class kind="class">TAO_Naming_Client</class>
  </compound>
  <compound kind="file">
    <name>Naming_Context_Interface.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>Naming__Context__Interface_8cpp</filename>
    <includes id="Naming__Context__Interface_8h" name="Naming_Context_Interface.h" local="yes" imported="no">Naming_Context_Interface.h</includes>
  </compound>
  <compound kind="file">
    <name>Naming_Context_Interface.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>Naming__Context__Interface_8h</filename>
    <includes id="naming__serv__export_8h" name="naming_serv_export.h" local="yes" imported="no">naming_serv_export.h</includes>
    <class kind="class">TAO_Naming_Context</class>
    <class kind="class">TAO_Naming_Context_Impl</class>
  </compound>
  <compound kind="file">
    <name>naming_export.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>naming__export_8h</filename>
    <member kind="define">
      <type>#define</type>
      <name>TAO_NAMING_HAS_DLL</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_Naming_Export</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_NAMING_SINGLETON_DECLARATION</name>
      <anchor>a2</anchor>
      <arglist>(T)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_NAMING_SINGLETON_DECLARE</name>
      <anchor>a3</anchor>
      <arglist>(SINGLETON_TYPE, CLASS, LOCK)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Naming_Loader.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>Naming__Loader_8cpp</filename>
    <includes id="Naming__Loader_8h" name="Naming_Loader.h" local="yes" imported="no">Naming_Loader.h</includes>
  </compound>
  <compound kind="file">
    <name>Naming_Loader.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>Naming__Loader_8h</filename>
    <includes id="Naming__Server_8h" name="Naming_Server.h" local="yes" imported="no">orbsvcs/Naming/Naming_Server.h</includes>
    <class kind="class">TAO_Naming_Loader</class>
  </compound>
  <compound kind="file">
    <name>naming_serv_export.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>naming__serv__export_8h</filename>
    <member kind="define">
      <type>#define</type>
      <name>TAO_NAMING_SERV_HAS_DLL</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_Naming_Serv_Export</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_NAMING_SERV_SINGLETON_DECLARATION</name>
      <anchor>a2</anchor>
      <arglist>(T)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_NAMING_SERV_SINGLETON_DECLARE</name>
      <anchor>a3</anchor>
      <arglist>(SINGLETON_TYPE, CLASS, LOCK)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Naming_Server.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>Naming__Server_8cpp</filename>
    <includes id="Naming__Server_8h" name="Naming_Server.h" local="yes" imported="no">Naming_Server.h</includes>
    <includes id="Transient__Naming__Context_8h" name="Transient_Naming_Context.h" local="yes" imported="no">Transient_Naming_Context.h</includes>
    <includes id="Persistent__Context__Index_8h" name="Persistent_Context_Index.h" local="yes" imported="no">Persistent_Context_Index.h</includes>
    <includes id="Storable__Naming__Context_8h" name="Storable_Naming_Context.h" local="yes" imported="no">Storable_Naming_Context.h</includes>
    <includes id="Storable__Naming__Context__Activator_8h" name="Storable_Naming_Context_Activator.h" local="yes" imported="no">Storable_Naming_Context_Activator.h</includes>
    <includes id="Flat__File__Persistence_8h" name="Flat_File_Persistence.h" local="yes" imported="no">Flat_File_Persistence.h</includes>
  </compound>
  <compound kind="file">
    <name>Naming_Server.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>Naming__Server_8h</filename>
    <includes id="Naming__Context__Interface_8h" name="Naming_Context_Interface.h" local="yes" imported="no">Naming_Context_Interface.h</includes>
    <includes id="nsconf_8h" name="nsconf.h" local="yes" imported="no">nsconf.h</includes>
    <class kind="class">TAO_Naming_Server</class>
  </compound>
  <compound kind="file">
    <name>Naming_Service_Container.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>Naming__Service__Container_8cpp</filename>
    <includes id="Naming__Service__Container_8h" name="Naming_Service_Container.h" local="yes" imported="no">Naming_Service_Container.h</includes>
  </compound>
  <compound kind="file">
    <name>Naming_Service_Container.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>Naming__Service__Container_8h</filename>
    <class kind="class">ACE_NS_Node</class>
    <class kind="class">ACE_Unbounded_List_Iterator</class>
    <class kind="class">ACE_Unbounded_List</class>
  </compound>
  <compound kind="file">
    <name>naming_skel_export.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>naming__skel__export_8h</filename>
    <member kind="define">
      <type>#define</type>
      <name>TAO_NAMING_SKEL_HAS_DLL</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_Naming_Skel_Export</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_NAMING_SKEL_SINGLETON_DECLARATION</name>
      <anchor>a2</anchor>
      <arglist>(T)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_NAMING_SKEL_SINGLETON_DECLARE</name>
      <anchor>a3</anchor>
      <arglist>(SINGLETON_TYPE, CLASS, LOCK)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>nsconf.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>nsconf_8h</filename>
    <member kind="define">
      <type>#define</type>
      <name>TAO_NAMING_BASE_ADDR</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_ROOT_NAMING_CONTEXT</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_NAMING_CONTEXT_INDEX</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Persistent_Context_Index.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>Persistent__Context__Index_8cpp</filename>
    <includes id="Persistent__Context__Index_8h" name="Persistent_Context_Index.h" local="yes" imported="no">Persistent_Context_Index.h</includes>
    <includes id="Persistent__Naming__Context_8h" name="Persistent_Naming_Context.h" local="yes" imported="no">Persistent_Naming_Context.h</includes>
  </compound>
  <compound kind="file">
    <name>Persistent_Context_Index.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>Persistent__Context__Index_8h</filename>
    <includes id="Persistent__Entries_8h" name="Persistent_Entries.h" local="yes" imported="no">Persistent_Entries.h</includes>
    <includes id="naming__serv__export_8h" name="naming_serv_export.h" local="yes" imported="no">naming_serv_export.h</includes>
    <includes id="nsconf_8h" name="nsconf.h" local="yes" imported="no">nsconf.h</includes>
    <class kind="class">TAO_Persistent_Context_Index</class>
  </compound>
  <compound kind="file">
    <name>Persistent_Entries.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>Persistent__Entries_8cpp</filename>
    <includes id="Persistent__Entries_8h" name="Persistent_Entries.h" local="yes" imported="no">Persistent_Entries.h</includes>
  </compound>
  <compound kind="file">
    <name>Persistent_Entries.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>Persistent__Entries_8h</filename>
    <includes id="naming__serv__export_8h" name="naming_serv_export.h" local="yes" imported="no">naming_serv_export.h</includes>
    <class kind="class">TAO_Persistent_IntId</class>
    <class kind="class">TAO_Persistent_ExtId</class>
    <class kind="class">TAO_Persistent_Index_IntId</class>
    <class kind="class">TAO_Persistent_Index_ExtId</class>
  </compound>
  <compound kind="file">
    <name>Persistent_Naming_Context.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>Persistent__Naming__Context_8cpp</filename>
    <includes id="Persistent__Naming__Context_8h" name="Persistent_Naming_Context.h" local="yes" imported="no">Persistent_Naming_Context.h</includes>
    <includes id="Persistent__Context__Index_8h" name="Persistent_Context_Index.h" local="yes" imported="no">Persistent_Context_Index.h</includes>
    <includes id="Bindings__Iterator__T_8h" name="Bindings_Iterator_T.h" local="yes" imported="no">Bindings_Iterator_T.h</includes>
  </compound>
  <compound kind="file">
    <name>Persistent_Naming_Context.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>Persistent__Naming__Context_8h</filename>
    <includes id="Hash__Naming__Context_8h" name="Hash_Naming_Context.h" local="yes" imported="no">Hash_Naming_Context.h</includes>
    <includes id="Persistent__Entries_8h" name="Persistent_Entries.h" local="yes" imported="no">Persistent_Entries.h</includes>
    <includes id="naming__serv__export_8h" name="naming_serv_export.h" local="yes" imported="no">naming_serv_export.h</includes>
    <class kind="class">TAO_Persistent_Bindings_Map</class>
    <class kind="class">TAO_Persistent_Naming_Context</class>
  </compound>
  <compound kind="file">
    <name>Storable.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>Storable_8cpp</filename>
    <includes id="Storable_8h" name="Storable.h" local="yes" imported="no">Storable.h</includes>
  </compound>
  <compound kind="file">
    <name>Storable.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>Storable_8h</filename>
    <includes id="Storable_8inl" name="Storable.inl" local="yes" imported="no">Storable.inl</includes>
    <class kind="class">TAO_NS_Persistence_Header</class>
    <class kind="class">TAO_NS_Persistence_Record</class>
    <class kind="class">TAO_NS_Persistence_Global</class>
    <class kind="class">TAO_Storable_Base</class>
    <class kind="class">TAO_Naming_Service_Persistence_Factory</class>
    <member kind="variable" static="yes">
      <type>TAO_BEGIN_VERSIONED_NAMESPACE_DECL const int</type>
      <name>szInt</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const int</type>
      <name>szChar</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const int</type>
      <name>szBool</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Storable.inl</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>Storable_8inl</filename>
  </compound>
  <compound kind="file">
    <name>Storable_Naming_Context.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>Storable__Naming__Context_8cpp</filename>
    <includes id="Storable__Naming__Context_8h" name="Storable_Naming_Context.h" local="yes" imported="no">Storable_Naming_Context.h</includes>
    <includes id="Bindings__Iterator__T_8h" name="Bindings_Iterator_T.h" local="yes" imported="no">Bindings_Iterator_T.h</includes>
    <includes id="Naming__Service__Container_8h" name="Naming_Service_Container.h" local="yes" imported="no">Naming_Service_Container.h</includes>
  </compound>
  <compound kind="file">
    <name>Storable_Naming_Context.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>Storable__Naming__Context_8h</filename>
    <includes id="Hash__Naming__Context_8h" name="Hash_Naming_Context.h" local="yes" imported="no">Hash_Naming_Context.h</includes>
    <includes id="Storable_8h" name="Storable.h" local="yes" imported="no">Storable.h</includes>
    <class kind="class">TAO_Storable_IntId</class>
    <class kind="class">TAO_Storable_ExtId</class>
    <class kind="class">TAO_Storable_Bindings_Map</class>
    <class kind="class">TAO_Storable_Naming_Context</class>
    <class kind="class">TAO_Storable_Naming_Context::File_Open_Lock_and_Check</class>
  </compound>
  <compound kind="file">
    <name>Storable_Naming_Context_Activator.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>Storable__Naming__Context__Activator_8cpp</filename>
    <includes id="Storable__Naming__Context__Activator_8h" name="Storable_Naming_Context_Activator.h" local="yes" imported="no">Storable_Naming_Context_Activator.h</includes>
    <includes id="Naming__Context__Interface_8h" name="Naming_Context_Interface.h" local="yes" imported="no">Naming_Context_Interface.h</includes>
    <includes id="Storable__Naming__Context_8h" name="Storable_Naming_Context.h" local="yes" imported="no">Storable_Naming_Context.h</includes>
    <includes id="Storable_8h" name="Storable.h" local="yes" imported="no">Storable.h</includes>
  </compound>
  <compound kind="file">
    <name>Storable_Naming_Context_Activator.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>Storable__Naming__Context__Activator_8h</filename>
    <includes id="naming__serv__export_8h" name="naming_serv_export.h" local="yes" imported="no">naming_serv_export.h</includes>
    <class kind="class">TAO_Storable_Naming_Context_Activator</class>
  </compound>
  <compound kind="file">
    <name>Transient_Naming_Context.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>Transient__Naming__Context_8cpp</filename>
    <includes id="Transient__Naming__Context_8h" name="Transient_Naming_Context.h" local="yes" imported="no">Transient_Naming_Context.h</includes>
    <includes id="Bindings__Iterator__T_8h" name="Bindings_Iterator_T.h" local="yes" imported="no">Bindings_Iterator_T.h</includes>
  </compound>
  <compound kind="file">
    <name>Transient_Naming_Context.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>Transient__Naming__Context_8h</filename>
    <includes id="Hash__Naming__Context_8h" name="Hash_Naming_Context.h" local="yes" imported="no">Hash_Naming_Context.h</includes>
    <includes id="Entries_8h" name="Entries.h" local="yes" imported="no">Entries.h</includes>
    <class kind="class">TAO_Transient_Bindings_Map</class>
    <class kind="class">TAO_Transient_Naming_Context</class>
  </compound>
  <compound kind="class">
    <name>ACE_NS_Node</name>
    <filename>classACE__NS__Node.html</filename>
    <templarg>T</templarg>
    <member kind="function">
      <type></type>
      <name>~ACE_NS_Node</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>ACE_NS_Node</name>
      <anchor>d0</anchor>
      <arglist>(const T &amp;i, ACE_NS_Node&lt; T &gt; *n)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>ACE_NS_Node</name>
      <anchor>d1</anchor>
      <arglist>(ACE_NS_Node&lt; T &gt; *n=0, int=0)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>ACE_NS_Node</name>
      <anchor>d2</anchor>
      <arglist>(const ACE_NS_Node&lt; T &gt; &amp;n)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_NS_Node&lt; T &gt; *</type>
      <name>next_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>T</type>
      <name>item_</name>
      <anchor>r1</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>ACE_Unbounded_List&lt;T&gt;</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>ACE_Unbounded_List_Iterator&lt;T&gt;</name>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ACE_Unbounded_List</name>
    <filename>classACE__Unbounded__List.html</filename>
    <templarg>T</templarg>
    <member kind="typedef">
      <type>ACE_Unbounded_List_Iterator&lt; T &gt;</type>
      <name>ITERATOR</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_Unbounded_List_Iterator&lt; T &gt;</type>
      <name>iterator</name>
      <anchor>w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ACE_Unbounded_List</name>
      <anchor>a0</anchor>
      <arglist>(ACE_Allocator *alloc=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ACE_Unbounded_List</name>
      <anchor>a1</anchor>
      <arglist>(const ACE_Unbounded_List&lt; T &gt; &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator=</name>
      <anchor>a2</anchor>
      <arglist>(const ACE_Unbounded_List&lt; T &gt; &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ACE_Unbounded_List</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>is_empty</name>
      <anchor>a4</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>is_full</name>
      <anchor>a5</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>insert</name>
      <anchor>a6</anchor>
      <arglist>(const T &amp;new_item)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>remove</name>
      <anchor>a7</anchor>
      <arglist>(const T &amp;item)</arglist>
    </member>
    <member kind="function">
      <type>size_t</type>
      <name>size</name>
      <anchor>a8</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>dump</name>
      <anchor>a9</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchor>a10</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>ACE_Unbounded_List_Iterator&lt; T &gt;</type>
      <name>begin</name>
      <anchor>a11</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>ACE_Unbounded_List_Iterator&lt; T &gt;</type>
      <name>end</name>
      <anchor>a12</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>ACE_ALLOC_HOOK_DECLARE</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="private">
      <type>int</type>
      <name>insert_tail</name>
      <anchor>d0</anchor>
      <arglist>(const T &amp;item)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>delete_nodes</name>
      <anchor>d1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>copy_nodes</name>
      <anchor>d2</anchor>
      <arglist>(const ACE_Unbounded_List&lt; T &gt; &amp;)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_NS_Node&lt; T &gt; *</type>
      <name>head_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>size_t</type>
      <name>cur_size_</name>
      <anchor>r1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_Allocator *</type>
      <name>allocator_</name>
      <anchor>r2</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>ACE_Unbounded_List_Iterator&lt;T&gt;</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ACE_Unbounded_List_Iterator</name>
    <filename>classACE__Unbounded__List__Iterator.html</filename>
    <templarg>T</templarg>
    <member kind="function">
      <type></type>
      <name>ACE_Unbounded_List_Iterator</name>
      <anchor>a0</anchor>
      <arglist>(ACE_Unbounded_List&lt; T &gt; &amp;s, int end=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>next</name>
      <anchor>a1</anchor>
      <arglist>(T *&amp;next_item)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>advance</name>
      <anchor>a2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>first</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>done</name>
      <anchor>a4</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>dump</name>
      <anchor>a5</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>ACE_Unbounded_List_Iterator&lt; T &gt;</type>
      <name>operator++</name>
      <anchor>a6</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>ACE_Unbounded_List_Iterator&lt; T &gt; &amp;</type>
      <name>operator++</name>
      <anchor>a7</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>T &amp;</type>
      <name>operator *</name>
      <anchor>a8</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchor>a9</anchor>
      <arglist>(const ACE_Unbounded_List_Iterator&lt; T &gt; &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchor>a10</anchor>
      <arglist>(const ACE_Unbounded_List_Iterator&lt; T &gt; &amp;) const </arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>ACE_ALLOC_HOOK_DECLARE</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_NS_Node&lt; T &gt; *</type>
      <name>current_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_Unbounded_List&lt; T &gt; *</type>
      <name>set_</name>
      <anchor>r1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Bindings_Iterator</name>
    <filename>classTAO__Bindings__Iterator.html</filename>
    <templarg>ITERATOR</templarg>
    <templarg>TABLE_ENTRY</templarg>
    <member kind="function">
      <type></type>
      <name>TAO_Bindings_Iterator</name>
      <anchor>a0</anchor>
      <arglist>(TAO_Hash_Naming_Context *context, ITERATOR *hash_iter, PortableServer::POA_ptr poa, TAO_SYNCH_RECURSIVE_MUTEX &amp;lock)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_Bindings_Iterator</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual PortableServer::POA_ptr</type>
      <name>_default_POA</name>
      <anchor>a2</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>next_one</name>
      <anchor>a3</anchor>
      <arglist>(CosNaming::Binding_out b ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>next_n</name>
      <anchor>a4</anchor>
      <arglist>(CORBA::ULong how_many, CosNaming::BindingList_out bl ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>destroy</name>
      <anchor>a5</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>populate_binding</name>
      <anchor>e0</anchor>
      <arglist>(TABLE_ENTRY *hash_entry, CosNaming::Binding &amp;b)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>destroyed_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>TAO_Hash_Naming_Context *</type>
      <name>context_</name>
      <anchor>r1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ITERATOR *</type>
      <name>hash_iter_</name>
      <anchor>r2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>TAO_SYNCH_RECURSIVE_MUTEX &amp;</type>
      <name>lock_</name>
      <anchor>r3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>PortableServer::POA_var</type>
      <name>poa_</name>
      <anchor>r4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Bindings_Map</name>
    <filename>classTAO__Bindings__Map.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TAO_Bindings_Map</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual size_t</type>
      <name>current_size</name>
      <anchor>a1</anchor>
      <arglist>(void)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>bind</name>
      <anchor>a2</anchor>
      <arglist>(const char *id, const char *kind, CORBA::Object_ptr obj, CosNaming::BindingType type)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>rebind</name>
      <anchor>a3</anchor>
      <arglist>(const char *id, const char *kind, CORBA::Object_ptr obj, CosNaming::BindingType type)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>unbind</name>
      <anchor>a4</anchor>
      <arglist>(const char *id, const char *kind)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>find</name>
      <anchor>a5</anchor>
      <arglist>(const char *id, const char *kind, CORBA::Object_ptr &amp;obj, CosNaming::BindingType &amp;type)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_ExtId</name>
    <filename>classTAO__ExtId.html</filename>
    <member kind="function">
      <type></type>
      <name>TAO_ExtId</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_ExtId</name>
      <anchor>a1</anchor>
      <arglist>(const char *id, const char *kind)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_ExtId</name>
      <anchor>a2</anchor>
      <arglist>(const TAO_ExtId &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_ExtId</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator=</name>
      <anchor>a4</anchor>
      <arglist>(const TAO_ExtId &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchor>a5</anchor>
      <arglist>(const TAO_ExtId &amp;rhs) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchor>a6</anchor>
      <arglist>(const TAO_ExtId &amp;rhs) const </arglist>
    </member>
    <member kind="function">
      <type>u_long</type>
      <name>hash</name>
      <anchor>a7</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>id</name>
      <anchor>a8</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>kind</name>
      <anchor>a9</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable">
      <type>ACE_CString</type>
      <name>kind_</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ACE_CString</type>
      <name>id_</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Hash_Naming_Context</name>
    <filename>classTAO__Hash__Naming__Context.html</filename>
    <base>TAO_Naming_Context_Impl</base>
    <member kind="function">
      <type></type>
      <name>TAO_Hash_Naming_Context</name>
      <anchor>a0</anchor>
      <arglist>(PortableServer::POA_ptr poa, const char *poa_id)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>interface</name>
      <anchor>a1</anchor>
      <arglist>(TAO_Naming_Context *i)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TAO_Hash_Naming_Context</name>
      <anchor>a2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>TAO_Naming_Context *</type>
      <name>interface</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>root</name>
      <anchor>a4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>destroyed</name>
      <anchor>a5</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>bind</name>
      <anchor>a6</anchor>
      <arglist>(const CosNaming::Name &amp;n, CORBA::Object_ptr obj ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>rebind</name>
      <anchor>a7</anchor>
      <arglist>(const CosNaming::Name &amp;n, CORBA::Object_ptr obj ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>bind_context</name>
      <anchor>a8</anchor>
      <arglist>(const CosNaming::Name &amp;n, CosNaming::NamingContext_ptr nc ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>rebind_context</name>
      <anchor>a9</anchor>
      <arglist>(const CosNaming::Name &amp;n, CosNaming::NamingContext_ptr nc ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Object_ptr</type>
      <name>resolve</name>
      <anchor>a10</anchor>
      <arglist>(const CosNaming::Name &amp;n ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>unbind</name>
      <anchor>a11</anchor>
      <arglist>(const CosNaming::Name &amp;n ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CosNaming::NamingContext_ptr</type>
      <name>bind_new_context</name>
      <anchor>a12</anchor>
      <arglist>(const CosNaming::Name &amp;n ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>destroy</name>
      <anchor>a13</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual PortableServer::POA_ptr</type>
      <name>_default_POA</name>
      <anchor>a14</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>CosNaming::NamingContext_ptr</type>
      <name>get_context</name>
      <anchor>b0</anchor>
      <arglist>(const CosNaming::Name &amp;name ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TAO_Bindings_Map *</type>
      <name>context_</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TAO_Naming_Context *</type>
      <name>interface_</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TAO_SYNCH_RECURSIVE_MUTEX</type>
      <name>lock_</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>destroyed_</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>PortableServer::POA_var</type>
      <name>poa_</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_CString</type>
      <name>poa_id_</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_IntId</name>
    <filename>classTAO__IntId.html</filename>
    <member kind="function">
      <type></type>
      <name>TAO_IntId</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_IntId</name>
      <anchor>a1</anchor>
      <arglist>(CORBA::Object_ptr obj, CosNaming::BindingType type)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_IntId</name>
      <anchor>a2</anchor>
      <arglist>(const TAO_IntId &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_IntId</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator=</name>
      <anchor>a4</anchor>
      <arglist>(const TAO_IntId &amp;rhs)</arglist>
    </member>
    <member kind="variable">
      <type>CORBA::Object_ptr</type>
      <name>ref_</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>CosNaming::BindingType</type>
      <name>type_</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Naming_Client</name>
    <filename>classTAO__Naming__Client.html</filename>
    <member kind="function">
      <type></type>
      <name>TAO_Naming_Client</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>init</name>
      <anchor>a1</anchor>
      <arglist>(CORBA::ORB_ptr orb, ACE_Time_Value *timeout=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_Naming_Client</name>
      <anchor>a2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>CosNaming::NamingContext_ptr</type>
      <name>operator-&gt;</name>
      <anchor>a3</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>CosNaming::NamingContext_ptr</type>
      <name>get_context</name>
      <anchor>a4</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CosNaming::NamingContext_var</type>
      <name>naming_context_</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Naming_Context</name>
    <filename>classTAO__Naming__Context.html</filename>
    <member kind="function">
      <type></type>
      <name>TAO_Naming_Context</name>
      <anchor>a0</anchor>
      <arglist>(TAO_Naming_Context_Impl *impl)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_Naming_Context</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>bind</name>
      <anchor>a2</anchor>
      <arglist>(const CosNaming::Name &amp;n, CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>rebind</name>
      <anchor>a3</anchor>
      <arglist>(const CosNaming::Name &amp;n, CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>bind_context</name>
      <anchor>a4</anchor>
      <arglist>(const CosNaming::Name &amp;n, CosNaming::NamingContext_ptr nc ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>rebind_context</name>
      <anchor>a5</anchor>
      <arglist>(const CosNaming::Name &amp;n, CosNaming::NamingContext_ptr nc ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Object_ptr</type>
      <name>resolve</name>
      <anchor>a6</anchor>
      <arglist>(const CosNaming::Name &amp;n ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>unbind</name>
      <anchor>a7</anchor>
      <arglist>(const CosNaming::Name &amp;n ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CosNaming::NamingContext_ptr</type>
      <name>new_context</name>
      <anchor>a8</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CosNaming::NamingContext_ptr</type>
      <name>bind_new_context</name>
      <anchor>a9</anchor>
      <arglist>(const CosNaming::Name &amp;n ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>destroy</name>
      <anchor>a10</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>list</name>
      <anchor>a11</anchor>
      <arglist>(CORBA::ULong how_many, CosNaming::BindingList_out bl, CosNaming::BindingIterator_out bi ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual char *</type>
      <name>to_string</name>
      <anchor>a12</anchor>
      <arglist>(const CosNaming::Name &amp;n ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CosNaming::Name *</type>
      <name>to_name</name>
      <anchor>a13</anchor>
      <arglist>(const char *sn ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual char *</type>
      <name>to_url</name>
      <anchor>a14</anchor>
      <arglist>(const char *addr, const char *sn ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Object_ptr</type>
      <name>resolve_str</name>
      <anchor>a15</anchor>
      <arglist>(const char *n ACE_ENV_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual PortableServer::POA_ptr</type>
      <name>_default_POA</name>
      <anchor>a16</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TAO_Naming_Context_Impl *</type>
      <name>impl_</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>Hint</name>
      <anchor>y2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>HINT_ID</name>
      <anchor>y2y0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>HINT_KIND</name>
      <anchor>y2y1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>to_name_helper</name>
      <anchor>d0</anchor>
      <arglist>(char *dest, const char *&amp;src, Hint hint)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>to_string_helper_assign</name>
      <anchor>d1</anchor>
      <arglist>(char *&amp;k, const char *&amp;src)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>to_string_helper_length</name>
      <anchor>d2</anchor>
      <arglist>(CORBA::ULong &amp;len, const char *&amp;src)</arglist>
    </member>
    <member kind="function" protection="private" static="yes">
      <type>int</type>
      <name>to_url_is_alnum_or_punctuation</name>
      <anchor>h0</anchor>
      <arglist>(char c)</arglist>
    </member>
    <member kind="function" protection="private" static="yes">
      <type>size_t</type>
      <name>to_url_validate_and_compute_size</name>
      <anchor>h1</anchor>
      <arglist>(const char *add, const char *sn ACE_ENV_ARG_DECL)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Naming_Context_Impl</name>
    <filename>classTAO__Naming__Context__Impl.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TAO_Naming_Context_Impl</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>bind</name>
      <anchor>a1</anchor>
      <arglist>(const CosNaming::Name &amp;n, CORBA::Object_ptr obj ACE_ENV_ARG_DECL)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>rebind</name>
      <anchor>a2</anchor>
      <arglist>(const CosNaming::Name &amp;n, CORBA::Object_ptr obj ACE_ENV_ARG_DECL)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>bind_context</name>
      <anchor>a3</anchor>
      <arglist>(const CosNaming::Name &amp;n, CosNaming::NamingContext_ptr nc ACE_ENV_ARG_DECL)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>rebind_context</name>
      <anchor>a4</anchor>
      <arglist>(const CosNaming::Name &amp;n, CosNaming::NamingContext_ptr nc ACE_ENV_ARG_DECL)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::Object_ptr</type>
      <name>resolve</name>
      <anchor>a5</anchor>
      <arglist>(const CosNaming::Name &amp;n ACE_ENV_ARG_DECL)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>unbind</name>
      <anchor>a6</anchor>
      <arglist>(const CosNaming::Name &amp;n ACE_ENV_ARG_DECL)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CosNaming::NamingContext_ptr</type>
      <name>new_context</name>
      <anchor>a7</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CosNaming::NamingContext_ptr</type>
      <name>bind_new_context</name>
      <anchor>a8</anchor>
      <arglist>(const CosNaming::Name &amp;n ACE_ENV_ARG_DECL)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>destroy</name>
      <anchor>a9</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>list</name>
      <anchor>a10</anchor>
      <arglist>(CORBA::ULong how_many, CosNaming::BindingList_out &amp;bl, CosNaming::BindingIterator_out &amp;bi ACE_ENV_ARG_DECL)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual PortableServer::POA_ptr</type>
      <name>_default_POA</name>
      <anchor>a11</anchor>
      <arglist>(void)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Naming_Loader</name>
    <filename>classTAO__Naming__Loader.html</filename>
    <base>TAO_Object_Loader</base>
    <member kind="function">
      <type></type>
      <name>TAO_Naming_Loader</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_Naming_Loader</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>init</name>
      <anchor>a2</anchor>
      <arglist>(int argc, ACE_TCHAR *argv[])</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>fini</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Object_ptr</type>
      <name>create_object</name>
      <anchor>a4</anchor>
      <arglist>(CORBA::ORB_ptr orb, int argc, ACE_TCHAR *argv[])</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TAO_Naming_Server</type>
      <name>naming_server_</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>TAO_Naming_Loader</name>
      <anchor>d0</anchor>
      <arglist>(const TAO_Naming_Loader &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>TAO_Naming_Loader &amp;</type>
      <name>operator=</name>
      <anchor>d1</anchor>
      <arglist>(const TAO_Naming_Loader &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Naming_Server</name>
    <filename>classTAO__Naming__Server.html</filename>
    <member kind="function">
      <type></type>
      <name>TAO_Naming_Server</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Naming_Server</name>
      <anchor>a1</anchor>
      <arglist>(CORBA::ORB_ptr orb, PortableServer::POA_ptr poa, size_t context_size=ACE_DEFAULT_MAP_SIZE, ACE_Time_Value *timeout=0, int resolve_for_existing_naming_service=1, const ACE_TCHAR *persistence_location=0, void *base_addr=TAO_NAMING_BASE_ADDR, int enable_multicast=1, int use_storable_context=0, int round_trip_timeout=0, int use_round_trip_timeout=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>init</name>
      <anchor>a2</anchor>
      <arglist>(CORBA::ORB_ptr orb, PortableServer::POA_ptr poa, size_t context_size=ACE_DEFAULT_MAP_SIZE, ACE_Time_Value *timeout=0, int resolve_for_existing_naming_service=1, const ACE_TCHAR *persistence_location=0, void *base_addr=TAO_NAMING_BASE_ADDR, int enable_multicast=1, int use_storable_context=0, int round_trip_timeout=0, int use_round_trip_timeout=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>init_with_orb</name>
      <anchor>a3</anchor>
      <arglist>(int argc, ACE_TCHAR *argv[], CORBA::ORB_ptr orb)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>fini</name>
      <anchor>a4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_Naming_Server</name>
      <anchor>a5</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>naming_service_ior</name>
      <anchor>a6</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>CosNaming::NamingContext_ptr</type>
      <name>operator-&gt;</name>
      <anchor>a7</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>init_new_naming</name>
      <anchor>b0</anchor>
      <arglist>(CORBA::ORB_ptr orb, PortableServer::POA_ptr root_poa, const ACE_TCHAR *persistence_location, void *base_addr, size_t context_size, int enable_multicast, int use_storable_context, int round_trip_timeout=0, int use_round_trip_timeout=0)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>parse_args</name>
      <anchor>b1</anchor>
      <arglist>(int argc, ACE_TCHAR *argv[])</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CosNaming::NamingContext_var</type>
      <name>naming_context_</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TAO_IOR_Multicast *</type>
      <name>ior_multicast_</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CORBA::String_var</type>
      <name>naming_service_ior_</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TAO_Persistent_Context_Index *</type>
      <name>context_index_</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CORBA::ORB_var</type>
      <name>orb_</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>PortableServer::POA_var</type>
      <name>root_poa_</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>PortableServer::POA_var</type>
      <name>ns_poa_</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>const ACE_TCHAR *</type>
      <name>ior_file_name_</name>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>const ACE_TCHAR *</type>
      <name>pid_file_name_</name>
      <anchor>p8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>size_t</type>
      <name>context_size_</name>
      <anchor>p9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>const ACE_TCHAR *</type>
      <name>persistence_file_name_</name>
      <anchor>p10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>void *</type>
      <name>base_address_</name>
      <anchor>p11</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>multicast_</name>
      <anchor>p12</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>use_storable_context_</name>
      <anchor>p13</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>use_servant_activator_</name>
      <anchor>p14</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TAO_Storable_Naming_Context_Activator *</type>
      <name>servant_activator_</name>
      <anchor>p15</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>use_redundancy_</name>
      <anchor>p16</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>round_trip_timeout_</name>
      <anchor>p17</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>use_round_trip_timeout_</name>
      <anchor>p18</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Naming_Service_Persistence_Factory</name>
    <filename>classTAO__Naming__Service__Persistence__Factory.html</filename>
    <member kind="function">
      <type></type>
      <name>TAO_Naming_Service_Persistence_Factory</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TAO_Naming_Service_Persistence_Factory</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TAO_Storable_Base *</type>
      <name>create_stream</name>
      <anchor>a2</anchor>
      <arglist>(const ACE_CString &amp;file, const ACE_TCHAR *mode)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_NS_FlatFileFactory</name>
    <filename>classTAO__NS__FlatFileFactory.html</filename>
    <base>TAO_Naming_Service_Persistence_Factory</base>
    <member kind="function" virtualness="virtual">
      <type>virtual TAO_Storable_Base *</type>
      <name>create_stream</name>
      <anchor>a0</anchor>
      <arglist>(const ACE_CString &amp;file, const ACE_TCHAR *mode)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_NS_FlatFileStream</name>
    <filename>classTAO__NS__FlatFileStream.html</filename>
    <base>TAO_Storable_Base</base>
    <member kind="function">
      <type></type>
      <name>TAO_NS_FlatFileStream</name>
      <anchor>a0</anchor>
      <arglist>(const ACE_CString &amp;file, const char *mode)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TAO_NS_FlatFileStream</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>remove</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>exists</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>open</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>close</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>flock</name>
      <anchor>a6</anchor>
      <arglist>(int whence, int start, int len)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>funlock</name>
      <anchor>a7</anchor>
      <arglist>(int whence, int start, int len)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual time_t</type>
      <name>last_changed</name>
      <anchor>a8</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TAO_Storable_Base &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchor>a9</anchor>
      <arglist>(const TAO_NS_Persistence_Header &amp;header)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TAO_Storable_Base &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchor>a10</anchor>
      <arglist>(TAO_NS_Persistence_Header &amp;header)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TAO_Storable_Base &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchor>a11</anchor>
      <arglist>(const TAO_NS_Persistence_Record &amp;record)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TAO_Storable_Base &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchor>a12</anchor>
      <arglist>(TAO_NS_Persistence_Record &amp;record)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TAO_Storable_Base &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchor>a13</anchor>
      <arglist>(const TAO_NS_Persistence_Global &amp;global)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TAO_Storable_Base &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchor>a14</anchor>
      <arglist>(TAO_NS_Persistence_Global &amp;global)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_OS::ace_flock_t</type>
      <name>filelock_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>FILE *</type>
      <name>fl_</name>
      <anchor>r1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_CString</type>
      <name>file_</name>
      <anchor>r2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_CString</type>
      <name>mode_</name>
      <anchor>r3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_NS_Persistence_Global</name>
    <filename>classTAO__NS__Persistence__Global.html</filename>
    <member kind="function">
      <type>void</type>
      <name>counter</name>
      <anchor>a0</anchor>
      <arglist>(unsigned int counter)</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>counter</name>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable" protection="private">
      <type>unsigned int</type>
      <name>counter_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_NS_Persistence_Header</name>
    <filename>classTAO__NS__Persistence__Header.html</filename>
    <member kind="function">
      <type>void</type>
      <name>size</name>
      <anchor>a0</anchor>
      <arglist>(unsigned int size)</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>size</name>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>destroyed</name>
      <anchor>a2</anchor>
      <arglist>(int flag)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>destroyed</name>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable" protection="private">
      <type>unsigned int</type>
      <name>size_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>destroyed_</name>
      <anchor>r1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_NS_Persistence_Record</name>
    <filename>classTAO__NS__Persistence__Record.html</filename>
    <member kind="enumeration">
      <name>Record_Type</name>
      <anchor>w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NCONTEXT</name>
      <anchor>w2w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>OBJREF</name>
      <anchor>w2w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>Record_Type</type>
      <name>type</name>
      <anchor>a0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>type</name>
      <anchor>a1</anchor>
      <arglist>(Record_Type type)</arglist>
    </member>
    <member kind="function">
      <type>ACE_CString</type>
      <name>id</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>id</name>
      <anchor>a3</anchor>
      <arglist>(const ACE_CString &amp;id)</arglist>
    </member>
    <member kind="function">
      <type>ACE_CString</type>
      <name>kind</name>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>kind</name>
      <anchor>a5</anchor>
      <arglist>(const ACE_CString &amp;kind)</arglist>
    </member>
    <member kind="function">
      <type>ACE_CString</type>
      <name>ref</name>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ref</name>
      <anchor>a7</anchor>
      <arglist>(const ACE_CString &amp;ior)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Record_Type</type>
      <name>type_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_CString</type>
      <name>id_</name>
      <anchor>r1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_CString</type>
      <name>kind_</name>
      <anchor>r2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_CString</type>
      <name>ref_</name>
      <anchor>r3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Persistent_Bindings_Map</name>
    <filename>classTAO__Persistent__Bindings__Map.html</filename>
    <base>TAO_Bindings_Map</base>
    <member kind="typedef">
      <type>ACE_Hash_Map_With_Allocator&lt; TAO_Persistent_ExtId, TAO_Persistent_IntId &gt;</type>
      <name>HASH_MAP</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Persistent_Bindings_Map</name>
      <anchor>a0</anchor>
      <arglist>(CORBA::ORB_ptr orb)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>open</name>
      <anchor>a1</anchor>
      <arglist>(size_t hash_map_size, ACE_Allocator *alloc)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set</name>
      <anchor>a2</anchor>
      <arglist>(HASH_MAP *map, ACE_Allocator *alloc)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TAO_Persistent_Bindings_Map</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>destroy</name>
      <anchor>a4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>HASH_MAP *</type>
      <name>map</name>
      <anchor>a5</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>size_t</type>
      <name>total_size</name>
      <anchor>a6</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual size_t</type>
      <name>current_size</name>
      <anchor>a7</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>bind</name>
      <anchor>a8</anchor>
      <arglist>(const char *id, const char *kind, CORBA::Object_ptr obj, CosNaming::BindingType type)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>rebind</name>
      <anchor>a9</anchor>
      <arglist>(const char *id, const char *kind, CORBA::Object_ptr obj, CosNaming::BindingType type)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>unbind</name>
      <anchor>a10</anchor>
      <arglist>(const char *id, const char *kind)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>find</name>
      <anchor>a11</anchor>
      <arglist>(const char *id, const char *kind, CORBA::Object_ptr &amp;obj, CosNaming::BindingType &amp;type)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>open_helper</name>
      <anchor>b0</anchor>
      <arglist>(size_t hash_table_size, void *buffer)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>shared_bind</name>
      <anchor>b1</anchor>
      <arglist>(const char *id, const char *kind, CORBA::Object_ptr obj, CosNaming::BindingType type, int rebind)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_Allocator *</type>
      <name>allocator_</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>HASH_MAP *</type>
      <name>map_</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CORBA::ORB_var</type>
      <name>orb_</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Persistent_Context_Index</name>
    <filename>classTAO__Persistent__Context__Index.html</filename>
    <member kind="typedef">
      <type>ACE_Hash_Map_With_Allocator&lt; TAO_Persistent_Index_ExtId, TAO_Persistent_Index_IntId &gt;</type>
      <name>CONTEXT_INDEX</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_Hash_Map_With_Allocator&lt; TAO_Persistent_ExtId, TAO_Persistent_IntId &gt;</type>
      <name>CONTEXT</name>
      <anchor>w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_Allocator_Adapter&lt; ACE_Malloc&lt; ACE_MMAP_MEMORY_POOL, TAO_SYNCH_MUTEX &gt; &gt;</type>
      <name>ALLOCATOR</name>
      <anchor>w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Persistent_Context_Index</name>
      <anchor>a0</anchor>
      <arglist>(CORBA::ORB_ptr orb, PortableServer::POA_ptr poa)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>open</name>
      <anchor>a1</anchor>
      <arglist>(const ACE_TCHAR *file_name, void *base_address=TAO_NAMING_BASE_ADDR)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>init</name>
      <anchor>a2</anchor>
      <arglist>(size_t context_size)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_Persistent_Context_Index</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>bind</name>
      <anchor>a4</anchor>
      <arglist>(const char *poa_id, ACE_UINT32 *&amp;counter, CONTEXT *hash_map)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>unbind</name>
      <anchor>a5</anchor>
      <arglist>(const char *poa_id)</arglist>
    </member>
    <member kind="function">
      <type>ACE_Allocator *</type>
      <name>allocator</name>
      <anchor>a6</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::ORB_ptr</type>
      <name>orb</name>
      <anchor>a7</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>CosNaming::NamingContext_ptr</type>
      <name>root_context</name>
      <anchor>a8</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>int</type>
      <name>recreate_all</name>
      <anchor>d0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>int</type>
      <name>create_index</name>
      <anchor>d1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>int</type>
      <name>create_index_helper</name>
      <anchor>d2</anchor>
      <arglist>(void *buffer)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>TAO_SYNCH_MUTEX</type>
      <name>lock_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ALLOCATOR *</type>
      <name>allocator_</name>
      <anchor>r1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>CONTEXT_INDEX *</type>
      <name>index_</name>
      <anchor>r2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>const ACE_TCHAR *</type>
      <name>index_file_</name>
      <anchor>r3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>void *</type>
      <name>base_address_</name>
      <anchor>r4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>CORBA::ORB_var</type>
      <name>orb_</name>
      <anchor>r5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>PortableServer::POA_var</type>
      <name>poa_</name>
      <anchor>r6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>CosNaming::NamingContext_var</type>
      <name>root_context_</name>
      <anchor>r7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Persistent_ExtId</name>
    <filename>classTAO__Persistent__ExtId.html</filename>
    <member kind="function">
      <type></type>
      <name>TAO_Persistent_ExtId</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Persistent_ExtId</name>
      <anchor>a1</anchor>
      <arglist>(const char *id, const char *kind)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Persistent_ExtId</name>
      <anchor>a2</anchor>
      <arglist>(const TAO_Persistent_ExtId &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_Persistent_ExtId</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator=</name>
      <anchor>a4</anchor>
      <arglist>(const TAO_Persistent_ExtId &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchor>a5</anchor>
      <arglist>(const TAO_Persistent_ExtId &amp;rhs) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchor>a6</anchor>
      <arglist>(const TAO_Persistent_ExtId &amp;rhs) const </arglist>
    </member>
    <member kind="function">
      <type>u_long</type>
      <name>hash</name>
      <anchor>a7</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>id</name>
      <anchor>a8</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>kind</name>
      <anchor>a9</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable">
      <type>const char *</type>
      <name>id_</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const char *</type>
      <name>kind_</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Persistent_Index_ExtId</name>
    <filename>classTAO__Persistent__Index__ExtId.html</filename>
    <member kind="function">
      <type></type>
      <name>TAO_Persistent_Index_ExtId</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Persistent_Index_ExtId</name>
      <anchor>a1</anchor>
      <arglist>(const char *poa_id)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Persistent_Index_ExtId</name>
      <anchor>a2</anchor>
      <arglist>(const TAO_Persistent_Index_ExtId &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_Persistent_Index_ExtId</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator=</name>
      <anchor>a4</anchor>
      <arglist>(const TAO_Persistent_Index_ExtId &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchor>a5</anchor>
      <arglist>(const TAO_Persistent_Index_ExtId &amp;rhs) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchor>a6</anchor>
      <arglist>(const TAO_Persistent_Index_ExtId &amp;rhs) const </arglist>
    </member>
    <member kind="function">
      <type>u_long</type>
      <name>hash</name>
      <anchor>a7</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="variable">
      <type>const char *</type>
      <name>poa_id_</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Persistent_Index_IntId</name>
    <filename>classTAO__Persistent__Index__IntId.html</filename>
    <member kind="function">
      <type></type>
      <name>TAO_Persistent_Index_IntId</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Persistent_Index_IntId</name>
      <anchor>a1</anchor>
      <arglist>(ACE_UINT32 *counter, ACE_Hash_Map_With_Allocator&lt; TAO_Persistent_ExtId, TAO_Persistent_IntId &gt; *hash_map)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Persistent_Index_IntId</name>
      <anchor>a2</anchor>
      <arglist>(const TAO_Persistent_Index_IntId &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_Persistent_Index_IntId</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator=</name>
      <anchor>a4</anchor>
      <arglist>(const TAO_Persistent_Index_IntId &amp;rhs)</arglist>
    </member>
    <member kind="variable">
      <type>ACE_UINT32 *</type>
      <name>counter_</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ACE_Hash_Map_With_Allocator&lt; TAO_Persistent_ExtId, TAO_Persistent_IntId &gt; *</type>
      <name>hash_map_</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Persistent_IntId</name>
    <filename>classTAO__Persistent__IntId.html</filename>
    <member kind="function">
      <type></type>
      <name>TAO_Persistent_IntId</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Persistent_IntId</name>
      <anchor>a1</anchor>
      <arglist>(char *obj_ref, CosNaming::BindingType type)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Persistent_IntId</name>
      <anchor>a2</anchor>
      <arglist>(const TAO_Persistent_IntId &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_Persistent_IntId</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator=</name>
      <anchor>a4</anchor>
      <arglist>(const TAO_Persistent_IntId &amp;rhs)</arglist>
    </member>
    <member kind="variable">
      <type>const char *</type>
      <name>ref_</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>CosNaming::BindingType</type>
      <name>type_</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Persistent_Naming_Context</name>
    <filename>classTAO__Persistent__Naming__Context.html</filename>
    <base>TAO_Hash_Naming_Context</base>
    <member kind="typedef">
      <type>TAO_Persistent_Bindings_Map::HASH_MAP</type>
      <name>HASH_MAP</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Persistent_Naming_Context</name>
      <anchor>a0</anchor>
      <arglist>(PortableServer::POA_ptr poa, const char *poa_id, TAO_Persistent_Context_Index *context_index)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>init</name>
      <anchor>a1</anchor>
      <arglist>(size_t hash_table_size=ACE_DEFAULT_MAP_SIZE)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Persistent_Naming_Context</name>
      <anchor>a2</anchor>
      <arglist>(PortableServer::POA_ptr poa, const char *poa_id, TAO_Persistent_Context_Index *context_index, HASH_MAP *map, ACE_UINT32 *counter)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TAO_Persistent_Naming_Context</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CosNaming::NamingContext_ptr</type>
      <name>new_context</name>
      <anchor>a4</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>list</name>
      <anchor>a5</anchor>
      <arglist>(CORBA::ULong how_many, CosNaming::BindingList_out &amp;bl, CosNaming::BindingIterator_out &amp;bi ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CosNaming::NamingContext_ptr</type>
      <name>make_new_context</name>
      <anchor>e0</anchor>
      <arglist>(PortableServer::POA_ptr poa, const char *poa_id, size_t context_size, TAO_Persistent_Context_Index *ind ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>set_cleanup_level</name>
      <anchor>b0</anchor>
      <arglist>(int level)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_UINT32 *</type>
      <name>counter_</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TAO_Persistent_Bindings_Map *</type>
      <name>persistent_context_</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TAO_Persistent_Context_Index *</type>
      <name>index_</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Storable_Base</name>
    <filename>classTAO__Storable__Base.html</filename>
    <member kind="enumeration">
      <name>Storable_State</name>
      <anchor>w4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>goodbit</name>
      <anchor>w4w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>badbit</name>
      <anchor>w4w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>eofbit</name>
      <anchor>w4w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>failbit</name>
      <anchor>w4w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Storable_Base</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TAO_Storable_Base</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>remove</name>
      <anchor>a2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>exists</name>
      <anchor>a3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>open</name>
      <anchor>a4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>close</name>
      <anchor>a5</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>flock</name>
      <anchor>a6</anchor>
      <arglist>(int whence, int start, int len)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>funlock</name>
      <anchor>a7</anchor>
      <arglist>(int whence, int start, int len)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual time_t</type>
      <name>last_changed</name>
      <anchor>a8</anchor>
      <arglist>(void)=0</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchor>a9</anchor>
      <arglist>(Storable_State state=goodbit)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setstate</name>
      <anchor>a10</anchor>
      <arglist>(Storable_State state)</arglist>
    </member>
    <member kind="function">
      <type>Storable_State</type>
      <name>rdstate</name>
      <anchor>a11</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>good</name>
      <anchor>a12</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>bad</name>
      <anchor>a13</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>eof</name>
      <anchor>a14</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>fail</name>
      <anchor>a15</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TAO_Storable_Base &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchor>a16</anchor>
      <arglist>(const TAO_NS_Persistence_Header &amp;header)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TAO_Storable_Base &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchor>a17</anchor>
      <arglist>(const TAO_NS_Persistence_Record &amp;record)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TAO_Storable_Base &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchor>a18</anchor>
      <arglist>(TAO_NS_Persistence_Header &amp;header)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TAO_Storable_Base &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchor>a19</anchor>
      <arglist>(TAO_NS_Persistence_Record &amp;record)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TAO_Storable_Base &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchor>a20</anchor>
      <arglist>(const TAO_NS_Persistence_Global &amp;global)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TAO_Storable_Base &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchor>a21</anchor>
      <arglist>(TAO_NS_Persistence_Global &amp;global)=0</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Storable_State</type>
      <name>state_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Storable_Bindings_Map</name>
    <filename>classTAO__Storable__Bindings__Map.html</filename>
    <base>TAO_Bindings_Map</base>
    <member kind="typedef">
      <type>ACE_Hash_Map_Manager&lt; TAO_Storable_ExtId, TAO_Storable_IntId, ACE_Null_Mutex &gt;</type>
      <name>HASH_MAP</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Storable_Bindings_Map</name>
      <anchor>a0</anchor>
      <arglist>(size_t hash_table_size, CORBA::ORB_ptr orb)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TAO_Storable_Bindings_Map</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>HASH_MAP &amp;</type>
      <name>map</name>
      <anchor>a2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>size_t</type>
      <name>total_size</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual size_t</type>
      <name>current_size</name>
      <anchor>a4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>bind</name>
      <anchor>a5</anchor>
      <arglist>(const char *id, const char *kind, CORBA::Object_ptr obj, CosNaming::BindingType type)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>rebind</name>
      <anchor>a6</anchor>
      <arglist>(const char *id, const char *kind, CORBA::Object_ptr obj, CosNaming::BindingType type)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>unbind</name>
      <anchor>a7</anchor>
      <arglist>(const char *id, const char *kind)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>find</name>
      <anchor>a8</anchor>
      <arglist>(const char *id, const char *kind, CORBA::Object_ptr &amp;obj, CosNaming::BindingType &amp;type)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>int</type>
      <name>shared_bind</name>
      <anchor>d0</anchor>
      <arglist>(const char *id, const char *kind, CORBA::Object_ptr obj, CosNaming::BindingType type, int rebind)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>HASH_MAP</type>
      <name>map_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>CORBA::ORB_var</type>
      <name>orb_</name>
      <anchor>r1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Storable_ExtId</name>
    <filename>classTAO__Storable__ExtId.html</filename>
    <member kind="function">
      <type></type>
      <name>TAO_Storable_ExtId</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Storable_ExtId</name>
      <anchor>a1</anchor>
      <arglist>(const char *id, const char *kind)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Storable_ExtId</name>
      <anchor>a2</anchor>
      <arglist>(const TAO_Storable_ExtId &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_Storable_ExtId</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator=</name>
      <anchor>a4</anchor>
      <arglist>(const TAO_Storable_ExtId &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchor>a5</anchor>
      <arglist>(const TAO_Storable_ExtId &amp;rhs) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchor>a6</anchor>
      <arglist>(const TAO_Storable_ExtId &amp;rhs) const </arglist>
    </member>
    <member kind="function">
      <type>u_long</type>
      <name>hash</name>
      <anchor>a7</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>id</name>
      <anchor>a8</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>kind</name>
      <anchor>a9</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable">
      <type>CORBA::String_var</type>
      <name>id_</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>CORBA::String_var</type>
      <name>kind_</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Storable_IntId</name>
    <filename>classTAO__Storable__IntId.html</filename>
    <member kind="function">
      <type></type>
      <name>TAO_Storable_IntId</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Storable_IntId</name>
      <anchor>a1</anchor>
      <arglist>(const char *ior, CosNaming::BindingType type)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Storable_IntId</name>
      <anchor>a2</anchor>
      <arglist>(const TAO_Storable_IntId &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_Storable_IntId</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator=</name>
      <anchor>a4</anchor>
      <arglist>(const TAO_Storable_IntId &amp;rhs)</arglist>
    </member>
    <member kind="variable">
      <type>CORBA::String_var</type>
      <name>ref_</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>CosNaming::BindingType</type>
      <name>type_</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Storable_Naming_Context</name>
    <filename>classTAO__Storable__Naming__Context.html</filename>
    <base>TAO_Hash_Naming_Context</base>
    <member kind="typedef">
      <type>TAO_Storable_Bindings_Map::HASH_MAP</type>
      <name>HASH_MAP</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Storable_Naming_Context</name>
      <anchor>a0</anchor>
      <arglist>(CORBA::ORB_ptr orb, PortableServer::POA_ptr poa, const char *poa_id, TAO_Naming_Service_Persistence_Factory *factory, const ACE_TCHAR *persistence_directory, size_t hash_table_size=ACE_DEFAULT_MAP_SIZE)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TAO_Storable_Naming_Context</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CosNaming::NamingContext_ptr</type>
      <name>new_context</name>
      <anchor>a2</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>list</name>
      <anchor>a3</anchor>
      <arglist>(CORBA::ULong how_many, CosNaming::BindingList_out &amp;bl, CosNaming::BindingIterator_out &amp;bi ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>rebind</name>
      <anchor>a4</anchor>
      <arglist>(const CosNaming::Name &amp;n, CORBA::Object_ptr obj ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>bind</name>
      <anchor>a5</anchor>
      <arglist>(const CosNaming::Name &amp;n, CORBA::Object_ptr obj ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>bind_context</name>
      <anchor>a6</anchor>
      <arglist>(const CosNaming::Name &amp;n, CosNaming::NamingContext_ptr nc ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>rebind_context</name>
      <anchor>a7</anchor>
      <arglist>(const CosNaming::Name &amp;n, CosNaming::NamingContext_ptr nc ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Object_ptr</type>
      <name>resolve</name>
      <anchor>a8</anchor>
      <arglist>(const CosNaming::Name &amp;n ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>unbind</name>
      <anchor>a9</anchor>
      <arglist>(const CosNaming::Name &amp;n ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CosNaming::NamingContext_ptr</type>
      <name>bind_new_context</name>
      <anchor>a10</anchor>
      <arglist>(const CosNaming::Name &amp;n ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>destroy</name>
      <anchor>a11</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CosNaming::NamingContext_ptr</type>
      <name>make_new_context</name>
      <anchor>e0</anchor>
      <arglist>(CORBA::ORB_ptr orb, PortableServer::POA_ptr poa, const char *poa_id, size_t context_size, TAO_Naming_Service_Persistence_Factory *factory, const ACE_TCHAR *persistence_directory, TAO_Storable_Naming_Context **new_context ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CosNaming::NamingContext_ptr</type>
      <name>recreate_all</name>
      <anchor>e1</anchor>
      <arglist>(CORBA::ORB_ptr orb, PortableServer::POA_ptr poa, const char *poa_id, size_t context_size, int reentering, TAO_Naming_Service_Persistence_Factory *factory, const ACE_TCHAR *persistence_directory, int use_redundancy ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>load_map</name>
      <anchor>b0</anchor>
      <arglist>(File_Open_Lock_and_Check *flck ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>Write</name>
      <anchor>b1</anchor>
      <arglist>(TAO_Storable_Base &amp;wrtr)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_UINT32</type>
      <name>counter_</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TAO_Storable_Bindings_Map *</type>
      <name>storable_context_</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CORBA::ORB_var</type>
      <name>orb_</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_CString</type>
      <name>name_</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>PortableServer::POA_var</type>
      <name>poa_</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TAO_Naming_Service_Persistence_Factory *</type>
      <name>factory_</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_CString</type>
      <name>persistence_directory_</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>size_t</type>
      <name>hash_table_size_</name>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>time_t</type>
      <name>last_changed_</name>
      <anchor>p8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>ACE_UINT32</type>
      <name>gcounter_</name>
      <anchor>t0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>int</type>
      <name>redundant_</name>
      <anchor>t1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>const char *</type>
      <name>root_name_</name>
      <anchor>t2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>ACE_Auto_Ptr&lt; TAO_Storable_Base &gt;</type>
      <name>gfl_</name>
      <anchor>t3</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>File_Open_Lock_and_Check</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Storable_Naming_Context::File_Open_Lock_and_Check</name>
    <filename>classTAO__Storable__Naming__Context_1_1File__Open__Lock__and__Check.html</filename>
    <member kind="function">
      <type></type>
      <name>File_Open_Lock_and_Check</name>
      <anchor>a0</anchor>
      <arglist>(TAO_Storable_Naming_Context *context, const char *mode ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~File_Open_Lock_and_Check</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>release</name>
      <anchor>a2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>TAO_Storable_Base &amp;</type>
      <name>peer</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="enumvalue">
      <name>mode_write</name>
      <anchor>y3y0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mode_read</name>
      <anchor>y3y1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mode_create</name>
      <anchor>y3y2</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>File_Open_Lock_and_Check</name>
      <anchor>d0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>closed_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>TAO_Storable_Naming_Context *</type>
      <name>context_</name>
      <anchor>r1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>TAO_Storable_Base *</type>
      <name>fl_</name>
      <anchor>r2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>rwflags_</name>
      <anchor>r3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Storable_Naming_Context_Activator</name>
    <filename>classTAO__Storable__Naming__Context__Activator.html</filename>
    <member kind="function">
      <type></type>
      <name>TAO_Storable_Naming_Context_Activator</name>
      <anchor>a0</anchor>
      <arglist>(CORBA::ORB_ptr orb, TAO_Naming_Service_Persistence_Factory *factory, const ACE_TCHAR *persistence_directory, size_t context_size)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TAO_Storable_Naming_Context_Activator</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual PortableServer::Servant</type>
      <name>incarnate</name>
      <anchor>a2</anchor>
      <arglist>(const PortableServer::ObjectId &amp;oid, PortableServer::POA_ptr poa)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>etherealize</name>
      <anchor>a3</anchor>
      <arglist>(const PortableServer::ObjectId &amp;oid, PortableServer::POA_ptr adapter, PortableServer::Servant servant, CORBA::Boolean cleanup_in_progress, CORBA::Boolean remaining_activations)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>CORBA::ORB_ptr</type>
      <name>orb_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>TAO_Naming_Service_Persistence_Factory *</type>
      <name>factory_</name>
      <anchor>r1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>const ACE_TCHAR *</type>
      <name>persistence_directory_</name>
      <anchor>r2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>size_t</type>
      <name>context_size_</name>
      <anchor>r3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Transient_Bindings_Map</name>
    <filename>classTAO__Transient__Bindings__Map.html</filename>
    <base>TAO_Bindings_Map</base>
    <member kind="typedef">
      <type>ACE_Hash_Map_Manager&lt; TAO_ExtId, TAO_IntId, ACE_Null_Mutex &gt;</type>
      <name>HASH_MAP</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Transient_Bindings_Map</name>
      <anchor>a0</anchor>
      <arglist>(size_t hash_table_size)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TAO_Transient_Bindings_Map</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>HASH_MAP &amp;</type>
      <name>map</name>
      <anchor>a2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>size_t</type>
      <name>total_size</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual size_t</type>
      <name>current_size</name>
      <anchor>a4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>bind</name>
      <anchor>a5</anchor>
      <arglist>(const char *id, const char *kind, CORBA::Object_ptr obj, CosNaming::BindingType type)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>rebind</name>
      <anchor>a6</anchor>
      <arglist>(const char *id, const char *kind, CORBA::Object_ptr obj, CosNaming::BindingType type)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>unbind</name>
      <anchor>a7</anchor>
      <arglist>(const char *id, const char *kind)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>find</name>
      <anchor>a8</anchor>
      <arglist>(const char *id, const char *kind, CORBA::Object_ptr &amp;obj, CosNaming::BindingType &amp;type)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>int</type>
      <name>shared_bind</name>
      <anchor>d0</anchor>
      <arglist>(const char *id, const char *kind, CORBA::Object_ptr obj, CosNaming::BindingType type, int rebind)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>HASH_MAP</type>
      <name>map_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Transient_Naming_Context</name>
    <filename>classTAO__Transient__Naming__Context.html</filename>
    <base>TAO_Hash_Naming_Context</base>
    <member kind="typedef">
      <type>TAO_Transient_Bindings_Map::HASH_MAP</type>
      <name>HASH_MAP</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Transient_Naming_Context</name>
      <anchor>a0</anchor>
      <arglist>(PortableServer::POA_ptr poa, const char *poa_id, size_t hash_table_size=ACE_DEFAULT_MAP_SIZE)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TAO_Transient_Naming_Context</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CosNaming::NamingContext_ptr</type>
      <name>new_context</name>
      <anchor>a2</anchor>
      <arglist>(ACE_ENV_SINGLE_ARG_DECL)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>list</name>
      <anchor>a3</anchor>
      <arglist>(CORBA::ULong how_many, CosNaming::BindingList_out &amp;bl, CosNaming::BindingIterator_out &amp;bi ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CosNaming::NamingContext_ptr</type>
      <name>make_new_context</name>
      <anchor>e0</anchor>
      <arglist>(PortableServer::POA_ptr poa, const char *poa_id, size_t context_size ACE_ENV_ARG_DECL)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_UINT32</type>
      <name>counter_</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TAO_Transient_Bindings_Map *</type>
      <name>transient_context_</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>TAO/orbsvcs/orbsvcs/Naming/</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>dir_000003.html</filename>
    <file>Bindings_Iterator_T.cpp</file>
    <file>Bindings_Iterator_T.h</file>
    <file>Entries.cpp</file>
    <file>Entries.h</file>
    <file>Flat_File_Persistence.cpp</file>
    <file>Flat_File_Persistence.h</file>
    <file>Hash_Naming_Context.cpp</file>
    <file>Hash_Naming_Context.h</file>
    <file>Naming_Client.cpp</file>
    <file>Naming_Client.h</file>
    <file>Naming_Context_Interface.cpp</file>
    <file>Naming_Context_Interface.h</file>
    <file>naming_export.h</file>
    <file>Naming_Loader.cpp</file>
    <file>Naming_Loader.h</file>
    <file>naming_serv_export.h</file>
    <file>Naming_Server.cpp</file>
    <file>Naming_Server.h</file>
    <file>Naming_Service_Container.cpp</file>
    <file>Naming_Service_Container.h</file>
    <file>naming_skel_export.h</file>
    <file>nsconf.h</file>
    <file>Persistent_Context_Index.cpp</file>
    <file>Persistent_Context_Index.h</file>
    <file>Persistent_Entries.cpp</file>
    <file>Persistent_Entries.h</file>
    <file>Persistent_Naming_Context.cpp</file>
    <file>Persistent_Naming_Context.h</file>
    <file>Storable.cpp</file>
    <file>Storable.h</file>
    <file>Storable.inl</file>
    <file>Storable_Naming_Context.cpp</file>
    <file>Storable_Naming_Context.h</file>
    <file>Storable_Naming_Context_Activator.cpp</file>
    <file>Storable_Naming_Context_Activator.h</file>
    <file>Transient_Naming_Context.cpp</file>
    <file>Transient_Naming_Context.h</file>
  </compound>
  <compound kind="dir">
    <name>TAO/orbsvcs/orbsvcs/</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/</path>
    <filename>dir_000002.html</filename>
    <dir>TAO/orbsvcs/orbsvcs/Naming/</dir>
    <file>CosNaming.idl</file>
  </compound>
  <compound kind="dir">
    <name>TAO/orbsvcs/</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/</path>
    <filename>dir_000001.html</filename>
    <dir>TAO/orbsvcs/orbsvcs/</dir>
  </compound>
  <compound kind="dir">
    <name>TAO/</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/</path>
    <filename>dir_000000.html</filename>
    <dir>TAO/orbsvcs/</dir>
  </compound>
  <compound kind="namespace">
    <name>CosNaming</name>
    <filename>namespaceCosNaming.html</filename>
    <class kind="struct">CosNaming::NameComponent</class>
    <class kind="struct">CosNaming::Binding</class>
    <class kind="interface">CosNaming::NamingContext</class>
    <class kind="exception">CosNaming::NamingContext::NotFound</class>
    <class kind="exception">CosNaming::NamingContext::CannotProceed</class>
    <class kind="exception">CosNaming::NamingContext::InvalidName</class>
    <class kind="exception">CosNaming::NamingContext::AlreadyBound</class>
    <class kind="exception">CosNaming::NamingContext::NotEmpty</class>
    <class kind="interface">CosNaming::BindingIterator</class>
    <class kind="interface">CosNaming::NamingContextExt</class>
    <class kind="exception">CosNaming::NamingContextExt::InvalidAddress</class>
    <member kind="typedef">
      <type>string</type>
      <name>Istring</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; NameComponent &gt;</type>
      <name>Name</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; Binding &gt;</type>
      <name>BindingList</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>BindingType</name>
      <anchor>a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>nobject</name>
      <anchor>a5a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ncontext</name>
      <anchor>a5a4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>CosNaming::NameComponent</name>
    <filename>structCosNaming_1_1NameComponent.html</filename>
    <member kind="variable">
      <type>Istring</type>
      <name>id</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Istring</type>
      <name>kind</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>CosNaming::Binding</name>
    <filename>structCosNaming_1_1Binding.html</filename>
    <member kind="variable">
      <type>Name</type>
      <name>binding_name</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>BindingType</type>
      <name>binding_type</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>CosNaming::NamingContext</name>
    <filename>interfaceCosNaming_1_1NamingContext.html</filename>
    <member kind="enumeration">
      <name>NotFoundReason</name>
      <anchor>w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>missing_node</name>
      <anchor>w3w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>not_context</name>
      <anchor>w3w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>not_object</name>
      <anchor>w3w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>bind</name>
      <anchor>a0</anchor>
      <arglist>(in Name n, in Object obj)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>rebind</name>
      <anchor>a1</anchor>
      <arglist>(in Name n, in Object obj)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>bind_context</name>
      <anchor>a2</anchor>
      <arglist>(in Name n, in NamingContext nc)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>rebind_context</name>
      <anchor>a3</anchor>
      <arglist>(in Name n, in NamingContext nc)</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>resolve</name>
      <anchor>a4</anchor>
      <arglist>(in Name n)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unbind</name>
      <anchor>a5</anchor>
      <arglist>(in Name n)</arglist>
    </member>
    <member kind="function">
      <type>NamingContext</type>
      <name>new_context</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>NamingContext</type>
      <name>bind_new_context</name>
      <anchor>a7</anchor>
      <arglist>(in Name n)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>destroy</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>list</name>
      <anchor>a9</anchor>
      <arglist>(in unsigned long how_many, out BindingList bl, out BindingIterator bi)</arglist>
    </member>
  </compound>
  <compound kind="exception">
    <name>CosNaming::NamingContext::AlreadyBound</name>
    <filename>exceptionCosNaming_1_1NamingContext_1_1AlreadyBound.html</filename>
  </compound>
  <compound kind="exception">
    <name>CosNaming::NamingContext::CannotProceed</name>
    <filename>exceptionCosNaming_1_1NamingContext_1_1CannotProceed.html</filename>
    <member kind="variable">
      <type>NamingContext</type>
      <name>cxt</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Name</type>
      <name>rest_of_name</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="exception">
    <name>CosNaming::NamingContext::InvalidName</name>
    <filename>exceptionCosNaming_1_1NamingContext_1_1InvalidName.html</filename>
  </compound>
  <compound kind="exception">
    <name>CosNaming::NamingContext::NotEmpty</name>
    <filename>exceptionCosNaming_1_1NamingContext_1_1NotEmpty.html</filename>
  </compound>
  <compound kind="exception">
    <name>CosNaming::NamingContext::NotFound</name>
    <filename>exceptionCosNaming_1_1NamingContext_1_1NotFound.html</filename>
    <member kind="variable">
      <type>NotFoundReason</type>
      <name>why</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Name</type>
      <name>rest_of_name</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="exception">
    <name>CosNaming::NamingContext::NotFound</name>
    <filename>exceptionCosNaming_1_1NamingContext_1_1NotFound.html</filename>
    <member kind="variable">
      <type>NotFoundReason</type>
      <name>why</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Name</type>
      <name>rest_of_name</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="exception">
    <name>CosNaming::NamingContext::CannotProceed</name>
    <filename>exceptionCosNaming_1_1NamingContext_1_1CannotProceed.html</filename>
    <member kind="variable">
      <type>NamingContext</type>
      <name>cxt</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Name</type>
      <name>rest_of_name</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="exception">
    <name>CosNaming::NamingContext::InvalidName</name>
    <filename>exceptionCosNaming_1_1NamingContext_1_1InvalidName.html</filename>
  </compound>
  <compound kind="exception">
    <name>CosNaming::NamingContext::AlreadyBound</name>
    <filename>exceptionCosNaming_1_1NamingContext_1_1AlreadyBound.html</filename>
  </compound>
  <compound kind="exception">
    <name>CosNaming::NamingContext::NotEmpty</name>
    <filename>exceptionCosNaming_1_1NamingContext_1_1NotEmpty.html</filename>
  </compound>
  <compound kind="interface">
    <name>CosNaming::BindingIterator</name>
    <filename>interfaceCosNaming_1_1BindingIterator.html</filename>
    <member kind="function">
      <type>boolean</type>
      <name>next_one</name>
      <anchor>a0</anchor>
      <arglist>(out Binding b)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>next_n</name>
      <anchor>a1</anchor>
      <arglist>(in unsigned long how_many, out BindingList bl)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>destroy</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>CosNaming::NamingContextExt</name>
    <filename>interfaceCosNaming_1_1NamingContextExt.html</filename>
    <base>CosNaming::NamingContext</base>
    <member kind="typedef">
      <type>string</type>
      <name>StringName</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>string</type>
      <name>Address</name>
      <anchor>w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>string</type>
      <name>URLString</name>
      <anchor>w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>StringName</type>
      <name>to_string</name>
      <anchor>a0</anchor>
      <arglist>(in Name n)</arglist>
    </member>
    <member kind="function">
      <type>Name</type>
      <name>to_name</name>
      <anchor>a1</anchor>
      <arglist>(in StringName sn)</arglist>
    </member>
    <member kind="function">
      <type>URLString</type>
      <name>to_url</name>
      <anchor>a2</anchor>
      <arglist>(in Address addr, in StringName sn)</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>resolve_str</name>
      <anchor>a3</anchor>
      <arglist>(in StringName n)</arglist>
    </member>
  </compound>
  <compound kind="exception">
    <name>CosNaming::NamingContextExt::InvalidAddress</name>
    <filename>exceptionCosNaming_1_1NamingContextExt_1_1InvalidAddress.html</filename>
  </compound>
  <compound kind="exception">
    <name>CosNaming::NamingContextExt::InvalidAddress</name>
    <filename>exceptionCosNaming_1_1NamingContextExt_1_1InvalidAddress.html</filename>
  </compound>
</tagfile>
