<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="file">
    <name>DynamicAny.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/DynamicAny/</path>
    <filename>DynamicAny_8cpp</filename>
    <includes id="DynamicAny_8h" name="DynamicAny.h" local="yes" imported="no">DynamicAny.h</includes>
    <includes id="DynAnyFactory_8h" name="DynAnyFactory.h" local="yes" imported="no">DynAnyFactory.h</includes>
  </compound>
  <compound kind="file">
    <name>DynamicAny.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/DynamicAny/</path>
    <filename>DynamicAny_8h</filename>
    <includes id="dynamicany__export_8h" name="dynamicany_export.h" local="yes" imported="no">dynamicany_export.h</includes>
    <includes id="DynamicAnyC_8h" name="DynamicAnyC.h" local="yes" imported="no">DynamicAnyC.h</includes>
    <class kind="class">TAO_DynamicAny_Loader</class>
    <member kind="define">
      <type>#define</type>
      <name>TAO_DYNAMICANY_SAFE_INCLUDE</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>int</type>
      <name>TAO_Requires_DynamicAny_Initializer</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>DynamicAny.pidl</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/DynamicAny/</path>
    <filename>DynamicAny_8pidl</filename>
    <namespace>DynamicAny</namespace>
    <class kind="interface">DynamicAny::DynAny</class>
    <class kind="exception">DynamicAny::DynAny::InvalidValue</class>
    <class kind="exception">DynamicAny::DynAny::TypeMismatch</class>
    <class kind="interface">DynamicAny::DynFixed</class>
    <class kind="interface">DynamicAny::DynEnum</class>
    <class kind="struct">DynamicAny::NameValuePair</class>
    <class kind="struct">DynamicAny::NameDynAnyPair</class>
    <class kind="interface">DynamicAny::DynStruct</class>
    <class kind="interface">DynamicAny::DynUnion</class>
    <class kind="interface">DynamicAny::DynSequence</class>
    <class kind="interface">DynamicAny::DynArray</class>
    <class kind="interface">DynamicAny::DynValue</class>
    <class kind="interface">DynamicAny::DynAnyFactory</class>
    <class kind="exception">DynamicAny::DynAnyFactory::InconsistentTypeCode</class>
    <member kind="typedef">
      <type>string</type>
      <name>FieldName</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; NameValuePair &gt;</type>
      <name>NameValuePairSeq</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; NameDynAnyPair &gt;</type>
      <name>NameDynAnyPairSeq</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; any &gt;</type>
      <name>AnySeq</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; DynAny &gt;</type>
      <name>DynAnySeq</name>
      <anchor>a4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>dynamicany_export.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/DynamicAny/</path>
    <filename>dynamicany__export_8h</filename>
    <member kind="define">
      <type>#define</type>
      <name>TAO_DYNAMICANY_HAS_DLL</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_DynamicAny_Export</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_DYNAMICANY_SINGLETON_DECLARATION</name>
      <anchor>a2</anchor>
      <arglist>(T)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_DYNAMICANY_SINGLETON_DECLARE</name>
      <anchor>a3</anchor>
      <arglist>(SINGLETON_TYPE, CLASS, LOCK)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>DynamicAnyC.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/DynamicAny/</path>
    <filename>DynamicAnyC_8cpp</filename>
    <includes id="DynamicAny_8h" name="DynamicAny.h" local="yes" imported="no">DynamicAny.h</includes>
    <namespace>TAO</namespace>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_NAMEVALUEPAIRSEQ_CS_</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_NAMEDYNANYPAIRSEQ_CS_</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_ANYSEQ_CS_</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_DYNANYSEQ_CS_</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&lt;&lt;</name>
      <anchor>a4</anchor>
      <arglist>(TAO_OutputCDR &amp;strm, const DynamicAny::NameValuePair &amp;_tao_aggregate)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&gt;&gt;</name>
      <anchor>a5</anchor>
      <arglist>(TAO_InputCDR &amp;strm, DynamicAny::NameValuePair &amp;_tao_aggregate)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&lt;&lt;</name>
      <anchor>a6</anchor>
      <arglist>(TAO_OutputCDR &amp;strm, const DynamicAny::NameValuePairSeq &amp;_tao_sequence)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&gt;&gt;</name>
      <anchor>a7</anchor>
      <arglist>(TAO_InputCDR &amp;strm, DynamicAny::NameValuePairSeq &amp;_tao_sequence)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&lt;&lt;</name>
      <anchor>a8</anchor>
      <arglist>(TAO_OutputCDR &amp;strm, const DynamicAny::AnySeq &amp;_tao_sequence)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&gt;&gt;</name>
      <anchor>a9</anchor>
      <arglist>(TAO_InputCDR &amp;strm, DynamicAny::AnySeq &amp;_tao_sequence)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>DynamicAnyC.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/DynamicAny/</path>
    <filename>DynamicAnyC_8h</filename>
    <includes id="dynamicany__export_8h" name="dynamicany_export.h" local="yes" imported="no">dynamicany_export.h</includes>
    <namespace>DynamicAny</namespace>
    <namespace>TAO</namespace>
    <class kind="interface">DynamicAny::DynAny</class>
    <class kind="exception">DynamicAny::DynAny::InvalidValue</class>
    <class kind="exception">DynamicAny::DynAny::TypeMismatch</class>
    <class kind="interface">DynamicAny::DynFixed</class>
    <class kind="interface">DynamicAny::DynEnum</class>
    <class kind="struct">DynamicAny::NameValuePair</class>
    <class kind="class">DynamicAny::NameValuePairSeq</class>
    <class kind="struct">DynamicAny::NameDynAnyPair</class>
    <class kind="class">DynamicAny::NameDynAnyPairSeq</class>
    <class kind="interface">DynamicAny::DynStruct</class>
    <class kind="interface">DynamicAny::DynUnion</class>
    <class kind="class">DynamicAny::AnySeq</class>
    <class kind="class">DynamicAny::DynAnySeq</class>
    <class kind="interface">DynamicAny::DynSequence</class>
    <class kind="interface">DynamicAny::DynArray</class>
    <class kind="interface">DynamicAny::DynValue</class>
    <class kind="interface">DynamicAny::DynAnyFactory</class>
    <class kind="exception">DynamicAny::DynAnyFactory::InconsistentTypeCode</class>
    <class kind="struct">TAO::Objref_Traits&lt; ::DynamicAny::DynAny &gt;</class>
    <class kind="struct">TAO::Objref_Traits&lt; ::DynamicAny::DynFixed &gt;</class>
    <class kind="struct">TAO::Objref_Traits&lt; ::DynamicAny::DynEnum &gt;</class>
    <class kind="struct">TAO::Objref_Traits&lt; ::DynamicAny::DynStruct &gt;</class>
    <class kind="struct">TAO::Objref_Traits&lt; ::DynamicAny::DynUnion &gt;</class>
    <class kind="struct">TAO::Objref_Traits&lt; ::DynamicAny::DynSequence &gt;</class>
    <class kind="struct">TAO::Objref_Traits&lt; ::DynamicAny::DynArray &gt;</class>
    <class kind="struct">TAO::Objref_Traits&lt; ::DynamicAny::DynValue &gt;</class>
    <class kind="struct">TAO::Objref_Traits&lt; ::DynamicAny::DynAnyFactory &gt;</class>
    <member kind="define">
      <type>#define</type>
      <name>TAO_EXPORT_MACRO</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_DYNANY__VAR_OUT_CH_</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_DYNANY_CH_</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_DYNANY_INVALIDVALUE_CH_</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_DYNANY_TYPEMISMATCH_CH_</name>
      <anchor>a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_DYNFIXED__VAR_OUT_CH_</name>
      <anchor>a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_DYNFIXED_CH_</name>
      <anchor>a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_DYNENUM__VAR_OUT_CH_</name>
      <anchor>a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_DYNENUM_CH_</name>
      <anchor>a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_NAMEVALUEPAIRSEQ_CH_</name>
      <anchor>a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_NAMEDYNANYPAIRSEQ_CH_</name>
      <anchor>a10</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_DYNSTRUCT__VAR_OUT_CH_</name>
      <anchor>a11</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_DYNSTRUCT_CH_</name>
      <anchor>a12</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_DYNUNION__VAR_OUT_CH_</name>
      <anchor>a13</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_DYNUNION_CH_</name>
      <anchor>a14</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_ANYSEQ_CH_</name>
      <anchor>a15</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_DYNANYSEQ_CH_</name>
      <anchor>a16</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_DYNSEQUENCE__VAR_OUT_CH_</name>
      <anchor>a17</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_DYNSEQUENCE_CH_</name>
      <anchor>a18</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_DYNARRAY__VAR_OUT_CH_</name>
      <anchor>a19</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_DYNARRAY_CH_</name>
      <anchor>a20</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_DYNVALUE__VAR_OUT_CH_</name>
      <anchor>a21</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_DYNVALUE_CH_</name>
      <anchor>a22</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_DYNANYFACTORY__VAR_OUT_CH_</name>
      <anchor>a23</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_DYNANYFACTORY_CH_</name>
      <anchor>a24</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_DYNANYFACTORY_INCONSISTENTTYPECODE_CH_</name>
      <anchor>a25</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_DYNANY__TRAITS_CH_</name>
      <anchor>a26</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_DYNFIXED__TRAITS_CH_</name>
      <anchor>a27</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_DYNENUM__TRAITS_CH_</name>
      <anchor>a28</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_DYNSTRUCT__TRAITS_CH_</name>
      <anchor>a29</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_DYNUNION__TRAITS_CH_</name>
      <anchor>a30</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_DYNSEQUENCE__TRAITS_CH_</name>
      <anchor>a31</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_DYNARRAY__TRAITS_CH_</name>
      <anchor>a32</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_DYNVALUE__TRAITS_CH_</name>
      <anchor>a33</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_DYNAMICANY_DYNANYFACTORY__TRAITS_CH_</name>
      <anchor>a34</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>DynAny *</type>
      <name>DynAny_ptr</name>
      <anchor>a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Var_T&lt; DynAny &gt;</type>
      <name>DynAny_var</name>
      <anchor>a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Out_T&lt; DynAny &gt;</type>
      <name>DynAny_out</name>
      <anchor>a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>DynFixed *</type>
      <name>DynFixed_ptr</name>
      <anchor>a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Var_T&lt; DynFixed &gt;</type>
      <name>DynFixed_var</name>
      <anchor>a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Out_T&lt; DynFixed &gt;</type>
      <name>DynFixed_out</name>
      <anchor>a10</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>DynEnum *</type>
      <name>DynEnum_ptr</name>
      <anchor>a11</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Var_T&lt; DynEnum &gt;</type>
      <name>DynEnum_var</name>
      <anchor>a12</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Out_T&lt; DynEnum &gt;</type>
      <name>DynEnum_out</name>
      <anchor>a13</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>CORBA::String_var</type>
      <name>FieldName_var</name>
      <anchor>a14</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>CORBA::String_out</type>
      <name>FieldName_out</name>
      <anchor>a15</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Var_Var_T&lt; NameValuePair &gt;</type>
      <name>NameValuePair_var</name>
      <anchor>a16</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Out_T&lt; NameValuePair, NameValuePair_var &gt;</type>
      <name>NameValuePair_out</name>
      <anchor>a17</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_VarSeq_Var_T&lt; NameValuePairSeq, NameValuePair &gt;</type>
      <name>NameValuePairSeq_var</name>
      <anchor>a18</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Seq_Out_T&lt; NameValuePairSeq, NameValuePairSeq_var, NameValuePair &gt;</type>
      <name>NameValuePairSeq_out</name>
      <anchor>a19</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Var_Var_T&lt; NameDynAnyPair &gt;</type>
      <name>NameDynAnyPair_var</name>
      <anchor>a20</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Out_T&lt; NameDynAnyPair, NameDynAnyPair_var &gt;</type>
      <name>NameDynAnyPair_out</name>
      <anchor>a21</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_VarSeq_Var_T&lt; NameDynAnyPairSeq, NameDynAnyPair &gt;</type>
      <name>NameDynAnyPairSeq_var</name>
      <anchor>a22</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Seq_Out_T&lt; NameDynAnyPairSeq, NameDynAnyPairSeq_var, NameDynAnyPair &gt;</type>
      <name>NameDynAnyPairSeq_out</name>
      <anchor>a23</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>DynStruct *</type>
      <name>DynStruct_ptr</name>
      <anchor>a24</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Var_T&lt; DynStruct &gt;</type>
      <name>DynStruct_var</name>
      <anchor>a25</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Out_T&lt; DynStruct &gt;</type>
      <name>DynStruct_out</name>
      <anchor>a26</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>DynUnion *</type>
      <name>DynUnion_ptr</name>
      <anchor>a27</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Var_T&lt; DynUnion &gt;</type>
      <name>DynUnion_var</name>
      <anchor>a28</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Out_T&lt; DynUnion &gt;</type>
      <name>DynUnion_out</name>
      <anchor>a29</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_VarSeq_Var_T&lt; AnySeq, CORBA::Any &gt;</type>
      <name>AnySeq_var</name>
      <anchor>a30</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Seq_Out_T&lt; AnySeq, AnySeq_var, CORBA::Any &gt;</type>
      <name>AnySeq_out</name>
      <anchor>a31</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_MngSeq_Var_T&lt; DynAnySeq, TAO_Object_Manager&lt; DynAny, DynAny_var &gt; &gt;</type>
      <name>DynAnySeq_var</name>
      <anchor>a32</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_MngSeq_Out_T&lt; DynAnySeq, DynAnySeq_var, TAO_Object_Manager&lt; DynAny, DynAny_var &gt; &gt;</type>
      <name>DynAnySeq_out</name>
      <anchor>a33</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>DynSequence *</type>
      <name>DynSequence_ptr</name>
      <anchor>a34</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Var_T&lt; DynSequence &gt;</type>
      <name>DynSequence_var</name>
      <anchor>a35</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Out_T&lt; DynSequence &gt;</type>
      <name>DynSequence_out</name>
      <anchor>a36</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>DynArray *</type>
      <name>DynArray_ptr</name>
      <anchor>a37</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Var_T&lt; DynArray &gt;</type>
      <name>DynArray_var</name>
      <anchor>a38</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Out_T&lt; DynArray &gt;</type>
      <name>DynArray_out</name>
      <anchor>a39</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>DynValue *</type>
      <name>DynValue_ptr</name>
      <anchor>a40</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Var_T&lt; DynValue &gt;</type>
      <name>DynValue_var</name>
      <anchor>a41</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Out_T&lt; DynValue &gt;</type>
      <name>DynValue_out</name>
      <anchor>a42</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>DynAnyFactory *</type>
      <name>DynAnyFactory_ptr</name>
      <anchor>a43</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Var_T&lt; DynAnyFactory &gt;</type>
      <name>DynAnyFactory_var</name>
      <anchor>a44</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Out_T&lt; DynAnyFactory &gt;</type>
      <name>DynAnyFactory_out</name>
      <anchor>a45</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>TAO_DynamicAny_Export CORBA::Boolean</type>
      <name>operator&lt;&lt;</name>
      <anchor>a76</anchor>
      <arglist>(TAO_OutputCDR &amp;, const DynamicAny::NameValuePair &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_DynamicAny_Export CORBA::Boolean</type>
      <name>operator&gt;&gt;</name>
      <anchor>a77</anchor>
      <arglist>(TAO_InputCDR &amp;, DynamicAny::NameValuePair &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_DynamicAny_Export CORBA::Boolean</type>
      <name>operator&lt;&lt;</name>
      <anchor>a78</anchor>
      <arglist>(TAO_OutputCDR &amp;, const DynamicAny::NameValuePairSeq &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_DynamicAny_Export CORBA::Boolean</type>
      <name>operator&gt;&gt;</name>
      <anchor>a79</anchor>
      <arglist>(TAO_InputCDR &amp;, DynamicAny::NameValuePairSeq &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_DynamicAny_Export CORBA::Boolean</type>
      <name>operator&lt;&lt;</name>
      <anchor>a80</anchor>
      <arglist>(TAO_OutputCDR &amp;, const DynamicAny::AnySeq &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_DynamicAny_Export CORBA::Boolean</type>
      <name>operator&gt;&gt;</name>
      <anchor>a81</anchor>
      <arglist>(TAO_InputCDR &amp;, DynamicAny::AnySeq &amp;)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>DynAny_i.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/DynamicAny/</path>
    <filename>DynAny__i_8cpp</filename>
    <includes id="DynAny__i_8h" name="DynAny_i.h" local="yes" imported="no">DynAny_i.h</includes>
    <includes id="DynAnyFactory_8h" name="DynAnyFactory.h" local="yes" imported="no">DynAnyFactory.h</includes>
  </compound>
  <compound kind="file">
    <name>DynAny_i.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/DynamicAny/</path>
    <filename>DynAny__i_8h</filename>
    <includes id="DynamicAny_8h" name="DynamicAny.h" local="yes" imported="no">DynamicAny.h</includes>
    <includes id="DynCommon_8h" name="DynCommon.h" local="yes" imported="no">DynCommon.h</includes>
    <class kind="class">TAO_DynAny_i</class>
  </compound>
  <compound kind="file">
    <name>DynAnyFactory.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/DynamicAny/</path>
    <filename>DynAnyFactory_8cpp</filename>
    <includes id="DynAnyFactory_8h" name="DynAnyFactory.h" local="yes" imported="no">DynAnyFactory.h</includes>
    <includes id="DynAny__i_8h" name="DynAny_i.h" local="yes" imported="no">DynAny_i.h</includes>
    <includes id="DynStruct__i_8h" name="DynStruct_i.h" local="yes" imported="no">DynStruct_i.h</includes>
    <includes id="DynSequence__i_8h" name="DynSequence_i.h" local="yes" imported="no">DynSequence_i.h</includes>
    <includes id="DynEnum__i_8h" name="DynEnum_i.h" local="yes" imported="no">DynEnum_i.h</includes>
    <includes id="DynArray__i_8h" name="DynArray_i.h" local="yes" imported="no">DynArray_i.h</includes>
    <includes id="DynUnion__i_8h" name="DynUnion_i.h" local="yes" imported="no">DynUnion_i.h</includes>
  </compound>
  <compound kind="file">
    <name>DynAnyFactory.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/DynamicAny/</path>
    <filename>DynAnyFactory_8h</filename>
    <includes id="DynamicAny_8h" name="DynamicAny.h" local="yes" imported="no">DynamicAny.h</includes>
    <class kind="class">TAO_DynAnyFactory</class>
  </compound>
  <compound kind="file">
    <name>DynArray_i.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/DynamicAny/</path>
    <filename>DynArray__i_8cpp</filename>
    <includes id="DynArray__i_8h" name="DynArray_i.h" local="yes" imported="no">DynArray_i.h</includes>
    <includes id="DynAnyFactory_8h" name="DynAnyFactory.h" local="yes" imported="no">DynAnyFactory.h</includes>
  </compound>
  <compound kind="file">
    <name>DynArray_i.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/DynamicAny/</path>
    <filename>DynArray__i_8h</filename>
    <includes id="DynamicAny_8h" name="DynamicAny.h" local="yes" imported="no">DynamicAny.h</includes>
    <includes id="DynCommon_8h" name="DynCommon.h" local="yes" imported="no">DynCommon.h</includes>
    <class kind="class">TAO_DynArray_i</class>
  </compound>
  <compound kind="file">
    <name>DynCommon.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/DynamicAny/</path>
    <filename>DynCommon_8cpp</filename>
    <includes id="DynCommon_8h" name="DynCommon.h" local="yes" imported="no">DynCommon.h</includes>
    <includes id="DynAnyFactory_8h" name="DynAnyFactory.h" local="yes" imported="no">DynAnyFactory.h</includes>
    <includes id="DynAny__i_8h" name="DynAny_i.h" local="yes" imported="no">DynAny_i.h</includes>
    <includes id="DynArray__i_8h" name="DynArray_i.h" local="yes" imported="no">DynArray_i.h</includes>
    <includes id="DynEnum__i_8h" name="DynEnum_i.h" local="yes" imported="no">DynEnum_i.h</includes>
    <includes id="DynSequence__i_8h" name="DynSequence_i.h" local="yes" imported="no">DynSequence_i.h</includes>
    <includes id="DynStruct__i_8h" name="DynStruct_i.h" local="yes" imported="no">DynStruct_i.h</includes>
    <includes id="DynUnion__i_8h" name="DynUnion_i.h" local="yes" imported="no">DynUnion_i.h</includes>
  </compound>
  <compound kind="file">
    <name>DynCommon.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/DynamicAny/</path>
    <filename>DynCommon_8h</filename>
    <includes id="DynamicAny_8h" name="DynamicAny.h" local="yes" imported="no">DynamicAny.h</includes>
    <class kind="class">TAO_DynCommon</class>
  </compound>
  <compound kind="file">
    <name>DynEnum_i.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/DynamicAny/</path>
    <filename>DynEnum__i_8cpp</filename>
    <includes id="DynEnum__i_8h" name="DynEnum_i.h" local="yes" imported="no">DynEnum_i.h</includes>
    <includes id="DynAnyFactory_8h" name="DynAnyFactory.h" local="yes" imported="no">DynAnyFactory.h</includes>
  </compound>
  <compound kind="file">
    <name>DynEnum_i.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/DynamicAny/</path>
    <filename>DynEnum__i_8h</filename>
    <includes id="DynamicAny_8h" name="DynamicAny.h" local="yes" imported="no">DynamicAny.h</includes>
    <includes id="DynCommon_8h" name="DynCommon.h" local="yes" imported="no">DynCommon.h</includes>
    <class kind="class">TAO_DynEnum_i</class>
  </compound>
  <compound kind="file">
    <name>DynSequence_i.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/DynamicAny/</path>
    <filename>DynSequence__i_8cpp</filename>
    <includes id="DynSequence__i_8h" name="DynSequence_i.h" local="yes" imported="no">DynSequence_i.h</includes>
    <includes id="DynAnyFactory_8h" name="DynAnyFactory.h" local="yes" imported="no">DynAnyFactory.h</includes>
  </compound>
  <compound kind="file">
    <name>DynSequence_i.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/DynamicAny/</path>
    <filename>DynSequence__i_8h</filename>
    <includes id="DynamicAny_8h" name="DynamicAny.h" local="yes" imported="no">DynamicAny.h</includes>
    <includes id="DynCommon_8h" name="DynCommon.h" local="yes" imported="no">DynCommon.h</includes>
    <class kind="class">TAO_DynSequence_i</class>
  </compound>
  <compound kind="file">
    <name>DynStruct_i.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/DynamicAny/</path>
    <filename>DynStruct__i_8cpp</filename>
    <includes id="DynStruct__i_8h" name="DynStruct_i.h" local="yes" imported="no">DynStruct_i.h</includes>
    <includes id="DynAnyFactory_8h" name="DynAnyFactory.h" local="yes" imported="no">DynAnyFactory.h</includes>
  </compound>
  <compound kind="file">
    <name>DynStruct_i.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/DynamicAny/</path>
    <filename>DynStruct__i_8h</filename>
    <includes id="DynamicAny_8h" name="DynamicAny.h" local="yes" imported="no">DynamicAny.h</includes>
    <includes id="DynCommon_8h" name="DynCommon.h" local="yes" imported="no">DynCommon.h</includes>
    <class kind="class">TAO_DynStruct_i</class>
  </compound>
  <compound kind="file">
    <name>DynUnion_i.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/DynamicAny/</path>
    <filename>DynUnion__i_8cpp</filename>
    <includes id="DynUnion__i_8h" name="DynUnion_i.h" local="yes" imported="no">DynUnion_i.h</includes>
    <includes id="DynAnyFactory_8h" name="DynAnyFactory.h" local="yes" imported="no">DynAnyFactory.h</includes>
  </compound>
  <compound kind="file">
    <name>DynUnion_i.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/DynamicAny/</path>
    <filename>DynUnion__i_8h</filename>
    <includes id="DynamicAny_8h" name="DynamicAny.h" local="yes" imported="no">DynamicAny.h</includes>
    <includes id="DynCommon_8h" name="DynCommon.h" local="yes" imported="no">DynCommon.h</includes>
    <class kind="class">TAO_DynUnion_i</class>
  </compound>
  <compound kind="class">
    <name>TAO_DynamicAny_Loader</name>
    <filename>classTAO__DynamicAny__Loader.html</filename>
    <base>TAO_Object_Loader</base>
    <member kind="function">
      <type></type>
      <name>TAO_DynamicAny_Loader</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Object_ptr</type>
      <name>create_object</name>
      <anchor>a1</anchor>
      <arglist>(CORBA::ORB_ptr orb, int argc, ACE_TCHAR *argv[] ACE_ENV_ARG_DECL_NOT_USED)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>Initializer</name>
      <anchor>e0</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_DynAny_i</name>
    <filename>classTAO__DynAny__i.html</filename>
    <base virtualness="virtual">DynamicAny::DynAny</base>
    <base virtualness="virtual">TAO_DynCommon</base>
    <base virtualness="virtual">TAO_Local_RefCounted_Object</base>
    <member kind="function">
      <type></type>
      <name>TAO_DynAny_i</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_DynAny_i</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchor>a2</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchor>a3</anchor>
      <arglist>(const CORBA::Any &amp;any)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from_any</name>
      <anchor>a4</anchor>
      <arglist>(const CORBA::Any &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Any *</type>
      <name>to_any</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>equal</name>
      <anchor>a6</anchor>
      <arglist>(DynamicAny::DynAny_ptr dyn_any)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>destroy</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::DynAny_ptr</type>
      <name>current_component</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>TAO_DynAny_i *</type>
      <name>_narrow</name>
      <anchor>e0</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>check_typecode</name>
      <anchor>d0</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>set_to_default_value</name>
      <anchor>d1</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>init_common</name>
      <anchor>d2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>TAO_DynAny_i</name>
      <anchor>d3</anchor>
      <arglist>(const TAO_DynAny_i &amp;src)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>TAO_DynAny_i &amp;</type>
      <name>operator=</name>
      <anchor>d4</anchor>
      <arglist>(const TAO_DynAny_i &amp;src)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_DynAnyFactory</name>
    <filename>classTAO__DynAnyFactory.html</filename>
    <base virtualness="virtual">DynamicAny::DynAnyFactory</base>
    <base virtualness="virtual">TAO_Local_RefCounted_Object</base>
    <member kind="function">
      <type></type>
      <name>TAO_DynAnyFactory</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::DynAny_ptr</type>
      <name>create_dyn_any</name>
      <anchor>a1</anchor>
      <arglist>(const CORBA::Any &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::DynAny_ptr</type>
      <name>create_dyn_any_from_type_code</name>
      <anchor>a2</anchor>
      <arglist>(CORBA::TypeCode_ptr type)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CORBA::TCKind</type>
      <name>unalias</name>
      <anchor>e0</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CORBA::TypeCode_ptr</type>
      <name>strip_alias</name>
      <anchor>e1</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynamicAny::DynAny_ptr</type>
      <name>make_dyn_any</name>
      <anchor>e2</anchor>
      <arglist>(const CORBA::Any &amp;any)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynamicAny::DynAny_ptr</type>
      <name>make_dyn_any</name>
      <anchor>e3</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>TAO_DynAnyFactory</name>
      <anchor>d0</anchor>
      <arglist>(const TAO_DynAnyFactory &amp;src)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>TAO_DynAnyFactory &amp;</type>
      <name>operator=</name>
      <anchor>d1</anchor>
      <arglist>(const TAO_DynAnyFactory &amp;src)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_DynArray_i</name>
    <filename>classTAO__DynArray__i.html</filename>
    <base virtualness="virtual">DynamicAny::DynArray</base>
    <base virtualness="virtual">TAO_DynCommon</base>
    <base virtualness="virtual">TAO_Local_RefCounted_Object</base>
    <member kind="function">
      <type></type>
      <name>TAO_DynArray_i</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_DynArray_i</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchor>a2</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchor>a3</anchor>
      <arglist>(const CORBA::Any &amp;any)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::AnySeq *</type>
      <name>get_elements</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>set_elements</name>
      <anchor>a5</anchor>
      <arglist>(const DynamicAny::AnySeq &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::DynAnySeq *</type>
      <name>get_elements_as_dyn_any</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>set_elements_as_dyn_any</name>
      <anchor>a7</anchor>
      <arglist>(const DynamicAny::DynAnySeq &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from_any</name>
      <anchor>a8</anchor>
      <arglist>(const CORBA::Any &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Any *</type>
      <name>to_any</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>equal</name>
      <anchor>a10</anchor>
      <arglist>(DynamicAny::DynAny_ptr dyn_any)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>destroy</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::DynAny_ptr</type>
      <name>current_component</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>TAO_DynArray_i *</type>
      <name>_narrow</name>
      <anchor>e0</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>CORBA::TypeCode_ptr</type>
      <name>get_element_type</name>
      <anchor>d0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>CORBA::ULong</type>
      <name>get_tc_length</name>
      <anchor>d1</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>init_common</name>
      <anchor>d2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>TAO_DynArray_i</name>
      <anchor>d3</anchor>
      <arglist>(const TAO_DynArray_i &amp;src)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>TAO_DynArray_i &amp;</type>
      <name>operator=</name>
      <anchor>d4</anchor>
      <arglist>(const TAO_DynArray_i &amp;src)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_Array_Base&lt; DynamicAny::DynAny_var &gt;</type>
      <name>da_members_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_DynCommon</name>
    <filename>classTAO__DynCommon.html</filename>
    <base virtualness="virtual">DynamicAny::DynAny</base>
    <member kind="function">
      <type></type>
      <name>TAO_DynCommon</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TAO_DynCommon</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::TypeCode_ptr</type>
      <name>type</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>assign</name>
      <anchor>a3</anchor>
      <arglist>(DynamicAny::DynAny_ptr dyn_any)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_boolean</name>
      <anchor>a4</anchor>
      <arglist>(CORBA::Boolean value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_octet</name>
      <anchor>a5</anchor>
      <arglist>(CORBA::Octet value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_char</name>
      <anchor>a6</anchor>
      <arglist>(CORBA::Char value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_short</name>
      <anchor>a7</anchor>
      <arglist>(CORBA::Short value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_ushort</name>
      <anchor>a8</anchor>
      <arglist>(CORBA::UShort value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_long</name>
      <anchor>a9</anchor>
      <arglist>(CORBA::Long value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_ulong</name>
      <anchor>a10</anchor>
      <arglist>(CORBA::ULong value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_float</name>
      <anchor>a11</anchor>
      <arglist>(CORBA::Float value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_double</name>
      <anchor>a12</anchor>
      <arglist>(CORBA::Double value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_string</name>
      <anchor>a13</anchor>
      <arglist>(const char *value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_reference</name>
      <anchor>a14</anchor>
      <arglist>(CORBA::Object_ptr value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_typecode</name>
      <anchor>a15</anchor>
      <arglist>(CORBA::TypeCode_ptr value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_longlong</name>
      <anchor>a16</anchor>
      <arglist>(CORBA::LongLong value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_ulonglong</name>
      <anchor>a17</anchor>
      <arglist>(CORBA::ULongLong value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_longdouble</name>
      <anchor>a18</anchor>
      <arglist>(CORBA::LongDouble value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_wchar</name>
      <anchor>a19</anchor>
      <arglist>(CORBA::WChar value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_wstring</name>
      <anchor>a20</anchor>
      <arglist>(const CORBA::WChar *value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_any</name>
      <anchor>a21</anchor>
      <arglist>(const CORBA::Any &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_dyn_any</name>
      <anchor>a22</anchor>
      <arglist>(DynamicAny::DynAny_ptr value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_val</name>
      <anchor>a23</anchor>
      <arglist>(CORBA::ValueBase *value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>get_boolean</name>
      <anchor>a24</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Octet</type>
      <name>get_octet</name>
      <anchor>a25</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Char</type>
      <name>get_char</name>
      <anchor>a26</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Short</type>
      <name>get_short</name>
      <anchor>a27</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::UShort</type>
      <name>get_ushort</name>
      <anchor>a28</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Long</type>
      <name>get_long</name>
      <anchor>a29</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::ULong</type>
      <name>get_ulong</name>
      <anchor>a30</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Float</type>
      <name>get_float</name>
      <anchor>a31</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Double</type>
      <name>get_double</name>
      <anchor>a32</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual char *</type>
      <name>get_string</name>
      <anchor>a33</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Object_ptr</type>
      <name>get_reference</name>
      <anchor>a34</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::TypeCode_ptr</type>
      <name>get_typecode</name>
      <anchor>a35</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::LongLong</type>
      <name>get_longlong</name>
      <anchor>a36</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::ULongLong</type>
      <name>get_ulonglong</name>
      <anchor>a37</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::LongDouble</type>
      <name>get_longdouble</name>
      <anchor>a38</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::WChar</type>
      <name>get_wchar</name>
      <anchor>a39</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::WChar *</type>
      <name>get_wstring</name>
      <anchor>a40</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Any *</type>
      <name>get_any</name>
      <anchor>a41</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::DynAny_ptr</type>
      <name>get_dyn_any</name>
      <anchor>a42</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::ValueBase *</type>
      <name>get_val</name>
      <anchor>a43</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>seek</name>
      <anchor>a44</anchor>
      <arglist>(CORBA::Long index)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>rewind</name>
      <anchor>a45</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>next</name>
      <anchor>a46</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::DynAny_ptr</type>
      <name>copy</name>
      <anchor>a47</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::ULong</type>
      <name>component_count</name>
      <anchor>a48</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>set_flag</name>
      <anchor>b0</anchor>
      <arglist>(DynamicAny::DynAny_ptr component, CORBA::Boolean destroying)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CORBA::Boolean</type>
      <name>ref_to_component_</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CORBA::Boolean</type>
      <name>container_is_destroying_</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CORBA::Boolean</type>
      <name>has_components_</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CORBA::Boolean</type>
      <name>destroyed_</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CORBA::Long</type>
      <name>current_position_</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CORBA::ULong</type>
      <name>component_count_</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CORBA::TypeCode_var</type>
      <name>type_</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CORBA::Any</type>
      <name>any_</name>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="private">
      <type>DynamicAny::DynAny_ptr</type>
      <name>check_component</name>
      <anchor>d0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>check_type</name>
      <anchor>d1</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>CORBA::TypeCode_ptr</type>
      <name>check_type_and_unalias</name>
      <anchor>d2</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_DynEnum_i</name>
    <filename>classTAO__DynEnum__i.html</filename>
    <base virtualness="virtual">DynamicAny::DynEnum</base>
    <base virtualness="virtual">TAO_DynCommon</base>
    <base virtualness="virtual">TAO_Local_RefCounted_Object</base>
    <member kind="function">
      <type></type>
      <name>TAO_DynEnum_i</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_DynEnum_i</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchor>a2</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchor>a3</anchor>
      <arglist>(const CORBA::Any &amp;any)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual char *</type>
      <name>get_as_string</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>set_as_string</name>
      <anchor>a5</anchor>
      <arglist>(const char *value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::ULong</type>
      <name>get_as_ulong</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>set_as_ulong</name>
      <anchor>a7</anchor>
      <arglist>(CORBA::ULong value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from_any</name>
      <anchor>a8</anchor>
      <arglist>(const CORBA::Any &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Any *</type>
      <name>to_any</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>equal</name>
      <anchor>a10</anchor>
      <arglist>(DynamicAny::DynAny_ptr dyn_any)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>destroy</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::DynAny_ptr</type>
      <name>current_component</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>TAO_DynEnum_i *</type>
      <name>_narrow</name>
      <anchor>e0</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>init_common</name>
      <anchor>d0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>TAO_DynEnum_i</name>
      <anchor>d1</anchor>
      <arglist>(const TAO_DynEnum_i &amp;src)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>TAO_DynEnum_i &amp;</type>
      <name>operator=</name>
      <anchor>d2</anchor>
      <arglist>(const TAO_DynEnum_i &amp;src)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>CORBA::ULong</type>
      <name>value_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_DynSequence_i</name>
    <filename>classTAO__DynSequence__i.html</filename>
    <base virtualness="virtual">DynamicAny::DynSequence</base>
    <base virtualness="virtual">TAO_DynCommon</base>
    <base virtualness="virtual">TAO_Local_RefCounted_Object</base>
    <member kind="function">
      <type></type>
      <name>TAO_DynSequence_i</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_DynSequence_i</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchor>a2</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchor>a3</anchor>
      <arglist>(const CORBA::Any &amp;any)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::ULong</type>
      <name>get_length</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>set_length</name>
      <anchor>a5</anchor>
      <arglist>(CORBA::ULong len)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::AnySeq *</type>
      <name>get_elements</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>set_elements</name>
      <anchor>a7</anchor>
      <arglist>(const DynamicAny::AnySeq &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::DynAnySeq *</type>
      <name>get_elements_as_dyn_any</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>set_elements_as_dyn_any</name>
      <anchor>a9</anchor>
      <arglist>(const DynamicAny::DynAnySeq &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from_any</name>
      <anchor>a10</anchor>
      <arglist>(const CORBA::Any &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Any *</type>
      <name>to_any</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>equal</name>
      <anchor>a12</anchor>
      <arglist>(DynamicAny::DynAny_ptr dyn_any)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>destroy</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::DynAny_ptr</type>
      <name>current_component</name>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>TAO_DynSequence_i *</type>
      <name>_narrow</name>
      <anchor>e0</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>CORBA::TypeCode_ptr</type>
      <name>get_element_type</name>
      <anchor>d0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>init_common</name>
      <anchor>d1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>TAO_DynSequence_i</name>
      <anchor>d2</anchor>
      <arglist>(const TAO_DynSequence_i &amp;src)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>TAO_DynSequence_i &amp;</type>
      <name>operator=</name>
      <anchor>d3</anchor>
      <arglist>(const TAO_DynSequence_i &amp;src)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_Array_Base&lt; DynamicAny::DynAny_var &gt;</type>
      <name>da_members_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_DynStruct_i</name>
    <filename>classTAO__DynStruct__i.html</filename>
    <base virtualness="virtual">DynamicAny::DynStruct</base>
    <base virtualness="virtual">TAO_DynCommon</base>
    <base virtualness="virtual">TAO_Local_RefCounted_Object</base>
    <member kind="function">
      <type></type>
      <name>TAO_DynStruct_i</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_DynStruct_i</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchor>a2</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchor>a3</anchor>
      <arglist>(const CORBA::Any &amp;any)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::FieldName</type>
      <name>current_member_name</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::TCKind</type>
      <name>current_member_kind</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::NameValuePairSeq *</type>
      <name>get_members</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>set_members</name>
      <anchor>a7</anchor>
      <arglist>(const DynamicAny::NameValuePairSeq &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::NameDynAnyPairSeq *</type>
      <name>get_members_as_dyn_any</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>set_members_as_dyn_any</name>
      <anchor>a9</anchor>
      <arglist>(const DynamicAny::NameDynAnyPairSeq &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from_any</name>
      <anchor>a10</anchor>
      <arglist>(const CORBA::Any &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Any *</type>
      <name>to_any</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>equal</name>
      <anchor>a12</anchor>
      <arglist>(DynamicAny::DynAny_ptr dyn_any)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>destroy</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::DynAny_ptr</type>
      <name>current_component</name>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>TAO_DynStruct_i *</type>
      <name>_narrow</name>
      <anchor>e0</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>check_typecode</name>
      <anchor>d0</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>set_from_any</name>
      <anchor>d1</anchor>
      <arglist>(const CORBA::Any &amp;any)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>init_common</name>
      <anchor>d2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>TAO_DynStruct_i</name>
      <anchor>d3</anchor>
      <arglist>(const TAO_DynStruct_i &amp;src)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>TAO_DynStruct_i &amp;</type>
      <name>operator=</name>
      <anchor>d4</anchor>
      <arglist>(const TAO_DynStruct_i &amp;src)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_Array_Base&lt; DynamicAny::DynAny_var &gt;</type>
      <name>da_members_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_DynUnion_i</name>
    <filename>classTAO__DynUnion__i.html</filename>
    <base virtualness="virtual">DynamicAny::DynUnion</base>
    <base virtualness="virtual">TAO_DynCommon</base>
    <base virtualness="virtual">TAO_Local_RefCounted_Object</base>
    <member kind="function">
      <type></type>
      <name>TAO_DynUnion_i</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_DynUnion_i</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchor>a2</anchor>
      <arglist>(const CORBA::Any &amp;any)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchor>a3</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::DynAny_ptr</type>
      <name>get_discriminator</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>set_discriminator</name>
      <anchor>a5</anchor>
      <arglist>(DynamicAny::DynAny_ptr d)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>set_to_default_member</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>set_to_no_active_member</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>has_no_active_member</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::TCKind</type>
      <name>discriminator_kind</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::DynAny_ptr</type>
      <name>member</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual char *</type>
      <name>member_name</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::TCKind</type>
      <name>member_kind</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from_any</name>
      <anchor>a13</anchor>
      <arglist>(const CORBA::Any &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Any *</type>
      <name>to_any</name>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>equal</name>
      <anchor>a15</anchor>
      <arglist>(DynamicAny::DynAny_ptr dyn_any)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>destroy</name>
      <anchor>a16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::DynAny_ptr</type>
      <name>current_component</name>
      <anchor>a17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>TAO_DynUnion_i *</type>
      <name>_narrow</name>
      <anchor>e0</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>set_from_any</name>
      <anchor>d0</anchor>
      <arglist>(const CORBA::Any &amp;any, CORBA::Boolean from_factory)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>init_common</name>
      <anchor>d1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>CORBA::Boolean</type>
      <name>label_match</name>
      <anchor>d2</anchor>
      <arglist>(const CORBA::Any &amp;my_any, const CORBA::Any &amp;other_any)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>TAO_DynUnion_i</name>
      <anchor>d3</anchor>
      <arglist>(const TAO_DynUnion_i &amp;src)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>TAO_DynUnion_i &amp;</type>
      <name>operator=</name>
      <anchor>d4</anchor>
      <arglist>(const TAO_DynUnion_i &amp;src)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>DynamicAny::DynAny_var</type>
      <name>member_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>DynamicAny::DynAny_var</type>
      <name>discriminator_</name>
      <anchor>r1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>CORBA::ULong</type>
      <name>member_slot_</name>
      <anchor>r2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>TAO/tao/DynamicAny/</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/DynamicAny/</path>
    <filename>dir_000002.html</filename>
    <file>DynamicAny.cpp</file>
    <file>DynamicAny.h</file>
    <file>DynamicAny.pidl</file>
    <file>dynamicany_export.h</file>
    <file>DynamicAnyC.cpp</file>
    <file>DynamicAnyC.h</file>
    <file>DynAny_i.cpp</file>
    <file>DynAny_i.h</file>
    <file>DynAnyFactory.cpp</file>
    <file>DynAnyFactory.h</file>
    <file>DynArray_i.cpp</file>
    <file>DynArray_i.h</file>
    <file>DynCommon.cpp</file>
    <file>DynCommon.h</file>
    <file>DynEnum_i.cpp</file>
    <file>DynEnum_i.h</file>
    <file>DynSequence_i.cpp</file>
    <file>DynSequence_i.h</file>
    <file>DynStruct_i.cpp</file>
    <file>DynStruct_i.h</file>
    <file>DynUnion_i.cpp</file>
    <file>DynUnion_i.h</file>
  </compound>
  <compound kind="dir">
    <name>TAO/tao/</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/</path>
    <filename>dir_000001.html</filename>
    <dir>TAO/tao/DynamicAny/</dir>
  </compound>
  <compound kind="dir">
    <name>TAO/</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/</path>
    <filename>dir_000000.html</filename>
    <dir>TAO/tao/</dir>
  </compound>
  <compound kind="namespace">
    <name>DynamicAny</name>
    <filename>namespaceDynamicAny.html</filename>
    <class kind="interface">DynamicAny::DynAny</class>
    <class kind="exception">DynamicAny::DynAny::InvalidValue</class>
    <class kind="exception">DynamicAny::DynAny::TypeMismatch</class>
    <class kind="interface">DynamicAny::DynFixed</class>
    <class kind="interface">DynamicAny::DynEnum</class>
    <class kind="struct">DynamicAny::NameValuePair</class>
    <class kind="struct">DynamicAny::NameDynAnyPair</class>
    <class kind="interface">DynamicAny::DynStruct</class>
    <class kind="interface">DynamicAny::DynUnion</class>
    <class kind="interface">DynamicAny::DynSequence</class>
    <class kind="interface">DynamicAny::DynArray</class>
    <class kind="interface">DynamicAny::DynValue</class>
    <class kind="interface">DynamicAny::DynAnyFactory</class>
    <class kind="exception">DynamicAny::DynAnyFactory::InconsistentTypeCode</class>
    <class kind="class">DynamicAny::NameValuePairSeq</class>
    <class kind="class">DynamicAny::NameDynAnyPairSeq</class>
    <class kind="class">DynamicAny::AnySeq</class>
    <class kind="class">DynamicAny::DynAnySeq</class>
    <member kind="typedef">
      <type>string</type>
      <name>FieldName</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; NameValuePair &gt;</type>
      <name>NameValuePairSeq</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; NameDynAnyPair &gt;</type>
      <name>NameDynAnyPairSeq</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; any &gt;</type>
      <name>AnySeq</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; DynAny &gt;</type>
      <name>DynAnySeq</name>
      <anchor>a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>DynAny *</type>
      <name>DynAny_ptr</name>
      <anchor>a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Var_T&lt; DynAny &gt;</type>
      <name>DynAny_var</name>
      <anchor>a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Out_T&lt; DynAny &gt;</type>
      <name>DynAny_out</name>
      <anchor>a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>DynFixed *</type>
      <name>DynFixed_ptr</name>
      <anchor>a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Var_T&lt; DynFixed &gt;</type>
      <name>DynFixed_var</name>
      <anchor>a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Out_T&lt; DynFixed &gt;</type>
      <name>DynFixed_out</name>
      <anchor>a10</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>DynEnum *</type>
      <name>DynEnum_ptr</name>
      <anchor>a11</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Var_T&lt; DynEnum &gt;</type>
      <name>DynEnum_var</name>
      <anchor>a12</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Out_T&lt; DynEnum &gt;</type>
      <name>DynEnum_out</name>
      <anchor>a13</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>CORBA::String_var</type>
      <name>FieldName_var</name>
      <anchor>a14</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>CORBA::String_out</type>
      <name>FieldName_out</name>
      <anchor>a15</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Var_Var_T&lt; NameValuePair &gt;</type>
      <name>NameValuePair_var</name>
      <anchor>a16</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Out_T&lt; NameValuePair, NameValuePair_var &gt;</type>
      <name>NameValuePair_out</name>
      <anchor>a17</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_VarSeq_Var_T&lt; NameValuePairSeq, NameValuePair &gt;</type>
      <name>NameValuePairSeq_var</name>
      <anchor>a18</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Seq_Out_T&lt; NameValuePairSeq, NameValuePairSeq_var, NameValuePair &gt;</type>
      <name>NameValuePairSeq_out</name>
      <anchor>a19</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Var_Var_T&lt; NameDynAnyPair &gt;</type>
      <name>NameDynAnyPair_var</name>
      <anchor>a20</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Out_T&lt; NameDynAnyPair, NameDynAnyPair_var &gt;</type>
      <name>NameDynAnyPair_out</name>
      <anchor>a21</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_VarSeq_Var_T&lt; NameDynAnyPairSeq, NameDynAnyPair &gt;</type>
      <name>NameDynAnyPairSeq_var</name>
      <anchor>a22</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Seq_Out_T&lt; NameDynAnyPairSeq, NameDynAnyPairSeq_var, NameDynAnyPair &gt;</type>
      <name>NameDynAnyPairSeq_out</name>
      <anchor>a23</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>DynStruct *</type>
      <name>DynStruct_ptr</name>
      <anchor>a24</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Var_T&lt; DynStruct &gt;</type>
      <name>DynStruct_var</name>
      <anchor>a25</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Out_T&lt; DynStruct &gt;</type>
      <name>DynStruct_out</name>
      <anchor>a26</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>DynUnion *</type>
      <name>DynUnion_ptr</name>
      <anchor>a27</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Var_T&lt; DynUnion &gt;</type>
      <name>DynUnion_var</name>
      <anchor>a28</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Out_T&lt; DynUnion &gt;</type>
      <name>DynUnion_out</name>
      <anchor>a29</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_VarSeq_Var_T&lt; AnySeq, CORBA::Any &gt;</type>
      <name>AnySeq_var</name>
      <anchor>a30</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Seq_Out_T&lt; AnySeq, AnySeq_var, CORBA::Any &gt;</type>
      <name>AnySeq_out</name>
      <anchor>a31</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_MngSeq_Var_T&lt; DynAnySeq, TAO_Object_Manager&lt; DynAny, DynAny_var &gt; &gt;</type>
      <name>DynAnySeq_var</name>
      <anchor>a32</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_MngSeq_Out_T&lt; DynAnySeq, DynAnySeq_var, TAO_Object_Manager&lt; DynAny, DynAny_var &gt; &gt;</type>
      <name>DynAnySeq_out</name>
      <anchor>a33</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>DynSequence *</type>
      <name>DynSequence_ptr</name>
      <anchor>a34</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Var_T&lt; DynSequence &gt;</type>
      <name>DynSequence_var</name>
      <anchor>a35</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Out_T&lt; DynSequence &gt;</type>
      <name>DynSequence_out</name>
      <anchor>a36</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>DynArray *</type>
      <name>DynArray_ptr</name>
      <anchor>a37</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Var_T&lt; DynArray &gt;</type>
      <name>DynArray_var</name>
      <anchor>a38</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Out_T&lt; DynArray &gt;</type>
      <name>DynArray_out</name>
      <anchor>a39</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>DynValue *</type>
      <name>DynValue_ptr</name>
      <anchor>a40</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Var_T&lt; DynValue &gt;</type>
      <name>DynValue_var</name>
      <anchor>a41</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Out_T&lt; DynValue &gt;</type>
      <name>DynValue_out</name>
      <anchor>a42</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>DynAnyFactory *</type>
      <name>DynAnyFactory_ptr</name>
      <anchor>a43</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Var_T&lt; DynAnyFactory &gt;</type>
      <name>DynAnyFactory_var</name>
      <anchor>a44</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Out_T&lt; DynAnyFactory &gt;</type>
      <name>DynAnyFactory_out</name>
      <anchor>a45</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>DynamicAny::DynAny</name>
    <filename>interfaceDynamicAny_1_1DynAny.html</filename>
    <base virtualness="virtual">CORBA::Object</base>
    <member kind="typedef">
      <type>DynAny_ptr</type>
      <name>_ptr_type</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>DynAny_var</type>
      <name>_var_type</name>
      <anchor>w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>CORBA::TypeCode</type>
      <name>type</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>assign</name>
      <anchor>a1</anchor>
      <arglist>(in DynAny dyn_any)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>from_any</name>
      <anchor>a2</anchor>
      <arglist>(in any value)</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>to_any</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>equal</name>
      <anchor>a4</anchor>
      <arglist>(in DynAny dyn_any)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>destroy</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DynAny</type>
      <name>copy</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_boolean</name>
      <anchor>a7</anchor>
      <arglist>(in boolean value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_octet</name>
      <anchor>a8</anchor>
      <arglist>(in octet value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_char</name>
      <anchor>a9</anchor>
      <arglist>(in char value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_short</name>
      <anchor>a10</anchor>
      <arglist>(in short value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_ushort</name>
      <anchor>a11</anchor>
      <arglist>(in unsigned short value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_long</name>
      <anchor>a12</anchor>
      <arglist>(in long value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_ulong</name>
      <anchor>a13</anchor>
      <arglist>(in unsigned long value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_float</name>
      <anchor>a14</anchor>
      <arglist>(in float value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_double</name>
      <anchor>a15</anchor>
      <arglist>(in double value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_string</name>
      <anchor>a16</anchor>
      <arglist>(in string value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_reference</name>
      <anchor>a17</anchor>
      <arglist>(in Object value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_typecode</name>
      <anchor>a18</anchor>
      <arglist>(in CORBA::TypeCode value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_longlong</name>
      <anchor>a19</anchor>
      <arglist>(in long long value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_ulonglong</name>
      <anchor>a20</anchor>
      <arglist>(in unsigned long long value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_longdouble</name>
      <anchor>a21</anchor>
      <arglist>(in long double value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_wchar</name>
      <anchor>a22</anchor>
      <arglist>(in wchar value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_wstring</name>
      <anchor>a23</anchor>
      <arglist>(in wstring value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_any</name>
      <anchor>a24</anchor>
      <arglist>(in any value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_dyn_any</name>
      <anchor>a25</anchor>
      <arglist>(in DynAny value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_val</name>
      <anchor>a26</anchor>
      <arglist>(in ValueBase value)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>get_boolean</name>
      <anchor>a27</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>octet</type>
      <name>get_octet</name>
      <anchor>a28</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>char</type>
      <name>get_char</name>
      <anchor>a29</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>short</type>
      <name>get_short</name>
      <anchor>a30</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>unsigned short</type>
      <name>get_ushort</name>
      <anchor>a31</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>get_long</name>
      <anchor>a32</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>unsigned long</type>
      <name>get_ulong</name>
      <anchor>a33</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>get_float</name>
      <anchor>a34</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>get_double</name>
      <anchor>a35</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>get_string</name>
      <anchor>a36</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>get_reference</name>
      <anchor>a37</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CORBA::TypeCode</type>
      <name>get_typecode</name>
      <anchor>a38</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long long</type>
      <name>get_longlong</name>
      <anchor>a39</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>unsigned long long</type>
      <name>get_ulonglong</name>
      <anchor>a40</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long double</type>
      <name>get_longdouble</name>
      <anchor>a41</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>wchar</type>
      <name>get_wchar</name>
      <anchor>a42</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>wstring</type>
      <name>get_wstring</name>
      <anchor>a43</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>get_any</name>
      <anchor>a44</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DynAny</type>
      <name>get_dyn_any</name>
      <anchor>a45</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ValueBase</type>
      <name>get_val</name>
      <anchor>a46</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>seek</name>
      <anchor>a47</anchor>
      <arglist>(in long index)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>rewind</name>
      <anchor>a48</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>next</name>
      <anchor>a49</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>unsigned long</type>
      <name>component_count</name>
      <anchor>a50</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DynAny</type>
      <name>current_component</name>
      <anchor>a51</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::TypeCode_ptr</type>
      <name>type</name>
      <anchor>a52</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>assign</name>
      <anchor>a53</anchor>
      <arglist>(::DynamicAny::DynAny_ptr dyn_any)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>from_any</name>
      <anchor>a54</anchor>
      <arglist>(const ::CORBA::Any &amp;value)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::Any *</type>
      <name>to_any</name>
      <anchor>a55</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::Boolean</type>
      <name>equal</name>
      <anchor>a56</anchor>
      <arglist>(::DynamicAny::DynAny_ptr dyn_any)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>destroy</name>
      <anchor>a57</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ::DynamicAny::DynAny_ptr</type>
      <name>copy</name>
      <anchor>a58</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>insert_boolean</name>
      <anchor>a59</anchor>
      <arglist>(::CORBA::Boolean value)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>insert_octet</name>
      <anchor>a60</anchor>
      <arglist>(::CORBA::Octet value)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>insert_char</name>
      <anchor>a61</anchor>
      <arglist>(::CORBA::Char value)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>insert_short</name>
      <anchor>a62</anchor>
      <arglist>(::CORBA::Short value)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>insert_ushort</name>
      <anchor>a63</anchor>
      <arglist>(::CORBA::UShort value)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>insert_long</name>
      <anchor>a64</anchor>
      <arglist>(::CORBA::Long value)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>insert_ulong</name>
      <anchor>a65</anchor>
      <arglist>(::CORBA::ULong value)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>insert_float</name>
      <anchor>a66</anchor>
      <arglist>(::CORBA::Float value)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>insert_double</name>
      <anchor>a67</anchor>
      <arglist>(::CORBA::Double value)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>insert_string</name>
      <anchor>a68</anchor>
      <arglist>(const char *value)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>insert_reference</name>
      <anchor>a69</anchor>
      <arglist>(::CORBA::Object_ptr value)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>insert_typecode</name>
      <anchor>a70</anchor>
      <arglist>(::CORBA::TypeCode_ptr value)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>insert_longlong</name>
      <anchor>a71</anchor>
      <arglist>(::CORBA::LongLong value)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>insert_ulonglong</name>
      <anchor>a72</anchor>
      <arglist>(::CORBA::ULongLong value)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>insert_longdouble</name>
      <anchor>a73</anchor>
      <arglist>(::CORBA::LongDouble value)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>insert_wchar</name>
      <anchor>a74</anchor>
      <arglist>(::CORBA::WChar value)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>insert_wstring</name>
      <anchor>a75</anchor>
      <arglist>(const CORBA::WChar *value)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>insert_any</name>
      <anchor>a76</anchor>
      <arglist>(const ::CORBA::Any &amp;value)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>insert_dyn_any</name>
      <anchor>a77</anchor>
      <arglist>(::DynamicAny::DynAny_ptr value)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>insert_val</name>
      <anchor>a78</anchor>
      <arglist>(::CORBA::ValueBase *value)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::Boolean</type>
      <name>get_boolean</name>
      <anchor>a79</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::Octet</type>
      <name>get_octet</name>
      <anchor>a80</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::Char</type>
      <name>get_char</name>
      <anchor>a81</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::Short</type>
      <name>get_short</name>
      <anchor>a82</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::UShort</type>
      <name>get_ushort</name>
      <anchor>a83</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::Long</type>
      <name>get_long</name>
      <anchor>a84</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::ULong</type>
      <name>get_ulong</name>
      <anchor>a85</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::Float</type>
      <name>get_float</name>
      <anchor>a86</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::Double</type>
      <name>get_double</name>
      <anchor>a87</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual char *</type>
      <name>get_string</name>
      <anchor>a88</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::Object_ptr</type>
      <name>get_reference</name>
      <anchor>a89</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::TypeCode_ptr</type>
      <name>get_typecode</name>
      <anchor>a90</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::LongLong</type>
      <name>get_longlong</name>
      <anchor>a91</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::ULongLong</type>
      <name>get_ulonglong</name>
      <anchor>a92</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::LongDouble</type>
      <name>get_longdouble</name>
      <anchor>a93</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::WChar</type>
      <name>get_wchar</name>
      <anchor>a94</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::WChar *</type>
      <name>get_wstring</name>
      <anchor>a95</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::Any *</type>
      <name>get_any</name>
      <anchor>a96</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ::DynamicAny::DynAny_ptr</type>
      <name>get_dyn_any</name>
      <anchor>a97</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::ValueBase *</type>
      <name>get_val</name>
      <anchor>a98</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::Boolean</type>
      <name>seek</name>
      <anchor>a99</anchor>
      <arglist>(::CORBA::Long index)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>rewind</name>
      <anchor>a100</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::Boolean</type>
      <name>next</name>
      <anchor>a101</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::ULong</type>
      <name>component_count</name>
      <anchor>a102</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ::DynamicAny::DynAny_ptr</type>
      <name>current_component</name>
      <anchor>a103</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>_is_a</name>
      <anchor>a104</anchor>
      <arglist>(const char *type_id)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>_interface_repository_id</name>
      <anchor>a105</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>marshal</name>
      <anchor>a106</anchor>
      <arglist>(TAO_OutputCDR &amp;cdr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynAny_ptr</type>
      <name>_duplicate</name>
      <anchor>e0</anchor>
      <arglist>(DynAny_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>_tao_release</name>
      <anchor>e1</anchor>
      <arglist>(DynAny_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynAny_ptr</type>
      <name>_narrow</name>
      <anchor>e2</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynAny_ptr</type>
      <name>_unchecked_narrow</name>
      <anchor>e3</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynAny_ptr</type>
      <name>_nil</name>
      <anchor>e4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>DynAny</name>
      <anchor>b0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual</type>
      <name>~DynAny</name>
      <anchor>b1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>DynAny</name>
      <anchor>d0</anchor>
      <arglist>(const DynAny &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>operator=</name>
      <anchor>d1</anchor>
      <arglist>(const DynAny &amp;)</arglist>
    </member>
  </compound>
  <compound kind="exception">
    <name>DynamicAny::DynAny::InvalidValue</name>
    <filename>exceptionDynamicAny_1_1DynAny_1_1InvalidValue.html</filename>
    <base>CORBA::UserException</base>
    <member kind="function">
      <type></type>
      <name>InvalidValue</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>InvalidValue</name>
      <anchor>a1</anchor>
      <arglist>(const InvalidValue &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~InvalidValue</name>
      <anchor>a2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>InvalidValue &amp;</type>
      <name>operator=</name>
      <anchor>a3</anchor>
      <arglist>(const InvalidValue &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Exception *</type>
      <name>_tao_duplicate</name>
      <anchor>a4</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_raise</name>
      <anchor>a5</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_tao_encode</name>
      <anchor>a6</anchor>
      <arglist>(TAO_OutputCDR &amp;) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_tao_decode</name>
      <anchor>a7</anchor>
      <arglist>(TAO_InputCDR &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>InvalidValue *</type>
      <name>_downcast</name>
      <anchor>e0</anchor>
      <arglist>(CORBA::Exception *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>const InvalidValue *</type>
      <name>_downcast</name>
      <anchor>e1</anchor>
      <arglist>(CORBA::Exception const *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CORBA::Exception *</type>
      <name>_alloc</name>
      <anchor>e2</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="exception">
    <name>DynamicAny::DynAny::TypeMismatch</name>
    <filename>exceptionDynamicAny_1_1DynAny_1_1TypeMismatch.html</filename>
    <base>CORBA::UserException</base>
    <member kind="function">
      <type></type>
      <name>TypeMismatch</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TypeMismatch</name>
      <anchor>a1</anchor>
      <arglist>(const TypeMismatch &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TypeMismatch</name>
      <anchor>a2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>TypeMismatch &amp;</type>
      <name>operator=</name>
      <anchor>a3</anchor>
      <arglist>(const TypeMismatch &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Exception *</type>
      <name>_tao_duplicate</name>
      <anchor>a4</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_raise</name>
      <anchor>a5</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_tao_encode</name>
      <anchor>a6</anchor>
      <arglist>(TAO_OutputCDR &amp;) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_tao_decode</name>
      <anchor>a7</anchor>
      <arglist>(TAO_InputCDR &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>TypeMismatch *</type>
      <name>_downcast</name>
      <anchor>e0</anchor>
      <arglist>(CORBA::Exception *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>const TypeMismatch *</type>
      <name>_downcast</name>
      <anchor>e1</anchor>
      <arglist>(CORBA::Exception const *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CORBA::Exception *</type>
      <name>_alloc</name>
      <anchor>e2</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="exception">
    <name>DynamicAny::DynAny::InvalidValue</name>
    <filename>exceptionDynamicAny_1_1DynAny_1_1InvalidValue.html</filename>
    <base>CORBA::UserException</base>
    <member kind="function">
      <type></type>
      <name>InvalidValue</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>InvalidValue</name>
      <anchor>a1</anchor>
      <arglist>(const InvalidValue &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~InvalidValue</name>
      <anchor>a2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>InvalidValue &amp;</type>
      <name>operator=</name>
      <anchor>a3</anchor>
      <arglist>(const InvalidValue &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Exception *</type>
      <name>_tao_duplicate</name>
      <anchor>a4</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_raise</name>
      <anchor>a5</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_tao_encode</name>
      <anchor>a6</anchor>
      <arglist>(TAO_OutputCDR &amp;) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_tao_decode</name>
      <anchor>a7</anchor>
      <arglist>(TAO_InputCDR &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>InvalidValue *</type>
      <name>_downcast</name>
      <anchor>e0</anchor>
      <arglist>(CORBA::Exception *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>const InvalidValue *</type>
      <name>_downcast</name>
      <anchor>e1</anchor>
      <arglist>(CORBA::Exception const *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CORBA::Exception *</type>
      <name>_alloc</name>
      <anchor>e2</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="exception">
    <name>DynamicAny::DynAny::TypeMismatch</name>
    <filename>exceptionDynamicAny_1_1DynAny_1_1TypeMismatch.html</filename>
    <base>CORBA::UserException</base>
    <member kind="function">
      <type></type>
      <name>TypeMismatch</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TypeMismatch</name>
      <anchor>a1</anchor>
      <arglist>(const TypeMismatch &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TypeMismatch</name>
      <anchor>a2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>TypeMismatch &amp;</type>
      <name>operator=</name>
      <anchor>a3</anchor>
      <arglist>(const TypeMismatch &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Exception *</type>
      <name>_tao_duplicate</name>
      <anchor>a4</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_raise</name>
      <anchor>a5</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_tao_encode</name>
      <anchor>a6</anchor>
      <arglist>(TAO_OutputCDR &amp;) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_tao_decode</name>
      <anchor>a7</anchor>
      <arglist>(TAO_InputCDR &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>TypeMismatch *</type>
      <name>_downcast</name>
      <anchor>e0</anchor>
      <arglist>(CORBA::Exception *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>const TypeMismatch *</type>
      <name>_downcast</name>
      <anchor>e1</anchor>
      <arglist>(CORBA::Exception const *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CORBA::Exception *</type>
      <name>_alloc</name>
      <anchor>e2</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>DynamicAny::DynFixed</name>
    <filename>interfaceDynamicAny_1_1DynFixed.html</filename>
    <base virtualness="virtual">DynamicAny::DynAny</base>
    <base>DynamicAny::DynAny</base>
    <member kind="typedef">
      <type>DynFixed_ptr</type>
      <name>_ptr_type</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>DynFixed_var</type>
      <name>_var_type</name>
      <anchor>w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>get_value</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>set_value</name>
      <anchor>a1</anchor>
      <arglist>(in string val)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual char *</type>
      <name>get_value</name>
      <anchor>a2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::Boolean</type>
      <name>set_value</name>
      <anchor>a3</anchor>
      <arglist>(const char *val)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>_is_a</name>
      <anchor>a4</anchor>
      <arglist>(const char *type_id)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>_interface_repository_id</name>
      <anchor>a5</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>marshal</name>
      <anchor>a6</anchor>
      <arglist>(TAO_OutputCDR &amp;cdr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynFixed_ptr</type>
      <name>_duplicate</name>
      <anchor>e0</anchor>
      <arglist>(DynFixed_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>_tao_release</name>
      <anchor>e1</anchor>
      <arglist>(DynFixed_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynFixed_ptr</type>
      <name>_narrow</name>
      <anchor>e2</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynFixed_ptr</type>
      <name>_unchecked_narrow</name>
      <anchor>e3</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynFixed_ptr</type>
      <name>_nil</name>
      <anchor>e4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>DynFixed</name>
      <anchor>b0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual</type>
      <name>~DynFixed</name>
      <anchor>b1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>DynFixed</name>
      <anchor>d0</anchor>
      <arglist>(const DynFixed &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>operator=</name>
      <anchor>d1</anchor>
      <arglist>(const DynFixed &amp;)</arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>DynamicAny::DynEnum</name>
    <filename>interfaceDynamicAny_1_1DynEnum.html</filename>
    <base virtualness="virtual">DynamicAny::DynAny</base>
    <base>DynamicAny::DynAny</base>
    <member kind="typedef">
      <type>DynEnum_ptr</type>
      <name>_ptr_type</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>DynEnum_var</type>
      <name>_var_type</name>
      <anchor>w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>get_as_string</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_as_string</name>
      <anchor>a1</anchor>
      <arglist>(in string value)</arglist>
    </member>
    <member kind="function">
      <type>unsigned long</type>
      <name>get_as_ulong</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_as_ulong</name>
      <anchor>a3</anchor>
      <arglist>(in unsigned long value)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual char *</type>
      <name>get_as_string</name>
      <anchor>a4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>set_as_string</name>
      <anchor>a5</anchor>
      <arglist>(const char *value)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::ULong</type>
      <name>get_as_ulong</name>
      <anchor>a6</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>set_as_ulong</name>
      <anchor>a7</anchor>
      <arglist>(::CORBA::ULong value)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>_is_a</name>
      <anchor>a8</anchor>
      <arglist>(const char *type_id)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>_interface_repository_id</name>
      <anchor>a9</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>marshal</name>
      <anchor>a10</anchor>
      <arglist>(TAO_OutputCDR &amp;cdr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynEnum_ptr</type>
      <name>_duplicate</name>
      <anchor>e0</anchor>
      <arglist>(DynEnum_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>_tao_release</name>
      <anchor>e1</anchor>
      <arglist>(DynEnum_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynEnum_ptr</type>
      <name>_narrow</name>
      <anchor>e2</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynEnum_ptr</type>
      <name>_unchecked_narrow</name>
      <anchor>e3</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynEnum_ptr</type>
      <name>_nil</name>
      <anchor>e4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>DynEnum</name>
      <anchor>b0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual</type>
      <name>~DynEnum</name>
      <anchor>b1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>DynEnum</name>
      <anchor>d0</anchor>
      <arglist>(const DynEnum &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>operator=</name>
      <anchor>d1</anchor>
      <arglist>(const DynEnum &amp;)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>DynamicAny::NameValuePair</name>
    <filename>structDynamicAny_1_1NameValuePair.html</filename>
    <member kind="typedef">
      <type>NameValuePair_var</type>
      <name>_var_type</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>FieldName</type>
      <name>id</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>any</type>
      <name>value</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TAO_String_Manager</type>
      <name>id</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>CORBA::Any</type>
      <name>value</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>DynamicAny::NameDynAnyPair</name>
    <filename>structDynamicAny_1_1NameDynAnyPair.html</filename>
    <member kind="typedef">
      <type>NameDynAnyPair_var</type>
      <name>_var_type</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>FieldName</type>
      <name>id</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>DynAny</type>
      <name>value</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TAO_String_Manager</type>
      <name>id</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>DynamicAny::DynAny_var</type>
      <name>value</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>DynamicAny::DynStruct</name>
    <filename>interfaceDynamicAny_1_1DynStruct.html</filename>
    <base virtualness="virtual">DynamicAny::DynAny</base>
    <base>DynamicAny::DynAny</base>
    <member kind="typedef">
      <type>DynStruct_ptr</type>
      <name>_ptr_type</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>DynStruct_var</type>
      <name>_var_type</name>
      <anchor>w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>FieldName</type>
      <name>current_member_name</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CORBA::TCKind</type>
      <name>current_member_kind</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>NameValuePairSeq</type>
      <name>get_members</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_members</name>
      <anchor>a3</anchor>
      <arglist>(in NameValuePairSeq value)</arglist>
    </member>
    <member kind="function">
      <type>NameDynAnyPairSeq</type>
      <name>get_members_as_dyn_any</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_members_as_dyn_any</name>
      <anchor>a5</anchor>
      <arglist>(in NameDynAnyPairSeq value)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual char *</type>
      <name>current_member_name</name>
      <anchor>a6</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ::CORBA::TCKind</type>
      <name>current_member_kind</name>
      <anchor>a7</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ::DynamicAny::NameValuePairSeq *</type>
      <name>get_members</name>
      <anchor>a8</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>set_members</name>
      <anchor>a9</anchor>
      <arglist>(const ::DynamicAny::NameValuePairSeq &amp;value)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ::DynamicAny::NameDynAnyPairSeq *</type>
      <name>get_members_as_dyn_any</name>
      <anchor>a10</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>set_members_as_dyn_any</name>
      <anchor>a11</anchor>
      <arglist>(const ::DynamicAny::NameDynAnyPairSeq &amp;value)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>_is_a</name>
      <anchor>a12</anchor>
      <arglist>(const char *type_id)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>_interface_repository_id</name>
      <anchor>a13</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>marshal</name>
      <anchor>a14</anchor>
      <arglist>(TAO_OutputCDR &amp;cdr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynStruct_ptr</type>
      <name>_duplicate</name>
      <anchor>e0</anchor>
      <arglist>(DynStruct_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>_tao_release</name>
      <anchor>e1</anchor>
      <arglist>(DynStruct_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynStruct_ptr</type>
      <name>_narrow</name>
      <anchor>e2</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynStruct_ptr</type>
      <name>_unchecked_narrow</name>
      <anchor>e3</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynStruct_ptr</type>
      <name>_nil</name>
      <anchor>e4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>DynStruct</name>
      <anchor>b0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual</type>
      <name>~DynStruct</name>
      <anchor>b1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>DynStruct</name>
      <anchor>d0</anchor>
      <arglist>(const DynStruct &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>operator=</name>
      <anchor>d1</anchor>
      <arglist>(const DynStruct &amp;)</arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>DynamicAny::DynUnion</name>
    <filename>interfaceDynamicAny_1_1DynUnion.html</filename>
    <base virtualness="virtual">DynamicAny::DynAny</base>
    <base>DynamicAny::DynAny</base>
    <member kind="typedef">
      <type>DynUnion_ptr</type>
      <name>_ptr_type</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>DynUnion_var</type>
      <name>_var_type</name>
      <anchor>w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>DynAny</type>
      <name>get_discriminator</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_discriminator</name>
      <anchor>a1</anchor>
      <arglist>(in DynAny d)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_to_default_member</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_to_no_active_member</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>has_no_active_member</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CORBA::TCKind</type>
      <name>discriminator_kind</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DynAny</type>
      <name>member</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>FieldName</type>
      <name>member_name</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CORBA::TCKind</type>
      <name>member_kind</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ::DynamicAny::DynAny_ptr</type>
      <name>get_discriminator</name>
      <anchor>a9</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>set_discriminator</name>
      <anchor>a10</anchor>
      <arglist>(::DynamicAny::DynAny_ptr d)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>set_to_default_member</name>
      <anchor>a11</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>set_to_no_active_member</name>
      <anchor>a12</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::Boolean</type>
      <name>has_no_active_member</name>
      <anchor>a13</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ::CORBA::TCKind</type>
      <name>discriminator_kind</name>
      <anchor>a14</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ::DynamicAny::DynAny_ptr</type>
      <name>member</name>
      <anchor>a15</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual char *</type>
      <name>member_name</name>
      <anchor>a16</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ::CORBA::TCKind</type>
      <name>member_kind</name>
      <anchor>a17</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>_is_a</name>
      <anchor>a18</anchor>
      <arglist>(const char *type_id)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>_interface_repository_id</name>
      <anchor>a19</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>marshal</name>
      <anchor>a20</anchor>
      <arglist>(TAO_OutputCDR &amp;cdr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynUnion_ptr</type>
      <name>_duplicate</name>
      <anchor>e0</anchor>
      <arglist>(DynUnion_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>_tao_release</name>
      <anchor>e1</anchor>
      <arglist>(DynUnion_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynUnion_ptr</type>
      <name>_narrow</name>
      <anchor>e2</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynUnion_ptr</type>
      <name>_unchecked_narrow</name>
      <anchor>e3</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynUnion_ptr</type>
      <name>_nil</name>
      <anchor>e4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>DynUnion</name>
      <anchor>b0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual</type>
      <name>~DynUnion</name>
      <anchor>b1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>DynUnion</name>
      <anchor>d0</anchor>
      <arglist>(const DynUnion &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>operator=</name>
      <anchor>d1</anchor>
      <arglist>(const DynUnion &amp;)</arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>DynamicAny::DynSequence</name>
    <filename>interfaceDynamicAny_1_1DynSequence.html</filename>
    <base virtualness="virtual">DynamicAny::DynAny</base>
    <base>DynamicAny::DynAny</base>
    <member kind="typedef">
      <type>DynSequence_ptr</type>
      <name>_ptr_type</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>DynSequence_var</type>
      <name>_var_type</name>
      <anchor>w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>unsigned long</type>
      <name>get_length</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_length</name>
      <anchor>a1</anchor>
      <arglist>(in unsigned long len)</arglist>
    </member>
    <member kind="function">
      <type>AnySeq</type>
      <name>get_elements</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_elements</name>
      <anchor>a3</anchor>
      <arglist>(in AnySeq value)</arglist>
    </member>
    <member kind="function">
      <type>DynAnySeq</type>
      <name>get_elements_as_dyn_any</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_elements_as_dyn_any</name>
      <anchor>a5</anchor>
      <arglist>(in DynAnySeq value)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::ULong</type>
      <name>get_length</name>
      <anchor>a6</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>set_length</name>
      <anchor>a7</anchor>
      <arglist>(::CORBA::ULong len)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ::DynamicAny::AnySeq *</type>
      <name>get_elements</name>
      <anchor>a8</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>set_elements</name>
      <anchor>a9</anchor>
      <arglist>(const ::DynamicAny::AnySeq &amp;value)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ::DynamicAny::DynAnySeq *</type>
      <name>get_elements_as_dyn_any</name>
      <anchor>a10</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>set_elements_as_dyn_any</name>
      <anchor>a11</anchor>
      <arglist>(const ::DynamicAny::DynAnySeq &amp;value)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>_is_a</name>
      <anchor>a12</anchor>
      <arglist>(const char *type_id)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>_interface_repository_id</name>
      <anchor>a13</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>marshal</name>
      <anchor>a14</anchor>
      <arglist>(TAO_OutputCDR &amp;cdr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynSequence_ptr</type>
      <name>_duplicate</name>
      <anchor>e0</anchor>
      <arglist>(DynSequence_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>_tao_release</name>
      <anchor>e1</anchor>
      <arglist>(DynSequence_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynSequence_ptr</type>
      <name>_narrow</name>
      <anchor>e2</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynSequence_ptr</type>
      <name>_unchecked_narrow</name>
      <anchor>e3</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynSequence_ptr</type>
      <name>_nil</name>
      <anchor>e4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>DynSequence</name>
      <anchor>b0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual</type>
      <name>~DynSequence</name>
      <anchor>b1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>DynSequence</name>
      <anchor>d0</anchor>
      <arglist>(const DynSequence &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>operator=</name>
      <anchor>d1</anchor>
      <arglist>(const DynSequence &amp;)</arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>DynamicAny::DynArray</name>
    <filename>interfaceDynamicAny_1_1DynArray.html</filename>
    <base virtualness="virtual">DynamicAny::DynAny</base>
    <base>DynamicAny::DynAny</base>
    <member kind="typedef">
      <type>DynArray_ptr</type>
      <name>_ptr_type</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>DynArray_var</type>
      <name>_var_type</name>
      <anchor>w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>AnySeq</type>
      <name>get_elements</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_elements</name>
      <anchor>a1</anchor>
      <arglist>(in AnySeq value)</arglist>
    </member>
    <member kind="function">
      <type>DynAnySeq</type>
      <name>get_elements_as_dyn_any</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_elements_as_dyn_any</name>
      <anchor>a3</anchor>
      <arglist>(in DynAnySeq value)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ::DynamicAny::AnySeq *</type>
      <name>get_elements</name>
      <anchor>a4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>set_elements</name>
      <anchor>a5</anchor>
      <arglist>(const ::DynamicAny::AnySeq &amp;value)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ::DynamicAny::DynAnySeq *</type>
      <name>get_elements_as_dyn_any</name>
      <anchor>a6</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>set_elements_as_dyn_any</name>
      <anchor>a7</anchor>
      <arglist>(const ::DynamicAny::DynAnySeq &amp;value)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>_is_a</name>
      <anchor>a8</anchor>
      <arglist>(const char *type_id)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>_interface_repository_id</name>
      <anchor>a9</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>marshal</name>
      <anchor>a10</anchor>
      <arglist>(TAO_OutputCDR &amp;cdr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynArray_ptr</type>
      <name>_duplicate</name>
      <anchor>e0</anchor>
      <arglist>(DynArray_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>_tao_release</name>
      <anchor>e1</anchor>
      <arglist>(DynArray_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynArray_ptr</type>
      <name>_narrow</name>
      <anchor>e2</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynArray_ptr</type>
      <name>_unchecked_narrow</name>
      <anchor>e3</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynArray_ptr</type>
      <name>_nil</name>
      <anchor>e4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>DynArray</name>
      <anchor>b0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual</type>
      <name>~DynArray</name>
      <anchor>b1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>DynArray</name>
      <anchor>d0</anchor>
      <arglist>(const DynArray &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>operator=</name>
      <anchor>d1</anchor>
      <arglist>(const DynArray &amp;)</arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>DynamicAny::DynValue</name>
    <filename>interfaceDynamicAny_1_1DynValue.html</filename>
    <base virtualness="virtual">DynamicAny::DynAny</base>
    <base>DynamicAny::DynAny</base>
    <member kind="typedef">
      <type>DynValue_ptr</type>
      <name>_ptr_type</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>DynValue_var</type>
      <name>_var_type</name>
      <anchor>w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>FieldName</type>
      <name>current_member_name</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CORBA::TCKind</type>
      <name>current_member_kind</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>NameValuePairSeq</type>
      <name>get_members</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_members</name>
      <anchor>a3</anchor>
      <arglist>(in NameValuePairSeq value)</arglist>
    </member>
    <member kind="function">
      <type>NameDynAnyPairSeq</type>
      <name>get_members_as_dyn_any</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_members_as_dyn_any</name>
      <anchor>a5</anchor>
      <arglist>(in NameDynAnyPairSeq value)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual char *</type>
      <name>current_member_name</name>
      <anchor>a6</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ::CORBA::TCKind</type>
      <name>current_member_kind</name>
      <anchor>a7</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ::DynamicAny::NameValuePairSeq *</type>
      <name>get_members</name>
      <anchor>a8</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>set_members</name>
      <anchor>a9</anchor>
      <arglist>(const ::DynamicAny::NameValuePairSeq &amp;value)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ::DynamicAny::NameDynAnyPairSeq *</type>
      <name>get_members_as_dyn_any</name>
      <anchor>a10</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>set_members_as_dyn_any</name>
      <anchor>a11</anchor>
      <arglist>(const ::DynamicAny::NameDynAnyPairSeq &amp;value)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>_is_a</name>
      <anchor>a12</anchor>
      <arglist>(const char *type_id)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>_interface_repository_id</name>
      <anchor>a13</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>marshal</name>
      <anchor>a14</anchor>
      <arglist>(TAO_OutputCDR &amp;cdr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynValue_ptr</type>
      <name>_duplicate</name>
      <anchor>e0</anchor>
      <arglist>(DynValue_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>_tao_release</name>
      <anchor>e1</anchor>
      <arglist>(DynValue_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynValue_ptr</type>
      <name>_narrow</name>
      <anchor>e2</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynValue_ptr</type>
      <name>_unchecked_narrow</name>
      <anchor>e3</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynValue_ptr</type>
      <name>_nil</name>
      <anchor>e4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>DynValue</name>
      <anchor>b0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual</type>
      <name>~DynValue</name>
      <anchor>b1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>DynValue</name>
      <anchor>d0</anchor>
      <arglist>(const DynValue &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>operator=</name>
      <anchor>d1</anchor>
      <arglist>(const DynValue &amp;)</arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>DynamicAny::DynAnyFactory</name>
    <filename>interfaceDynamicAny_1_1DynAnyFactory.html</filename>
    <base virtualness="virtual">CORBA::Object</base>
    <member kind="typedef">
      <type>DynAnyFactory_ptr</type>
      <name>_ptr_type</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>DynAnyFactory_var</type>
      <name>_var_type</name>
      <anchor>w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>DynAny</type>
      <name>create_dyn_any</name>
      <anchor>a0</anchor>
      <arglist>(in any value)</arglist>
    </member>
    <member kind="function">
      <type>DynAny</type>
      <name>create_dyn_any_from_type_code</name>
      <anchor>a1</anchor>
      <arglist>(in CORBA::TypeCode type)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ::DynamicAny::DynAny_ptr</type>
      <name>create_dyn_any</name>
      <anchor>a2</anchor>
      <arglist>(const ::CORBA::Any &amp;value)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ::DynamicAny::DynAny_ptr</type>
      <name>create_dyn_any_from_type_code</name>
      <anchor>a3</anchor>
      <arglist>(::CORBA::TypeCode_ptr type)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>_is_a</name>
      <anchor>a4</anchor>
      <arglist>(const char *type_id)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>_interface_repository_id</name>
      <anchor>a5</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>marshal</name>
      <anchor>a6</anchor>
      <arglist>(TAO_OutputCDR &amp;cdr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynAnyFactory_ptr</type>
      <name>_duplicate</name>
      <anchor>e0</anchor>
      <arglist>(DynAnyFactory_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>_tao_release</name>
      <anchor>e1</anchor>
      <arglist>(DynAnyFactory_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynAnyFactory_ptr</type>
      <name>_narrow</name>
      <anchor>e2</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynAnyFactory_ptr</type>
      <name>_unchecked_narrow</name>
      <anchor>e3</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>DynAnyFactory_ptr</type>
      <name>_nil</name>
      <anchor>e4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>DynAnyFactory</name>
      <anchor>b0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual</type>
      <name>~DynAnyFactory</name>
      <anchor>b1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>DynAnyFactory</name>
      <anchor>d0</anchor>
      <arglist>(const DynAnyFactory &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>operator=</name>
      <anchor>d1</anchor>
      <arglist>(const DynAnyFactory &amp;)</arglist>
    </member>
  </compound>
  <compound kind="exception">
    <name>DynamicAny::DynAnyFactory::InconsistentTypeCode</name>
    <filename>exceptionDynamicAny_1_1DynAnyFactory_1_1InconsistentTypeCode.html</filename>
    <base>CORBA::UserException</base>
    <member kind="function">
      <type></type>
      <name>InconsistentTypeCode</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>InconsistentTypeCode</name>
      <anchor>a1</anchor>
      <arglist>(const InconsistentTypeCode &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~InconsistentTypeCode</name>
      <anchor>a2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>InconsistentTypeCode &amp;</type>
      <name>operator=</name>
      <anchor>a3</anchor>
      <arglist>(const InconsistentTypeCode &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Exception *</type>
      <name>_tao_duplicate</name>
      <anchor>a4</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_raise</name>
      <anchor>a5</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_tao_encode</name>
      <anchor>a6</anchor>
      <arglist>(TAO_OutputCDR &amp;) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_tao_decode</name>
      <anchor>a7</anchor>
      <arglist>(TAO_InputCDR &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>InconsistentTypeCode *</type>
      <name>_downcast</name>
      <anchor>e0</anchor>
      <arglist>(CORBA::Exception *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>const InconsistentTypeCode *</type>
      <name>_downcast</name>
      <anchor>e1</anchor>
      <arglist>(CORBA::Exception const *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CORBA::Exception *</type>
      <name>_alloc</name>
      <anchor>e2</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="exception">
    <name>DynamicAny::DynAnyFactory::InconsistentTypeCode</name>
    <filename>exceptionDynamicAny_1_1DynAnyFactory_1_1InconsistentTypeCode.html</filename>
    <base>CORBA::UserException</base>
    <member kind="function">
      <type></type>
      <name>InconsistentTypeCode</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>InconsistentTypeCode</name>
      <anchor>a1</anchor>
      <arglist>(const InconsistentTypeCode &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~InconsistentTypeCode</name>
      <anchor>a2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>InconsistentTypeCode &amp;</type>
      <name>operator=</name>
      <anchor>a3</anchor>
      <arglist>(const InconsistentTypeCode &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Exception *</type>
      <name>_tao_duplicate</name>
      <anchor>a4</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_raise</name>
      <anchor>a5</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_tao_encode</name>
      <anchor>a6</anchor>
      <arglist>(TAO_OutputCDR &amp;) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_tao_decode</name>
      <anchor>a7</anchor>
      <arglist>(TAO_InputCDR &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>InconsistentTypeCode *</type>
      <name>_downcast</name>
      <anchor>e0</anchor>
      <arglist>(CORBA::Exception *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>const InconsistentTypeCode *</type>
      <name>_downcast</name>
      <anchor>e1</anchor>
      <arglist>(CORBA::Exception const *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CORBA::Exception *</type>
      <name>_alloc</name>
      <anchor>e2</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DynamicAny::NameValuePairSeq</name>
    <filename>classDynamicAny_1_1NameValuePairSeq.html</filename>
    <base>TAO_Unbounded_Sequence&lt; NameValuePair &gt;</base>
    <member kind="typedef">
      <type>NameValuePairSeq_var</type>
      <name>_var_type</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>NameValuePairSeq</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>NameValuePairSeq</name>
      <anchor>a1</anchor>
      <arglist>(CORBA::ULong max)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>NameValuePairSeq</name>
      <anchor>a2</anchor>
      <arglist>(CORBA::ULong max, CORBA::ULong length, NameValuePair *buffer, CORBA::Boolean release=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>NameValuePairSeq</name>
      <anchor>a3</anchor>
      <arglist>(const NameValuePairSeq &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~NameValuePairSeq</name>
      <anchor>a4</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DynamicAny::NameDynAnyPairSeq</name>
    <filename>classDynamicAny_1_1NameDynAnyPairSeq.html</filename>
    <base>TAO_Unbounded_Sequence&lt; NameDynAnyPair &gt;</base>
    <member kind="typedef">
      <type>NameDynAnyPairSeq_var</type>
      <name>_var_type</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>NameDynAnyPairSeq</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>NameDynAnyPairSeq</name>
      <anchor>a1</anchor>
      <arglist>(CORBA::ULong max)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>NameDynAnyPairSeq</name>
      <anchor>a2</anchor>
      <arglist>(CORBA::ULong max, CORBA::ULong length, NameDynAnyPair *buffer, CORBA::Boolean release=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>NameDynAnyPairSeq</name>
      <anchor>a3</anchor>
      <arglist>(const NameDynAnyPairSeq &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~NameDynAnyPairSeq</name>
      <anchor>a4</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DynamicAny::AnySeq</name>
    <filename>classDynamicAny_1_1AnySeq.html</filename>
    <base>TAO_Unbounded_Sequence&lt; CORBA::Any &gt;</base>
    <member kind="typedef">
      <type>AnySeq_var</type>
      <name>_var_type</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AnySeq</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AnySeq</name>
      <anchor>a1</anchor>
      <arglist>(CORBA::ULong max)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AnySeq</name>
      <anchor>a2</anchor>
      <arglist>(CORBA::ULong max, CORBA::ULong length, CORBA::Any *buffer, CORBA::Boolean release=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AnySeq</name>
      <anchor>a3</anchor>
      <arglist>(const AnySeq &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~AnySeq</name>
      <anchor>a4</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DynamicAny::DynAnySeq</name>
    <filename>classDynamicAny_1_1DynAnySeq.html</filename>
    <base>TAO_Unbounded_Object_Sequence&lt; DynAny, DynAny_var &gt;</base>
    <member kind="typedef">
      <type>DynAnySeq_var</type>
      <name>_var_type</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DynAnySeq</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DynAnySeq</name>
      <anchor>a1</anchor>
      <arglist>(CORBA::ULong max)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DynAnySeq</name>
      <anchor>a2</anchor>
      <arglist>(CORBA::ULong max, CORBA::ULong length, DynAny_ptr *buffer, CORBA::Boolean release=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DynAnySeq</name>
      <anchor>a3</anchor>
      <arglist>(const DynAnySeq &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~DynAnySeq</name>
      <anchor>a4</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>TAO::Objref_Traits&lt; ::DynamicAny::DynAny &gt;</name>
    <filename>structTAO_1_1Objref__Traits_3_01_1_1DynamicAny_1_1DynAny_01_4.html</filename>
    <member kind="function" static="yes">
      <type>::DynamicAny::DynAny_ptr</type>
      <name>duplicate</name>
      <anchor>e0</anchor>
      <arglist>(::DynamicAny::DynAny_ptr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>release</name>
      <anchor>e1</anchor>
      <arglist>(::DynamicAny::DynAny_ptr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>::DynamicAny::DynAny_ptr</type>
      <name>nil</name>
      <anchor>e2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CORBA::Boolean</type>
      <name>marshal</name>
      <anchor>e3</anchor>
      <arglist>(::DynamicAny::DynAny_ptr p, TAO_OutputCDR &amp;cdr)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>TAO::Objref_Traits&lt; ::DynamicAny::DynFixed &gt;</name>
    <filename>structTAO_1_1Objref__Traits_3_01_1_1DynamicAny_1_1DynFixed_01_4.html</filename>
    <member kind="function" static="yes">
      <type>::DynamicAny::DynFixed_ptr</type>
      <name>duplicate</name>
      <anchor>e0</anchor>
      <arglist>(::DynamicAny::DynFixed_ptr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>release</name>
      <anchor>e1</anchor>
      <arglist>(::DynamicAny::DynFixed_ptr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>::DynamicAny::DynFixed_ptr</type>
      <name>nil</name>
      <anchor>e2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CORBA::Boolean</type>
      <name>marshal</name>
      <anchor>e3</anchor>
      <arglist>(::DynamicAny::DynFixed_ptr p, TAO_OutputCDR &amp;cdr)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>TAO::Objref_Traits&lt; ::DynamicAny::DynEnum &gt;</name>
    <filename>structTAO_1_1Objref__Traits_3_01_1_1DynamicAny_1_1DynEnum_01_4.html</filename>
    <member kind="function" static="yes">
      <type>::DynamicAny::DynEnum_ptr</type>
      <name>duplicate</name>
      <anchor>e0</anchor>
      <arglist>(::DynamicAny::DynEnum_ptr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>release</name>
      <anchor>e1</anchor>
      <arglist>(::DynamicAny::DynEnum_ptr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>::DynamicAny::DynEnum_ptr</type>
      <name>nil</name>
      <anchor>e2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CORBA::Boolean</type>
      <name>marshal</name>
      <anchor>e3</anchor>
      <arglist>(::DynamicAny::DynEnum_ptr p, TAO_OutputCDR &amp;cdr)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>TAO::Objref_Traits&lt; ::DynamicAny::DynStruct &gt;</name>
    <filename>structTAO_1_1Objref__Traits_3_01_1_1DynamicAny_1_1DynStruct_01_4.html</filename>
    <member kind="function" static="yes">
      <type>::DynamicAny::DynStruct_ptr</type>
      <name>duplicate</name>
      <anchor>e0</anchor>
      <arglist>(::DynamicAny::DynStruct_ptr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>release</name>
      <anchor>e1</anchor>
      <arglist>(::DynamicAny::DynStruct_ptr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>::DynamicAny::DynStruct_ptr</type>
      <name>nil</name>
      <anchor>e2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CORBA::Boolean</type>
      <name>marshal</name>
      <anchor>e3</anchor>
      <arglist>(::DynamicAny::DynStruct_ptr p, TAO_OutputCDR &amp;cdr)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>TAO::Objref_Traits&lt; ::DynamicAny::DynUnion &gt;</name>
    <filename>structTAO_1_1Objref__Traits_3_01_1_1DynamicAny_1_1DynUnion_01_4.html</filename>
    <member kind="function" static="yes">
      <type>::DynamicAny::DynUnion_ptr</type>
      <name>duplicate</name>
      <anchor>e0</anchor>
      <arglist>(::DynamicAny::DynUnion_ptr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>release</name>
      <anchor>e1</anchor>
      <arglist>(::DynamicAny::DynUnion_ptr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>::DynamicAny::DynUnion_ptr</type>
      <name>nil</name>
      <anchor>e2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CORBA::Boolean</type>
      <name>marshal</name>
      <anchor>e3</anchor>
      <arglist>(::DynamicAny::DynUnion_ptr p, TAO_OutputCDR &amp;cdr)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>TAO::Objref_Traits&lt; ::DynamicAny::DynSequence &gt;</name>
    <filename>structTAO_1_1Objref__Traits_3_01_1_1DynamicAny_1_1DynSequence_01_4.html</filename>
    <member kind="function" static="yes">
      <type>::DynamicAny::DynSequence_ptr</type>
      <name>duplicate</name>
      <anchor>e0</anchor>
      <arglist>(::DynamicAny::DynSequence_ptr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>release</name>
      <anchor>e1</anchor>
      <arglist>(::DynamicAny::DynSequence_ptr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>::DynamicAny::DynSequence_ptr</type>
      <name>nil</name>
      <anchor>e2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CORBA::Boolean</type>
      <name>marshal</name>
      <anchor>e3</anchor>
      <arglist>(::DynamicAny::DynSequence_ptr p, TAO_OutputCDR &amp;cdr)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>TAO::Objref_Traits&lt; ::DynamicAny::DynArray &gt;</name>
    <filename>structTAO_1_1Objref__Traits_3_01_1_1DynamicAny_1_1DynArray_01_4.html</filename>
    <member kind="function" static="yes">
      <type>::DynamicAny::DynArray_ptr</type>
      <name>duplicate</name>
      <anchor>e0</anchor>
      <arglist>(::DynamicAny::DynArray_ptr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>release</name>
      <anchor>e1</anchor>
      <arglist>(::DynamicAny::DynArray_ptr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>::DynamicAny::DynArray_ptr</type>
      <name>nil</name>
      <anchor>e2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CORBA::Boolean</type>
      <name>marshal</name>
      <anchor>e3</anchor>
      <arglist>(::DynamicAny::DynArray_ptr p, TAO_OutputCDR &amp;cdr)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>TAO::Objref_Traits&lt; ::DynamicAny::DynValue &gt;</name>
    <filename>structTAO_1_1Objref__Traits_3_01_1_1DynamicAny_1_1DynValue_01_4.html</filename>
    <member kind="function" static="yes">
      <type>::DynamicAny::DynValue_ptr</type>
      <name>duplicate</name>
      <anchor>e0</anchor>
      <arglist>(::DynamicAny::DynValue_ptr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>release</name>
      <anchor>e1</anchor>
      <arglist>(::DynamicAny::DynValue_ptr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>::DynamicAny::DynValue_ptr</type>
      <name>nil</name>
      <anchor>e2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CORBA::Boolean</type>
      <name>marshal</name>
      <anchor>e3</anchor>
      <arglist>(::DynamicAny::DynValue_ptr p, TAO_OutputCDR &amp;cdr)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>TAO::Objref_Traits&lt; ::DynamicAny::DynAnyFactory &gt;</name>
    <filename>structTAO_1_1Objref__Traits_3_01_1_1DynamicAny_1_1DynAnyFactory_01_4.html</filename>
    <member kind="function" static="yes">
      <type>::DynamicAny::DynAnyFactory_ptr</type>
      <name>duplicate</name>
      <anchor>e0</anchor>
      <arglist>(::DynamicAny::DynAnyFactory_ptr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>release</name>
      <anchor>e1</anchor>
      <arglist>(::DynamicAny::DynAnyFactory_ptr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>::DynamicAny::DynAnyFactory_ptr</type>
      <name>nil</name>
      <anchor>e2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CORBA::Boolean</type>
      <name>marshal</name>
      <anchor>e3</anchor>
      <arglist>(::DynamicAny::DynAnyFactory_ptr p, TAO_OutputCDR &amp;cdr)</arglist>
    </member>
  </compound>
</tagfile>
