<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="file">
    <name>IOR_Table_Impl.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/IORTable/</path>
    <filename>IOR__Table__Impl_8cpp</filename>
    <includes id="IOR__Table__Impl_8h" name="IOR_Table_Impl.h" local="yes" imported="no">IOR_Table_Impl.h</includes>
  </compound>
  <compound kind="file">
    <name>IOR_Table_Impl.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/IORTable/</path>
    <filename>IOR__Table__Impl_8h</filename>
    <includes id="IORTable_8h" name="IORTable.h" local="yes" imported="no">IORTable.h</includes>
    <class kind="class">TAO_IOR_Table_Impl</class>
  </compound>
  <compound kind="file">
    <name>IORTable.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/IORTable/</path>
    <filename>IORTable_8cpp</filename>
    <includes id="IORTable_8h" name="IORTable.h" local="yes" imported="no">IORTable.h</includes>
    <includes id="Table__Adapter_8h" name="Table_Adapter.h" local="yes" imported="no">Table_Adapter.h</includes>
  </compound>
  <compound kind="file">
    <name>IORTable.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/IORTable/</path>
    <filename>IORTable_8h</filename>
    <includes id="iortable__export_8h" name="iortable_export.h" local="yes" imported="no">iortable_export.h</includes>
    <includes id="IORTableC_8h" name="IORTableC.h" local="yes" imported="no">IORTableC.h</includes>
    <class kind="class">TAO_IORTable_Initializer</class>
    <member kind="define">
      <type>#define</type>
      <name>TAO_IORTABLE_SAFE_INCLUDE</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>int</type>
      <name>TAO_Requires_IORTable_Initializer</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>IORTable.pidl</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/IORTable/</path>
    <filename>IORTable_8pidl</filename>
    <namespace>IORTable</namespace>
    <class kind="exception">IORTable::AlreadyBound</class>
    <class kind="exception">IORTable::NotFound</class>
    <class kind="interface">IORTable::Table</class>
    <class kind="interface">IORTable::Locator</class>
  </compound>
  <compound kind="file">
    <name>iortable_export.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/IORTable/</path>
    <filename>iortable__export_8h</filename>
    <member kind="define">
      <type>#define</type>
      <name>TAO_IORTABLE_HAS_DLL</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_IORTable_Export</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_IORTABLE_SINGLETON_DECLARATION</name>
      <anchor>a2</anchor>
      <arglist>(T)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_IORTABLE_SINGLETON_DECLARE</name>
      <anchor>a3</anchor>
      <arglist>(SINGLETON_TYPE, CLASS, LOCK)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>IORTableC.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/IORTable/</path>
    <filename>IORTableC_8cpp</filename>
    <includes id="IORTable_8h" name="IORTable.h" local="yes" imported="no">IORTable.h</includes>
    <namespace>TAO</namespace>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&lt;&lt;</name>
      <anchor>a0</anchor>
      <arglist>(TAO_OutputCDR &amp;strm, const IORTable::AlreadyBound &amp;_tao_aggregate)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&gt;&gt;</name>
      <anchor>a1</anchor>
      <arglist>(TAO_InputCDR &amp;, IORTable::AlreadyBound &amp;)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&lt;&lt;</name>
      <anchor>a2</anchor>
      <arglist>(TAO_OutputCDR &amp;strm, const IORTable::NotFound &amp;_tao_aggregate)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>operator&gt;&gt;</name>
      <anchor>a3</anchor>
      <arglist>(TAO_InputCDR &amp;, IORTable::NotFound &amp;)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>IORTableC.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/IORTable/</path>
    <filename>IORTableC_8h</filename>
    <includes id="iortable__export_8h" name="iortable_export.h" local="yes" imported="no">iortable_export.h</includes>
    <namespace>IORTable</namespace>
    <namespace>TAO</namespace>
    <class kind="exception">IORTable::AlreadyBound</class>
    <class kind="exception">IORTable::NotFound</class>
    <class kind="interface">IORTable::Table</class>
    <class kind="interface">IORTable::Locator</class>
    <class kind="struct">TAO::Objref_Traits&lt; ::IORTable::Locator &gt;</class>
    <class kind="struct">TAO::Objref_Traits&lt; ::IORTable::Table &gt;</class>
    <member kind="define">
      <type>#define</type>
      <name>TAO_EXPORT_MACRO</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_IORTABLE_LOCATOR__VAR_OUT_CH_</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_IORTABLE_ALREADYBOUND_CH_</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_IORTABLE_NOTFOUND_CH_</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_IORTABLE_TABLE__VAR_OUT_CH_</name>
      <anchor>a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_IORTABLE_TABLE_CH_</name>
      <anchor>a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_IORTABLE_LOCATOR_CH_</name>
      <anchor>a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_IORTABLE_LOCATOR__TRAITS_CH_</name>
      <anchor>a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_IORTABLE_TABLE__TRAITS_CH_</name>
      <anchor>a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Locator *</type>
      <name>Locator_ptr</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Var_T&lt; Locator &gt;</type>
      <name>Locator_var</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Out_T&lt; Locator &gt;</type>
      <name>Locator_out</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Table *</type>
      <name>Table_ptr</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Var_T&lt; Table &gt;</type>
      <name>Table_var</name>
      <anchor>a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Out_T&lt; Table &gt;</type>
      <name>Table_out</name>
      <anchor>a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>TAO_IORTable_Export CORBA::Boolean</type>
      <name>operator&lt;&lt;</name>
      <anchor>a15</anchor>
      <arglist>(TAO_OutputCDR &amp;, const IORTable::AlreadyBound &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORTable_Export CORBA::Boolean</type>
      <name>operator&gt;&gt;</name>
      <anchor>a16</anchor>
      <arglist>(TAO_InputCDR &amp;, IORTable::AlreadyBound &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORTable_Export CORBA::Boolean</type>
      <name>operator&lt;&lt;</name>
      <anchor>a17</anchor>
      <arglist>(TAO_OutputCDR &amp;, const IORTable::NotFound &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TAO_IORTable_Export CORBA::Boolean</type>
      <name>operator&gt;&gt;</name>
      <anchor>a18</anchor>
      <arglist>(TAO_InputCDR &amp;, IORTable::NotFound &amp;)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Table_Adapter.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/IORTable/</path>
    <filename>Table__Adapter_8cpp</filename>
    <includes id="Table__Adapter_8h" name="Table_Adapter.h" local="yes" imported="no">Table_Adapter.h</includes>
    <includes id="IOR__Table__Impl_8h" name="IOR_Table_Impl.h" local="yes" imported="no">IOR_Table_Impl.h</includes>
  </compound>
  <compound kind="file">
    <name>Table_Adapter.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/IORTable/</path>
    <filename>Table__Adapter_8h</filename>
    <includes id="iortable__export_8h" name="iortable_export.h" local="yes" imported="no">iortable_export.h</includes>
    <class kind="class">TAO_Table_Adapter</class>
    <class kind="class">TAO_Table_Adapter_Factory</class>
  </compound>
  <compound kind="class">
    <name>TAO_IOR_Table_Impl</name>
    <filename>classTAO__IOR__Table__Impl.html</filename>
    <base virtualness="virtual">IORTable::Table</base>
    <base virtualness="virtual">TAO_Local_RefCounted_Object</base>
    <member kind="function">
      <type></type>
      <name>TAO_IOR_Table_Impl</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>find</name>
      <anchor>a1</anchor>
      <arglist>(const char *object_key)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>bind</name>
      <anchor>z1_0</anchor>
      <arglist>(const char *object_key, const char *IOR)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>rebind</name>
      <anchor>z1_1</anchor>
      <arglist>(const char *object_key, const char *IOR)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>unbind</name>
      <anchor>z1_2</anchor>
      <arglist>(const char *object_key)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>set_locator</name>
      <anchor>z1_3</anchor>
      <arglist>(IORTable::Locator_ptr the_locator)</arglist>
    </member>
    <member kind="typedef" protection="private">
      <type>ACE_Hash_Map_Manager_Ex&lt; ACE_CString, ACE_CString, ACE_Hash&lt; ACE_CString &gt;, ACE_Equal_To&lt; ACE_CString &gt;, ACE_Null_Mutex &gt;</type>
      <name>Map</name>
      <anchor>y0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Map</type>
      <name>map_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>IORTable::Locator_var</type>
      <name>locator_</name>
      <anchor>r1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>TAO_SYNCH_MUTEX</type>
      <name>lock_</name>
      <anchor>r2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_IORTable_Initializer</name>
    <filename>classTAO__IORTable__Initializer.html</filename>
    <member kind="function" static="yes">
      <type>int</type>
      <name>init</name>
      <anchor>e0</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Table_Adapter</name>
    <filename>classTAO__Table__Adapter.html</filename>
    <base>TAO_Adapter</base>
    <member kind="function">
      <type></type>
      <name>TAO_Table_Adapter</name>
      <anchor>a0</anchor>
      <arglist>(TAO_ORB_Core *orb_core)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TAO_Table_Adapter</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>open</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>close</name>
      <anchor>a3</anchor>
      <arglist>(int wait_for_completion)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>check_close</name>
      <anchor>a4</anchor>
      <arglist>(int wait_for_completion)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>priority</name>
      <anchor>a5</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>dispatch</name>
      <anchor>a6</anchor>
      <arglist>(TAO::ObjectKey &amp;key, TAO_ServerRequest &amp;request, CORBA::Object_out foward_to)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>name</name>
      <anchor>a7</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Object_ptr</type>
      <name>root</name>
      <anchor>a8</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Object_ptr</type>
      <name>create_collocated_object</name>
      <anchor>a9</anchor>
      <arglist>(TAO_Stub *, const TAO_MProfile &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Long</type>
      <name>initialize_collocated_object</name>
      <anchor>a10</anchor>
      <arglist>(TAO_Stub *)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>CORBA::Long</type>
      <name>find_object</name>
      <anchor>d0</anchor>
      <arglist>(TAO::ObjectKey &amp;key, CORBA::Object_out forward_to)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>TAO_ORB_Core *</type>
      <name>orb_core_</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>TAO_IOR_Table_Impl *</type>
      <name>root_</name>
      <anchor>r1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Table_Adapter_Factory</name>
    <filename>classTAO__Table__Adapter__Factory.html</filename>
    <base>TAO_Adapter_Factory</base>
    <member kind="function">
      <type></type>
      <name>TAO_Table_Adapter_Factory</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TAO_Adapter *</type>
      <name>create</name>
      <anchor>a1</anchor>
      <arglist>(TAO_ORB_Core *orb_core)</arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>TAO/tao/IORTable/</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/IORTable/</path>
    <filename>dir_000002.html</filename>
    <file>IOR_Table_Impl.cpp</file>
    <file>IOR_Table_Impl.h</file>
    <file>IORTable.cpp</file>
    <file>IORTable.h</file>
    <file>IORTable.pidl</file>
    <file>iortable_export.h</file>
    <file>IORTableC.cpp</file>
    <file>IORTableC.h</file>
    <file>Table_Adapter.cpp</file>
    <file>Table_Adapter.h</file>
  </compound>
  <compound kind="dir">
    <name>TAO/tao/</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/</path>
    <filename>dir_000001.html</filename>
    <dir>TAO/tao/IORTable/</dir>
  </compound>
  <compound kind="dir">
    <name>TAO/</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/</path>
    <filename>dir_000000.html</filename>
    <dir>TAO/tao/</dir>
  </compound>
  <compound kind="namespace">
    <name>IORTable</name>
    <filename>namespaceIORTable.html</filename>
    <class kind="exception">IORTable::AlreadyBound</class>
    <class kind="exception">IORTable::NotFound</class>
    <class kind="interface">IORTable::Table</class>
    <class kind="interface">IORTable::Locator</class>
    <member kind="typedef">
      <type>Locator *</type>
      <name>Locator_ptr</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Var_T&lt; Locator &gt;</type>
      <name>Locator_var</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Out_T&lt; Locator &gt;</type>
      <name>Locator_out</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Table *</type>
      <name>Table_ptr</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Var_T&lt; Table &gt;</type>
      <name>Table_var</name>
      <anchor>a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Objref_Out_T&lt; Table &gt;</type>
      <name>Table_out</name>
      <anchor>a5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="exception">
    <name>IORTable::AlreadyBound</name>
    <filename>exceptionIORTable_1_1AlreadyBound.html</filename>
    <base>CORBA::UserException</base>
    <member kind="function">
      <type></type>
      <name>AlreadyBound</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AlreadyBound</name>
      <anchor>a1</anchor>
      <arglist>(const AlreadyBound &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~AlreadyBound</name>
      <anchor>a2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>AlreadyBound &amp;</type>
      <name>operator=</name>
      <anchor>a3</anchor>
      <arglist>(const AlreadyBound &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Exception *</type>
      <name>_tao_duplicate</name>
      <anchor>a4</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_raise</name>
      <anchor>a5</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_tao_encode</name>
      <anchor>a6</anchor>
      <arglist>(TAO_OutputCDR &amp;) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_tao_decode</name>
      <anchor>a7</anchor>
      <arglist>(TAO_InputCDR &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>AlreadyBound *</type>
      <name>_downcast</name>
      <anchor>e0</anchor>
      <arglist>(CORBA::Exception *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>const AlreadyBound *</type>
      <name>_downcast</name>
      <anchor>e1</anchor>
      <arglist>(CORBA::Exception const *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CORBA::Exception *</type>
      <name>_alloc</name>
      <anchor>e2</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="exception">
    <name>IORTable::NotFound</name>
    <filename>exceptionIORTable_1_1NotFound.html</filename>
    <base>CORBA::UserException</base>
    <member kind="function">
      <type></type>
      <name>NotFound</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>NotFound</name>
      <anchor>a1</anchor>
      <arglist>(const NotFound &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~NotFound</name>
      <anchor>a2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>NotFound &amp;</type>
      <name>operator=</name>
      <anchor>a3</anchor>
      <arglist>(const NotFound &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Exception *</type>
      <name>_tao_duplicate</name>
      <anchor>a4</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_raise</name>
      <anchor>a5</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_tao_encode</name>
      <anchor>a6</anchor>
      <arglist>(TAO_OutputCDR &amp;) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>_tao_decode</name>
      <anchor>a7</anchor>
      <arglist>(TAO_InputCDR &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>NotFound *</type>
      <name>_downcast</name>
      <anchor>e0</anchor>
      <arglist>(CORBA::Exception *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>const NotFound *</type>
      <name>_downcast</name>
      <anchor>e1</anchor>
      <arglist>(CORBA::Exception const *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CORBA::Exception *</type>
      <name>_alloc</name>
      <anchor>e2</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>IORTable::Table</name>
    <filename>interfaceIORTable_1_1Table.html</filename>
    <base virtualness="virtual">CORBA::Object</base>
    <member kind="typedef">
      <type>Table_ptr</type>
      <name>_ptr_type</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Table_var</type>
      <name>_var_type</name>
      <anchor>w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>bind</name>
      <anchor>a0</anchor>
      <arglist>(in string object_key, in string IOR)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>rebind</name>
      <anchor>a1</anchor>
      <arglist>(in string object_key, in string IOR)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unbind</name>
      <anchor>a2</anchor>
      <arglist>(in string object_key)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_locator</name>
      <anchor>a3</anchor>
      <arglist>(in Locator the_locator)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>bind</name>
      <anchor>a4</anchor>
      <arglist>(const char *object_key, const char *IOR)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>rebind</name>
      <anchor>a5</anchor>
      <arglist>(const char *object_key, const char *IOR)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>unbind</name>
      <anchor>a6</anchor>
      <arglist>(const char *object_key)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>set_locator</name>
      <anchor>a7</anchor>
      <arglist>(::IORTable::Locator_ptr the_locator)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>_is_a</name>
      <anchor>a8</anchor>
      <arglist>(const char *type_id)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>_interface_repository_id</name>
      <anchor>a9</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>marshal</name>
      <anchor>a10</anchor>
      <arglist>(TAO_OutputCDR &amp;cdr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>Table_ptr</type>
      <name>_duplicate</name>
      <anchor>e0</anchor>
      <arglist>(Table_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>_tao_release</name>
      <anchor>e1</anchor>
      <arglist>(Table_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>Table_ptr</type>
      <name>_narrow</name>
      <anchor>e2</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>Table_ptr</type>
      <name>_unchecked_narrow</name>
      <anchor>e3</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>Table_ptr</type>
      <name>_nil</name>
      <anchor>e4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Table</name>
      <anchor>b0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual</type>
      <name>~Table</name>
      <anchor>b1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>Table</name>
      <anchor>d0</anchor>
      <arglist>(const Table &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>operator=</name>
      <anchor>d1</anchor>
      <arglist>(const Table &amp;)</arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>IORTable::Locator</name>
    <filename>interfaceIORTable_1_1Locator.html</filename>
    <base virtualness="virtual">CORBA::Object</base>
    <member kind="typedef">
      <type>Locator_ptr</type>
      <name>_ptr_type</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Locator_var</type>
      <name>_var_type</name>
      <anchor>w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>locate</name>
      <anchor>a0</anchor>
      <arglist>(in string object_key)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual char *</type>
      <name>locate</name>
      <anchor>a1</anchor>
      <arglist>(const char *object_key)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>_is_a</name>
      <anchor>a2</anchor>
      <arglist>(const char *type_id)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>_interface_repository_id</name>
      <anchor>a3</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>marshal</name>
      <anchor>a4</anchor>
      <arglist>(TAO_OutputCDR &amp;cdr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>Locator_ptr</type>
      <name>_duplicate</name>
      <anchor>e0</anchor>
      <arglist>(Locator_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>_tao_release</name>
      <anchor>e1</anchor>
      <arglist>(Locator_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>Locator_ptr</type>
      <name>_narrow</name>
      <anchor>e2</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>Locator_ptr</type>
      <name>_unchecked_narrow</name>
      <anchor>e3</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>Locator_ptr</type>
      <name>_nil</name>
      <anchor>e4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Locator</name>
      <anchor>b0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual</type>
      <name>~Locator</name>
      <anchor>b1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>Locator</name>
      <anchor>d0</anchor>
      <arglist>(const Locator &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>operator=</name>
      <anchor>d1</anchor>
      <arglist>(const Locator &amp;)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>TAO::Objref_Traits&lt; ::IORTable::Locator &gt;</name>
    <filename>structTAO_1_1Objref__Traits_3_01_1_1IORTable_1_1Locator_01_4.html</filename>
    <member kind="function" static="yes">
      <type>::IORTable::Locator_ptr</type>
      <name>duplicate</name>
      <anchor>e0</anchor>
      <arglist>(::IORTable::Locator_ptr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>release</name>
      <anchor>e1</anchor>
      <arglist>(::IORTable::Locator_ptr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>::IORTable::Locator_ptr</type>
      <name>nil</name>
      <anchor>e2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CORBA::Boolean</type>
      <name>marshal</name>
      <anchor>e3</anchor>
      <arglist>(::IORTable::Locator_ptr p, TAO_OutputCDR &amp;cdr)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>TAO::Objref_Traits&lt; ::IORTable::Table &gt;</name>
    <filename>structTAO_1_1Objref__Traits_3_01_1_1IORTable_1_1Table_01_4.html</filename>
    <member kind="function" static="yes">
      <type>::IORTable::Table_ptr</type>
      <name>duplicate</name>
      <anchor>e0</anchor>
      <arglist>(::IORTable::Table_ptr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>release</name>
      <anchor>e1</anchor>
      <arglist>(::IORTable::Table_ptr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>::IORTable::Table_ptr</type>
      <name>nil</name>
      <anchor>e2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CORBA::Boolean</type>
      <name>marshal</name>
      <anchor>e3</anchor>
      <arglist>(::IORTable::Table_ptr p, TAO_OutputCDR &amp;cdr)</arglist>
    </member>
  </compound>
</tagfile>
